#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 10
#define STATE_COUNT 1158
#define SYMBOL_COUNT 217
#define ALIAS_COUNT 0
#define TOKEN_COUNT 100
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 18
#define MAX_ALIAS_SEQUENCE_LENGTH 9

enum {
  sym_identifier = 1,
  anon_sym_import = 2,
  anon_sym_DOT = 3,
  anon_sym_from = 4,
  anon_sym___future__ = 5,
  anon_sym_LPAREN = 6,
  anon_sym_RPAREN = 7,
  anon_sym_COMMA = 8,
  anon_sym_as = 9,
  anon_sym_STAR = 10,
  anon_sym_print = 11,
  anon_sym_GT_GT = 12,
  anon_sym_assert = 13,
  anon_sym_COLON_EQ = 14,
  anon_sym_return = 15,
  anon_sym_del = 16,
  anon_sym_raise = 17,
  anon_sym_pass = 18,
  anon_sym_break = 19,
  anon_sym_continue = 20,
  anon_sym_if = 21,
  anon_sym_COLON = 22,
  anon_sym_elif = 23,
  anon_sym_else = 24,
  anon_sym_async = 25,
  anon_sym_for = 26,
  anon_sym_in = 27,
  anon_sym_while = 28,
  anon_sym_try = 29,
  anon_sym_except = 30,
  anon_sym_finally = 31,
  anon_sym_with = 32,
  anon_sym_def = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_EQ = 35,
  anon_sym_global = 36,
  anon_sym_nonlocal = 37,
  anon_sym_exec = 38,
  anon_sym_class = 39,
  anon_sym_AT = 40,
  anon_sym_not = 41,
  anon_sym_and = 42,
  anon_sym_or = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_SLASH = 46,
  anon_sym_PERCENT = 47,
  anon_sym_SLASH_SLASH = 48,
  anon_sym_STAR_STAR = 49,
  anon_sym_PIPE = 50,
  anon_sym_AMP = 51,
  anon_sym_CARET = 52,
  anon_sym_LT_LT = 53,
  anon_sym_TILDE = 54,
  anon_sym_LT = 55,
  anon_sym_LT_EQ = 56,
  anon_sym_EQ_EQ = 57,
  anon_sym_BANG_EQ = 58,
  anon_sym_GT_EQ = 59,
  anon_sym_GT = 60,
  anon_sym_LT_GT = 61,
  anon_sym_is = 62,
  anon_sym_lambda = 63,
  anon_sym_PLUS_EQ = 64,
  anon_sym_DASH_EQ = 65,
  anon_sym_STAR_EQ = 66,
  anon_sym_SLASH_EQ = 67,
  anon_sym_AT_EQ = 68,
  anon_sym_SLASH_SLASH_EQ = 69,
  anon_sym_PERCENT_EQ = 70,
  anon_sym_STAR_STAR_EQ = 71,
  anon_sym_GT_GT_EQ = 72,
  anon_sym_LT_LT_EQ = 73,
  anon_sym_AMP_EQ = 74,
  anon_sym_CARET_EQ = 75,
  anon_sym_PIPE_EQ = 76,
  anon_sym_yield = 77,
  anon_sym_LBRACK = 78,
  anon_sym_RBRACK = 79,
  sym_ellipsis = 80,
  anon_sym_LBRACE = 81,
  anon_sym_RBRACE = 82,
  sym_escape_sequence = 83,
  aux_sym_format_specifier_token1 = 84,
  sym_type_conversion = 85,
  sym_integer = 86,
  sym_float = 87,
  sym_true = 88,
  sym_false = 89,
  sym_none = 90,
  anon_sym_await = 91,
  sym_comment = 92,
  sym__semicolon = 93,
  sym__newline = 94,
  sym__indent = 95,
  sym__dedent = 96,
  sym__string_start = 97,
  sym__string_content = 98,
  sym__string_end = 99,
  sym_module = 100,
  sym__statement = 101,
  sym__simple_statements = 102,
  sym_import_statement = 103,
  sym_import_prefix = 104,
  sym_relative_import = 105,
  sym_future_import_statement = 106,
  sym_import_from_statement = 107,
  sym__import_list = 108,
  sym_aliased_import = 109,
  sym_wildcard_import = 110,
  sym_print_statement = 111,
  sym_chevron = 112,
  sym_assert_statement = 113,
  sym_expression_statement = 114,
  sym_named_expression = 115,
  sym_return_statement = 116,
  sym_delete_statement = 117,
  sym_raise_statement = 118,
  sym_pass_statement = 119,
  sym_break_statement = 120,
  sym_continue_statement = 121,
  sym_if_statement = 122,
  sym_elif_clause = 123,
  sym_else_clause = 124,
  sym_for_statement = 125,
  sym_while_statement = 126,
  sym_try_statement = 127,
  sym_except_clause = 128,
  sym_finally_clause = 129,
  sym_with_statement = 130,
  sym_with_item = 131,
  sym_function_definition = 132,
  sym_parameters = 133,
  sym_lambda_parameters = 134,
  sym__parameters = 135,
  sym_default_parameter = 136,
  sym_typed_default_parameter = 137,
  sym_list_splat = 138,
  sym_dictionary_splat = 139,
  sym_global_statement = 140,
  sym_nonlocal_statement = 141,
  sym_exec_statement = 142,
  sym_class_definition = 143,
  sym_argument_list = 144,
  sym_decorated_definition = 145,
  sym_decorator = 146,
  sym_block = 147,
  sym_variables = 148,
  sym_expression_list = 149,
  sym_dotted_name = 150,
  sym__expression_within_for_in_clause = 151,
  sym__expression = 152,
  sym__primary_expression = 153,
  sym_not_operator = 154,
  sym_boolean_operator = 155,
  sym_binary_operator = 156,
  sym_unary_operator = 157,
  sym_comparison_operator = 158,
  sym_lambda = 159,
  sym_lambda_within_for_in_clause = 160,
  sym_assignment = 161,
  sym_augmented_assignment = 162,
  sym__right_hand_side = 163,
  sym_yield = 164,
  sym_attribute = 165,
  sym_subscript = 166,
  sym_slice = 167,
  sym_call = 168,
  sym_typed_parameter = 169,
  sym_type = 170,
  sym_keyword_argument = 171,
  sym_list = 172,
  sym__comprehension_body = 173,
  sym_list_comprehension = 174,
  sym_dictionary = 175,
  sym_dictionary_comprehension = 176,
  sym_pair = 177,
  sym_set = 178,
  sym_set_comprehension = 179,
  sym_parenthesized_expression = 180,
  sym_tuple = 181,
  sym_generator_expression = 182,
  sym_for_in_clause = 183,
  sym_if_clause = 184,
  sym_conditional_expression = 185,
  sym_concatenated_string = 186,
  sym_string = 187,
  sym_interpolation = 188,
  sym_format_specifier = 189,
  sym_format_expression = 190,
  sym_await = 191,
  aux_sym_module_repeat1 = 192,
  aux_sym__simple_statements_repeat1 = 193,
  aux_sym_import_prefix_repeat1 = 194,
  aux_sym__import_list_repeat1 = 195,
  aux_sym_print_statement_repeat1 = 196,
  aux_sym_assert_statement_repeat1 = 197,
  aux_sym_if_statement_repeat1 = 198,
  aux_sym_try_statement_repeat1 = 199,
  aux_sym_with_statement_repeat1 = 200,
  aux_sym__parameters_repeat1 = 201,
  aux_sym_global_statement_repeat1 = 202,
  aux_sym_argument_list_repeat1 = 203,
  aux_sym_decorated_definition_repeat1 = 204,
  aux_sym_variables_repeat1 = 205,
  aux_sym_dotted_name_repeat1 = 206,
  aux_sym_comparison_operator_repeat1 = 207,
  aux_sym_subscript_repeat1 = 208,
  aux_sym_list_repeat1 = 209,
  aux_sym__comprehension_body_repeat1 = 210,
  aux_sym_dictionary_repeat1 = 211,
  aux_sym_tuple_repeat1 = 212,
  aux_sym_for_in_clause_repeat1 = 213,
  aux_sym_concatenated_string_repeat1 = 214,
  aux_sym_string_repeat1 = 215,
  aux_sym_format_specifier_repeat1 = 216,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_EQ] = "=",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [anon_sym_await] = "await",
  [sym_comment] = "comment",
  [sym__semicolon] = "_semicolon",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym__parameters] = "_parameters",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_variables] = "variables",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym__expression] = "_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym__comprehension_body] = "_comprehension_body",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary] = "dictionary",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_pair] = "pair",
  [sym_set] = "set",
  [sym_set_comprehension] = "set_comprehension",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple] = "tuple",
  [sym_generator_expression] = "generator_expression",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_statement_repeat1] = "with_statement_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_variables_repeat1] = "variables_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym__comprehension_body_repeat1] = "_comprehension_body_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_variables] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_body] = {
    .visible = false,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variables_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_condition = 6,
  field_consequence = 7,
  field_function = 8,
  field_left = 9,
  field_module_name = 10,
  field_name = 11,
  field_operator = 12,
  field_parameters = 13,
  field_return_type = 14,
  field_right = 15,
  field_statement = 16,
  field_superclasses = 17,
  field_type = 18,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_function] = "function",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_statement] = "statement",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
};

static const TSFieldMapSlice ts_field_map_slices[] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 2},
  [9] = {.index = 9, .length = 2},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [17] = {.index = 22, .length = 3},
  [18] = {.index = 25, .length = 3},
  [19] = {.index = 28, .length = 3},
  [20] = {.index = 31, .length = 1},
  [21] = {.index = 32, .length = 1},
  [22] = {.index = 33, .length = 1},
  [23] = {.index = 34, .length = 3},
  [25] = {.index = 37, .length = 2},
  [26] = {.index = 39, .length = 2},
  [27] = {.index = 41, .length = 1},
  [28] = {.index = 42, .length = 2},
  [29] = {.index = 44, .length = 2},
  [30] = {.index = 46, .length = 3},
  [31] = {.index = 49, .length = 2},
  [32] = {.index = 51, .length = 2},
  [33] = {.index = 53, .length = 1},
  [34] = {.index = 54, .length = 3},
  [35] = {.index = 57, .length = 4},
  [36] = {.index = 61, .length = 3},
  [37] = {.index = 64, .length = 4},
  [38] = {.index = 68, .length = 4},
  [39] = {.index = 72, .length = 1},
  [40] = {.index = 73, .length = 3},
  [41] = {.index = 76, .length = 4},
  [42] = {.index = 80, .length = 1},
  [43] = {.index = 81, .length = 4},
  [44] = {.index = 85, .length = 2},
  [45] = {.index = 87, .length = 3},
  [46] = {.index = 90, .length = 1},
  [47] = {.index = 91, .length = 4},
  [48] = {.index = 95, .length = 4},
  [49] = {.index = 99, .length = 2},
  [50] = {.index = 101, .length = 4},
  [51] = {.index = 105, .length = 4},
  [52] = {.index = 109, .length = 2},
  [53] = {.index = 111, .length = 5},
  [54] = {.index = 116, .length = 4},
  [55] = {.index = 120, .length = 4},
  [56] = {.index = 124, .length = 1},
  [57] = {.index = 125, .length = 4},
  [58] = {.index = 129, .length = 4},
  [59] = {.index = 133, .length = 4},
  [60] = {.index = 137, .length = 5},
  [61] = {.index = 142, .length = 5},
  [62] = {.index = 147, .length = 4},
  [63] = {.index = 151, .length = 5},
  [64] = {.index = 156, .length = 4},
  [65] = {.index = 160, .length = 5},
  [66] = {.index = 165, .length = 5},
  [67] = {.index = 170, .length = 5},
  [68] = {.index = 175, .length = 5},
  [69] = {.index = 180, .length = 5},
  [70] = {.index = 185, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_statement, 0},
  [1] =
    {field_statement, 0, .inherited = true},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_argument, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_name, 1, .inherited = true},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_statement, 0, .inherited = true},
    {field_statement, 1, .inherited = true},
  [11] =
    {field_body, 2},
  [12] =
    {field_argument, 2, .inherited = true},
  [13] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [15] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [17] =
    {field_statement, 1},
  [18] =
    {field_left, 0},
    {field_type, 2},
  [20] =
    {field_left, 0},
    {field_right, 2},
  [22] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [25] =
    {field_left, 0},
    {field_left, 2},
    {field_operator, 1},
  [28] =
    {field_body, 3},
    {field_name, 1},
    {field_statement, 3, .inherited = true},
  [31] =
    {field_name, 3, .inherited = true},
  [32] =
    {field_module_name, 1},
  [33] =
    {field_statement, 3, .inherited = true},
  [34] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [37] =
    {field_body, 3},
    {field_parameters, 1},
  [39] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [41] =
    {field_name, 1},
  [42] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [44] =
    {field_alias, 2},
    {field_name, 0},
  [46] =
    {field_body, 3},
    {field_condition, 1},
    {field_statement, 3, .inherited = true},
  [49] =
    {field_body, 2},
    {field_statement, 2, .inherited = true},
  [51] =
    {field_statement, 0},
    {field_statement, 1, .inherited = true},
  [53] =
    {field_statement, 4, .inherited = true},
  [54] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [57] =
    {field_body, 4},
    {field_name, 1},
    {field_statement, 4, .inherited = true},
    {field_superclasses, 2},
  [61] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [64] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [68] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [72] =
    {field_alternative, 0},
  [73] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [76] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
    {field_statement, 3, .inherited = true},
  [80] =
    {field_parameters, 1},
  [81] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
    {field_statement, 4, .inherited = true},
  [85] =
    {field_body, 2},
    {field_body, 3},
  [87] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [90] =
    {field_statement, 5, .inherited = true},
  [91] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
    {field_statement, 5, .inherited = true},
  [95] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [99] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [101] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [105] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [109] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [111] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_statement, 3, .inherited = true},
  [116] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [120] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [124] =
    {field_statement, 2, .inherited = true},
  [125] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
    {field_statement, 5, .inherited = true},
  [129] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
    {field_statement, 6, .inherited = true},
  [133] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [137] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [142] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
    {field_statement, 6, .inherited = true},
  [147] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [151] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
    {field_statement, 5, .inherited = true},
  [156] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [160] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
    {field_statement, 6, .inherited = true},
  [165] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_statement, 7, .inherited = true},
  [170] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [175] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [180] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [185] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
};

static TSSymbol ts_alias_sequences[71][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [1] = {
    [0] = sym_identifier,
  },
  [19] = {
    [3] = sym_block,
  },
  [22] = {
    [3] = sym_block,
  },
  [23] = {
    [3] = sym_block,
  },
  [24] = {
    [1] = sym_identifier,
  },
  [30] = {
    [3] = sym_block,
  },
  [31] = {
    [2] = sym_block,
  },
  [33] = {
    [4] = sym_block,
  },
  [35] = {
    [4] = sym_block,
  },
  [37] = {
    [3] = sym_block,
  },
  [38] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [43] = {
    [4] = sym_block,
  },
  [46] = {
    [5] = sym_block,
  },
  [47] = {
    [5] = sym_block,
  },
  [53] = {
    [3] = sym_block,
  },
  [56] = {
    [2] = sym_block,
  },
  [57] = {
    [5] = sym_block,
  },
  [58] = {
    [6] = sym_block,
  },
  [61] = {
    [6] = sym_block,
  },
  [63] = {
    [5] = sym_block,
  },
  [65] = {
    [6] = sym_block,
  },
  [66] = {
    [7] = sym_block,
  },
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(70);
      if (lookahead == '&') ADVANCE(78);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(66);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(85);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(91);
      if (lookahead == '@') ADVANCE(61);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '^') ADVANCE(80);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 1:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 2:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(5)
      END_STATE();
    case 4:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '\n') SKIP(5)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == 0) ADVANCE(44);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(50);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(21);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(56);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '@') ADVANCE(60);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '~') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(19)
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(19)
      if (lookahead == '\r') SKIP(6)
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '\r') ADVANCE(112);
      if (lookahead == 'U') ADVANCE(114);
      if (lookahead == 'o') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(41);
      if (lookahead == 'x') ADVANCE(39);
      if (lookahead != 0) ADVANCE(111);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(17)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(17)
      if (lookahead == '\r') SKIP(9)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(16)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(16)
      if (lookahead == '\r') SKIP(11)
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(13)
      if (lookahead == '#') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(116);
      if (lookahead != 0) ADVANCE(118);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(18)
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(18)
      if (lookahead == '\r') SKIP(14)
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(70);
      if (lookahead == '&') ADVANCE(78);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(45);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(85);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(91);
      if (lookahead == '@') ADVANCE(61);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(12)
      if (lookahead == '^') ADVANCE(80);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(16)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(70);
      if (lookahead == '&') ADVANCE(78);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(63);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(68);
      if (lookahead == '0') ADVANCE(122);
      if (lookahead == ':') ADVANCE(56);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(85);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(91);
      if (lookahead == '@') ADVANCE(61);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(10)
      if (lookahead == '^') ADVANCE(80);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '|') ADVANCE(76);
      if (lookahead == '~') ADVANCE(83);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(17)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(121);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 18:
      if (lookahead == '!') ADVANCE(24);
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '%') ADVANCE(69);
      if (lookahead == '&') ADVANCE(77);
      if (lookahead == '(') ADVANCE(47);
      if (lookahead == ')') ADVANCE(48);
      if (lookahead == '*') ADVANCE(52);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(49);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(45);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == ':') ADVANCE(57);
      if (lookahead == ';') ADVANCE(134);
      if (lookahead == '<') ADVANCE(84);
      if (lookahead == '=') ADVANCE(59);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead == '@') ADVANCE(60);
      if (lookahead == '[') ADVANCE(106);
      if (lookahead == '\\') SKIP(15)
      if (lookahead == ']') ADVANCE(107);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '|') ADVANCE(75);
      if (lookahead == '}') ADVANCE(110);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(18)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 19:
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == ':') ADVANCE(56);
      if (lookahead == '\\') SKIP(7)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(19)
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(133);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == '{') ADVANCE(109);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(20)
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(108);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(88);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(119);
      END_STATE();
    case 25:
      if (lookahead == '>') ADVANCE(58);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 28:
      if (lookahead == '_') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      END_STATE();
    case 29:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 30:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(111);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(32);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(34);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(38);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '=') ADVANCE(95);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(73);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(101);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(55);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(97);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(93);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(94);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(94);
      if (lookahead == '>') ADVANCE(58);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(71);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(72);
      if (lookahead == '=') ADVANCE(96);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(99);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(98);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(100);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(105);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(103);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(104);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(102);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(81);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(82);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(92);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(89);
      if (lookahead == '>') ADVANCE(53);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(89);
      if (lookahead == '>') ADVANCE(54);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n') ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(8);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(116);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '{' ||
          lookahead == '}') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(26);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(28);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(27);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(121);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(124);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(31);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(131);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(29);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(128);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (913 <= lookahead && lookahead <= 937) ||
          (945 <= lookahead && lookahead <= 969)) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym__semicolon);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(26);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(27);
      if (lookahead == 's') ADVANCE(28);
      if (lookahead == 'w') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(30);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(49);
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(52);
      if (lookahead == 'i') ADVANCE(53);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(54);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(55);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 27:
      if (lookahead == 'd') ADVANCE(59);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 'y') ADVANCE(61);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(65);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'l') ADVANCE(67);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(68);
      if (lookahead == 's') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(77);
      END_STATE();
    case 45:
      if (lookahead == 'n') ADVANCE(78);
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 47:
      if (lookahead == 's') ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(81);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 51:
      if (lookahead == 'y') ADVANCE(84);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 55:
      if (lookahead == 's') ADVANCE(88);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 58:
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(95);
      END_STATE();
    case 64:
      if (lookahead == 's') ADVANCE(96);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 68:
      if (lookahead == 'f') ADVANCE(98);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 71:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 74:
      if (lookahead == 'm') ADVANCE(103);
      END_STATE();
    case 75:
      if (lookahead == 'b') ADVANCE(104);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 80:
      if (lookahead == 's') ADVANCE(108);
      END_STATE();
    case 81:
      if (lookahead == 'n') ADVANCE(109);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(110);
      END_STATE();
    case 83:
      if (lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 86:
      if (lookahead == 'h') ADVANCE(113);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 91:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 92:
      if (lookahead == 'r') ADVANCE(117);
      END_STATE();
    case 93:
      if (lookahead == 'c') ADVANCE(118);
      END_STATE();
    case 94:
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 95:
      if (lookahead == 'k') ADVANCE(120);
      END_STATE();
    case 96:
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(122);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(123);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 102:
      if (lookahead == 'l') ADVANCE(124);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(125);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 106:
      if (lookahead == 'd') ADVANCE(127);
      END_STATE();
    case 107:
      if (lookahead == 'o') ADVANCE(128);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 114:
      if (lookahead == 'd') ADVANCE(133);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 116:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 122:
      if (lookahead == 'n') ADVANCE(136);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 124:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 125:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 128:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 131:
      if (lookahead == 'n') ADVANCE(143);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 136:
      if (lookahead == 'u') ADVANCE(145);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 138:
      if (lookahead == 'y') ADVANCE(146);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(147);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 148:
      if (lookahead == '_') ADVANCE(151);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 151:
      if (lookahead == '_') ADVANCE(152);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 5, .external_lex_state = 2},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 20, .external_lex_state = 3},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 5, .external_lex_state = 2},
  [7] = {.lex_state = 5, .external_lex_state = 4},
  [8] = {.lex_state = 5, .external_lex_state = 4},
  [9] = {.lex_state = 16},
  [10] = {.lex_state = 5, .external_lex_state = 2},
  [11] = {.lex_state = 5, .external_lex_state = 2},
  [12] = {.lex_state = 5, .external_lex_state = 2},
  [13] = {.lex_state = 0, .external_lex_state = 5},
  [14] = {.lex_state = 5, .external_lex_state = 2},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 5},
  [17] = {.lex_state = 17, .external_lex_state = 4},
  [18] = {.lex_state = 5, .external_lex_state = 2},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 5, .external_lex_state = 2},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 5, .external_lex_state = 2},
  [23] = {.lex_state = 0, .external_lex_state = 5},
  [24] = {.lex_state = 16, .external_lex_state = 5},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 5, .external_lex_state = 2},
  [27] = {.lex_state = 16, .external_lex_state = 4},
  [28] = {.lex_state = 5, .external_lex_state = 4},
  [29] = {.lex_state = 5, .external_lex_state = 2},
  [30] = {.lex_state = 5, .external_lex_state = 2},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 5, .external_lex_state = 2},
  [33] = {.lex_state = 0, .external_lex_state = 5},
  [34] = {.lex_state = 0, .external_lex_state = 5},
  [35] = {.lex_state = 0, .external_lex_state = 5},
  [36] = {.lex_state = 5, .external_lex_state = 2},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 5, .external_lex_state = 2},
  [39] = {.lex_state = 16, .external_lex_state = 5},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 5, .external_lex_state = 2},
  [42] = {.lex_state = 16, .external_lex_state = 4},
  [43] = {.lex_state = 5, .external_lex_state = 2},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0, .external_lex_state = 5},
  [46] = {.lex_state = 5, .external_lex_state = 2},
  [47] = {.lex_state = 5, .external_lex_state = 2},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 16, .external_lex_state = 4},
  [50] = {.lex_state = 5, .external_lex_state = 2},
  [51] = {.lex_state = 20, .external_lex_state = 3},
  [52] = {.lex_state = 0, .external_lex_state = 5},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 18, .external_lex_state = 5},
  [55] = {.lex_state = 0, .external_lex_state = 5},
  [56] = {.lex_state = 5, .external_lex_state = 2},
  [57] = {.lex_state = 0, .external_lex_state = 5},
  [58] = {.lex_state = 0, .external_lex_state = 5},
  [59] = {.lex_state = 0, .external_lex_state = 5},
  [60] = {.lex_state = 16},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 16},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 16, .external_lex_state = 5},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 16, .external_lex_state = 5},
  [73] = {.lex_state = 0, .external_lex_state = 5},
  [74] = {.lex_state = 0},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 5, .external_lex_state = 2},
  [77] = {.lex_state = 5, .external_lex_state = 2},
  [78] = {.lex_state = 5, .external_lex_state = 2},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 5, .external_lex_state = 2},
  [84] = {.lex_state = 0, .external_lex_state = 5},
  [85] = {.lex_state = 0, .external_lex_state = 5},
  [86] = {.lex_state = 0, .external_lex_state = 5},
  [87] = {.lex_state = 0, .external_lex_state = 5},
  [88] = {.lex_state = 0, .external_lex_state = 5},
  [89] = {.lex_state = 0, .external_lex_state = 5},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 0, .external_lex_state = 5},
  [93] = {.lex_state = 5, .external_lex_state = 2},
  [94] = {.lex_state = 0, .external_lex_state = 5},
  [95] = {.lex_state = 0, .external_lex_state = 5},
  [96] = {.lex_state = 0, .external_lex_state = 5},
  [97] = {.lex_state = 5, .external_lex_state = 2},
  [98] = {.lex_state = 0, .external_lex_state = 5},
  [99] = {.lex_state = 5, .external_lex_state = 2},
  [100] = {.lex_state = 16, .external_lex_state = 5},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 0},
  [104] = {.lex_state = 16, .external_lex_state = 5},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 0},
  [107] = {.lex_state = 0},
  [108] = {.lex_state = 0},
  [109] = {.lex_state = 0},
  [110] = {.lex_state = 5, .external_lex_state = 6},
  [111] = {.lex_state = 0},
  [112] = {.lex_state = 18},
  [113] = {.lex_state = 5, .external_lex_state = 4},
  [114] = {.lex_state = 5, .external_lex_state = 2},
  [115] = {.lex_state = 0, .external_lex_state = 5},
  [116] = {.lex_state = 5, .external_lex_state = 2},
  [117] = {.lex_state = 5, .external_lex_state = 2},
  [118] = {.lex_state = 5, .external_lex_state = 2},
  [119] = {.lex_state = 5, .external_lex_state = 2},
  [120] = {.lex_state = 5, .external_lex_state = 2},
  [121] = {.lex_state = 5, .external_lex_state = 2},
  [122] = {.lex_state = 5, .external_lex_state = 2},
  [123] = {.lex_state = 5, .external_lex_state = 2},
  [124] = {.lex_state = 5, .external_lex_state = 2},
  [125] = {.lex_state = 0},
  [126] = {.lex_state = 5, .external_lex_state = 2},
  [127] = {.lex_state = 5, .external_lex_state = 2},
  [128] = {.lex_state = 5, .external_lex_state = 2},
  [129] = {.lex_state = 5, .external_lex_state = 2},
  [130] = {.lex_state = 0},
  [131] = {.lex_state = 5, .external_lex_state = 2},
  [132] = {.lex_state = 16, .external_lex_state = 5},
  [133] = {.lex_state = 0, .external_lex_state = 5},
  [134] = {.lex_state = 16, .external_lex_state = 4},
  [135] = {.lex_state = 5, .external_lex_state = 2},
  [136] = {.lex_state = 0},
  [137] = {.lex_state = 0},
  [138] = {.lex_state = 5, .external_lex_state = 2},
  [139] = {.lex_state = 5, .external_lex_state = 2},
  [140] = {.lex_state = 17, .external_lex_state = 4},
  [141] = {.lex_state = 5, .external_lex_state = 2},
  [142] = {.lex_state = 5, .external_lex_state = 2},
  [143] = {.lex_state = 0, .external_lex_state = 5},
  [144] = {.lex_state = 0},
  [145] = {.lex_state = 0},
  [146] = {.lex_state = 0},
  [147] = {.lex_state = 0},
  [148] = {.lex_state = 16, .external_lex_state = 4},
  [149] = {.lex_state = 20, .external_lex_state = 3},
  [150] = {.lex_state = 0},
  [151] = {.lex_state = 0, .external_lex_state = 5},
  [152] = {.lex_state = 5, .external_lex_state = 2},
  [153] = {.lex_state = 5, .external_lex_state = 6},
  [154] = {.lex_state = 0},
  [155] = {.lex_state = 5, .external_lex_state = 2},
  [156] = {.lex_state = 0, .external_lex_state = 5},
  [157] = {.lex_state = 0, .external_lex_state = 5},
  [158] = {.lex_state = 5, .external_lex_state = 4},
  [159] = {.lex_state = 0, .external_lex_state = 5},
  [160] = {.lex_state = 0},
  [161] = {.lex_state = 16},
  [162] = {.lex_state = 0},
  [163] = {.lex_state = 5},
  [164] = {.lex_state = 16},
  [165] = {.lex_state = 0},
  [166] = {.lex_state = 16, .external_lex_state = 5},
  [167] = {.lex_state = 16, .external_lex_state = 5},
  [168] = {.lex_state = 5, .external_lex_state = 2},
  [169] = {.lex_state = 0},
  [170] = {.lex_state = 5, .external_lex_state = 2},
  [171] = {.lex_state = 0},
  [172] = {.lex_state = 0},
  [173] = {.lex_state = 0},
  [174] = {.lex_state = 5, .external_lex_state = 6},
  [175] = {.lex_state = 5, .external_lex_state = 2},
  [176] = {.lex_state = 0},
  [177] = {.lex_state = 5, .external_lex_state = 2},
  [178] = {.lex_state = 5, .external_lex_state = 6},
  [179] = {.lex_state = 0},
  [180] = {.lex_state = 0, .external_lex_state = 5},
  [181] = {.lex_state = 5, .external_lex_state = 2},
  [182] = {.lex_state = 5, .external_lex_state = 2},
  [183] = {.lex_state = 5},
  [184] = {.lex_state = 0},
  [185] = {.lex_state = 5, .external_lex_state = 2},
  [186] = {.lex_state = 5, .external_lex_state = 2},
  [187] = {.lex_state = 5},
  [188] = {.lex_state = 0},
  [189] = {.lex_state = 0},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 5, .external_lex_state = 2},
  [192] = {.lex_state = 0},
  [193] = {.lex_state = 0, .external_lex_state = 5},
  [194] = {.lex_state = 5, .external_lex_state = 2},
  [195] = {.lex_state = 5, .external_lex_state = 2},
  [196] = {.lex_state = 0, .external_lex_state = 5},
  [197] = {.lex_state = 5, .external_lex_state = 4},
  [198] = {.lex_state = 0, .external_lex_state = 5},
  [199] = {.lex_state = 5, .external_lex_state = 4},
  [200] = {.lex_state = 0, .external_lex_state = 5},
  [201] = {.lex_state = 0, .external_lex_state = 5},
  [202] = {.lex_state = 0, .external_lex_state = 5},
  [203] = {.lex_state = 0},
  [204] = {.lex_state = 5, .external_lex_state = 6},
  [205] = {.lex_state = 5},
  [206] = {.lex_state = 19},
  [207] = {.lex_state = 0, .external_lex_state = 5},
  [208] = {.lex_state = 0, .external_lex_state = 5},
  [209] = {.lex_state = 5, .external_lex_state = 2},
  [210] = {.lex_state = 0, .external_lex_state = 5},
  [211] = {.lex_state = 5, .external_lex_state = 2},
  [212] = {.lex_state = 16, .external_lex_state = 5},
  [213] = {.lex_state = 5, .external_lex_state = 2},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 0},
  [216] = {.lex_state = 16, .external_lex_state = 5},
  [217] = {.lex_state = 5, .external_lex_state = 2},
  [218] = {.lex_state = 0},
  [219] = {.lex_state = 0},
  [220] = {.lex_state = 16, .external_lex_state = 5},
  [221] = {.lex_state = 5, .external_lex_state = 2},
  [222] = {.lex_state = 0},
  [223] = {.lex_state = 5, .external_lex_state = 2},
  [224] = {.lex_state = 0},
  [225] = {.lex_state = 5, .external_lex_state = 7},
  [226] = {.lex_state = 0},
  [227] = {.lex_state = 5, .external_lex_state = 2},
  [228] = {.lex_state = 5, .external_lex_state = 2},
  [229] = {.lex_state = 0},
  [230] = {.lex_state = 5, .external_lex_state = 2},
  [231] = {.lex_state = 0, .external_lex_state = 5},
  [232] = {.lex_state = 5, .external_lex_state = 4},
  [233] = {.lex_state = 0, .external_lex_state = 5},
  [234] = {.lex_state = 0, .external_lex_state = 5},
  [235] = {.lex_state = 0, .external_lex_state = 5},
  [236] = {.lex_state = 0, .external_lex_state = 5},
  [237] = {.lex_state = 0, .external_lex_state = 5},
  [238] = {.lex_state = 0, .external_lex_state = 5},
  [239] = {.lex_state = 5, .external_lex_state = 2},
  [240] = {.lex_state = 0},
  [241] = {.lex_state = 0},
  [242] = {.lex_state = 16, .external_lex_state = 5},
  [243] = {.lex_state = 16, .external_lex_state = 5},
  [244] = {.lex_state = 5, .external_lex_state = 2},
  [245] = {.lex_state = 16, .external_lex_state = 5},
  [246] = {.lex_state = 16, .external_lex_state = 5},
  [247] = {.lex_state = 18},
  [248] = {.lex_state = 16, .external_lex_state = 5},
  [249] = {.lex_state = 18},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 0},
  [252] = {.lex_state = 0},
  [253] = {.lex_state = 16, .external_lex_state = 5},
  [254] = {.lex_state = 16, .external_lex_state = 5},
  [255] = {.lex_state = 16, .external_lex_state = 5},
  [256] = {.lex_state = 16, .external_lex_state = 5},
  [257] = {.lex_state = 16, .external_lex_state = 5},
  [258] = {.lex_state = 0, .external_lex_state = 5},
  [259] = {.lex_state = 16, .external_lex_state = 4},
  [260] = {.lex_state = 0, .external_lex_state = 5},
  [261] = {.lex_state = 0, .external_lex_state = 5},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0, .external_lex_state = 5},
  [264] = {.lex_state = 17, .external_lex_state = 4},
  [265] = {.lex_state = 0, .external_lex_state = 5},
  [266] = {.lex_state = 5, .external_lex_state = 2},
  [267] = {.lex_state = 5, .external_lex_state = 6},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 19},
  [270] = {.lex_state = 13},
  [271] = {.lex_state = 20, .external_lex_state = 3},
  [272] = {.lex_state = 0},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 0, .external_lex_state = 5},
  [275] = {.lex_state = 0, .external_lex_state = 5},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 5, .external_lex_state = 7},
  [278] = {.lex_state = 5, .external_lex_state = 2},
  [279] = {.lex_state = 5, .external_lex_state = 6},
  [280] = {.lex_state = 5, .external_lex_state = 4},
  [281] = {.lex_state = 16},
  [282] = {.lex_state = 16},
  [283] = {.lex_state = 0, .external_lex_state = 5},
  [284] = {.lex_state = 0, .external_lex_state = 5},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0, .external_lex_state = 5},
  [287] = {.lex_state = 16, .external_lex_state = 5},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 0},
  [290] = {.lex_state = 5, .external_lex_state = 2},
  [291] = {.lex_state = 0},
  [292] = {.lex_state = 0},
  [293] = {.lex_state = 5, .external_lex_state = 2},
  [294] = {.lex_state = 5, .external_lex_state = 2},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 16, .external_lex_state = 5},
  [297] = {.lex_state = 5, .external_lex_state = 7},
  [298] = {.lex_state = 5, .external_lex_state = 2},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 5, .external_lex_state = 7},
  [303] = {.lex_state = 5, .external_lex_state = 2},
  [304] = {.lex_state = 0},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 0},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 5},
  [312] = {.lex_state = 0},
  [313] = {.lex_state = 0},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 5},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 0, .external_lex_state = 5},
  [319] = {.lex_state = 0, .external_lex_state = 5},
  [320] = {.lex_state = 5, .external_lex_state = 4},
  [321] = {.lex_state = 0, .external_lex_state = 5},
  [322] = {.lex_state = 5, .external_lex_state = 4},
  [323] = {.lex_state = 0, .external_lex_state = 5},
  [324] = {.lex_state = 0, .external_lex_state = 5},
  [325] = {.lex_state = 0, .external_lex_state = 5},
  [326] = {.lex_state = 0, .external_lex_state = 5},
  [327] = {.lex_state = 0, .external_lex_state = 5},
  [328] = {.lex_state = 5, .external_lex_state = 7},
  [329] = {.lex_state = 5, .external_lex_state = 2},
  [330] = {.lex_state = 19},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 5, .external_lex_state = 6},
  [333] = {.lex_state = 5, .external_lex_state = 2},
  [334] = {.lex_state = 0, .external_lex_state = 5},
  [335] = {.lex_state = 0, .external_lex_state = 5},
  [336] = {.lex_state = 16, .external_lex_state = 5},
  [337] = {.lex_state = 0},
  [338] = {.lex_state = 0},
  [339] = {.lex_state = 5, .external_lex_state = 2},
  [340] = {.lex_state = 0},
  [341] = {.lex_state = 16, .external_lex_state = 5},
  [342] = {.lex_state = 5},
  [343] = {.lex_state = 16, .external_lex_state = 5},
  [344] = {.lex_state = 0},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 5, .external_lex_state = 2},
  [347] = {.lex_state = 0},
  [348] = {.lex_state = 16, .external_lex_state = 5},
  [349] = {.lex_state = 16, .external_lex_state = 5},
  [350] = {.lex_state = 5, .external_lex_state = 2},
  [351] = {.lex_state = 0},
  [352] = {.lex_state = 16, .external_lex_state = 5},
  [353] = {.lex_state = 0},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 5, .external_lex_state = 7},
  [356] = {.lex_state = 5, .external_lex_state = 2},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 5, .external_lex_state = 2},
  [359] = {.lex_state = 5, .external_lex_state = 2},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 18},
  [362] = {.lex_state = 5, .external_lex_state = 2},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 5, .external_lex_state = 2},
  [365] = {.lex_state = 5, .external_lex_state = 2},
  [366] = {.lex_state = 5, .external_lex_state = 2},
  [367] = {.lex_state = 5, .external_lex_state = 2},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 16, .external_lex_state = 5},
  [370] = {.lex_state = 5, .external_lex_state = 2},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 5, .external_lex_state = 2},
  [373] = {.lex_state = 16, .external_lex_state = 5},
  [374] = {.lex_state = 5, .external_lex_state = 2},
  [375] = {.lex_state = 5, .external_lex_state = 2},
  [376] = {.lex_state = 16, .external_lex_state = 5},
  [377] = {.lex_state = 5, .external_lex_state = 2},
  [378] = {.lex_state = 0},
  [379] = {.lex_state = 5, .external_lex_state = 2},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 5, .external_lex_state = 7},
  [382] = {.lex_state = 5, .external_lex_state = 2},
  [383] = {.lex_state = 5, .external_lex_state = 6},
  [384] = {.lex_state = 5, .external_lex_state = 6},
  [385] = {.lex_state = 5, .external_lex_state = 2},
  [386] = {.lex_state = 5, .external_lex_state = 2},
  [387] = {.lex_state = 13},
  [388] = {.lex_state = 20, .external_lex_state = 3},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 5, .external_lex_state = 2},
  [391] = {.lex_state = 5, .external_lex_state = 7},
  [392] = {.lex_state = 5, .external_lex_state = 2},
  [393] = {.lex_state = 0},
  [394] = {.lex_state = 16, .external_lex_state = 5},
  [395] = {.lex_state = 5, .external_lex_state = 2},
  [396] = {.lex_state = 5, .external_lex_state = 2},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 0},
  [399] = {.lex_state = 0},
  [400] = {.lex_state = 5, .external_lex_state = 2},
  [401] = {.lex_state = 5, .external_lex_state = 2},
  [402] = {.lex_state = 5, .external_lex_state = 2},
  [403] = {.lex_state = 0},
  [404] = {.lex_state = 5, .external_lex_state = 2},
  [405] = {.lex_state = 5, .external_lex_state = 2},
  [406] = {.lex_state = 5, .external_lex_state = 2},
  [407] = {.lex_state = 5, .external_lex_state = 2},
  [408] = {.lex_state = 5},
  [409] = {.lex_state = 5, .external_lex_state = 2},
  [410] = {.lex_state = 5, .external_lex_state = 2},
  [411] = {.lex_state = 0},
  [412] = {.lex_state = 5, .external_lex_state = 2},
  [413] = {.lex_state = 5, .external_lex_state = 2},
  [414] = {.lex_state = 19},
  [415] = {.lex_state = 5, .external_lex_state = 7},
  [416] = {.lex_state = 5, .external_lex_state = 2},
  [417] = {.lex_state = 0},
  [418] = {.lex_state = 0, .external_lex_state = 5},
  [419] = {.lex_state = 16, .external_lex_state = 5},
  [420] = {.lex_state = 5, .external_lex_state = 2},
  [421] = {.lex_state = 16, .external_lex_state = 5},
  [422] = {.lex_state = 5, .external_lex_state = 2},
  [423] = {.lex_state = 16, .external_lex_state = 5},
  [424] = {.lex_state = 5, .external_lex_state = 2},
  [425] = {.lex_state = 5, .external_lex_state = 2},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 5, .external_lex_state = 6},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 5, .external_lex_state = 6},
  [430] = {.lex_state = 5, .external_lex_state = 2},
  [431] = {.lex_state = 5, .external_lex_state = 2},
  [432] = {.lex_state = 5, .external_lex_state = 2},
  [433] = {.lex_state = 5, .external_lex_state = 6},
  [434] = {.lex_state = 5, .external_lex_state = 2},
  [435] = {.lex_state = 0, .external_lex_state = 5},
  [436] = {.lex_state = 0},
  [437] = {.lex_state = 5, .external_lex_state = 2},
  [438] = {.lex_state = 16, .external_lex_state = 5},
  [439] = {.lex_state = 0},
  [440] = {.lex_state = 0},
  [441] = {.lex_state = 5, .external_lex_state = 2},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 0},
  [444] = {.lex_state = 0},
  [445] = {.lex_state = 0},
  [446] = {.lex_state = 16, .external_lex_state = 5},
  [447] = {.lex_state = 0},
  [448] = {.lex_state = 0},
  [449] = {.lex_state = 5, .external_lex_state = 2},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 0, .external_lex_state = 5},
  [452] = {.lex_state = 5, .external_lex_state = 6},
  [453] = {.lex_state = 5, .external_lex_state = 2},
  [454] = {.lex_state = 5, .external_lex_state = 7},
  [455] = {.lex_state = 5, .external_lex_state = 2},
  [456] = {.lex_state = 5, .external_lex_state = 7},
  [457] = {.lex_state = 5, .external_lex_state = 2},
  [458] = {.lex_state = 0},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 13},
  [461] = {.lex_state = 20, .external_lex_state = 3},
  [462] = {.lex_state = 5, .external_lex_state = 2},
  [463] = {.lex_state = 0, .external_lex_state = 5},
  [464] = {.lex_state = 5},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 5, .external_lex_state = 2},
  [468] = {.lex_state = 5, .external_lex_state = 2},
  [469] = {.lex_state = 5, .external_lex_state = 2},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 5, .external_lex_state = 6},
  [472] = {.lex_state = 5, .external_lex_state = 2},
  [473] = {.lex_state = 5, .external_lex_state = 2},
  [474] = {.lex_state = 0},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 5, .external_lex_state = 2},
  [477] = {.lex_state = 5, .external_lex_state = 2},
  [478] = {.lex_state = 5, .external_lex_state = 6},
  [479] = {.lex_state = 5, .external_lex_state = 2},
  [480] = {.lex_state = 5, .external_lex_state = 2},
  [481] = {.lex_state = 5, .external_lex_state = 7},
  [482] = {.lex_state = 5, .external_lex_state = 2},
  [483] = {.lex_state = 5, .external_lex_state = 6},
  [484] = {.lex_state = 5, .external_lex_state = 2},
  [485] = {.lex_state = 5, .external_lex_state = 7},
  [486] = {.lex_state = 5, .external_lex_state = 2},
  [487] = {.lex_state = 5, .external_lex_state = 2},
  [488] = {.lex_state = 5, .external_lex_state = 7},
  [489] = {.lex_state = 5, .external_lex_state = 2},
  [490] = {.lex_state = 0},
  [491] = {.lex_state = 16, .external_lex_state = 5},
  [492] = {.lex_state = 5, .external_lex_state = 2},
  [493] = {.lex_state = 5, .external_lex_state = 2},
  [494] = {.lex_state = 16, .external_lex_state = 5},
  [495] = {.lex_state = 5, .external_lex_state = 2},
  [496] = {.lex_state = 5, .external_lex_state = 7},
  [497] = {.lex_state = 5, .external_lex_state = 2},
  [498] = {.lex_state = 5, .external_lex_state = 2},
  [499] = {.lex_state = 5, .external_lex_state = 2},
  [500] = {.lex_state = 5, .external_lex_state = 6},
  [501] = {.lex_state = 13},
  [502] = {.lex_state = 5, .external_lex_state = 2},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 5, .external_lex_state = 2},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 5, .external_lex_state = 2},
  [508] = {.lex_state = 5, .external_lex_state = 6},
  [509] = {.lex_state = 5, .external_lex_state = 7},
  [510] = {.lex_state = 5, .external_lex_state = 2},
  [511] = {.lex_state = 5, .external_lex_state = 7},
  [512] = {.lex_state = 5, .external_lex_state = 2},
  [513] = {.lex_state = 5, .external_lex_state = 2},
  [514] = {.lex_state = 5, .external_lex_state = 2},
  [515] = {.lex_state = 5, .external_lex_state = 7},
  [516] = {.lex_state = 5, .external_lex_state = 2},
  [517] = {.lex_state = 0},
  [518] = {.lex_state = 5, .external_lex_state = 2},
  [519] = {.lex_state = 5, .external_lex_state = 2},
  [520] = {.lex_state = 5, .external_lex_state = 2},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 5, .external_lex_state = 2},
  [523] = {.lex_state = 5, .external_lex_state = 2},
  [524] = {.lex_state = 5, .external_lex_state = 7},
  [525] = {.lex_state = 5, .external_lex_state = 2},
  [526] = {.lex_state = 0},
  [527] = {.lex_state = 0},
  [528] = {.lex_state = 5, .external_lex_state = 2},
  [529] = {.lex_state = 0},
  [530] = {.lex_state = 5, .external_lex_state = 2},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 5, .external_lex_state = 7},
  [534] = {.lex_state = 5, .external_lex_state = 2},
  [535] = {.lex_state = 5, .external_lex_state = 2},
  [536] = {.lex_state = 5, .external_lex_state = 2},
  [537] = {.lex_state = 5, .external_lex_state = 2},
  [538] = {.lex_state = 5, .external_lex_state = 6},
  [539] = {.lex_state = 5, .external_lex_state = 2},
  [540] = {.lex_state = 5, .external_lex_state = 2},
  [541] = {.lex_state = 5, .external_lex_state = 2},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 5, .external_lex_state = 2},
  [545] = {.lex_state = 5, .external_lex_state = 2},
  [546] = {.lex_state = 5, .external_lex_state = 2},
  [547] = {.lex_state = 5, .external_lex_state = 7},
  [548] = {.lex_state = 5, .external_lex_state = 2},
  [549] = {.lex_state = 5, .external_lex_state = 2},
  [550] = {.lex_state = 5, .external_lex_state = 2},
  [551] = {.lex_state = 5, .external_lex_state = 2},
  [552] = {.lex_state = 5, .external_lex_state = 2},
  [553] = {.lex_state = 18, .external_lex_state = 5},
  [554] = {.lex_state = 5, .external_lex_state = 2},
  [555] = {.lex_state = 5, .external_lex_state = 7},
  [556] = {.lex_state = 5, .external_lex_state = 7},
  [557] = {.lex_state = 18, .external_lex_state = 5},
  [558] = {.lex_state = 5, .external_lex_state = 7},
  [559] = {.lex_state = 18, .external_lex_state = 4},
  [560] = {.lex_state = 18, .external_lex_state = 4},
  [561] = {.lex_state = 18},
  [562] = {.lex_state = 5, .external_lex_state = 2},
  [563] = {.lex_state = 0},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 16, .external_lex_state = 5},
  [566] = {.lex_state = 18, .external_lex_state = 5},
  [567] = {.lex_state = 18, .external_lex_state = 5},
  [568] = {.lex_state = 0},
  [569] = {.lex_state = 0},
  [570] = {.lex_state = 5, .external_lex_state = 2},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 0},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 5, .external_lex_state = 2},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 18, .external_lex_state = 5},
  [578] = {.lex_state = 18, .external_lex_state = 5},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 5, .external_lex_state = 2},
  [581] = {.lex_state = 5, .external_lex_state = 2},
  [582] = {.lex_state = 5, .external_lex_state = 2},
  [583] = {.lex_state = 5, .external_lex_state = 2},
  [584] = {.lex_state = 5, .external_lex_state = 2},
  [585] = {.lex_state = 5, .external_lex_state = 2},
  [586] = {.lex_state = 5, .external_lex_state = 2},
  [587] = {.lex_state = 5, .external_lex_state = 2},
  [588] = {.lex_state = 5, .external_lex_state = 2},
  [589] = {.lex_state = 18, .external_lex_state = 5},
  [590] = {.lex_state = 0, .external_lex_state = 5},
  [591] = {.lex_state = 18, .external_lex_state = 4},
  [592] = {.lex_state = 5, .external_lex_state = 7},
  [593] = {.lex_state = 5, .external_lex_state = 7},
  [594] = {.lex_state = 5, .external_lex_state = 2},
  [595] = {.lex_state = 5, .external_lex_state = 2},
  [596] = {.lex_state = 18, .external_lex_state = 4},
  [597] = {.lex_state = 5, .external_lex_state = 2},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 5, .external_lex_state = 2},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 16, .external_lex_state = 5},
  [602] = {.lex_state = 18, .external_lex_state = 5},
  [603] = {.lex_state = 18, .external_lex_state = 5},
  [604] = {.lex_state = 0, .external_lex_state = 5},
  [605] = {.lex_state = 5, .external_lex_state = 2},
  [606] = {.lex_state = 0},
  [607] = {.lex_state = 0},
  [608] = {.lex_state = 0, .external_lex_state = 5},
  [609] = {.lex_state = 18, .external_lex_state = 5},
  [610] = {.lex_state = 18, .external_lex_state = 5},
  [611] = {.lex_state = 18, .external_lex_state = 5},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 0},
  [614] = {.lex_state = 18, .external_lex_state = 5},
  [615] = {.lex_state = 18, .external_lex_state = 5},
  [616] = {.lex_state = 5, .external_lex_state = 2},
  [617] = {.lex_state = 18, .external_lex_state = 5},
  [618] = {.lex_state = 18, .external_lex_state = 5},
  [619] = {.lex_state = 18},
  [620] = {.lex_state = 18, .external_lex_state = 5},
  [621] = {.lex_state = 18, .external_lex_state = 5},
  [622] = {.lex_state = 18, .external_lex_state = 5},
  [623] = {.lex_state = 18, .external_lex_state = 5},
  [624] = {.lex_state = 18, .external_lex_state = 5},
  [625] = {.lex_state = 0, .external_lex_state = 5},
  [626] = {.lex_state = 18, .external_lex_state = 4},
  [627] = {.lex_state = 0, .external_lex_state = 5},
  [628] = {.lex_state = 0, .external_lex_state = 5},
  [629] = {.lex_state = 0},
  [630] = {.lex_state = 0, .external_lex_state = 5},
  [631] = {.lex_state = 5, .external_lex_state = 7},
  [632] = {.lex_state = 5, .external_lex_state = 2},
  [633] = {.lex_state = 16, .external_lex_state = 5},
  [634] = {.lex_state = 16, .external_lex_state = 5},
  [635] = {.lex_state = 18, .external_lex_state = 5},
  [636] = {.lex_state = 18, .external_lex_state = 5},
  [637] = {.lex_state = 5, .external_lex_state = 7},
  [638] = {.lex_state = 5, .external_lex_state = 7},
  [639] = {.lex_state = 0},
  [640] = {.lex_state = 0},
  [641] = {.lex_state = 0},
  [642] = {.lex_state = 5},
  [643] = {.lex_state = 5},
  [644] = {.lex_state = 0, .external_lex_state = 5},
  [645] = {.lex_state = 0},
  [646] = {.lex_state = 0},
  [647] = {.lex_state = 0},
  [648] = {.lex_state = 0},
  [649] = {.lex_state = 0},
  [650] = {.lex_state = 5, .external_lex_state = 7},
  [651] = {.lex_state = 18, .external_lex_state = 5},
  [652] = {.lex_state = 18, .external_lex_state = 5},
  [653] = {.lex_state = 18, .external_lex_state = 5},
  [654] = {.lex_state = 18, .external_lex_state = 5},
  [655] = {.lex_state = 18, .external_lex_state = 5},
  [656] = {.lex_state = 18, .external_lex_state = 5},
  [657] = {.lex_state = 5, .external_lex_state = 2},
  [658] = {.lex_state = 5, .external_lex_state = 7},
  [659] = {.lex_state = 5, .external_lex_state = 7},
  [660] = {.lex_state = 0},
  [661] = {.lex_state = 18, .external_lex_state = 5},
  [662] = {.lex_state = 18, .external_lex_state = 5},
  [663] = {.lex_state = 18},
  [664] = {.lex_state = 5, .external_lex_state = 2},
  [665] = {.lex_state = 5, .external_lex_state = 7},
  [666] = {.lex_state = 5, .external_lex_state = 7},
  [667] = {.lex_state = 5, .external_lex_state = 7},
  [668] = {.lex_state = 18, .external_lex_state = 5},
  [669] = {.lex_state = 5, .external_lex_state = 7},
  [670] = {.lex_state = 5, .external_lex_state = 7},
  [671] = {.lex_state = 5, .external_lex_state = 7},
  [672] = {.lex_state = 5, .external_lex_state = 7},
  [673] = {.lex_state = 5, .external_lex_state = 7},
  [674] = {.lex_state = 5},
  [675] = {.lex_state = 0},
  [676] = {.lex_state = 5, .external_lex_state = 7},
  [677] = {.lex_state = 5, .external_lex_state = 7},
  [678] = {.lex_state = 5, .external_lex_state = 7},
  [679] = {.lex_state = 18, .external_lex_state = 5},
  [680] = {.lex_state = 18, .external_lex_state = 5},
  [681] = {.lex_state = 18, .external_lex_state = 5},
  [682] = {.lex_state = 5, .external_lex_state = 7},
  [683] = {.lex_state = 5, .external_lex_state = 7},
  [684] = {.lex_state = 5, .external_lex_state = 2},
  [685] = {.lex_state = 5, .external_lex_state = 7},
  [686] = {.lex_state = 5, .external_lex_state = 7},
  [687] = {.lex_state = 5, .external_lex_state = 7},
  [688] = {.lex_state = 18, .external_lex_state = 5},
  [689] = {.lex_state = 18},
  [690] = {.lex_state = 0, .external_lex_state = 5},
  [691] = {.lex_state = 5, .external_lex_state = 7},
  [692] = {.lex_state = 5, .external_lex_state = 7},
  [693] = {.lex_state = 5, .external_lex_state = 7},
  [694] = {.lex_state = 5, .external_lex_state = 7},
  [695] = {.lex_state = 5, .external_lex_state = 7},
  [696] = {.lex_state = 5, .external_lex_state = 7},
  [697] = {.lex_state = 5, .external_lex_state = 7},
  [698] = {.lex_state = 5, .external_lex_state = 7},
  [699] = {.lex_state = 5, .external_lex_state = 7},
  [700] = {.lex_state = 5, .external_lex_state = 7},
  [701] = {.lex_state = 5, .external_lex_state = 7},
  [702] = {.lex_state = 5, .external_lex_state = 7},
  [703] = {.lex_state = 5, .external_lex_state = 7},
  [704] = {.lex_state = 5, .external_lex_state = 7},
  [705] = {.lex_state = 5, .external_lex_state = 7},
  [706] = {.lex_state = 5, .external_lex_state = 7},
  [707] = {.lex_state = 18, .external_lex_state = 5},
  [708] = {.lex_state = 18},
  [709] = {.lex_state = 5, .external_lex_state = 7},
  [710] = {.lex_state = 5, .external_lex_state = 7},
  [711] = {.lex_state = 5, .external_lex_state = 7},
  [712] = {.lex_state = 5, .external_lex_state = 7},
  [713] = {.lex_state = 5, .external_lex_state = 7},
  [714] = {.lex_state = 5, .external_lex_state = 7},
  [715] = {.lex_state = 5, .external_lex_state = 7},
  [716] = {.lex_state = 5, .external_lex_state = 7},
  [717] = {.lex_state = 5, .external_lex_state = 7},
  [718] = {.lex_state = 5, .external_lex_state = 7},
  [719] = {.lex_state = 5, .external_lex_state = 7},
  [720] = {.lex_state = 5, .external_lex_state = 7},
  [721] = {.lex_state = 5, .external_lex_state = 7},
  [722] = {.lex_state = 5, .external_lex_state = 7},
  [723] = {.lex_state = 5, .external_lex_state = 7},
  [724] = {.lex_state = 5, .external_lex_state = 7},
  [725] = {.lex_state = 5, .external_lex_state = 7},
  [726] = {.lex_state = 5, .external_lex_state = 7},
  [727] = {.lex_state = 5, .external_lex_state = 7},
  [728] = {.lex_state = 5, .external_lex_state = 7},
  [729] = {.lex_state = 5, .external_lex_state = 7},
  [730] = {.lex_state = 5, .external_lex_state = 7},
  [731] = {.lex_state = 5, .external_lex_state = 7},
  [732] = {.lex_state = 5, .external_lex_state = 7},
  [733] = {.lex_state = 5, .external_lex_state = 7},
  [734] = {.lex_state = 5, .external_lex_state = 2},
  [735] = {.lex_state = 5, .external_lex_state = 2},
  [736] = {.lex_state = 18},
  [737] = {.lex_state = 5, .external_lex_state = 2},
  [738] = {.lex_state = 18},
  [739] = {.lex_state = 18, .external_lex_state = 2},
  [740] = {.lex_state = 18, .external_lex_state = 2},
  [741] = {.lex_state = 18},
  [742] = {.lex_state = 18},
  [743] = {.lex_state = 18},
  [744] = {.lex_state = 5, .external_lex_state = 2},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 5, .external_lex_state = 2},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 18},
  [749] = {.lex_state = 18},
  [750] = {.lex_state = 5, .external_lex_state = 7},
  [751] = {.lex_state = 5, .external_lex_state = 2},
  [752] = {.lex_state = 5, .external_lex_state = 2},
  [753] = {.lex_state = 5, .external_lex_state = 2},
  [754] = {.lex_state = 5, .external_lex_state = 2},
  [755] = {.lex_state = 5, .external_lex_state = 2},
  [756] = {.lex_state = 5, .external_lex_state = 2},
  [757] = {.lex_state = 5, .external_lex_state = 2},
  [758] = {.lex_state = 5, .external_lex_state = 2},
  [759] = {.lex_state = 5, .external_lex_state = 2},
  [760] = {.lex_state = 18},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 18, .external_lex_state = 2},
  [763] = {.lex_state = 5, .external_lex_state = 2},
  [764] = {.lex_state = 5, .external_lex_state = 2},
  [765] = {.lex_state = 18, .external_lex_state = 2},
  [766] = {.lex_state = 5, .external_lex_state = 2},
  [767] = {.lex_state = 17, .external_lex_state = 4},
  [768] = {.lex_state = 18},
  [769] = {.lex_state = 18},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 5, .external_lex_state = 2},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 18},
  [774] = {.lex_state = 18},
  [775] = {.lex_state = 18},
  [776] = {.lex_state = 5, .external_lex_state = 7},
  [777] = {.lex_state = 18},
  [778] = {.lex_state = 18},
  [779] = {.lex_state = 5, .external_lex_state = 2},
  [780] = {.lex_state = 18},
  [781] = {.lex_state = 18},
  [782] = {.lex_state = 18, .external_lex_state = 5},
  [783] = {.lex_state = 18},
  [784] = {.lex_state = 18},
  [785] = {.lex_state = 18},
  [786] = {.lex_state = 18},
  [787] = {.lex_state = 18},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 18, .external_lex_state = 2},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 17, .external_lex_state = 4},
  [795] = {.lex_state = 18},
  [796] = {.lex_state = 18},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 18},
  [799] = {.lex_state = 18},
  [800] = {.lex_state = 18},
  [801] = {.lex_state = 18},
  [802] = {.lex_state = 18},
  [803] = {.lex_state = 18},
  [804] = {.lex_state = 5, .external_lex_state = 7},
  [805] = {.lex_state = 5, .external_lex_state = 7},
  [806] = {.lex_state = 18},
  [807] = {.lex_state = 18},
  [808] = {.lex_state = 18, .external_lex_state = 5},
  [809] = {.lex_state = 5, .external_lex_state = 2},
  [810] = {.lex_state = 18},
  [811] = {.lex_state = 18},
  [812] = {.lex_state = 18},
  [813] = {.lex_state = 18},
  [814] = {.lex_state = 5, .external_lex_state = 7},
  [815] = {.lex_state = 18},
  [816] = {.lex_state = 18, .external_lex_state = 5},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 18},
  [819] = {.lex_state = 18, .external_lex_state = 5},
  [820] = {.lex_state = 5, .external_lex_state = 2},
  [821] = {.lex_state = 5, .external_lex_state = 2},
  [822] = {.lex_state = 18},
  [823] = {.lex_state = 5, .external_lex_state = 2},
  [824] = {.lex_state = 18},
  [825] = {.lex_state = 18, .external_lex_state = 2},
  [826] = {.lex_state = 18, .external_lex_state = 2},
  [827] = {.lex_state = 16, .external_lex_state = 5},
  [828] = {.lex_state = 18},
  [829] = {.lex_state = 18},
  [830] = {.lex_state = 5, .external_lex_state = 2},
  [831] = {.lex_state = 5, .external_lex_state = 2},
  [832] = {.lex_state = 18},
  [833] = {.lex_state = 18},
  [834] = {.lex_state = 5, .external_lex_state = 2},
  [835] = {.lex_state = 5, .external_lex_state = 2},
  [836] = {.lex_state = 5, .external_lex_state = 2},
  [837] = {.lex_state = 5, .external_lex_state = 2},
  [838] = {.lex_state = 5, .external_lex_state = 2},
  [839] = {.lex_state = 5, .external_lex_state = 2},
  [840] = {.lex_state = 5, .external_lex_state = 2},
  [841] = {.lex_state = 5, .external_lex_state = 2},
  [842] = {.lex_state = 5, .external_lex_state = 2},
  [843] = {.lex_state = 18},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 18, .external_lex_state = 2},
  [846] = {.lex_state = 5, .external_lex_state = 2},
  [847] = {.lex_state = 5, .external_lex_state = 2},
  [848] = {.lex_state = 18, .external_lex_state = 2},
  [849] = {.lex_state = 18},
  [850] = {.lex_state = 18},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 5, .external_lex_state = 2},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 18},
  [855] = {.lex_state = 18},
  [856] = {.lex_state = 18},
  [857] = {.lex_state = 18},
  [858] = {.lex_state = 18},
  [859] = {.lex_state = 5, .external_lex_state = 2},
  [860] = {.lex_state = 18},
  [861] = {.lex_state = 18},
  [862] = {.lex_state = 18},
  [863] = {.lex_state = 18},
  [864] = {.lex_state = 18},
  [865] = {.lex_state = 18},
  [866] = {.lex_state = 18},
  [867] = {.lex_state = 18},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 18, .external_lex_state = 2},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 18},
  [872] = {.lex_state = 18},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 18},
  [875] = {.lex_state = 18},
  [876] = {.lex_state = 18},
  [877] = {.lex_state = 18},
  [878] = {.lex_state = 18},
  [879] = {.lex_state = 18},
  [880] = {.lex_state = 18},
  [881] = {.lex_state = 18},
  [882] = {.lex_state = 18},
  [883] = {.lex_state = 5, .external_lex_state = 2},
  [884] = {.lex_state = 18},
  [885] = {.lex_state = 18},
  [886] = {.lex_state = 18},
  [887] = {.lex_state = 18},
  [888] = {.lex_state = 18},
  [889] = {.lex_state = 18},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 18},
  [892] = {.lex_state = 18},
  [893] = {.lex_state = 0, .external_lex_state = 5},
  [894] = {.lex_state = 0, .external_lex_state = 5},
  [895] = {.lex_state = 20, .external_lex_state = 3},
  [896] = {.lex_state = 5, .external_lex_state = 2},
  [897] = {.lex_state = 5},
  [898] = {.lex_state = 5, .external_lex_state = 2},
  [899] = {.lex_state = 5, .external_lex_state = 2},
  [900] = {.lex_state = 0, .external_lex_state = 5},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 20, .external_lex_state = 3},
  [903] = {.lex_state = 0, .external_lex_state = 5},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 0},
  [908] = {.lex_state = 0, .external_lex_state = 5},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 0},
  [917] = {.lex_state = 5, .external_lex_state = 4},
  [918] = {.lex_state = 0, .external_lex_state = 5},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 5, .external_lex_state = 2},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 5, .external_lex_state = 2},
  [923] = {.lex_state = 5, .external_lex_state = 6},
  [924] = {.lex_state = 0, .external_lex_state = 5},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 5, .external_lex_state = 2},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 5, .external_lex_state = 6},
  [930] = {.lex_state = 5, .external_lex_state = 6},
  [931] = {.lex_state = 5},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 5},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 5, .external_lex_state = 6},
  [937] = {.lex_state = 5, .external_lex_state = 2},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 5, .external_lex_state = 2},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 5, .external_lex_state = 2},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 5, .external_lex_state = 4},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 5, .external_lex_state = 6},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 5, .external_lex_state = 7},
  [957] = {.lex_state = 5, .external_lex_state = 6},
  [958] = {.lex_state = 5, .external_lex_state = 2},
  [959] = {.lex_state = 5, .external_lex_state = 7},
  [960] = {.lex_state = 5, .external_lex_state = 7},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 5, .external_lex_state = 7},
  [963] = {.lex_state = 5, .external_lex_state = 6},
  [964] = {.lex_state = 5, .external_lex_state = 2},
  [965] = {.lex_state = 5, .external_lex_state = 2},
  [966] = {.lex_state = 5, .external_lex_state = 2},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 5, .external_lex_state = 7},
  [969] = {.lex_state = 5, .external_lex_state = 2},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 5, .external_lex_state = 2},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 5, .external_lex_state = 7},
  [974] = {.lex_state = 5, .external_lex_state = 6},
  [975] = {.lex_state = 5, .external_lex_state = 6},
  [976] = {.lex_state = 5, .external_lex_state = 7},
  [977] = {.lex_state = 5, .external_lex_state = 7},
  [978] = {.lex_state = 5, .external_lex_state = 6},
  [979] = {.lex_state = 5, .external_lex_state = 6},
  [980] = {.lex_state = 5, .external_lex_state = 6},
  [981] = {.lex_state = 5, .external_lex_state = 2},
  [982] = {.lex_state = 5, .external_lex_state = 2},
  [983] = {.lex_state = 5, .external_lex_state = 6},
  [984] = {.lex_state = 5, .external_lex_state = 7},
  [985] = {.lex_state = 5, .external_lex_state = 7},
  [986] = {.lex_state = 5, .external_lex_state = 6},
  [987] = {.lex_state = 5, .external_lex_state = 6},
  [988] = {.lex_state = 5, .external_lex_state = 7},
  [989] = {.lex_state = 5, .external_lex_state = 6},
  [990] = {.lex_state = 5, .external_lex_state = 7},
  [991] = {.lex_state = 5, .external_lex_state = 7},
  [992] = {.lex_state = 5, .external_lex_state = 7},
  [993] = {.lex_state = 5, .external_lex_state = 6},
  [994] = {.lex_state = 5, .external_lex_state = 6},
  [995] = {.lex_state = 5, .external_lex_state = 7},
  [996] = {.lex_state = 5, .external_lex_state = 7},
  [997] = {.lex_state = 5, .external_lex_state = 7},
  [998] = {.lex_state = 5, .external_lex_state = 7},
  [999] = {.lex_state = 5, .external_lex_state = 7},
  [1000] = {.lex_state = 5, .external_lex_state = 6},
  [1001] = {.lex_state = 5, .external_lex_state = 7},
  [1002] = {.lex_state = 20, .external_lex_state = 3},
  [1003] = {.lex_state = 5, .external_lex_state = 2},
  [1004] = {.lex_state = 5},
  [1005] = {.lex_state = 5, .external_lex_state = 2},
  [1006] = {.lex_state = 5, .external_lex_state = 2},
  [1007] = {.lex_state = 0, .external_lex_state = 5},
  [1008] = {.lex_state = 20, .external_lex_state = 3},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 5, .external_lex_state = 4},
  [1022] = {.lex_state = 0, .external_lex_state = 5},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 5, .external_lex_state = 2},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 5, .external_lex_state = 2},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 5, .external_lex_state = 2},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 5, .external_lex_state = 2},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 5, .external_lex_state = 2},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 5, .external_lex_state = 4},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 5, .external_lex_state = 2},
  [1046] = {.lex_state = 5, .external_lex_state = 2},
  [1047] = {.lex_state = 5, .external_lex_state = 2},
  [1048] = {.lex_state = 5, .external_lex_state = 2},
  [1049] = {.lex_state = 5, .external_lex_state = 7},
  [1050] = {.lex_state = 5, .external_lex_state = 2},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 5, .external_lex_state = 2},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 5, .external_lex_state = 2},
  [1055] = {.lex_state = 5, .external_lex_state = 2},
  [1056] = {.lex_state = 20, .external_lex_state = 3},
  [1057] = {.lex_state = 5, .external_lex_state = 2},
  [1058] = {.lex_state = 5},
  [1059] = {.lex_state = 5, .external_lex_state = 2},
  [1060] = {.lex_state = 5, .external_lex_state = 2},
  [1061] = {.lex_state = 20, .external_lex_state = 3},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 5, .external_lex_state = 2},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 5, .external_lex_state = 2},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 5, .external_lex_state = 2},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 5, .external_lex_state = 2},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 5, .external_lex_state = 2},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 5, .external_lex_state = 2},
  [1096] = {.lex_state = 5, .external_lex_state = 2},
  [1097] = {.lex_state = 5, .external_lex_state = 2},
  [1098] = {.lex_state = 5, .external_lex_state = 2},
  [1099] = {.lex_state = 5, .external_lex_state = 2},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 5, .external_lex_state = 2},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 5, .external_lex_state = 2},
  [1104] = {.lex_state = 5, .external_lex_state = 2},
  [1105] = {.lex_state = 20, .external_lex_state = 3},
  [1106] = {.lex_state = 20, .external_lex_state = 3},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 5, .external_lex_state = 6},
  [1113] = {.lex_state = 5, .external_lex_state = 2},
  [1114] = {.lex_state = 5, .external_lex_state = 2},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 19},
  [1119] = {.lex_state = 5, .external_lex_state = 7},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 19},
  [1122] = {.lex_state = 5, .external_lex_state = 2},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 5, .external_lex_state = 2},
  [1133] = {.lex_state = 5, .external_lex_state = 2},
  [1134] = {.lex_state = 5, .external_lex_state = 2},
  [1135] = {.lex_state = 5, .external_lex_state = 2},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 5, .external_lex_state = 2},
  [1138] = {.lex_state = 5, .external_lex_state = 2},
  [1139] = {.lex_state = 5, .external_lex_state = 2},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 5, .external_lex_state = 2},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 5, .external_lex_state = 2},
  [1145] = {.lex_state = 5, .external_lex_state = 2},
  [1146] = {.lex_state = 5, .external_lex_state = 2},
  [1147] = {.lex_state = 5, .external_lex_state = 2},
  [1148] = {.lex_state = 5, .external_lex_state = 2},
  [1149] = {.lex_state = 5, .external_lex_state = 2},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 5, .external_lex_state = 2},
  [1157] = {.lex_state = 5, .external_lex_state = 2},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
  },
  [6] = {
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [7] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
};

static uint16_t ts_parse_table[STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_integer] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [sym__semicolon] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
  },
  [1] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_while_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(38),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(36),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_for_statement] = STATE(36),
    [sym_class_definition] = STATE(36),
    [sym_not_operator] = STATE(45),
    [sym_module] = STATE(40),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_if_statement] = STATE(36),
    [sym_global_statement] = STATE(35),
    [sym_decorator] = STATE(44),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(41),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(43),
    [sym_nonlocal_statement] = STATE(35),
    [aux_sym_decorated_definition_repeat1] = STATE(44),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(7),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [ts_builtin_sym_end] = ACTIONS(59),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [2] = {
    [anon_sym_with] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_def] = ACTIONS(79),
  },
  [3] = {
    [sym_interpolation] = STATE(51),
    [aux_sym_string_repeat1] = STATE(51),
    [sym_escape_sequence] = ACTIONS(81),
    [sym__string_end] = ACTIONS(83),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(81),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [4] = {
    [sym_identifier] = ACTIONS(89),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_identifier] = ACTIONS(91),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_lambda] = STATE(55),
    [sym_conditional_expression] = STATE(55),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(55),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(55),
    [sym_boolean_operator] = STATE(55),
    [sym_await] = STATE(55),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(55),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(55),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [7] = {
    [sym_lambda] = STATE(58),
    [sym__primary_expression] = STATE(557),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(58),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(58),
    [sym_boolean_operator] = STATE(58),
    [sym_await] = STATE(58),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_expression_list] = STATE(57),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(58),
    [sym_conditional_expression] = STATE(58),
    [sym_comparison_operator] = STATE(58),
    [sym__newline] = ACTIONS(117),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(117),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_from] = ACTIONS(119),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [8] = {
    [sym_lambda] = STATE(58),
    [sym__primary_expression] = STATE(557),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(58),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(58),
    [sym_boolean_operator] = STATE(58),
    [sym_await] = STATE(58),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_expression_list] = STATE(59),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(58),
    [sym_conditional_expression] = STATE(58),
    [sym_comparison_operator] = STATE(58),
    [sym__newline] = ACTIONS(121),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(121),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [9] = {
    [sym_relative_import] = STATE(62),
    [sym_import_prefix] = STATE(64),
    [aux_sym_import_prefix_repeat1] = STATE(63),
    [sym_dotted_name] = STATE(62),
    [anon_sym_DOT] = ACTIONS(123),
    [sym_identifier] = ACTIONS(125),
    [anon_sym___future__] = ACTIONS(127),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_lambda] = STATE(68),
    [sym_yield] = STATE(67),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(68),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(68),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(68),
    [sym_boolean_operator] = STATE(68),
    [sym_await] = STATE(68),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(68),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(68),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(137),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(153),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [11] = {
    [sym_lambda] = STATE(70),
    [sym__primary_expression] = STATE(824),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(70),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_with_item] = STATE(69),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(70),
    [sym_boolean_operator] = STATE(70),
    [sym_await] = STATE(70),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(70),
    [sym_conditional_expression] = STATE(70),
    [sym_comparison_operator] = STATE(70),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [12] = {
    [sym_lambda] = STATE(71),
    [sym_conditional_expression] = STATE(71),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(71),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(71),
    [sym_boolean_operator] = STATE(71),
    [sym_await] = STATE(71),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(71),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(71),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [13] = {
    [sym__semicolon] = ACTIONS(183),
    [sym__newline] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_attribute] = STATE(72),
    [sym_dictionary_comprehension] = STATE(72),
    [sym_generator_expression] = STATE(72),
    [sym_binary_operator] = STATE(72),
    [sym_unary_operator] = STATE(72),
    [sym_call] = STATE(72),
    [sym_list_comprehension] = STATE(72),
    [sym_dictionary] = STATE(72),
    [sym_parenthesized_expression] = STATE(72),
    [sym_tuple] = STATE(72),
    [sym_concatenated_string] = STATE(72),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(72),
    [sym_list] = STATE(72),
    [sym_set] = STATE(72),
    [sym_set_comprehension] = STATE(72),
    [sym__primary_expression] = STATE(72),
    [sym_integer] = ACTIONS(185),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(189),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(185),
    [sym_identifier] = ACTIONS(185),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(185),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(189),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(185),
    [sym__string_start] = ACTIONS(73),
  },
  [15] = {
    [sym_dotted_name] = STATE(73),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_lambda_parameters] = STATE(81),
    [sym_tuple] = STATE(79),
    [sym_dictionary_splat] = STATE(80),
    [sym__parameters] = STATE(82),
    [sym_default_parameter] = STATE(79),
    [sym_typed_default_parameter] = STATE(79),
    [sym_typed_parameter] = STATE(79),
    [sym_list_splat] = STATE(80),
    [anon_sym_exec] = ACTIONS(193),
    [anon_sym_print] = ACTIONS(193),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_lambda] = STATE(85),
    [sym_conditional_expression] = STATE(85),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(85),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(85),
    [sym_boolean_operator] = STATE(85),
    [sym_await] = STATE(85),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_chevron] = STATE(84),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(85),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(85),
    [sym__newline] = ACTIONS(203),
    [sym_integer] = ACTIONS(93),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_is] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_LT_LT_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_STAR_EQ] = ACTIONS(203),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(203),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_and] = ACTIONS(205),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_PLUS_EQ] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_SLASH_EQ] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_COLON] = ACTIONS(203),
    [anon_sym_or] = ACTIONS(205),
    [sym_true] = ACTIONS(93),
    [anon_sym_DASH_EQ] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(203),
    [anon_sym_AT_EQ] = ACTIONS(203),
    [anon_sym_PERCENT_EQ] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(205),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(205),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_CARET_EQ] = ACTIONS(203),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(203),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_not] = ACTIONS(205),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(205),
    [anon_sym_GT_GT_EQ] = ACTIONS(203),
    [sym_false] = ACTIONS(93),
  },
  [18] = {
    [sym_lambda] = STATE(58),
    [sym__primary_expression] = STATE(557),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(58),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(58),
    [sym_boolean_operator] = STATE(58),
    [sym_await] = STATE(58),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_expression_list] = STATE(86),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(58),
    [sym_conditional_expression] = STATE(58),
    [sym_comparison_operator] = STATE(58),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [19] = {
    [sym_aliased_import] = STATE(87),
    [sym_dotted_name] = STATE(89),
    [sym__import_list] = STATE(88),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_lambda] = STATE(90),
    [sym_conditional_expression] = STATE(90),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(90),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(90),
    [sym_boolean_operator] = STATE(90),
    [sym_await] = STATE(90),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(90),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(90),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [21] = {
    [sym_identifier] = ACTIONS(209),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_lambda] = STATE(92),
    [sym_conditional_expression] = STATE(92),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(92),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(92),
    [sym_boolean_operator] = STATE(92),
    [sym_await] = STATE(92),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(92),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(92),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [23] = {
    [sym__semicolon] = ACTIONS(211),
    [sym__newline] = ACTIONS(211),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [sym__newline] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(215),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(215),
    [anon_sym_AT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT_EQ] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_PERCENT_EQ] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(213),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_CARET_EQ] = ACTIONS(215),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(215),
    [anon_sym_STAR_EQ] = ACTIONS(215),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_PLUS_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_SLASH_EQ] = ACTIONS(215),
    [anon_sym_GT_GT_EQ] = ACTIONS(215),
    [anon_sym_COLON_EQ] = ACTIONS(217),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_identifier] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_lambda] = STATE(95),
    [sym_conditional_expression] = STATE(95),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(95),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(95),
    [sym_boolean_operator] = STATE(95),
    [sym_await] = STATE(95),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(95),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(95),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [27] = {
    [sym_string] = STATE(96),
    [anon_sym_COLON] = ACTIONS(203),
    [anon_sym_or] = ACTIONS(203),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [sym__newline] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(203),
    [anon_sym_is] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(203),
    [anon_sym_AT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_PERCENT_EQ] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(205),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_CARET_EQ] = ACTIONS(203),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(203),
    [anon_sym_STAR_EQ] = ACTIONS(203),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_and] = ACTIONS(203),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_not] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_PLUS_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_SLASH_EQ] = ACTIONS(203),
    [anon_sym_GT_GT_EQ] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(221),
  },
  [28] = {
    [sym_lambda] = STATE(58),
    [sym__primary_expression] = STATE(557),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(58),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(58),
    [sym_boolean_operator] = STATE(58),
    [sym_await] = STATE(58),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_expression_list] = STATE(98),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(58),
    [sym_conditional_expression] = STATE(58),
    [sym_comparison_operator] = STATE(58),
    [sym__newline] = ACTIONS(223),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(223),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_from] = ACTIONS(225),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [29] = {
    [sym_lambda] = STATE(103),
    [sym_conditional_expression] = STATE(103),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(103),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(102),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(103),
    [sym_boolean_operator] = STATE(103),
    [sym_await] = STATE(103),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(103),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(103),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [30] = {
    [sym_lambda] = STATE(109),
    [sym_conditional_expression] = STATE(109),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(106),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(109),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(107),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(108),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(109),
    [sym_boolean_operator] = STATE(109),
    [sym_await] = STATE(109),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(109),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(109),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(233),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(235),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [31] = {
    [anon_sym_COLON] = ACTIONS(237),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_attribute] = STATE(112),
    [sym_dictionary_comprehension] = STATE(112),
    [sym_generator_expression] = STATE(112),
    [sym_binary_operator] = STATE(112),
    [sym_unary_operator] = STATE(112),
    [sym_call] = STATE(112),
    [sym_list_comprehension] = STATE(112),
    [sym_dictionary] = STATE(112),
    [sym_parenthesized_expression] = STATE(112),
    [sym_tuple] = STATE(112),
    [sym_concatenated_string] = STATE(112),
    [sym_string] = STATE(739),
    [sym_variables] = STATE(111),
    [sym_subscript] = STATE(112),
    [sym_list] = STATE(112),
    [sym_set] = STATE(112),
    [sym_set_comprehension] = STATE(112),
    [sym__primary_expression] = STATE(112),
    [sym_integer] = ACTIONS(239),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(239),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(239),
    [sym__string_start] = ACTIONS(157),
  },
  [33] = {
    [sym__semicolon] = ACTIONS(243),
    [sym__newline] = ACTIONS(243),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__semicolon] = ACTIONS(245),
    [sym__newline] = ACTIONS(245),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [aux_sym__simple_statements_repeat1] = STATE(115),
    [sym__semicolon] = ACTIONS(247),
    [sym__newline] = ACTIONS(249),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_integer] = ACTIONS(251),
    [sym_true] = ACTIONS(251),
    [sym__string_start] = ACTIONS(253),
    [anon_sym_nonlocal] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_assert] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(251),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_from] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [sym_none] = ACTIONS(251),
    [anon_sym_with] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_pass] = ACTIONS(251),
    [sym_float] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(253),
    [anon_sym_AT] = ACTIONS(253),
    [anon_sym_lambda] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [anon_sym_print] = ACTIONS(251),
    [anon_sym_del] = ACTIONS(251),
    [sym_ellipsis] = ACTIONS(253),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_while] = ACTIONS(251),
    [anon_sym_def] = ACTIONS(251),
    [anon_sym_await] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(251),
    [sym_identifier] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(253),
    [anon_sym_global] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(251),
    [ts_builtin_sym_end] = ACTIONS(253),
    [anon_sym_raise] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(251),
    [anon_sym_for] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [anon_sym_continue] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(251),
  },
  [37] = {
    [anon_sym_COLON] = ACTIONS(255),
    [anon_sym_CARET_EQ] = ACTIONS(257),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(257),
    [anon_sym_STAR_EQ] = ACTIONS(257),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(257),
    [anon_sym_DASH_EQ] = ACTIONS(257),
    [anon_sym_AMP_EQ] = ACTIONS(257),
    [anon_sym_AT_EQ] = ACTIONS(257),
    [anon_sym_LT_LT_EQ] = ACTIONS(257),
    [anon_sym_PERCENT_EQ] = ACTIONS(257),
    [anon_sym_PLUS_EQ] = ACTIONS(257),
    [anon_sym_PIPE_EQ] = ACTIONS(257),
    [anon_sym_EQ] = ACTIONS(259),
    [anon_sym_SLASH_EQ] = ACTIONS(257),
    [anon_sym_GT_GT_EQ] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_integer] = ACTIONS(261),
    [sym_true] = ACTIONS(261),
    [sym__string_start] = ACTIONS(263),
    [anon_sym_nonlocal] = ACTIONS(261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(261),
    [anon_sym_assert] = ACTIONS(261),
    [anon_sym_yield] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_from] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(263),
    [sym_none] = ACTIONS(261),
    [anon_sym_with] = ACTIONS(261),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_pass] = ACTIONS(261),
    [sym_float] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(263),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_del] = ACTIONS(261),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_import] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(261),
    [anon_sym_await] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(261),
    [sym_identifier] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [anon_sym_global] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(261),
    [ts_builtin_sym_end] = ACTIONS(263),
    [anon_sym_raise] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_try] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(261),
    [sym_false] = ACTIONS(261),
    [anon_sym_continue] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(261),
  },
  [39] = {
    [sym_argument_list] = STATE(132),
    [aux_sym_comparison_operator_repeat1] = STATE(133),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_or] = ACTIONS(265),
    [sym__newline] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_GT] = ACTIONS(269),
    [anon_sym_DASH_EQ] = ACTIONS(265),
    [anon_sym_is] = ACTIONS(271),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(275),
    [anon_sym_AMP_EQ] = ACTIONS(265),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AT_EQ] = ACTIONS(265),
    [anon_sym_LT_LT_EQ] = ACTIONS(265),
    [anon_sym_PERCENT_EQ] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(275),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(283),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(275),
    [anon_sym_BANG_EQ] = ACTIONS(275),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_EQ_EQ] = ACTIONS(275),
    [anon_sym_CARET_EQ] = ACTIONS(265),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(265),
    [anon_sym_STAR_EQ] = ACTIONS(265),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(265),
    [sym__semicolon] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(265),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(275),
    [anon_sym_PLUS_EQ] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(269),
    [anon_sym_PIPE_EQ] = ACTIONS(265),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_GT_GT_EQ] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(295),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [ts_builtin_sym_end] = ACTIONS(297),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_integer] = ACTIONS(299),
    [sym_true] = ACTIONS(299),
    [sym__string_start] = ACTIONS(301),
    [anon_sym_nonlocal] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(299),
    [anon_sym_assert] = ACTIONS(299),
    [anon_sym_yield] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_from] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(301),
    [sym_none] = ACTIONS(299),
    [anon_sym_with] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_pass] = ACTIONS(299),
    [sym_float] = ACTIONS(301),
    [anon_sym_PLUS] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_lambda] = ACTIONS(299),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_print] = ACTIONS(299),
    [anon_sym_del] = ACTIONS(299),
    [sym_ellipsis] = ACTIONS(301),
    [anon_sym_import] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_def] = ACTIONS(299),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_break] = ACTIONS(299),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(301),
    [anon_sym_global] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(299),
    [anon_sym_exec] = ACTIONS(299),
    [ts_builtin_sym_end] = ACTIONS(301),
    [anon_sym_raise] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(301),
    [anon_sym_try] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [sym_false] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
  },
  [42] = {
    [sym_string] = STATE(134),
    [aux_sym_concatenated_string_repeat1] = STATE(134),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(213),
    [sym__newline] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_DASH_EQ] = ACTIONS(215),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(213),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_AMP_EQ] = ACTIONS(215),
    [anon_sym_AT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT_EQ] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_PERCENT_EQ] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(213),
    [anon_sym_STAR_STAR] = ACTIONS(213),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(213),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(213),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_CARET_EQ] = ACTIONS(215),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(215),
    [anon_sym_STAR_EQ] = ACTIONS(215),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_PLUS_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(213),
    [anon_sym_PIPE] = ACTIONS(213),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(213),
    [anon_sym_PIPE_EQ] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_SLASH_EQ] = ACTIONS(215),
    [anon_sym_GT_GT_EQ] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [43] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_while_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(38),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(36),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_for_statement] = STATE(36),
    [sym_class_definition] = STATE(36),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_if_statement] = STATE(36),
    [sym_global_statement] = STATE(35),
    [sym_decorator] = STATE(44),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(41),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(135),
    [sym_nonlocal_statement] = STATE(35),
    [aux_sym_decorated_definition_repeat1] = STATE(44),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(7),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(11),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(23),
    [anon_sym_if] = ACTIONS(25),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_def] = ACTIONS(45),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [ts_builtin_sym_end] = ACTIONS(303),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [44] = {
    [aux_sym_decorated_definition_repeat1] = STATE(137),
    [sym_function_definition] = STATE(138),
    [sym_decorator] = STATE(137),
    [sym_class_definition] = STATE(138),
    [anon_sym_async] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(307),
    [anon_sym_def] = ACTIONS(309),
  },
  [45] = {
    [aux_sym_assert_statement_repeat1] = STATE(143),
    [sym__newline] = ACTIONS(245),
    [anon_sym_COLON] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(311),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [sym__semicolon] = ACTIONS(245),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_COMMA] = ACTIONS(319),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_attribute] = STATE(112),
    [sym_dictionary_comprehension] = STATE(112),
    [sym_generator_expression] = STATE(112),
    [sym_binary_operator] = STATE(112),
    [sym_unary_operator] = STATE(112),
    [sym_call] = STATE(112),
    [sym_list_comprehension] = STATE(112),
    [sym_dictionary] = STATE(112),
    [sym_parenthesized_expression] = STATE(112),
    [sym_tuple] = STATE(112),
    [sym_concatenated_string] = STATE(112),
    [sym_string] = STATE(739),
    [sym_variables] = STATE(144),
    [sym_subscript] = STATE(112),
    [sym_list] = STATE(112),
    [sym_set] = STATE(112),
    [sym_set_comprehension] = STATE(112),
    [sym__primary_expression] = STATE(112),
    [sym_integer] = ACTIONS(239),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(239),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(239),
    [sym__string_start] = ACTIONS(157),
  },
  [47] = {
    [sym_lambda] = STATE(70),
    [sym__primary_expression] = STATE(824),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(70),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_with_item] = STATE(145),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(70),
    [sym_boolean_operator] = STATE(70),
    [sym_await] = STATE(70),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(70),
    [sym_conditional_expression] = STATE(70),
    [sym_comparison_operator] = STATE(70),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [48] = {
    [sym_identifier] = ACTIONS(321),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_or] = ACTIONS(323),
    [anon_sym_SLASH_SLASH] = ACTIONS(325),
    [sym__newline] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_DASH_EQ] = ACTIONS(323),
    [anon_sym_is] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(325),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_AMP_EQ] = ACTIONS(323),
    [anon_sym_AT_EQ] = ACTIONS(323),
    [anon_sym_LT_LT_EQ] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(323),
    [anon_sym_PERCENT_EQ] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(325),
    [anon_sym_STAR_STAR] = ACTIONS(325),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(325),
    [anon_sym_LT_GT] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(323),
    [anon_sym_CARET] = ACTIONS(325),
    [anon_sym_EQ_EQ] = ACTIONS(323),
    [anon_sym_CARET_EQ] = ACTIONS(323),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(323),
    [anon_sym_STAR_EQ] = ACTIONS(323),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(323),
    [sym__semicolon] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(325),
    [anon_sym_and] = ACTIONS(323),
    [anon_sym_PERCENT] = ACTIONS(325),
    [anon_sym_not] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_PLUS_EQ] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(325),
    [anon_sym_PIPE] = ACTIONS(325),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT_GT] = ACTIONS(325),
    [anon_sym_PIPE_EQ] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [anon_sym_SLASH_EQ] = ACTIONS(323),
    [anon_sym_GT_GT_EQ] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(323),
  },
  [50] = {
    [sym_lambda] = STATE(147),
    [sym_conditional_expression] = STATE(147),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(147),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(147),
    [sym_boolean_operator] = STATE(147),
    [sym_await] = STATE(147),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(147),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(147),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [51] = {
    [sym_interpolation] = STATE(149),
    [aux_sym_string_repeat1] = STATE(149),
    [sym_escape_sequence] = ACTIONS(327),
    [sym__string_end] = ACTIONS(329),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [52] = {
    [aux_sym_global_statement_repeat1] = STATE(151),
    [sym__semicolon] = ACTIONS(331),
    [sym__newline] = ACTIONS(331),
    [anon_sym_COMMA] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_argument_list] = STATE(154),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_COLON] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__newline] = ACTIONS(203),
    [anon_sym_or] = ACTIONS(203),
    [anon_sym_SLASH_SLASH] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_is] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_from] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_STAR_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(203),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_and] = ACTIONS(203),
    [anon_sym_PERCENT] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [aux_sym_assert_statement_repeat1] = STATE(156),
    [sym__semicolon] = ACTIONS(339),
    [sym__newline] = ACTIONS(339),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_and] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_lambda] = STATE(157),
    [sym_conditional_expression] = STATE(157),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(157),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(157),
    [sym_boolean_operator] = STATE(157),
    [sym_await] = STATE(157),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(157),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(157),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [57] = {
    [sym__semicolon] = ACTIONS(349),
    [sym__newline] = ACTIONS(349),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [aux_sym_assert_statement_repeat1] = STATE(159),
    [sym__newline] = ACTIONS(311),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [sym__semicolon] = ACTIONS(311),
    [anon_sym_COMMA] = ACTIONS(351),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(311),
  },
  [59] = {
    [sym__semicolon] = ACTIONS(353),
    [sym__newline] = ACTIONS(353),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [aux_sym_dotted_name_repeat1] = STATE(161),
    [anon_sym_DOT] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(357),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(357),
    [anon_sym_RPAREN] = ACTIONS(357),
    [anon_sym_as] = ACTIONS(357),
  },
  [61] = {
    [anon_sym_import] = ACTIONS(359),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [anon_sym_import] = ACTIONS(361),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [aux_sym_import_prefix_repeat1] = STATE(164),
    [anon_sym_DOT] = ACTIONS(363),
    [sym_identifier] = ACTIONS(365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(365),
  },
  [64] = {
    [sym_dotted_name] = STATE(165),
    [anon_sym_import] = ACTIONS(367),
    [sym_identifier] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [anon_sym_COLON] = ACTIONS(369),
    [anon_sym_or] = ACTIONS(369),
    [anon_sym_SLASH_SLASH] = ACTIONS(371),
    [sym__newline] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(371),
    [anon_sym_DASH_EQ] = ACTIONS(369),
    [anon_sym_is] = ACTIONS(369),
    [anon_sym_AMP] = ACTIONS(371),
    [anon_sym_LT_EQ] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_AMP_EQ] = ACTIONS(369),
    [anon_sym_AT_EQ] = ACTIONS(369),
    [anon_sym_LT_LT_EQ] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_in] = ACTIONS(369),
    [anon_sym_PERCENT_EQ] = ACTIONS(369),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(371),
    [anon_sym_STAR_STAR] = ACTIONS(371),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_EQ] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(371),
    [anon_sym_LT_GT] = ACTIONS(369),
    [anon_sym_BANG_EQ] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(371),
    [anon_sym_EQ_EQ] = ACTIONS(369),
    [anon_sym_CARET_EQ] = ACTIONS(369),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(369),
    [anon_sym_STAR_EQ] = ACTIONS(369),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(369),
    [sym__semicolon] = ACTIONS(369),
    [anon_sym_DASH] = ACTIONS(371),
    [anon_sym_and] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(371),
    [anon_sym_not] = ACTIONS(369),
    [anon_sym_GT_EQ] = ACTIONS(369),
    [anon_sym_PLUS_EQ] = ACTIONS(369),
    [anon_sym_LT_LT] = ACTIONS(371),
    [anon_sym_PIPE] = ACTIONS(371),
    [anon_sym_LT] = ACTIONS(371),
    [anon_sym_GT_GT] = ACTIONS(371),
    [anon_sym_PIPE_EQ] = ACTIONS(369),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(369),
    [anon_sym_COMMA] = ACTIONS(369),
    [anon_sym_SLASH_EQ] = ACTIONS(369),
    [anon_sym_GT_GT_EQ] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [anon_sym_RPAREN] = ACTIONS(373),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [aux_sym_tuple_repeat1] = STATE(169),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(377),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_tuple_repeat1] = STATE(169),
    [sym__comprehension_body] = STATE(173),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(375),
    [anon_sym_COMMA] = ACTIONS(377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [69] = {
    [aux_sym_with_statement_repeat1] = STATE(176),
    [anon_sym_COLON] = ACTIONS(389),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [anon_sym_COLON] = ACTIONS(393),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(393),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(401),
  },
  [71] = {
    [anon_sym_COLON] = ACTIONS(403),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(405),
    [anon_sym_or] = ACTIONS(405),
    [anon_sym_SLASH_SLASH] = ACTIONS(407),
    [sym__newline] = ACTIONS(405),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_DASH_EQ] = ACTIONS(405),
    [anon_sym_is] = ACTIONS(405),
    [anon_sym_AMP] = ACTIONS(407),
    [anon_sym_LT_EQ] = ACTIONS(405),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_AMP_EQ] = ACTIONS(405),
    [anon_sym_AT_EQ] = ACTIONS(405),
    [anon_sym_LT_LT_EQ] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(405),
    [anon_sym_PERCENT_EQ] = ACTIONS(405),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(407),
    [anon_sym_STAR_STAR] = ACTIONS(407),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_EQ] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(407),
    [anon_sym_LT_GT] = ACTIONS(405),
    [anon_sym_BANG_EQ] = ACTIONS(405),
    [anon_sym_CARET] = ACTIONS(407),
    [anon_sym_EQ_EQ] = ACTIONS(405),
    [anon_sym_CARET_EQ] = ACTIONS(405),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(405),
    [anon_sym_STAR_EQ] = ACTIONS(405),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(405),
    [sym__semicolon] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(407),
    [anon_sym_and] = ACTIONS(405),
    [anon_sym_PERCENT] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(405),
    [anon_sym_GT_EQ] = ACTIONS(405),
    [anon_sym_PLUS_EQ] = ACTIONS(405),
    [anon_sym_LT_LT] = ACTIONS(407),
    [anon_sym_PIPE] = ACTIONS(407),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT_GT] = ACTIONS(407),
    [anon_sym_PIPE_EQ] = ACTIONS(405),
    [anon_sym_LBRACK] = ACTIONS(405),
    [anon_sym_DOT] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(405),
    [anon_sym_SLASH_EQ] = ACTIONS(405),
    [anon_sym_GT_GT_EQ] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_argument_list] = STATE(180),
    [anon_sym_LPAREN] = ACTIONS(409),
    [sym__newline] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [aux_sym__parameters_repeat1] = STATE(184),
    [anon_sym_COLON] = ACTIONS(413),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_COMMA] = ACTIONS(417),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [aux_sym__parameters_repeat1] = STATE(188),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_EQ] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_lambda] = STATE(190),
    [sym_yield] = STATE(189),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(190),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(190),
    [sym_boolean_operator] = STATE(190),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(190),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(190),
    [sym__expression] = STATE(190),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(190),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [77] = {
    [sym_lambda] = STATE(192),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(192),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(192),
    [sym_boolean_operator] = STATE(192),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(192),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(192),
    [sym__expression] = STATE(192),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(192),
    [anon_sym_COLON] = ACTIONS(429),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(431),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(429),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [78] = {
    [sym_lambda] = STATE(193),
    [sym_conditional_expression] = STATE(193),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(193),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(193),
    [sym_boolean_operator] = STATE(193),
    [sym_await] = STATE(193),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(193),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(193),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [79] = {
    [aux_sym__parameters_repeat1] = STATE(188),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_COMMA] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [aux_sym__parameters_repeat1] = STATE(188),
    [anon_sym_COLON] = ACTIONS(419),
    [anon_sym_COMMA] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [anon_sym_COLON] = ACTIONS(433),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [anon_sym_COLON] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_lambda] = STATE(196),
    [sym_conditional_expression] = STATE(196),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(196),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(196),
    [sym_boolean_operator] = STATE(196),
    [sym_await] = STATE(196),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(196),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(196),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [84] = {
    [aux_sym_print_statement_repeat1] = STATE(198),
    [sym__semicolon] = ACTIONS(437),
    [sym__newline] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [aux_sym_print_statement_repeat1] = STATE(200),
    [sym__semicolon] = ACTIONS(441),
    [sym__newline] = ACTIONS(441),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_and] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__semicolon] = ACTIONS(445),
    [sym__newline] = ACTIONS(445),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [aux_sym__import_list_repeat1] = STATE(202),
    [sym__semicolon] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [anon_sym_COMMA] = ACTIONS(449),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__semicolon] = ACTIONS(451),
    [sym__newline] = ACTIONS(451),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [aux_sym__import_list_repeat1] = STATE(202),
    [sym__semicolon] = ACTIONS(447),
    [sym__newline] = ACTIONS(447),
    [anon_sym_COMMA] = ACTIONS(449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(453),
  },
  [90] = {
    [anon_sym_COLON] = ACTIONS(455),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_parameters] = STATE(206),
    [anon_sym_LPAREN] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [anon_sym_COLON] = ACTIONS(459),
    [anon_sym_or] = ACTIONS(459),
    [anon_sym_CARET_EQ] = ACTIONS(459),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(459),
    [anon_sym_STAR_EQ] = ACTIONS(459),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(459),
    [sym__newline] = ACTIONS(459),
    [anon_sym_DASH_EQ] = ACTIONS(459),
    [sym__semicolon] = ACTIONS(459),
    [anon_sym_and] = ACTIONS(459),
    [anon_sym_AMP_EQ] = ACTIONS(459),
    [anon_sym_AT_EQ] = ACTIONS(459),
    [anon_sym_LT_LT_EQ] = ACTIONS(459),
    [anon_sym_PERCENT_EQ] = ACTIONS(459),
    [anon_sym_from] = ACTIONS(459),
    [anon_sym_PLUS_EQ] = ACTIONS(459),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_PIPE_EQ] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(459),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_SLASH_EQ] = ACTIONS(459),
    [anon_sym_GT_GT_EQ] = ACTIONS(459),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_lambda] = STATE(207),
    [sym_conditional_expression] = STATE(207),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(207),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(207),
    [sym_boolean_operator] = STATE(207),
    [sym_await] = STATE(207),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(207),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(207),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [94] = {
    [aux_sym_global_statement_repeat1] = STATE(208),
    [sym__semicolon] = ACTIONS(461),
    [sym__newline] = ACTIONS(461),
    [anon_sym_COMMA] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_CARET_EQ] = ACTIONS(463),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(463),
    [anon_sym_STAR_EQ] = ACTIONS(463),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(463),
    [sym__newline] = ACTIONS(463),
    [anon_sym_DASH_EQ] = ACTIONS(463),
    [sym__semicolon] = ACTIONS(463),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AMP_EQ] = ACTIONS(463),
    [anon_sym_AT_EQ] = ACTIONS(463),
    [anon_sym_LT_LT_EQ] = ACTIONS(463),
    [anon_sym_PERCENT_EQ] = ACTIONS(463),
    [anon_sym_PLUS_EQ] = ACTIONS(463),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_PIPE_EQ] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(463),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_SLASH_EQ] = ACTIONS(463),
    [anon_sym_GT_GT_EQ] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__semicolon] = ACTIONS(465),
    [sym__newline] = ACTIONS(465),
    [anon_sym_in] = ACTIONS(467),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_lambda] = STATE(210),
    [sym_conditional_expression] = STATE(210),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(210),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(210),
    [sym_boolean_operator] = STATE(210),
    [sym_await] = STATE(210),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(210),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(210),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [98] = {
    [sym__semicolon] = ACTIONS(469),
    [sym__newline] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(471),
  },
  [99] = {
    [sym_lambda] = STATE(192),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(192),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(192),
    [sym_boolean_operator] = STATE(192),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(192),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(192),
    [sym__expression] = STATE(192),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(192),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(429),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(429),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [100] = {
    [anon_sym_COLON] = ACTIONS(473),
    [anon_sym_or] = ACTIONS(473),
    [anon_sym_SLASH_SLASH] = ACTIONS(475),
    [sym__newline] = ACTIONS(473),
    [anon_sym_GT] = ACTIONS(475),
    [anon_sym_DASH_EQ] = ACTIONS(473),
    [anon_sym_is] = ACTIONS(473),
    [anon_sym_AMP] = ACTIONS(475),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_STAR] = ACTIONS(475),
    [anon_sym_AMP_EQ] = ACTIONS(473),
    [anon_sym_AT_EQ] = ACTIONS(473),
    [anon_sym_LT_LT_EQ] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_in] = ACTIONS(473),
    [anon_sym_PERCENT_EQ] = ACTIONS(473),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_PLUS] = ACTIONS(475),
    [anon_sym_STAR_STAR] = ACTIONS(475),
    [anon_sym_SLASH] = ACTIONS(475),
    [anon_sym_EQ] = ACTIONS(475),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_LT_GT] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_CARET] = ACTIONS(475),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_CARET_EQ] = ACTIONS(473),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(473),
    [anon_sym_STAR_EQ] = ACTIONS(473),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(473),
    [sym__semicolon] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(475),
    [anon_sym_and] = ACTIONS(473),
    [anon_sym_PERCENT] = ACTIONS(475),
    [anon_sym_not] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_PLUS_EQ] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(475),
    [anon_sym_PIPE] = ACTIONS(475),
    [anon_sym_LT] = ACTIONS(475),
    [anon_sym_GT_GT] = ACTIONS(475),
    [anon_sym_PIPE_EQ] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_COMMA] = ACTIONS(473),
    [anon_sym_SLASH_EQ] = ACTIONS(473),
    [anon_sym_GT_GT_EQ] = ACTIONS(473),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [anon_sym_RBRACK] = ACTIONS(477),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [aux_sym_list_repeat1] = STATE(214),
    [anon_sym_RBRACK] = ACTIONS(477),
    [anon_sym_COMMA] = ACTIONS(479),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(215),
    [aux_sym_list_repeat1] = STATE(214),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(479),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(477),
    [anon_sym_async] = ACTIONS(387),
  },
  [104] = {
    [anon_sym_COLON] = ACTIONS(481),
    [anon_sym_or] = ACTIONS(481),
    [anon_sym_SLASH_SLASH] = ACTIONS(483),
    [sym__newline] = ACTIONS(481),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_DASH_EQ] = ACTIONS(481),
    [anon_sym_is] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(483),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_AMP_EQ] = ACTIONS(481),
    [anon_sym_AT_EQ] = ACTIONS(481),
    [anon_sym_LT_LT_EQ] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(481),
    [anon_sym_PERCENT_EQ] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(481),
    [anon_sym_PLUS] = ACTIONS(483),
    [anon_sym_STAR_STAR] = ACTIONS(483),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_EQ] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(483),
    [anon_sym_LT_GT] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(481),
    [anon_sym_CARET] = ACTIONS(483),
    [anon_sym_EQ_EQ] = ACTIONS(481),
    [anon_sym_CARET_EQ] = ACTIONS(481),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(481),
    [anon_sym_STAR_EQ] = ACTIONS(481),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(481),
    [sym__semicolon] = ACTIONS(481),
    [anon_sym_DASH] = ACTIONS(483),
    [anon_sym_and] = ACTIONS(481),
    [anon_sym_PERCENT] = ACTIONS(483),
    [anon_sym_not] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_PLUS_EQ] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(483),
    [anon_sym_PIPE] = ACTIONS(483),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(483),
    [anon_sym_PIPE_EQ] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_DOT] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [anon_sym_SLASH_EQ] = ACTIONS(481),
    [anon_sym_GT_GT_EQ] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [anon_sym_RBRACE] = ACTIONS(485),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [aux_sym_dictionary_repeat1] = STATE(218),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_COMMA] = ACTIONS(487),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_dictionary_repeat1] = STATE(218),
    [sym__comprehension_body] = STATE(219),
    [anon_sym_COMMA] = ACTIONS(487),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_RBRACE] = ACTIONS(485),
    [anon_sym_async] = ACTIONS(387),
  },
  [108] = {
    [aux_sym_list_repeat1] = STATE(222),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_COMMA] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(224),
    [aux_sym_list_repeat1] = STATE(222),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(489),
    [anon_sym_COMMA] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [110] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(900),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(900),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(900),
    [sym_continue_statement] = STATE(900),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(900),
    [sym_return_statement] = STATE(900),
    [sym_delete_statement] = STATE(900),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(900),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(226),
    [sym_future_import_statement] = STATE(900),
    [sym_import_from_statement] = STATE(900),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(900),
    [sym_raise_statement] = STATE(900),
    [sym_pass_statement] = STATE(900),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(900),
    [sym_exec_statement] = STATE(900),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(495),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [111] = {
    [anon_sym_in] = ACTIONS(497),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_argument_list] = STATE(760),
    [aux_sym_variables_repeat1] = STATE(229),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_LPAREN] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(509),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_COMMA] = ACTIONS(517),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_DOT] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_CARET] = ACTIONS(523),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(231),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(231),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_exec_statement] = STATE(231),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_unary_operator] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(231),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [sym_nonlocal_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(525),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [114] = {
    [sym_integer] = ACTIONS(527),
    [anon_sym_yield] = ACTIONS(527),
    [anon_sym_from] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(529),
    [sym_none] = ACTIONS(527),
    [anon_sym_with] = ACTIONS(527),
    [anon_sym_pass] = ACTIONS(527),
    [sym_float] = ACTIONS(529),
    [anon_sym_lambda] = ACTIONS(527),
    [anon_sym_print] = ACTIONS(527),
    [sym_ellipsis] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(527),
    [anon_sym_break] = ACTIONS(527),
    [sym_identifier] = ACTIONS(527),
    [anon_sym_global] = ACTIONS(527),
    [anon_sym_exec] = ACTIONS(527),
    [anon_sym_LBRACE] = ACTIONS(529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(527),
    [anon_sym_continue] = ACTIONS(527),
    [sym_true] = ACTIONS(527),
    [sym__string_start] = ACTIONS(529),
    [anon_sym_nonlocal] = ACTIONS(527),
    [anon_sym_class] = ACTIONS(527),
    [anon_sym_assert] = ACTIONS(527),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_elif] = ACTIONS(527),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_AT] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_del] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(527),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_except] = ACTIONS(527),
    [anon_sym_else] = ACTIONS(527),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(527),
    [ts_builtin_sym_end] = ACTIONS(529),
    [anon_sym_raise] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(529),
    [anon_sym_try] = ACTIONS(527),
    [sym_false] = ACTIONS(527),
    [anon_sym_finally] = ACTIONS(527),
    [anon_sym_async] = ACTIONS(527),
  },
  [115] = {
    [aux_sym__simple_statements_repeat1] = STATE(233),
    [sym__semicolon] = ACTIONS(531),
    [sym__newline] = ACTIONS(525),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_lambda] = STATE(235),
    [sym_conditional_expression] = STATE(235),
    [sym_attribute] = STATE(557),
    [sym_type] = STATE(234),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(235),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(235),
    [sym_boolean_operator] = STATE(235),
    [sym_await] = STATE(235),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(235),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(235),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [117] = {
    [sym_lambda] = STATE(903),
    [sym_yield] = STATE(237),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(903),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(236),
    [sym_not_operator] = STATE(903),
    [sym_boolean_operator] = STATE(903),
    [sym_assignment] = STATE(237),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(903),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(237),
    [sym__right_hand_side] = STATE(237),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(903),
    [sym__expression] = STATE(903),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(903),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [118] = {
    [sym_lambda] = STATE(903),
    [sym_yield] = STATE(238),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(903),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(236),
    [sym_not_operator] = STATE(903),
    [sym_boolean_operator] = STATE(903),
    [sym_assignment] = STATE(238),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(903),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(238),
    [sym__right_hand_side] = STATE(238),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(903),
    [sym__expression] = STATE(903),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(903),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [119] = {
    [sym_lambda] = STATE(241),
    [sym_conditional_expression] = STATE(241),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(241),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(241),
    [sym_boolean_operator] = STATE(241),
    [sym_await] = STATE(241),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(240),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(241),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(241),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [120] = {
    [sym_attribute] = STATE(242),
    [sym_dictionary_comprehension] = STATE(242),
    [sym_generator_expression] = STATE(242),
    [sym_binary_operator] = STATE(242),
    [sym_unary_operator] = STATE(242),
    [sym_call] = STATE(242),
    [sym_list_comprehension] = STATE(242),
    [sym_dictionary] = STATE(242),
    [sym_parenthesized_expression] = STATE(242),
    [sym_tuple] = STATE(242),
    [sym_concatenated_string] = STATE(242),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(242),
    [sym_list] = STATE(242),
    [sym_set] = STATE(242),
    [sym_set_comprehension] = STATE(242),
    [sym__primary_expression] = STATE(242),
    [sym_integer] = ACTIONS(535),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(537),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(535),
    [sym_identifier] = ACTIONS(535),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(537),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(535),
    [sym__string_start] = ACTIONS(73),
  },
  [121] = {
    [sym_attribute] = STATE(243),
    [sym_dictionary_comprehension] = STATE(243),
    [sym_generator_expression] = STATE(243),
    [sym_binary_operator] = STATE(243),
    [sym_unary_operator] = STATE(243),
    [sym_call] = STATE(243),
    [sym_list_comprehension] = STATE(243),
    [sym_dictionary] = STATE(243),
    [sym_parenthesized_expression] = STATE(243),
    [sym_tuple] = STATE(243),
    [sym_concatenated_string] = STATE(243),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(243),
    [sym_list] = STATE(243),
    [sym_set] = STATE(243),
    [sym_set_comprehension] = STATE(243),
    [sym__primary_expression] = STATE(243),
    [sym_integer] = ACTIONS(539),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(539),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(539),
    [sym__string_start] = ACTIONS(73),
  },
  [122] = {
    [sym_attribute] = STATE(243),
    [sym_dictionary_comprehension] = STATE(243),
    [sym_generator_expression] = STATE(243),
    [sym_binary_operator] = STATE(243),
    [sym_unary_operator] = STATE(243),
    [sym_call] = STATE(243),
    [sym_list_comprehension] = STATE(243),
    [sym_dictionary] = STATE(243),
    [sym_parenthesized_expression] = STATE(243),
    [sym_tuple] = STATE(243),
    [sym_concatenated_string] = STATE(243),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(243),
    [sym_list] = STATE(243),
    [sym_set] = STATE(243),
    [sym_set_comprehension] = STATE(243),
    [sym__primary_expression] = STATE(243),
    [sym_integer] = ACTIONS(539),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(541),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(539),
    [sym_identifier] = ACTIONS(539),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(543),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(539),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(541),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(539),
    [sym__string_start] = ACTIONS(73),
  },
  [123] = {
    [sym_attribute] = STATE(245),
    [sym_dictionary_comprehension] = STATE(245),
    [sym_generator_expression] = STATE(245),
    [sym_binary_operator] = STATE(245),
    [sym_unary_operator] = STATE(245),
    [sym_call] = STATE(245),
    [sym_list_comprehension] = STATE(245),
    [sym_dictionary] = STATE(245),
    [sym_parenthesized_expression] = STATE(245),
    [sym_tuple] = STATE(245),
    [sym_concatenated_string] = STATE(245),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(245),
    [sym_list] = STATE(245),
    [sym_set] = STATE(245),
    [sym_set_comprehension] = STATE(245),
    [sym__primary_expression] = STATE(245),
    [sym_integer] = ACTIONS(545),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(545),
    [sym_identifier] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(547),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(545),
    [sym__string_start] = ACTIONS(73),
  },
  [124] = {
    [sym_attribute] = STATE(246),
    [sym_dictionary_comprehension] = STATE(246),
    [sym_generator_expression] = STATE(246),
    [sym_binary_operator] = STATE(246),
    [sym_unary_operator] = STATE(246),
    [sym_call] = STATE(246),
    [sym_list_comprehension] = STATE(246),
    [sym_dictionary] = STATE(246),
    [sym_parenthesized_expression] = STATE(246),
    [sym_tuple] = STATE(246),
    [sym_concatenated_string] = STATE(246),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(246),
    [sym_list] = STATE(246),
    [sym_set] = STATE(246),
    [sym_set_comprehension] = STATE(246),
    [sym__primary_expression] = STATE(246),
    [sym_integer] = ACTIONS(549),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(551),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(549),
    [sym_identifier] = ACTIONS(549),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(549),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(551),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(549),
    [sym__string_start] = ACTIONS(73),
  },
  [125] = {
    [anon_sym_in] = ACTIONS(553),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_lambda] = STATE(252),
    [sym_conditional_expression] = STATE(252),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(251),
    [sym_keyword_argument] = STATE(251),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(252),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(251),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(252),
    [sym_boolean_operator] = STATE(252),
    [sym_await] = STATE(252),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(252),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(252),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(561),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [127] = {
    [sym_attribute] = STATE(253),
    [sym_dictionary_comprehension] = STATE(253),
    [sym_generator_expression] = STATE(253),
    [sym_binary_operator] = STATE(253),
    [sym_unary_operator] = STATE(253),
    [sym_call] = STATE(253),
    [sym_list_comprehension] = STATE(253),
    [sym_dictionary] = STATE(253),
    [sym_parenthesized_expression] = STATE(253),
    [sym_tuple] = STATE(253),
    [sym_concatenated_string] = STATE(253),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(253),
    [sym_list] = STATE(253),
    [sym_set] = STATE(253),
    [sym_set_comprehension] = STATE(253),
    [sym__primary_expression] = STATE(253),
    [sym_integer] = ACTIONS(563),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(565),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(563),
    [sym_identifier] = ACTIONS(563),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(563),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(563),
    [sym__string_start] = ACTIONS(73),
  },
  [128] = {
    [sym_attribute] = STATE(254),
    [sym_dictionary_comprehension] = STATE(254),
    [sym_generator_expression] = STATE(254),
    [sym_binary_operator] = STATE(254),
    [sym_unary_operator] = STATE(254),
    [sym_call] = STATE(254),
    [sym_list_comprehension] = STATE(254),
    [sym_dictionary] = STATE(254),
    [sym_parenthesized_expression] = STATE(254),
    [sym_tuple] = STATE(254),
    [sym_concatenated_string] = STATE(254),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(254),
    [sym_list] = STATE(254),
    [sym_set] = STATE(254),
    [sym_set_comprehension] = STATE(254),
    [sym__primary_expression] = STATE(254),
    [sym_integer] = ACTIONS(567),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(567),
    [sym_identifier] = ACTIONS(567),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(567),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(567),
    [sym__string_start] = ACTIONS(73),
  },
  [129] = {
    [sym_attribute] = STATE(255),
    [sym_dictionary_comprehension] = STATE(255),
    [sym_generator_expression] = STATE(255),
    [sym_binary_operator] = STATE(255),
    [sym_unary_operator] = STATE(255),
    [sym_call] = STATE(255),
    [sym_list_comprehension] = STATE(255),
    [sym_dictionary] = STATE(255),
    [sym_parenthesized_expression] = STATE(255),
    [sym_tuple] = STATE(255),
    [sym_concatenated_string] = STATE(255),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(255),
    [sym_list] = STATE(255),
    [sym_set] = STATE(255),
    [sym_set_comprehension] = STATE(255),
    [sym__primary_expression] = STATE(255),
    [sym_integer] = ACTIONS(571),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(573),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(571),
    [sym_identifier] = ACTIONS(571),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(571),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(571),
    [sym__string_start] = ACTIONS(73),
  },
  [130] = {
    [sym_identifier] = ACTIONS(575),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_attribute] = STATE(257),
    [sym_dictionary_comprehension] = STATE(257),
    [sym_generator_expression] = STATE(257),
    [sym_binary_operator] = STATE(257),
    [sym_unary_operator] = STATE(257),
    [sym_call] = STATE(257),
    [sym_list_comprehension] = STATE(257),
    [sym_dictionary] = STATE(257),
    [sym_parenthesized_expression] = STATE(257),
    [sym_tuple] = STATE(257),
    [sym_concatenated_string] = STATE(257),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(257),
    [sym_list] = STATE(257),
    [sym_set] = STATE(257),
    [sym_set_comprehension] = STATE(257),
    [sym__primary_expression] = STATE(257),
    [sym_integer] = ACTIONS(577),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(579),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(577),
    [sym_identifier] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(579),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(577),
    [sym__string_start] = ACTIONS(73),
  },
  [132] = {
    [anon_sym_COLON] = ACTIONS(581),
    [anon_sym_or] = ACTIONS(581),
    [anon_sym_SLASH_SLASH] = ACTIONS(583),
    [sym__newline] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_DASH_EQ] = ACTIONS(581),
    [anon_sym_is] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(583),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_AMP_EQ] = ACTIONS(581),
    [anon_sym_AT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT_EQ] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_in] = ACTIONS(581),
    [anon_sym_PERCENT_EQ] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(583),
    [anon_sym_STAR_STAR] = ACTIONS(583),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_EQ] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(583),
    [anon_sym_LT_GT] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(583),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_CARET_EQ] = ACTIONS(581),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(581),
    [anon_sym_STAR_EQ] = ACTIONS(581),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(581),
    [sym__semicolon] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(583),
    [anon_sym_and] = ACTIONS(581),
    [anon_sym_PERCENT] = ACTIONS(583),
    [anon_sym_not] = ACTIONS(581),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_PLUS_EQ] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(583),
    [anon_sym_PIPE] = ACTIONS(583),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT_GT] = ACTIONS(583),
    [anon_sym_PIPE_EQ] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [anon_sym_SLASH_EQ] = ACTIONS(581),
    [anon_sym_GT_GT_EQ] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [aux_sym_comparison_operator_repeat1] = STATE(258),
    [anon_sym_COLON] = ACTIONS(585),
    [anon_sym_or] = ACTIONS(585),
    [sym__newline] = ACTIONS(585),
    [anon_sym_GT] = ACTIONS(269),
    [anon_sym_DASH_EQ] = ACTIONS(585),
    [anon_sym_is] = ACTIONS(271),
    [anon_sym_LT_EQ] = ACTIONS(275),
    [anon_sym_AMP_EQ] = ACTIONS(585),
    [anon_sym_AT_EQ] = ACTIONS(585),
    [anon_sym_LT_LT_EQ] = ACTIONS(585),
    [anon_sym_PERCENT_EQ] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(275),
    [anon_sym_if] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [anon_sym_LT_GT] = ACTIONS(275),
    [anon_sym_BANG_EQ] = ACTIONS(275),
    [anon_sym_EQ_EQ] = ACTIONS(275),
    [anon_sym_CARET_EQ] = ACTIONS(585),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(585),
    [anon_sym_STAR_EQ] = ACTIONS(585),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(585),
    [sym__semicolon] = ACTIONS(585),
    [anon_sym_and] = ACTIONS(585),
    [anon_sym_not] = ACTIONS(287),
    [anon_sym_GT_EQ] = ACTIONS(275),
    [anon_sym_PLUS_EQ] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(269),
    [anon_sym_PIPE_EQ] = ACTIONS(585),
    [anon_sym_SLASH_EQ] = ACTIONS(585),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_GT_GT_EQ] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_string] = STATE(259),
    [aux_sym_concatenated_string_repeat1] = STATE(259),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_or] = ACTIONS(589),
    [anon_sym_SLASH_SLASH] = ACTIONS(591),
    [sym__newline] = ACTIONS(589),
    [anon_sym_GT] = ACTIONS(591),
    [anon_sym_DASH_EQ] = ACTIONS(589),
    [anon_sym_is] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(591),
    [anon_sym_LT_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_AMP_EQ] = ACTIONS(589),
    [anon_sym_AT_EQ] = ACTIONS(589),
    [anon_sym_LT_LT_EQ] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_in] = ACTIONS(589),
    [anon_sym_PERCENT_EQ] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_STAR_STAR] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(591),
    [anon_sym_LT_GT] = ACTIONS(589),
    [anon_sym_BANG_EQ] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(591),
    [anon_sym_EQ_EQ] = ACTIONS(589),
    [anon_sym_CARET_EQ] = ACTIONS(589),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(589),
    [anon_sym_STAR_EQ] = ACTIONS(589),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(589),
    [sym__semicolon] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_and] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(591),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(589),
    [anon_sym_PLUS_EQ] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(591),
    [anon_sym_PIPE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(591),
    [anon_sym_GT_GT] = ACTIONS(591),
    [anon_sym_PIPE_EQ] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(589),
    [anon_sym_SLASH_EQ] = ACTIONS(589),
    [anon_sym_GT_GT_EQ] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(73),
  },
  [135] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_while_statement] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(36),
    [sym_decorated_definition] = STATE(36),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(38),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(36),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_for_statement] = STATE(36),
    [sym_class_definition] = STATE(36),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_if_statement] = STATE(36),
    [sym_global_statement] = STATE(35),
    [sym_decorator] = STATE(44),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(41),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(135),
    [sym_nonlocal_statement] = STATE(35),
    [aux_sym_decorated_definition_repeat1] = STATE(44),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(593),
    [sym_true] = ACTIONS(593),
    [sym__string_start] = ACTIONS(596),
    [anon_sym_nonlocal] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(602),
    [anon_sym_assert] = ACTIONS(605),
    [anon_sym_yield] = ACTIONS(608),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_from] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(617),
    [sym_none] = ACTIONS(593),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_pass] = ACTIONS(626),
    [sym_float] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(635),
    [anon_sym_lambda] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(632),
    [anon_sym_print] = ACTIONS(641),
    [anon_sym_del] = ACTIONS(644),
    [sym_ellipsis] = ACTIONS(629),
    [anon_sym_import] = ACTIONS(647),
    [anon_sym_while] = ACTIONS(650),
    [anon_sym_def] = ACTIONS(653),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_break] = ACTIONS(659),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(632),
    [anon_sym_global] = ACTIONS(665),
    [anon_sym_not] = ACTIONS(668),
    [anon_sym_exec] = ACTIONS(671),
    [ts_builtin_sym_end] = ACTIONS(674),
    [anon_sym_raise] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(682),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(688),
    [sym_false] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(691),
    [anon_sym_async] = ACTIONS(694),
  },
  [136] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(79),
  },
  [137] = {
    [sym_decorator] = STATE(137),
    [aux_sym_decorated_definition_repeat1] = STATE(137),
    [anon_sym_async] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_def] = ACTIONS(697),
  },
  [138] = {
    [sym_integer] = ACTIONS(702),
    [sym_true] = ACTIONS(702),
    [sym__string_start] = ACTIONS(704),
    [anon_sym_nonlocal] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(702),
    [anon_sym_assert] = ACTIONS(702),
    [anon_sym_yield] = ACTIONS(702),
    [anon_sym_return] = ACTIONS(702),
    [anon_sym_from] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(704),
    [sym_none] = ACTIONS(702),
    [anon_sym_with] = ACTIONS(702),
    [anon_sym_if] = ACTIONS(702),
    [anon_sym_pass] = ACTIONS(702),
    [sym_float] = ACTIONS(704),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(704),
    [anon_sym_lambda] = ACTIONS(702),
    [anon_sym_TILDE] = ACTIONS(704),
    [anon_sym_print] = ACTIONS(702),
    [anon_sym_del] = ACTIONS(702),
    [sym_ellipsis] = ACTIONS(704),
    [anon_sym_import] = ACTIONS(702),
    [anon_sym_while] = ACTIONS(702),
    [anon_sym_def] = ACTIONS(702),
    [anon_sym_await] = ACTIONS(702),
    [anon_sym_break] = ACTIONS(702),
    [sym_identifier] = ACTIONS(702),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_global] = ACTIONS(702),
    [anon_sym_not] = ACTIONS(702),
    [anon_sym_exec] = ACTIONS(702),
    [ts_builtin_sym_end] = ACTIONS(704),
    [anon_sym_raise] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(704),
    [anon_sym_LBRACE] = ACTIONS(704),
    [anon_sym_try] = ACTIONS(702),
    [anon_sym_for] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [anon_sym_continue] = ACTIONS(702),
    [anon_sym_async] = ACTIONS(702),
  },
  [139] = {
    [sym_lambda] = STATE(260),
    [sym_conditional_expression] = STATE(260),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(260),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(260),
    [sym_boolean_operator] = STATE(260),
    [sym_await] = STATE(260),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(260),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(260),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [140] = {
    [sym_lambda] = STATE(261),
    [sym_conditional_expression] = STATE(261),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(261),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(261),
    [sym_boolean_operator] = STATE(261),
    [sym_await] = STATE(261),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(261),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(261),
    [sym__newline] = ACTIONS(706),
    [anon_sym_COLON] = ACTIONS(708),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(708),
    [anon_sym_AMP_EQ] = ACTIONS(708),
    [anon_sym_AT_EQ] = ACTIONS(708),
    [anon_sym_LT_LT_EQ] = ACTIONS(708),
    [anon_sym_PERCENT_EQ] = ACTIONS(708),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(710),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(708),
    [anon_sym_print] = ACTIONS(187),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(708),
    [anon_sym_STAR_EQ] = ACTIONS(708),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(708),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(706),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [anon_sym_PLUS_EQ] = ACTIONS(708),
    [anon_sym_PIPE_EQ] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(708),
    [anon_sym_GT_GT_EQ] = ACTIONS(708),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [141] = {
    [sym_lambda] = STATE(262),
    [sym_conditional_expression] = STATE(262),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(262),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(262),
    [sym_boolean_operator] = STATE(262),
    [sym_await] = STATE(262),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(262),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(262),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [142] = {
    [sym_lambda] = STATE(263),
    [sym_conditional_expression] = STATE(263),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(263),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(263),
    [sym_boolean_operator] = STATE(263),
    [sym_await] = STATE(263),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(263),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(263),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [143] = {
    [aux_sym_assert_statement_repeat1] = STATE(265),
    [sym__newline] = ACTIONS(706),
    [anon_sym_COLON] = ACTIONS(708),
    [anon_sym_CARET_EQ] = ACTIONS(708),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(708),
    [anon_sym_STAR_EQ] = ACTIONS(708),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(708),
    [anon_sym_DASH_EQ] = ACTIONS(708),
    [sym__semicolon] = ACTIONS(706),
    [anon_sym_AMP_EQ] = ACTIONS(708),
    [anon_sym_AT_EQ] = ACTIONS(708),
    [anon_sym_LT_LT_EQ] = ACTIONS(708),
    [anon_sym_PERCENT_EQ] = ACTIONS(708),
    [anon_sym_PLUS_EQ] = ACTIONS(708),
    [anon_sym_PIPE_EQ] = ACTIONS(708),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_SLASH_EQ] = ACTIONS(708),
    [anon_sym_GT_GT_EQ] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(712),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [anon_sym_in] = ACTIONS(714),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [aux_sym_with_statement_repeat1] = STATE(268),
    [anon_sym_COLON] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_parameters] = STATE(269),
    [anon_sym_LPAREN] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_format_specifier] = STATE(273),
    [anon_sym_COLON] = ACTIONS(718),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACE] = ACTIONS(720),
    [sym_type_conversion] = ACTIONS(722),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [anon_sym_COLON] = ACTIONS(724),
    [anon_sym_or] = ACTIONS(724),
    [anon_sym_SLASH_SLASH] = ACTIONS(726),
    [sym__newline] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_DASH_EQ] = ACTIONS(724),
    [anon_sym_is] = ACTIONS(724),
    [anon_sym_AMP] = ACTIONS(726),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_AMP_EQ] = ACTIONS(724),
    [anon_sym_AT_EQ] = ACTIONS(724),
    [anon_sym_LT_LT_EQ] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(724),
    [anon_sym_PERCENT_EQ] = ACTIONS(724),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(726),
    [anon_sym_STAR_STAR] = ACTIONS(726),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(726),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_CARET] = ACTIONS(726),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [anon_sym_CARET_EQ] = ACTIONS(724),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(724),
    [anon_sym_STAR_EQ] = ACTIONS(724),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(724),
    [sym__semicolon] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(726),
    [anon_sym_and] = ACTIONS(724),
    [anon_sym_PERCENT] = ACTIONS(726),
    [anon_sym_not] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_PLUS_EQ] = ACTIONS(724),
    [anon_sym_LT_LT] = ACTIONS(726),
    [anon_sym_PIPE] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(726),
    [anon_sym_PIPE_EQ] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(724),
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [anon_sym_SLASH_EQ] = ACTIONS(724),
    [anon_sym_GT_GT_EQ] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(724),
  },
  [149] = {
    [sym_interpolation] = STATE(149),
    [aux_sym_string_repeat1] = STATE(149),
    [sym_escape_sequence] = ACTIONS(728),
    [sym__string_end] = ACTIONS(731),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(733),
  },
  [150] = {
    [sym_identifier] = ACTIONS(736),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [aux_sym_global_statement_repeat1] = STATE(275),
    [sym__semicolon] = ACTIONS(738),
    [sym__newline] = ACTIONS(738),
    [anon_sym_COMMA] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_lambda] = STATE(276),
    [sym_conditional_expression] = STATE(276),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(951),
    [sym_keyword_argument] = STATE(951),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(276),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(951),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(276),
    [sym_boolean_operator] = STATE(276),
    [sym_await] = STATE(276),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(276),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(276),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(740),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(742),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [153] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(278),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(744),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [154] = {
    [anon_sym_COLON] = ACTIONS(746),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_lambda] = STATE(628),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(628),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(628),
    [sym_boolean_operator] = STATE(628),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(628),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(628),
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(628),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [156] = {
    [aux_sym_assert_statement_repeat1] = STATE(630),
    [sym__semicolon] = ACTIONS(748),
    [sym__newline] = ACTIONS(748),
    [anon_sym_COMMA] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__semicolon] = ACTIONS(750),
    [sym__newline] = ACTIONS(750),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_and] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_lambda] = STATE(628),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(628),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(628),
    [sym_boolean_operator] = STATE(628),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(628),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(628),
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(628),
    [sym__newline] = ACTIONS(708),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_from] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(708),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [159] = {
    [aux_sym_assert_statement_repeat1] = STATE(630),
    [sym__semicolon] = ACTIONS(708),
    [sym__newline] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(754),
    [sym_comment] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(708),
  },
  [160] = {
    [sym_identifier] = ACTIONS(756),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [aux_sym_dotted_name_repeat1] = STATE(282),
    [anon_sym_DOT] = ACTIONS(355),
    [anon_sym_COMMA] = ACTIONS(758),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(758),
    [anon_sym_RPAREN] = ACTIONS(758),
    [anon_sym_as] = ACTIONS(758),
  },
  [162] = {
    [sym_aliased_import] = STATE(87),
    [sym_dotted_name] = STATE(89),
    [sym__import_list] = STATE(283),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_wildcard_import] = STATE(286),
    [sym__import_list] = STATE(286),
    [sym_aliased_import] = STATE(87),
    [sym_dotted_name] = STATE(89),
    [anon_sym_LPAREN] = ACTIONS(760),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(762),
  },
  [164] = {
    [aux_sym_import_prefix_repeat1] = STATE(164),
    [anon_sym_DOT] = ACTIONS(764),
    [sym_identifier] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(767),
  },
  [165] = {
    [anon_sym_import] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_or] = ACTIONS(771),
    [anon_sym_SLASH_SLASH] = ACTIONS(773),
    [sym__newline] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(771),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(771),
    [anon_sym_AT_EQ] = ACTIONS(771),
    [anon_sym_LT_LT_EQ] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_in] = ACTIONS(771),
    [anon_sym_PERCENT_EQ] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_STAR_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym_LT_GT] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(773),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_CARET_EQ] = ACTIONS(771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(771),
    [anon_sym_STAR_EQ] = ACTIONS(771),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_and] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(773),
    [anon_sym_not] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(771),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_COMMA] = ACTIONS(771),
    [anon_sym_SLASH_EQ] = ACTIONS(771),
    [anon_sym_GT_GT_EQ] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_SLASH_SLASH] = ACTIONS(777),
    [sym__newline] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(775),
    [anon_sym_is] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(777),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(775),
    [anon_sym_AT_EQ] = ACTIONS(775),
    [anon_sym_LT_LT_EQ] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_PERCENT_EQ] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_STAR_STAR] = ACTIONS(777),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [anon_sym_LT_GT] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(777),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_CARET_EQ] = ACTIONS(775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(775),
    [anon_sym_STAR_EQ] = ACTIONS(775),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(777),
    [anon_sym_not] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_PLUS_EQ] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(777),
    [anon_sym_PIPE] = ACTIONS(777),
    [anon_sym_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(775),
    [anon_sym_SLASH_EQ] = ACTIONS(775),
    [anon_sym_GT_GT_EQ] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_await] = STATE(289),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [169] = {
    [aux_sym_tuple_repeat1] = STATE(291),
    [anon_sym_RPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(781),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_attribute] = STATE(112),
    [sym_dictionary_comprehension] = STATE(112),
    [sym_generator_expression] = STATE(112),
    [sym_binary_operator] = STATE(112),
    [sym_unary_operator] = STATE(112),
    [sym_call] = STATE(112),
    [sym_list_comprehension] = STATE(112),
    [sym_dictionary] = STATE(112),
    [sym_parenthesized_expression] = STATE(112),
    [sym_tuple] = STATE(112),
    [sym_concatenated_string] = STATE(112),
    [sym_string] = STATE(739),
    [sym_variables] = STATE(292),
    [sym_subscript] = STATE(112),
    [sym_list] = STATE(112),
    [sym_set] = STATE(112),
    [sym_set_comprehension] = STATE(112),
    [sym__primary_expression] = STATE(112),
    [sym_integer] = ACTIONS(239),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(239),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(239),
    [sym__string_start] = ACTIONS(157),
  },
  [171] = {
    [anon_sym_for] = ACTIONS(783),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_for_in_clause] = STATE(295),
    [aux_sym__comprehension_body_repeat1] = STATE(295),
    [sym_if_clause] = STATE(295),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(787),
    [anon_sym_RPAREN] = ACTIONS(787),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_RBRACK] = ACTIONS(787),
    [anon_sym_async] = ACTIONS(387),
  },
  [173] = {
    [anon_sym_RPAREN] = ACTIONS(789),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(298),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(791),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [175] = {
    [sym_lambda] = STATE(70),
    [sym__primary_expression] = STATE(824),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(70),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_with_item] = STATE(299),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(70),
    [sym_boolean_operator] = STATE(70),
    [sym_await] = STATE(70),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(70),
    [sym_conditional_expression] = STATE(70),
    [sym_comparison_operator] = STATE(70),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [176] = {
    [aux_sym_with_statement_repeat1] = STATE(300),
    [anon_sym_COLON] = ACTIONS(716),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_lambda] = STATE(301),
    [sym_conditional_expression] = STATE(301),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(301),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(301),
    [sym_boolean_operator] = STATE(301),
    [sym_await] = STATE(301),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(301),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(301),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [178] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(303),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(793),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [179] = {
    [anon_sym_async] = ACTIONS(795),
    [anon_sym_AT] = ACTIONS(795),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(795),
    [anon_sym_def] = ACTIONS(795),
  },
  [180] = {
    [sym__newline] = ACTIONS(797),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_lambda] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(305),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(613),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(613),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [182] = {
    [sym_lambda] = STATE(306),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(306),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(306),
    [sym_boolean_operator] = STATE(306),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(306),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(306),
    [sym__expression] = STATE(306),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(306),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [183] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(310),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(310),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_COLON] = ACTIONS(799),
    [anon_sym_exec] = ACTIONS(801),
    [anon_sym_print] = ACTIONS(801),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [aux_sym__parameters_repeat1] = STATE(312),
    [anon_sym_COLON] = ACTIONS(799),
    [anon_sym_COMMA] = ACTIONS(805),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_lambda] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(313),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(613),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(613),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [186] = {
    [sym_lambda] = STATE(314),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(314),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(314),
    [sym_boolean_operator] = STATE(314),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(314),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(314),
    [sym__expression] = STATE(314),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(314),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [187] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(310),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(310),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_exec] = ACTIONS(801),
    [anon_sym_print] = ACTIONS(801),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [aux_sym__parameters_repeat1] = STATE(312),
    [anon_sym_COLON] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(809),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [aux_sym_tuple_repeat1] = STATE(1027),
    [anon_sym_COMMA] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(813),
  },
  [190] = {
    [aux_sym_tuple_repeat1] = STATE(1027),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(813),
    [anon_sym_COMMA] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [191] = {
    [sym_lambda] = STATE(316),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(316),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(316),
    [sym_boolean_operator] = STATE(316),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(316),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(316),
    [sym__expression] = STATE(316),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(316),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [192] = {
    [anon_sym_COLON] = ACTIONS(815),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(815),
    [anon_sym_RPAREN] = ACTIONS(815),
    [anon_sym_COMMA] = ACTIONS(815),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(815),
  },
  [193] = {
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(817),
    [sym__newline] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [sym__semicolon] = ACTIONS(817),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_AT_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_lambda] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(317),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(613),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(613),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [195] = {
    [sym_lambda] = STATE(318),
    [sym_conditional_expression] = STATE(318),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(318),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(318),
    [sym_boolean_operator] = STATE(318),
    [sym_await] = STATE(318),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(318),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(318),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [196] = {
    [sym__semicolon] = ACTIONS(819),
    [sym__newline] = ACTIONS(819),
    [anon_sym_COMMA] = ACTIONS(819),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_if] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_lambda] = STATE(319),
    [sym_conditional_expression] = STATE(319),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(319),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(319),
    [sym_boolean_operator] = STATE(319),
    [sym_await] = STATE(319),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(319),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(319),
    [sym__newline] = ACTIONS(821),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(821),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [198] = {
    [aux_sym_print_statement_repeat1] = STATE(321),
    [sym__semicolon] = ACTIONS(823),
    [sym__newline] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_lambda] = STATE(319),
    [sym_conditional_expression] = STATE(319),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(319),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(319),
    [sym_boolean_operator] = STATE(319),
    [sym_await] = STATE(319),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(319),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(319),
    [sym__newline] = ACTIONS(827),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(827),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [200] = {
    [aux_sym_print_statement_repeat1] = STATE(321),
    [sym__semicolon] = ACTIONS(829),
    [sym__newline] = ACTIONS(829),
    [anon_sym_COMMA] = ACTIONS(831),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_aliased_import] = STATE(323),
    [sym_dotted_name] = STATE(324),
    [sym__semicolon] = ACTIONS(833),
    [sym__newline] = ACTIONS(833),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [aux_sym__import_list_repeat1] = STATE(326),
    [sym__semicolon] = ACTIONS(835),
    [sym__newline] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(837),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(839),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(329),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(841),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [205] = {
    [sym_default_parameter] = STATE(1110),
    [sym_typed_parameter] = STATE(1110),
    [sym_tuple] = STATE(1110),
    [sym_dictionary_splat] = STATE(571),
    [sym_typed_default_parameter] = STATE(1110),
    [sym_list_splat] = STATE(571),
    [sym__parameters] = STATE(331),
    [anon_sym_exec] = ACTIONS(843),
    [anon_sym_print] = ACTIONS(843),
    [sym_identifier] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(847),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [anon_sym_COLON] = ACTIONS(849),
    [anon_sym_DASH_GT] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_CARET_EQ] = ACTIONS(853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(853),
    [anon_sym_STAR_EQ] = ACTIONS(853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(853),
    [sym__newline] = ACTIONS(853),
    [anon_sym_DASH_EQ] = ACTIONS(853),
    [sym__semicolon] = ACTIONS(853),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AMP_EQ] = ACTIONS(853),
    [anon_sym_AT_EQ] = ACTIONS(853),
    [anon_sym_LT_LT_EQ] = ACTIONS(853),
    [anon_sym_PERCENT_EQ] = ACTIONS(853),
    [anon_sym_PLUS_EQ] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_PIPE_EQ] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_SLASH_EQ] = ACTIONS(853),
    [anon_sym_GT_GT_EQ] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [aux_sym_global_statement_repeat1] = STATE(275),
    [sym__semicolon] = ACTIONS(855),
    [sym__newline] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(333),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_lambda] = STATE(334),
    [sym_conditional_expression] = STATE(334),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(334),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(334),
    [sym_boolean_operator] = STATE(334),
    [sym_await] = STATE(334),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(334),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(334),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [210] = {
    [sym__semicolon] = ACTIONS(857),
    [sym__newline] = ACTIONS(857),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_and] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_lambda] = STATE(335),
    [sym_conditional_expression] = STATE(335),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(335),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(335),
    [sym_boolean_operator] = STATE(335),
    [sym_await] = STATE(335),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(335),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(335),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [212] = {
    [anon_sym_COLON] = ACTIONS(859),
    [anon_sym_or] = ACTIONS(859),
    [anon_sym_SLASH_SLASH] = ACTIONS(861),
    [sym__newline] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(861),
    [anon_sym_DASH_EQ] = ACTIONS(859),
    [anon_sym_is] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(861),
    [anon_sym_LT_EQ] = ACTIONS(859),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_AMP_EQ] = ACTIONS(859),
    [anon_sym_AT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT_EQ] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_in] = ACTIONS(859),
    [anon_sym_PERCENT_EQ] = ACTIONS(859),
    [anon_sym_if] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym_STAR_STAR] = ACTIONS(861),
    [anon_sym_SLASH] = ACTIONS(861),
    [anon_sym_EQ] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(861),
    [anon_sym_LT_GT] = ACTIONS(859),
    [anon_sym_BANG_EQ] = ACTIONS(859),
    [anon_sym_CARET] = ACTIONS(861),
    [anon_sym_EQ_EQ] = ACTIONS(859),
    [anon_sym_CARET_EQ] = ACTIONS(859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(859),
    [anon_sym_STAR_EQ] = ACTIONS(859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(859),
    [sym__semicolon] = ACTIONS(859),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_and] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(861),
    [anon_sym_not] = ACTIONS(859),
    [anon_sym_GT_EQ] = ACTIONS(859),
    [anon_sym_PLUS_EQ] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(861),
    [anon_sym_PIPE] = ACTIONS(861),
    [anon_sym_LT] = ACTIONS(861),
    [anon_sym_GT_GT] = ACTIONS(861),
    [anon_sym_PIPE_EQ] = ACTIONS(859),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_DOT] = ACTIONS(859),
    [anon_sym_COMMA] = ACTIONS(859),
    [anon_sym_SLASH_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_EQ] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(863),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [214] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_RBRACK] = ACTIONS(863),
    [anon_sym_COMMA] = ACTIONS(865),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [anon_sym_RBRACK] = ACTIONS(867),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_SLASH_SLASH] = ACTIONS(871),
    [sym__newline] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(869),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(869),
    [anon_sym_AT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT_EQ] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_PERCENT_EQ] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_STAR_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(871),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(871),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_CARET_EQ] = ACTIONS(869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(869),
    [anon_sym_STAR_EQ] = ACTIONS(869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(869),
    [sym__semicolon] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(871),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_PLUS_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [anon_sym_SLASH_EQ] = ACTIONS(869),
    [anon_sym_GT_GT_EQ] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_lambda] = STATE(345),
    [sym_conditional_expression] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(344),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_await] = STATE(345),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(875),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [218] = {
    [aux_sym_dictionary_repeat1] = STATE(347),
    [anon_sym_RBRACE] = ACTIONS(875),
    [anon_sym_COMMA] = ACTIONS(877),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [anon_sym_RBRACE] = ACTIONS(879),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH_SLASH] = ACTIONS(883),
    [sym__newline] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_DASH_EQ] = ACTIONS(881),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(883),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_AMP_EQ] = ACTIONS(881),
    [anon_sym_AT_EQ] = ACTIONS(881),
    [anon_sym_LT_LT_EQ] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_PERCENT_EQ] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(883),
    [anon_sym_STAR_STAR] = ACTIONS(883),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_LT_GT] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(883),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_CARET_EQ] = ACTIONS(881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(881),
    [anon_sym_STAR_EQ] = ACTIONS(881),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(881),
    [sym__semicolon] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(883),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(883),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_PLUS_EQ] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(883),
    [anon_sym_PIPE] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(883),
    [anon_sym_PIPE_EQ] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(881),
    [anon_sym_COMMA] = ACTIONS(881),
    [anon_sym_SLASH_EQ] = ACTIONS(881),
    [anon_sym_GT_GT_EQ] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(885),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [222] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_RBRACE] = ACTIONS(885),
    [anon_sym_COMMA] = ACTIONS(887),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_lambda] = STATE(351),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(351),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(351),
    [sym_boolean_operator] = STATE(351),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(351),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(351),
    [sym__expression] = STATE(351),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(351),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [224] = {
    [anon_sym_RBRACE] = ACTIONS(889),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(354),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(355),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [226] = {
    [sym_except_clause] = STATE(358),
    [aux_sym_try_statement_repeat1] = STATE(358),
    [sym_finally_clause] = STATE(359),
    [anon_sym_except] = ACTIONS(909),
    [anon_sym_finally] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_lambda] = STATE(564),
    [sym__primary_expression] = STATE(738),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(564),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(564),
    [sym_boolean_operator] = STATE(564),
    [sym_await] = STATE(564),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_expression_list] = STATE(360),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(564),
    [sym_conditional_expression] = STATE(564),
    [sym_comparison_operator] = STATE(564),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [228] = {
    [sym_attribute] = STATE(361),
    [sym_dictionary_comprehension] = STATE(361),
    [sym_generator_expression] = STATE(361),
    [sym_binary_operator] = STATE(361),
    [sym_unary_operator] = STATE(361),
    [sym_call] = STATE(361),
    [sym_list_comprehension] = STATE(361),
    [sym_dictionary] = STATE(361),
    [sym_parenthesized_expression] = STATE(361),
    [sym_tuple] = STATE(361),
    [sym_concatenated_string] = STATE(361),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(361),
    [sym_list] = STATE(361),
    [sym_set] = STATE(361),
    [sym_set_comprehension] = STATE(361),
    [sym__primary_expression] = STATE(361),
    [sym_integer] = ACTIONS(913),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(913),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(917),
    [sym_none] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(913),
    [sym__string_start] = ACTIONS(157),
  },
  [229] = {
    [aux_sym_variables_repeat1] = STATE(363),
    [anon_sym_in] = ACTIONS(919),
    [anon_sym_COMMA] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_integer] = ACTIONS(923),
    [anon_sym_yield] = ACTIONS(923),
    [anon_sym_from] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [sym_none] = ACTIONS(923),
    [anon_sym_with] = ACTIONS(923),
    [anon_sym_pass] = ACTIONS(923),
    [sym_float] = ACTIONS(925),
    [anon_sym_lambda] = ACTIONS(923),
    [anon_sym_print] = ACTIONS(923),
    [sym_ellipsis] = ACTIONS(925),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_def] = ACTIONS(923),
    [anon_sym_break] = ACTIONS(923),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_global] = ACTIONS(923),
    [anon_sym_exec] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_true] = ACTIONS(923),
    [sym__string_start] = ACTIONS(925),
    [anon_sym_nonlocal] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(923),
    [anon_sym_assert] = ACTIONS(923),
    [anon_sym_return] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_elif] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_del] = ACTIONS(923),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(923),
    [anon_sym_except] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(923),
    [ts_builtin_sym_end] = ACTIONS(925),
    [anon_sym_raise] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [anon_sym_finally] = ACTIONS(923),
    [anon_sym_async] = ACTIONS(923),
  },
  [231] = {
    [sym__semicolon] = ACTIONS(927),
    [sym__newline] = ACTIONS(927),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(231),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(231),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_exec_statement] = STATE(231),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_unary_operator] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(231),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [sym_nonlocal_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(929),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [233] = {
    [aux_sym__simple_statements_repeat1] = STATE(233),
    [sym__semicolon] = ACTIONS(931),
    [sym__newline] = ACTIONS(934),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__semicolon] = ACTIONS(936),
    [sym__newline] = ACTIONS(936),
    [anon_sym_EQ] = ACTIONS(938),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__semicolon] = ACTIONS(940),
    [anon_sym_EQ] = ACTIONS(940),
    [sym__newline] = ACTIONS(940),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_if] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__newline] = ACTIONS(942),
    [anon_sym_COLON] = ACTIONS(255),
    [anon_sym_CARET_EQ] = ACTIONS(257),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(257),
    [anon_sym_STAR_EQ] = ACTIONS(257),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(257),
    [anon_sym_DASH_EQ] = ACTIONS(257),
    [sym__semicolon] = ACTIONS(942),
    [anon_sym_AMP_EQ] = ACTIONS(257),
    [anon_sym_AT_EQ] = ACTIONS(257),
    [anon_sym_LT_LT_EQ] = ACTIONS(257),
    [anon_sym_PERCENT_EQ] = ACTIONS(257),
    [anon_sym_PLUS_EQ] = ACTIONS(257),
    [anon_sym_PIPE_EQ] = ACTIONS(257),
    [anon_sym_EQ] = ACTIONS(259),
    [anon_sym_SLASH_EQ] = ACTIONS(257),
    [anon_sym_GT_GT_EQ] = ACTIONS(257),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__semicolon] = ACTIONS(944),
    [sym__newline] = ACTIONS(944),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__semicolon] = ACTIONS(946),
    [sym__newline] = ACTIONS(946),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_lambda] = STATE(368),
    [sym_conditional_expression] = STATE(368),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(368),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(368),
    [sym_boolean_operator] = STATE(368),
    [sym_await] = STATE(368),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(368),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(368),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(948),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(950),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(950),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [240] = {
    [aux_sym_subscript_repeat1] = STATE(371),
    [anon_sym_RBRACK] = ACTIONS(952),
    [anon_sym_COMMA] = ACTIONS(954),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [aux_sym_subscript_repeat1] = STATE(371),
    [anon_sym_COLON] = ACTIONS(956),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(954),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(952),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(960),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [sym__newline] = ACTIONS(962),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_GT] = ACTIONS(964),
    [anon_sym_DASH_EQ] = ACTIONS(962),
    [anon_sym_is] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(962),
    [anon_sym_AMP_EQ] = ACTIONS(962),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AT_EQ] = ACTIONS(962),
    [anon_sym_LT_LT_EQ] = ACTIONS(962),
    [anon_sym_PERCENT_EQ] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(964),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(962),
    [anon_sym_BANG_EQ] = ACTIONS(962),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_EQ_EQ] = ACTIONS(962),
    [anon_sym_CARET_EQ] = ACTIONS(962),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(962),
    [anon_sym_STAR_EQ] = ACTIONS(962),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(962),
    [sym__semicolon] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(962),
    [anon_sym_GT_EQ] = ACTIONS(962),
    [anon_sym_PLUS_EQ] = ACTIONS(962),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(964),
    [anon_sym_PIPE_EQ] = ACTIONS(962),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_GT_GT_EQ] = ACTIONS(962),
    [anon_sym_DOT] = ACTIONS(295),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_attribute] = STATE(373),
    [sym_dictionary_comprehension] = STATE(373),
    [sym_generator_expression] = STATE(373),
    [sym_binary_operator] = STATE(373),
    [sym_unary_operator] = STATE(373),
    [sym_call] = STATE(373),
    [sym_list_comprehension] = STATE(373),
    [sym_dictionary] = STATE(373),
    [sym_parenthesized_expression] = STATE(373),
    [sym_tuple] = STATE(373),
    [sym_concatenated_string] = STATE(373),
    [sym_string] = STATE(42),
    [sym_subscript] = STATE(373),
    [sym_list] = STATE(373),
    [sym_set] = STATE(373),
    [sym_set_comprehension] = STATE(373),
    [sym__primary_expression] = STATE(373),
    [sym_integer] = ACTIONS(966),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(968),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(966),
    [sym_identifier] = ACTIONS(966),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(966),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(968),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(966),
    [sym__string_start] = ACTIONS(73),
  },
  [245] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [anon_sym_or] = ACTIONS(203),
    [anon_sym_SLASH_SLASH] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_is] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_STAR_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(203),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_and] = ACTIONS(203),
    [anon_sym_PERCENT] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_async] = ACTIONS(203),
  },
  [248] = {
    [anon_sym_COLON] = ACTIONS(972),
    [anon_sym_or] = ACTIONS(972),
    [anon_sym_SLASH_SLASH] = ACTIONS(974),
    [sym__newline] = ACTIONS(972),
    [anon_sym_GT] = ACTIONS(974),
    [anon_sym_DASH_EQ] = ACTIONS(972),
    [anon_sym_is] = ACTIONS(972),
    [anon_sym_AMP] = ACTIONS(974),
    [anon_sym_LT_EQ] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_AMP_EQ] = ACTIONS(972),
    [anon_sym_AT_EQ] = ACTIONS(972),
    [anon_sym_LT_LT_EQ] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(972),
    [anon_sym_in] = ACTIONS(972),
    [anon_sym_PERCENT_EQ] = ACTIONS(972),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(974),
    [anon_sym_STAR_STAR] = ACTIONS(974),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(974),
    [anon_sym_LT_GT] = ACTIONS(972),
    [anon_sym_BANG_EQ] = ACTIONS(972),
    [anon_sym_CARET] = ACTIONS(974),
    [anon_sym_EQ_EQ] = ACTIONS(972),
    [anon_sym_CARET_EQ] = ACTIONS(972),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(972),
    [anon_sym_STAR_EQ] = ACTIONS(972),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(972),
    [sym__semicolon] = ACTIONS(972),
    [anon_sym_DASH] = ACTIONS(974),
    [anon_sym_and] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(974),
    [anon_sym_not] = ACTIONS(972),
    [anon_sym_GT_EQ] = ACTIONS(972),
    [anon_sym_PLUS_EQ] = ACTIONS(972),
    [anon_sym_LT_LT] = ACTIONS(974),
    [anon_sym_PIPE] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT_GT] = ACTIONS(974),
    [anon_sym_PIPE_EQ] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_COMMA] = ACTIONS(972),
    [anon_sym_SLASH_EQ] = ACTIONS(972),
    [anon_sym_GT_GT_EQ] = ACTIONS(972),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(976),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_COLON_EQ] = ACTIONS(978),
    [anon_sym_for] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_async] = ACTIONS(215),
  },
  [250] = {
    [anon_sym_RPAREN] = ACTIONS(980),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [aux_sym_argument_list_repeat1] = STATE(378),
    [anon_sym_COMMA] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(980),
  },
  [252] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_argument_list_repeat1] = STATE(378),
    [sym__comprehension_body] = STATE(173),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(980),
    [anon_sym_COMMA] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [253] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(960),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_STAR_STAR] = ACTIONS(960),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(960),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(960),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(960),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [anon_sym_COLON] = ACTIONS(984),
    [anon_sym_or] = ACTIONS(984),
    [anon_sym_SLASH_SLASH] = ACTIONS(986),
    [sym__newline] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_DASH_EQ] = ACTIONS(984),
    [anon_sym_is] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(986),
    [anon_sym_LT_EQ] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_AMP_EQ] = ACTIONS(984),
    [anon_sym_AT_EQ] = ACTIONS(984),
    [anon_sym_LT_LT_EQ] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(984),
    [anon_sym_PERCENT_EQ] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_PLUS] = ACTIONS(986),
    [anon_sym_STAR_STAR] = ACTIONS(986),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_EQ] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(986),
    [anon_sym_LT_GT] = ACTIONS(984),
    [anon_sym_BANG_EQ] = ACTIONS(984),
    [anon_sym_CARET] = ACTIONS(986),
    [anon_sym_EQ_EQ] = ACTIONS(984),
    [anon_sym_CARET_EQ] = ACTIONS(984),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(984),
    [anon_sym_STAR_EQ] = ACTIONS(984),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(984),
    [sym__semicolon] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(986),
    [anon_sym_and] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(986),
    [anon_sym_not] = ACTIONS(984),
    [anon_sym_GT_EQ] = ACTIONS(984),
    [anon_sym_PLUS_EQ] = ACTIONS(984),
    [anon_sym_LT_LT] = ACTIONS(986),
    [anon_sym_PIPE] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(986),
    [anon_sym_PIPE_EQ] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_DOT] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(984),
    [anon_sym_SLASH_EQ] = ACTIONS(984),
    [anon_sym_GT_GT_EQ] = ACTIONS(984),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [sym__newline] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_DASH_EQ] = ACTIONS(958),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(960),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AMP_EQ] = ACTIONS(958),
    [anon_sym_AT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT_EQ] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_PERCENT_EQ] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(960),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_CARET_EQ] = ACTIONS(958),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(958),
    [anon_sym_STAR_EQ] = ACTIONS(958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_PLUS_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(960),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_PIPE_EQ] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [anon_sym_SLASH_EQ] = ACTIONS(958),
    [anon_sym_GT_GT_EQ] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [aux_sym_comparison_operator_repeat1] = STATE(258),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [sym__newline] = ACTIONS(962),
    [anon_sym_GT] = ACTIONS(988),
    [anon_sym_DASH_EQ] = ACTIONS(962),
    [anon_sym_is] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(994),
    [anon_sym_AMP_EQ] = ACTIONS(962),
    [anon_sym_AT_EQ] = ACTIONS(962),
    [anon_sym_LT_LT_EQ] = ACTIONS(962),
    [anon_sym_PERCENT_EQ] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(994),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_EQ] = ACTIONS(964),
    [anon_sym_LT_GT] = ACTIONS(994),
    [anon_sym_BANG_EQ] = ACTIONS(994),
    [anon_sym_EQ_EQ] = ACTIONS(994),
    [anon_sym_CARET_EQ] = ACTIONS(962),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(962),
    [anon_sym_STAR_EQ] = ACTIONS(962),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(962),
    [sym__semicolon] = ACTIONS(962),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_not] = ACTIONS(997),
    [anon_sym_GT_EQ] = ACTIONS(994),
    [anon_sym_PLUS_EQ] = ACTIONS(962),
    [anon_sym_LT] = ACTIONS(988),
    [anon_sym_PIPE_EQ] = ACTIONS(962),
    [anon_sym_SLASH_EQ] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_GT_GT_EQ] = ACTIONS(962),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_string] = STATE(259),
    [aux_sym_concatenated_string_repeat1] = STATE(259),
    [anon_sym_COLON] = ACTIONS(1000),
    [anon_sym_or] = ACTIONS(1000),
    [anon_sym_SLASH_SLASH] = ACTIONS(1002),
    [sym__newline] = ACTIONS(1000),
    [anon_sym_GT] = ACTIONS(1002),
    [anon_sym_DASH_EQ] = ACTIONS(1000),
    [anon_sym_is] = ACTIONS(1000),
    [anon_sym_AMP] = ACTIONS(1002),
    [anon_sym_LT_EQ] = ACTIONS(1000),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_AMP_EQ] = ACTIONS(1000),
    [anon_sym_AT_EQ] = ACTIONS(1000),
    [anon_sym_LT_LT_EQ] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_in] = ACTIONS(1000),
    [anon_sym_PERCENT_EQ] = ACTIONS(1000),
    [anon_sym_if] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1002),
    [anon_sym_STAR_STAR] = ACTIONS(1002),
    [anon_sym_SLASH] = ACTIONS(1002),
    [anon_sym_EQ] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1002),
    [anon_sym_LT_GT] = ACTIONS(1000),
    [anon_sym_BANG_EQ] = ACTIONS(1000),
    [anon_sym_CARET] = ACTIONS(1002),
    [anon_sym_EQ_EQ] = ACTIONS(1000),
    [anon_sym_CARET_EQ] = ACTIONS(1000),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1000),
    [anon_sym_STAR_EQ] = ACTIONS(1000),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1000),
    [sym__semicolon] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1002),
    [anon_sym_and] = ACTIONS(1000),
    [anon_sym_PERCENT] = ACTIONS(1002),
    [anon_sym_not] = ACTIONS(1000),
    [anon_sym_GT_EQ] = ACTIONS(1000),
    [anon_sym_PLUS_EQ] = ACTIONS(1000),
    [anon_sym_LT_LT] = ACTIONS(1002),
    [anon_sym_PIPE] = ACTIONS(1002),
    [anon_sym_LT] = ACTIONS(1002),
    [anon_sym_GT_GT] = ACTIONS(1002),
    [anon_sym_PIPE_EQ] = ACTIONS(1000),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(1000),
    [anon_sym_COMMA] = ACTIONS(1000),
    [anon_sym_SLASH_EQ] = ACTIONS(1000),
    [anon_sym_GT_GT_EQ] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1004),
  },
  [260] = {
    [anon_sym_COLON] = ACTIONS(1007),
    [anon_sym_or] = ACTIONS(1007),
    [anon_sym_CARET_EQ] = ACTIONS(1007),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1007),
    [anon_sym_STAR_EQ] = ACTIONS(1007),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1007),
    [sym__newline] = ACTIONS(1007),
    [anon_sym_DASH_EQ] = ACTIONS(1007),
    [sym__semicolon] = ACTIONS(1007),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AMP_EQ] = ACTIONS(1007),
    [anon_sym_AT_EQ] = ACTIONS(1007),
    [anon_sym_LT_LT_EQ] = ACTIONS(1007),
    [anon_sym_PERCENT_EQ] = ACTIONS(1007),
    [anon_sym_PLUS_EQ] = ACTIONS(1007),
    [anon_sym_if] = ACTIONS(1007),
    [anon_sym_PIPE_EQ] = ACTIONS(1007),
    [anon_sym_EQ] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(1007),
    [anon_sym_SLASH_EQ] = ACTIONS(1007),
    [anon_sym_GT_GT_EQ] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [anon_sym_COLON] = ACTIONS(1009),
    [anon_sym_CARET_EQ] = ACTIONS(1009),
    [sym__newline] = ACTIONS(1009),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1009),
    [anon_sym_STAR_EQ] = ACTIONS(1009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1009),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_DASH_EQ] = ACTIONS(1009),
    [sym__semicolon] = ACTIONS(1009),
    [anon_sym_AMP_EQ] = ACTIONS(1009),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AT_EQ] = ACTIONS(1009),
    [anon_sym_LT_LT_EQ] = ACTIONS(1009),
    [anon_sym_PERCENT_EQ] = ACTIONS(1009),
    [anon_sym_PLUS_EQ] = ACTIONS(1009),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PIPE_EQ] = ACTIONS(1009),
    [anon_sym_EQ] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1009),
    [anon_sym_SLASH_EQ] = ACTIONS(1009),
    [anon_sym_GT_GT_EQ] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(1011),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [anon_sym_COLON] = ACTIONS(1013),
    [anon_sym_or] = ACTIONS(1013),
    [anon_sym_CARET_EQ] = ACTIONS(1013),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1013),
    [anon_sym_STAR_EQ] = ACTIONS(1013),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1013),
    [sym__newline] = ACTIONS(1013),
    [anon_sym_DASH_EQ] = ACTIONS(1013),
    [sym__semicolon] = ACTIONS(1013),
    [anon_sym_and] = ACTIONS(1013),
    [anon_sym_AMP_EQ] = ACTIONS(1013),
    [anon_sym_AT_EQ] = ACTIONS(1013),
    [anon_sym_LT_LT_EQ] = ACTIONS(1013),
    [anon_sym_PERCENT_EQ] = ACTIONS(1013),
    [anon_sym_from] = ACTIONS(1013),
    [anon_sym_PLUS_EQ] = ACTIONS(1013),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_PIPE_EQ] = ACTIONS(1013),
    [anon_sym_EQ] = ACTIONS(1013),
    [anon_sym_COMMA] = ACTIONS(1013),
    [anon_sym_SLASH_EQ] = ACTIONS(1013),
    [anon_sym_GT_GT_EQ] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_lambda] = STATE(261),
    [sym_conditional_expression] = STATE(261),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(261),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(261),
    [sym_boolean_operator] = STATE(261),
    [sym_await] = STATE(261),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(261),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(261),
    [sym__newline] = ACTIONS(1015),
    [anon_sym_COLON] = ACTIONS(1017),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(1017),
    [anon_sym_AMP_EQ] = ACTIONS(1017),
    [anon_sym_AT_EQ] = ACTIONS(1017),
    [anon_sym_LT_LT_EQ] = ACTIONS(1017),
    [anon_sym_PERCENT_EQ] = ACTIONS(1017),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(710),
    [anon_sym_EQ] = ACTIONS(1017),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(1017),
    [anon_sym_print] = ACTIONS(187),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1017),
    [anon_sym_STAR_EQ] = ACTIONS(1017),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1017),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [anon_sym_PLUS_EQ] = ACTIONS(1017),
    [anon_sym_PIPE_EQ] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(1017),
    [anon_sym_GT_GT_EQ] = ACTIONS(1017),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [265] = {
    [aux_sym_assert_statement_repeat1] = STATE(265),
    [anon_sym_COLON] = ACTIONS(1009),
    [anon_sym_CARET_EQ] = ACTIONS(1009),
    [sym__newline] = ACTIONS(1009),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1009),
    [anon_sym_STAR_EQ] = ACTIONS(1009),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1009),
    [anon_sym_DASH_EQ] = ACTIONS(1009),
    [sym__semicolon] = ACTIONS(1009),
    [anon_sym_AMP_EQ] = ACTIONS(1009),
    [anon_sym_AT_EQ] = ACTIONS(1009),
    [anon_sym_LT_LT_EQ] = ACTIONS(1009),
    [anon_sym_PERCENT_EQ] = ACTIONS(1009),
    [anon_sym_PLUS_EQ] = ACTIONS(1009),
    [anon_sym_PIPE_EQ] = ACTIONS(1009),
    [anon_sym_EQ] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1019),
    [anon_sym_SLASH_EQ] = ACTIONS(1009),
    [anon_sym_GT_GT_EQ] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_lambda] = STATE(564),
    [sym__primary_expression] = STATE(738),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(564),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(564),
    [sym_boolean_operator] = STATE(564),
    [sym_await] = STATE(564),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_expression_list] = STATE(380),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(564),
    [sym_conditional_expression] = STATE(564),
    [sym_comparison_operator] = STATE(564),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [267] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(382),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1022),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [268] = {
    [aux_sym_with_statement_repeat1] = STATE(300),
    [anon_sym_COLON] = ACTIONS(1024),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [anon_sym_COLON] = ACTIONS(1026),
    [anon_sym_DASH_GT] = ACTIONS(1028),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [aux_sym_format_specifier_repeat1] = STATE(387),
    [sym_format_expression] = STATE(387),
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [aux_sym_format_specifier_token1] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1034),
  },
  [271] = {
    [sym_escape_sequence] = ACTIONS(1036),
    [sym__string_end] = ACTIONS(1036),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1038),
  },
  [272] = {
    [sym_format_specifier] = STATE(389),
    [anon_sym_COLON] = ACTIONS(718),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [anon_sym_RBRACE] = ACTIONS(1040),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym__semicolon] = ACTIONS(1042),
    [sym__newline] = ACTIONS(1042),
    [anon_sym_COMMA] = ACTIONS(1042),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [aux_sym_global_statement_repeat1] = STATE(275),
    [sym__semicolon] = ACTIONS(1042),
    [sym__newline] = ACTIONS(1042),
    [anon_sym_COMMA] = ACTIONS(1044),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [aux_sym_argument_list_repeat1] = STATE(972),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1047),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(390),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [278] = {
    [sym_integer] = ACTIONS(1053),
    [sym_true] = ACTIONS(1053),
    [sym__string_start] = ACTIONS(1055),
    [anon_sym_nonlocal] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1053),
    [anon_sym_assert] = ACTIONS(1053),
    [anon_sym_yield] = ACTIONS(1053),
    [anon_sym_return] = ACTIONS(1053),
    [anon_sym_from] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [sym_none] = ACTIONS(1053),
    [anon_sym_with] = ACTIONS(1053),
    [anon_sym_if] = ACTIONS(1053),
    [anon_sym_pass] = ACTIONS(1053),
    [sym_float] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1055),
    [anon_sym_lambda] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_print] = ACTIONS(1053),
    [anon_sym_del] = ACTIONS(1053),
    [sym_ellipsis] = ACTIONS(1055),
    [anon_sym_import] = ACTIONS(1053),
    [anon_sym_while] = ACTIONS(1053),
    [anon_sym_def] = ACTIONS(1053),
    [anon_sym_await] = ACTIONS(1053),
    [anon_sym_break] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1055),
    [anon_sym_global] = ACTIONS(1053),
    [anon_sym_not] = ACTIONS(1053),
    [anon_sym_exec] = ACTIONS(1053),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [anon_sym_raise] = ACTIONS(1053),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1053),
    [anon_sym_for] = ACTIONS(1053),
    [sym_false] = ACTIONS(1053),
    [anon_sym_continue] = ACTIONS(1053),
    [anon_sym_async] = ACTIONS(1053),
  },
  [279] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(392),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1057),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [280] = {
    [sym_lambda] = STATE(628),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(628),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(628),
    [sym_boolean_operator] = STATE(628),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(628),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(628),
    [sym__expression] = STATE(628),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(628),
    [sym__newline] = ACTIONS(1017),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_from] = ACTIONS(1059),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(1017),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [281] = {
    [anon_sym_DOT] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(1061),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [anon_sym_as] = ACTIONS(1061),
  },
  [282] = {
    [aux_sym_dotted_name_repeat1] = STATE(282),
    [anon_sym_DOT] = ACTIONS(1063),
    [anon_sym_COMMA] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_import] = ACTIONS(1061),
    [anon_sym_RPAREN] = ACTIONS(1061),
    [anon_sym_as] = ACTIONS(1061),
  },
  [283] = {
    [sym__semicolon] = ACTIONS(1066),
    [sym__newline] = ACTIONS(1066),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [sym__semicolon] = ACTIONS(1068),
    [sym__newline] = ACTIONS(1068),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_aliased_import] = STATE(572),
    [sym_dotted_name] = STATE(573),
    [sym__import_list] = STATE(393),
    [sym_identifier] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [sym__semicolon] = ACTIONS(1072),
    [sym__newline] = ACTIONS(1072),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [anon_sym_COLON] = ACTIONS(1074),
    [anon_sym_or] = ACTIONS(1074),
    [anon_sym_SLASH_SLASH] = ACTIONS(1076),
    [sym__newline] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_DASH_EQ] = ACTIONS(1074),
    [anon_sym_is] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1076),
    [anon_sym_LT_EQ] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_AMP_EQ] = ACTIONS(1074),
    [anon_sym_AT_EQ] = ACTIONS(1074),
    [anon_sym_LT_LT_EQ] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_PERCENT_EQ] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_STAR_STAR] = ACTIONS(1076),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_LT_GT] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1076),
    [anon_sym_EQ_EQ] = ACTIONS(1074),
    [anon_sym_CARET_EQ] = ACTIONS(1074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1074),
    [anon_sym_STAR_EQ] = ACTIONS(1074),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1074),
    [sym__semicolon] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_and] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1076),
    [anon_sym_not] = ACTIONS(1074),
    [anon_sym_GT_EQ] = ACTIONS(1074),
    [anon_sym_PLUS_EQ] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1076),
    [anon_sym_PIPE] = ACTIONS(1076),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT_GT] = ACTIONS(1076),
    [anon_sym_PIPE_EQ] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_DOT] = ACTIONS(1074),
    [anon_sym_COMMA] = ACTIONS(1074),
    [anon_sym_SLASH_EQ] = ACTIONS(1074),
    [anon_sym_GT_GT_EQ] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [anon_sym_RPAREN] = ACTIONS(1078),
    [anon_sym_COMMA] = ACTIONS(1078),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1078),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(1078),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_await] = STATE(289),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(1080),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [291] = {
    [aux_sym_tuple_repeat1] = STATE(291),
    [anon_sym_RPAREN] = ACTIONS(1078),
    [anon_sym_COMMA] = ACTIONS(1082),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [anon_sym_in] = ACTIONS(1085),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_attribute] = STATE(112),
    [sym_dictionary_comprehension] = STATE(112),
    [sym_generator_expression] = STATE(112),
    [sym_binary_operator] = STATE(112),
    [sym_unary_operator] = STATE(112),
    [sym_call] = STATE(112),
    [sym_list_comprehension] = STATE(112),
    [sym_dictionary] = STATE(112),
    [sym_parenthesized_expression] = STATE(112),
    [sym_tuple] = STATE(112),
    [sym_concatenated_string] = STATE(112),
    [sym_string] = STATE(739),
    [sym_variables] = STATE(397),
    [sym_subscript] = STATE(112),
    [sym_list] = STATE(112),
    [sym_set] = STATE(112),
    [sym_set_comprehension] = STATE(112),
    [sym__primary_expression] = STATE(112),
    [sym_integer] = ACTIONS(239),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(239),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(239),
    [sym__string_start] = ACTIONS(157),
  },
  [294] = {
    [sym_lambda] = STATE(398),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(398),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(398),
    [sym_boolean_operator] = STATE(398),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(398),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(398),
    [sym__expression] = STATE(398),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(398),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [295] = {
    [sym_for_in_clause] = STATE(399),
    [aux_sym__comprehension_body_repeat1] = STATE(399),
    [sym_if_clause] = STATE(399),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [anon_sym_RPAREN] = ACTIONS(1087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_RBRACK] = ACTIONS(1087),
    [anon_sym_async] = ACTIONS(387),
  },
  [296] = {
    [anon_sym_COLON] = ACTIONS(1089),
    [anon_sym_or] = ACTIONS(1089),
    [anon_sym_SLASH_SLASH] = ACTIONS(1091),
    [sym__newline] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_DASH_EQ] = ACTIONS(1089),
    [anon_sym_is] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1091),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_AMP_EQ] = ACTIONS(1089),
    [anon_sym_AT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT_EQ] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_in] = ACTIONS(1089),
    [anon_sym_PERCENT_EQ] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym_STAR_STAR] = ACTIONS(1091),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_LT_GT] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1091),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [anon_sym_CARET_EQ] = ACTIONS(1089),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_STAR_EQ] = ACTIONS(1089),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1089),
    [sym__semicolon] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_and] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1091),
    [anon_sym_not] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_PLUS_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1091),
    [anon_sym_PIPE] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1091),
    [anon_sym_PIPE_EQ] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [anon_sym_SLASH_EQ] = ACTIONS(1089),
    [anon_sym_GT_GT_EQ] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(400),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [298] = {
    [sym_integer] = ACTIONS(1093),
    [sym_true] = ACTIONS(1093),
    [sym__string_start] = ACTIONS(1095),
    [anon_sym_nonlocal] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(1093),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_from] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [sym_none] = ACTIONS(1093),
    [anon_sym_with] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_pass] = ACTIONS(1093),
    [sym_float] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_AT] = ACTIONS(1095),
    [anon_sym_lambda] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_print] = ACTIONS(1093),
    [anon_sym_del] = ACTIONS(1093),
    [sym_ellipsis] = ACTIONS(1095),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [anon_sym_def] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_break] = ACTIONS(1093),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1095),
    [anon_sym_global] = ACTIONS(1093),
    [anon_sym_not] = ACTIONS(1093),
    [anon_sym_exec] = ACTIONS(1093),
    [ts_builtin_sym_end] = ACTIONS(1095),
    [anon_sym_raise] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_async] = ACTIONS(1093),
  },
  [299] = {
    [anon_sym_COLON] = ACTIONS(1097),
    [anon_sym_COMMA] = ACTIONS(1097),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [aux_sym_with_statement_repeat1] = STATE(300),
    [anon_sym_COLON] = ACTIONS(1097),
    [anon_sym_COMMA] = ACTIONS(1099),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [anon_sym_COLON] = ACTIONS(1102),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(401),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [303] = {
    [aux_sym_if_statement_repeat1] = STATE(404),
    [sym_else_clause] = STATE(405),
    [sym_elif_clause] = STATE(406),
    [sym_integer] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym__string_start] = ACTIONS(1106),
    [anon_sym_nonlocal] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_yield] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [sym_none] = ACTIONS(1104),
    [anon_sym_with] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_pass] = ACTIONS(1104),
    [sym_float] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_elif] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_lambda] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_print] = ACTIONS(1104),
    [anon_sym_del] = ACTIONS(1104),
    [sym_ellipsis] = ACTIONS(1106),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_while] = ACTIONS(1104),
    [anon_sym_def] = ACTIONS(1104),
    [anon_sym_await] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1104),
    [anon_sym_not] = ACTIONS(1104),
    [anon_sym_exec] = ACTIONS(1104),
    [ts_builtin_sym_end] = ACTIONS(1106),
    [anon_sym_raise] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_try] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_async] = ACTIONS(1104),
  },
  [304] = {
    [anon_sym_async] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1112),
    [anon_sym_def] = ACTIONS(1112),
  },
  [305] = {
    [anon_sym_EQ] = ACTIONS(1114),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [anon_sym_COLON] = ACTIONS(1116),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [307] = {
    [anon_sym_COLON] = ACTIONS(1118),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_COMMA] = ACTIONS(1118),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [anon_sym_COLON] = ACTIONS(1120),
    [anon_sym_EQ] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [anon_sym_COLON] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1120),
  },
  [310] = {
    [anon_sym_COLON] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(310),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(310),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_COLON] = ACTIONS(1122),
    [anon_sym_exec] = ACTIONS(801),
    [anon_sym_print] = ACTIONS(801),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [aux_sym__parameters_repeat1] = STATE(312),
    [anon_sym_COLON] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1124),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [anon_sym_COLON] = ACTIONS(1127),
    [anon_sym_EQ] = ACTIONS(1129),
    [anon_sym_COMMA] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1127),
  },
  [314] = {
    [anon_sym_COLON] = ACTIONS(1131),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(1131),
    [anon_sym_COMMA] = ACTIONS(1131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [315] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(310),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(310),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_COLON] = ACTIONS(1133),
    [anon_sym_exec] = ACTIONS(801),
    [anon_sym_print] = ACTIONS(801),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [anon_sym_COLON] = ACTIONS(1135),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(1135),
    [anon_sym_RPAREN] = ACTIONS(1135),
    [anon_sym_COMMA] = ACTIONS(1135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [317] = {
    [anon_sym_COLON] = ACTIONS(1127),
    [anon_sym_COMMA] = ACTIONS(1127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1127),
  },
  [318] = {
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_CARET_EQ] = ACTIONS(1137),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1137),
    [anon_sym_STAR_EQ] = ACTIONS(1137),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1137),
    [sym__newline] = ACTIONS(1137),
    [anon_sym_DASH_EQ] = ACTIONS(1137),
    [sym__semicolon] = ACTIONS(1137),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AMP_EQ] = ACTIONS(1137),
    [anon_sym_AT_EQ] = ACTIONS(1137),
    [anon_sym_LT_LT_EQ] = ACTIONS(1137),
    [anon_sym_PERCENT_EQ] = ACTIONS(1137),
    [anon_sym_PLUS_EQ] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PIPE_EQ] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_SLASH_EQ] = ACTIONS(1137),
    [anon_sym_GT_GT_EQ] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym__semicolon] = ACTIONS(1139),
    [sym__newline] = ACTIONS(1139),
    [anon_sym_COMMA] = ACTIONS(1139),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_if] = ACTIONS(345),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_lambda] = STATE(319),
    [sym_conditional_expression] = STATE(319),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(319),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(319),
    [sym_boolean_operator] = STATE(319),
    [sym_await] = STATE(319),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(319),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(319),
    [sym__newline] = ACTIONS(1141),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [321] = {
    [aux_sym_print_statement_repeat1] = STATE(321),
    [sym__semicolon] = ACTIONS(1143),
    [sym__newline] = ACTIONS(1143),
    [anon_sym_COMMA] = ACTIONS(1145),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_lambda] = STATE(319),
    [sym_conditional_expression] = STATE(319),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(319),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(319),
    [sym_boolean_operator] = STATE(319),
    [sym_await] = STATE(319),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(319),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(319),
    [sym__newline] = ACTIONS(1148),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym__semicolon] = ACTIONS(1148),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [323] = {
    [sym__semicolon] = ACTIONS(1150),
    [sym__newline] = ACTIONS(1150),
    [anon_sym_COMMA] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym__semicolon] = ACTIONS(1150),
    [sym__newline] = ACTIONS(1150),
    [anon_sym_COMMA] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(453),
  },
  [325] = {
    [sym_aliased_import] = STATE(323),
    [sym_dotted_name] = STATE(324),
    [sym__semicolon] = ACTIONS(1152),
    [sym__newline] = ACTIONS(1152),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [aux_sym__import_list_repeat1] = STATE(326),
    [sym__semicolon] = ACTIONS(1154),
    [sym__newline] = ACTIONS(1154),
    [anon_sym_COMMA] = ACTIONS(1156),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym__semicolon] = ACTIONS(1159),
    [sym__newline] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(412),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [329] = {
    [sym_else_clause] = STATE(413),
    [sym_integer] = ACTIONS(1161),
    [sym_true] = ACTIONS(1161),
    [sym__string_start] = ACTIONS(1163),
    [anon_sym_nonlocal] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1161),
    [anon_sym_assert] = ACTIONS(1161),
    [anon_sym_yield] = ACTIONS(1161),
    [anon_sym_return] = ACTIONS(1161),
    [anon_sym_from] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [sym_none] = ACTIONS(1161),
    [anon_sym_with] = ACTIONS(1161),
    [anon_sym_if] = ACTIONS(1161),
    [anon_sym_pass] = ACTIONS(1161),
    [sym_float] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_lambda] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_print] = ACTIONS(1161),
    [anon_sym_del] = ACTIONS(1161),
    [sym_ellipsis] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1161),
    [anon_sym_while] = ACTIONS(1161),
    [anon_sym_def] = ACTIONS(1161),
    [anon_sym_await] = ACTIONS(1161),
    [anon_sym_break] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1161),
    [anon_sym_not] = ACTIONS(1161),
    [anon_sym_exec] = ACTIONS(1161),
    [ts_builtin_sym_end] = ACTIONS(1163),
    [anon_sym_raise] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1161),
    [anon_sym_for] = ACTIONS(1161),
    [sym_false] = ACTIONS(1161),
    [anon_sym_continue] = ACTIONS(1161),
    [anon_sym_async] = ACTIONS(1161),
  },
  [330] = {
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_DASH_GT] = ACTIONS(1165),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [anon_sym_RPAREN] = ACTIONS(1167),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(416),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1169),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [333] = {
    [sym_lambda] = STATE(613),
    [sym_conditional_expression] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(417),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_await] = STATE(613),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [334] = {
    [aux_sym_assert_statement_repeat1] = STATE(418),
    [sym__semicolon] = ACTIONS(1171),
    [sym__newline] = ACTIONS(1171),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_COMMA] = ACTIONS(343),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_and] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym__semicolon] = ACTIONS(1173),
    [sym__newline] = ACTIONS(1173),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [anon_sym_and] = ACTIONS(347),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [anon_sym_COLON] = ACTIONS(1175),
    [anon_sym_or] = ACTIONS(1175),
    [anon_sym_SLASH_SLASH] = ACTIONS(1177),
    [sym__newline] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_DASH_EQ] = ACTIONS(1175),
    [anon_sym_is] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_AMP_EQ] = ACTIONS(1175),
    [anon_sym_AT_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT_EQ] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_PERCENT_EQ] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_STAR_STAR] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1177),
    [anon_sym_LT_GT] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_CARET_EQ] = ACTIONS(1175),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1175),
    [anon_sym_STAR_EQ] = ACTIONS(1175),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1175),
    [sym__semicolon] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_and] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_not] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_PLUS_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_PIPE] = ACTIONS(1177),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1177),
    [anon_sym_PIPE_EQ] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [anon_sym_SLASH_EQ] = ACTIONS(1175),
    [anon_sym_GT_GT_EQ] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [anon_sym_COMMA] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_RBRACK] = ACTIONS(1179),
  },
  [338] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1179),
  },
  [339] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(1181),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [340] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_COMMA] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_RBRACK] = ACTIONS(1179),
  },
  [341] = {
    [anon_sym_COLON] = ACTIONS(1186),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(1188),
    [sym__newline] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1188),
    [anon_sym_DASH_EQ] = ACTIONS(1186),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1188),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_AMP_EQ] = ACTIONS(1186),
    [anon_sym_AT_EQ] = ACTIONS(1186),
    [anon_sym_LT_LT_EQ] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_PERCENT_EQ] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_STAR_STAR] = ACTIONS(1188),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_EQ] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [anon_sym_LT_GT] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1188),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [anon_sym_CARET_EQ] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1186),
    [anon_sym_STAR_EQ] = ACTIONS(1186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1186),
    [sym__semicolon] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_and] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1188),
    [anon_sym_not] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_PLUS_EQ] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1188),
    [anon_sym_PIPE] = ACTIONS(1188),
    [anon_sym_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1188),
    [anon_sym_PIPE_EQ] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [anon_sym_SLASH_EQ] = ACTIONS(1186),
    [anon_sym_GT_GT_EQ] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [anon_sym_STAR] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH] = ACTIONS(1192),
    [sym__newline] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_DASH_EQ] = ACTIONS(1190),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1192),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_AMP_EQ] = ACTIONS(1190),
    [anon_sym_AT_EQ] = ACTIONS(1190),
    [anon_sym_LT_LT_EQ] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_PERCENT_EQ] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_STAR_STAR] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_EQ] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_CARET_EQ] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1190),
    [anon_sym_STAR_EQ] = ACTIONS(1190),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1190),
    [sym__semicolon] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_PLUS_EQ] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_PIPE] = ACTIONS(1192),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1192),
    [anon_sym_PIPE_EQ] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [anon_sym_SLASH_EQ] = ACTIONS(1190),
    [anon_sym_GT_GT_EQ] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_lambda] = STATE(345),
    [sym_conditional_expression] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(344),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_await] = STATE(345),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [347] = {
    [aux_sym_dictionary_repeat1] = STATE(347),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_or] = ACTIONS(1201),
    [anon_sym_SLASH_SLASH] = ACTIONS(1203),
    [sym__newline] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_DASH_EQ] = ACTIONS(1201),
    [anon_sym_is] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1203),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_AMP_EQ] = ACTIONS(1201),
    [anon_sym_AT_EQ] = ACTIONS(1201),
    [anon_sym_LT_LT_EQ] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_PERCENT_EQ] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_STAR_STAR] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(1203),
    [anon_sym_LT_GT] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1203),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_CARET_EQ] = ACTIONS(1201),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1201),
    [anon_sym_STAR_EQ] = ACTIONS(1201),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1201),
    [sym__semicolon] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_and] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1203),
    [anon_sym_not] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_PLUS_EQ] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1203),
    [anon_sym_PIPE] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1203),
    [anon_sym_PIPE_EQ] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [anon_sym_SLASH_EQ] = ACTIONS(1201),
    [anon_sym_GT_GT_EQ] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [anon_sym_COLON] = ACTIONS(1205),
    [anon_sym_or] = ACTIONS(1205),
    [anon_sym_SLASH_SLASH] = ACTIONS(1207),
    [sym__newline] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1207),
    [anon_sym_DASH_EQ] = ACTIONS(1205),
    [anon_sym_is] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1207),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_AMP_EQ] = ACTIONS(1205),
    [anon_sym_AT_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT_EQ] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_in] = ACTIONS(1205),
    [anon_sym_PERCENT_EQ] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1207),
    [anon_sym_STAR_STAR] = ACTIONS(1207),
    [anon_sym_SLASH] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1207),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_CARET_EQ] = ACTIONS(1205),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1205),
    [anon_sym_STAR_EQ] = ACTIONS(1205),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1205),
    [sym__semicolon] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1207),
    [anon_sym_and] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1207),
    [anon_sym_not] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_PLUS_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1207),
    [anon_sym_PIPE] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_GT_GT] = ACTIONS(1207),
    [anon_sym_PIPE_EQ] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [anon_sym_SLASH_EQ] = ACTIONS(1205),
    [anon_sym_GT_GT_EQ] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(1209),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [351] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1211),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(1211),
  },
  [352] = {
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_or] = ACTIONS(1213),
    [anon_sym_SLASH_SLASH] = ACTIONS(1215),
    [sym__newline] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_DASH_EQ] = ACTIONS(1213),
    [anon_sym_is] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1215),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1215),
    [anon_sym_AMP_EQ] = ACTIONS(1213),
    [anon_sym_AT_EQ] = ACTIONS(1213),
    [anon_sym_LT_LT_EQ] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_PERCENT_EQ] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1215),
    [anon_sym_STAR_STAR] = ACTIONS(1215),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1215),
    [anon_sym_LT_GT] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1215),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_CARET_EQ] = ACTIONS(1213),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1213),
    [anon_sym_STAR_EQ] = ACTIONS(1213),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1213),
    [sym__semicolon] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1215),
    [anon_sym_and] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1215),
    [anon_sym_not] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_PLUS_EQ] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1215),
    [anon_sym_PIPE] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1215),
    [anon_sym_PIPE_EQ] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [anon_sym_SLASH_EQ] = ACTIONS(1213),
    [anon_sym_GT_GT_EQ] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [anon_sym_except] = ACTIONS(1217),
    [anon_sym_finally] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_except_clause] = STATE(424),
    [aux_sym_try_statement_repeat1] = STATE(424),
    [sym_finally_clause] = STATE(425),
    [anon_sym_except] = ACTIONS(909),
    [anon_sym_finally] = ACTIONS(911),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(592),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [sym__dedent] = ACTIONS(1219),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [356] = {
    [sym_lambda] = STATE(428),
    [sym_conditional_expression] = STATE(428),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(428),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(428),
    [sym_boolean_operator] = STATE(428),
    [sym_await] = STATE(428),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(428),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(428),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(1221),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [357] = {
    [anon_sym_COLON] = ACTIONS(1223),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_except_clause] = STATE(431),
    [sym_else_clause] = STATE(430),
    [aux_sym_try_statement_repeat1] = STATE(431),
    [sym_finally_clause] = STATE(432),
    [sym_integer] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym__string_start] = ACTIONS(1227),
    [anon_sym_nonlocal] = ACTIONS(1225),
    [anon_sym_finally] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [sym_none] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_pass] = ACTIONS(1225),
    [sym_float] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_lambda] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_print] = ACTIONS(1225),
    [anon_sym_del] = ACTIONS(1225),
    [sym_ellipsis] = ACTIONS(1227),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_except] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1225),
    [anon_sym_not] = ACTIONS(1225),
    [anon_sym_exec] = ACTIONS(1225),
    [ts_builtin_sym_end] = ACTIONS(1227),
    [anon_sym_raise] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_async] = ACTIONS(1225),
  },
  [359] = {
    [sym_integer] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym__string_start] = ACTIONS(1227),
    [anon_sym_nonlocal] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [sym_none] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_pass] = ACTIONS(1225),
    [sym_float] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_lambda] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_print] = ACTIONS(1225),
    [anon_sym_del] = ACTIONS(1225),
    [sym_ellipsis] = ACTIONS(1227),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_global] = ACTIONS(1225),
    [anon_sym_not] = ACTIONS(1225),
    [anon_sym_exec] = ACTIONS(1225),
    [ts_builtin_sym_end] = ACTIONS(1227),
    [anon_sym_raise] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_async] = ACTIONS(1225),
  },
  [360] = {
    [anon_sym_COLON] = ACTIONS(1233),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_LPAREN] = ACTIONS(507),
    [anon_sym_in] = ACTIONS(1235),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_DOT] = ACTIONS(519),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_CARET] = ACTIONS(523),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_attribute] = STATE(361),
    [sym_dictionary_comprehension] = STATE(361),
    [sym_generator_expression] = STATE(361),
    [sym_binary_operator] = STATE(361),
    [sym_unary_operator] = STATE(361),
    [sym_call] = STATE(361),
    [sym_list_comprehension] = STATE(361),
    [sym_dictionary] = STATE(361),
    [sym_parenthesized_expression] = STATE(361),
    [sym_tuple] = STATE(361),
    [sym_concatenated_string] = STATE(361),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(361),
    [sym_list] = STATE(361),
    [sym_set] = STATE(361),
    [sym_set_comprehension] = STATE(361),
    [sym__primary_expression] = STATE(361),
    [sym_integer] = ACTIONS(913),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(913),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_in] = ACTIONS(1237),
    [sym_none] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(913),
    [sym__string_start] = ACTIONS(157),
  },
  [363] = {
    [aux_sym_variables_repeat1] = STATE(363),
    [anon_sym_in] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1239),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_integer] = ACTIONS(1242),
    [anon_sym_yield] = ACTIONS(1242),
    [anon_sym_from] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [sym_none] = ACTIONS(1242),
    [anon_sym_with] = ACTIONS(1242),
    [anon_sym_pass] = ACTIONS(1242),
    [sym_float] = ACTIONS(1244),
    [anon_sym_lambda] = ACTIONS(1242),
    [anon_sym_print] = ACTIONS(1242),
    [sym_ellipsis] = ACTIONS(1244),
    [anon_sym_await] = ACTIONS(1242),
    [anon_sym_def] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_global] = ACTIONS(1242),
    [anon_sym_exec] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [sym_true] = ACTIONS(1242),
    [sym__string_start] = ACTIONS(1244),
    [anon_sym_nonlocal] = ACTIONS(1242),
    [anon_sym_class] = ACTIONS(1242),
    [anon_sym_assert] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_elif] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_del] = ACTIONS(1242),
    [anon_sym_import] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_except] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_not] = ACTIONS(1242),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [anon_sym_raise] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_try] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [anon_sym_finally] = ACTIONS(1242),
    [anon_sym_async] = ACTIONS(1242),
  },
  [365] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(231),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(231),
    [sym_assert_statement] = STATE(231),
    [sym_raise_statement] = STATE(231),
    [sym_pass_statement] = STATE(231),
    [sym_nonlocal_statement] = STATE(231),
    [sym_exec_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [366] = {
    [sym_lambda] = STATE(903),
    [sym_yield] = STATE(435),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(903),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(236),
    [sym_not_operator] = STATE(903),
    [sym_boolean_operator] = STATE(903),
    [sym_assignment] = STATE(435),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(903),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(435),
    [sym__right_hand_side] = STATE(435),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(903),
    [sym__expression] = STATE(903),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(903),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [367] = {
    [sym_lambda] = STATE(436),
    [sym_conditional_expression] = STATE(436),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(436),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(436),
    [sym_boolean_operator] = STATE(436),
    [sym_await] = STATE(436),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(436),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(436),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(1246),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [368] = {
    [anon_sym_COLON] = ACTIONS(1248),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [anon_sym_COLON] = ACTIONS(1250),
    [anon_sym_or] = ACTIONS(1250),
    [anon_sym_SLASH_SLASH] = ACTIONS(1252),
    [sym__newline] = ACTIONS(1250),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1250),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_AMP_EQ] = ACTIONS(1250),
    [anon_sym_AT_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT_EQ] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_PERCENT_EQ] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_STAR_STAR] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1252),
    [anon_sym_LT_GT] = ACTIONS(1250),
    [anon_sym_BANG_EQ] = ACTIONS(1250),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_EQ_EQ] = ACTIONS(1250),
    [anon_sym_CARET_EQ] = ACTIONS(1250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1250),
    [anon_sym_STAR_EQ] = ACTIONS(1250),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1250),
    [sym__semicolon] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_and] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_not] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_PLUS_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1250),
    [anon_sym_SLASH_EQ] = ACTIONS(1250),
    [anon_sym_GT_GT_EQ] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_lambda] = STATE(440),
    [sym_conditional_expression] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_await] = STATE(440),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(1254),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [371] = {
    [aux_sym_subscript_repeat1] = STATE(442),
    [anon_sym_RBRACK] = ACTIONS(1254),
    [anon_sym_COMMA] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_lambda] = STATE(443),
    [sym_conditional_expression] = STATE(443),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(443),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(443),
    [sym_boolean_operator] = STATE(443),
    [sym_await] = STATE(443),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(443),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(443),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(1248),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(1246),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1246),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [373] = {
    [sym_argument_list] = STATE(132),
    [sym_generator_expression] = STATE(132),
    [anon_sym_COLON] = ACTIONS(1258),
    [anon_sym_or] = ACTIONS(1258),
    [sym__newline] = ACTIONS(1258),
    [anon_sym_SLASH_SLASH] = ACTIONS(267),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_DASH_EQ] = ACTIONS(1258),
    [anon_sym_is] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(1258),
    [anon_sym_AMP_EQ] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(267),
    [anon_sym_AT_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT_EQ] = ACTIONS(1258),
    [anon_sym_PERCENT_EQ] = ACTIONS(1258),
    [anon_sym_in] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(281),
    [anon_sym_SLASH] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(267),
    [anon_sym_LT_GT] = ACTIONS(1258),
    [anon_sym_BANG_EQ] = ACTIONS(1258),
    [anon_sym_CARET] = ACTIONS(285),
    [anon_sym_EQ_EQ] = ACTIONS(1258),
    [anon_sym_CARET_EQ] = ACTIONS(1258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1258),
    [anon_sym_STAR_EQ] = ACTIONS(1258),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1258),
    [sym__semicolon] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(1258),
    [anon_sym_PERCENT] = ACTIONS(267),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_GT_EQ] = ACTIONS(1258),
    [anon_sym_PLUS_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT] = ACTIONS(289),
    [anon_sym_PIPE] = ACTIONS(291),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_PIPE_EQ] = ACTIONS(1258),
    [anon_sym_GT_GT] = ACTIONS(289),
    [anon_sym_LBRACK] = ACTIONS(293),
    [anon_sym_SLASH_EQ] = ACTIONS(1258),
    [anon_sym_COMMA] = ACTIONS(1258),
    [anon_sym_GT_GT_EQ] = ACTIONS(1258),
    [anon_sym_DOT] = ACTIONS(295),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_lambda] = STATE(444),
    [sym_conditional_expression] = STATE(444),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(444),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(444),
    [sym_boolean_operator] = STATE(444),
    [sym_await] = STATE(444),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(444),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(444),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [375] = {
    [sym_lambda] = STATE(445),
    [sym_conditional_expression] = STATE(445),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(445),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(445),
    [sym_boolean_operator] = STATE(445),
    [sym_await] = STATE(445),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(445),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(445),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [376] = {
    [anon_sym_COLON] = ACTIONS(1262),
    [anon_sym_or] = ACTIONS(1262),
    [anon_sym_SLASH_SLASH] = ACTIONS(1264),
    [sym__newline] = ACTIONS(1262),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1262),
    [anon_sym_is] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_AMP_EQ] = ACTIONS(1262),
    [anon_sym_AT_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT_EQ] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1262),
    [anon_sym_PERCENT_EQ] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1264),
    [anon_sym_LT_GT] = ACTIONS(1262),
    [anon_sym_BANG_EQ] = ACTIONS(1262),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1262),
    [anon_sym_CARET_EQ] = ACTIONS(1262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1262),
    [anon_sym_STAR_EQ] = ACTIONS(1262),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1262),
    [sym__semicolon] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_and] = ACTIONS(1262),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_not] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_PLUS_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_DOT] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [anon_sym_SLASH_EQ] = ACTIONS(1262),
    [anon_sym_GT_GT_EQ] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_lambda] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(448),
    [sym_dictionary_splat] = STATE(447),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(448),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(1266),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [378] = {
    [aux_sym_argument_list_repeat1] = STATE(450),
    [anon_sym_COMMA] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1266),
  },
  [379] = {
    [sym_lambda] = STATE(451),
    [sym_conditional_expression] = STATE(451),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(451),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(451),
    [sym_boolean_operator] = STATE(451),
    [sym_await] = STATE(451),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(451),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(451),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [380] = {
    [anon_sym_COLON] = ACTIONS(1270),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(453),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [382] = {
    [sym_integer] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym__string_start] = ACTIONS(1274),
    [anon_sym_nonlocal] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1272),
    [anon_sym_yield] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_from] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [sym_none] = ACTIONS(1272),
    [anon_sym_with] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_pass] = ACTIONS(1272),
    [sym_float] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_lambda] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_print] = ACTIONS(1272),
    [anon_sym_del] = ACTIONS(1272),
    [sym_ellipsis] = ACTIONS(1274),
    [anon_sym_import] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_def] = ACTIONS(1272),
    [anon_sym_await] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1274),
    [anon_sym_global] = ACTIONS(1272),
    [anon_sym_not] = ACTIONS(1272),
    [anon_sym_exec] = ACTIONS(1272),
    [ts_builtin_sym_end] = ACTIONS(1274),
    [anon_sym_raise] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_try] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_async] = ACTIONS(1272),
  },
  [383] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(455),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1276),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [384] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(457),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1278),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [385] = {
    [sym_lambda] = STATE(613),
    [sym_conditional_expression] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(458),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_await] = STATE(613),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [386] = {
    [sym_lambda] = STATE(459),
    [sym_conditional_expression] = STATE(459),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(459),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(459),
    [sym_boolean_operator] = STATE(459),
    [sym_await] = STATE(459),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(459),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(459),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [387] = {
    [aux_sym_format_specifier_repeat1] = STATE(460),
    [sym_format_expression] = STATE(460),
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(1280),
    [aux_sym_format_specifier_token1] = ACTIONS(1282),
    [anon_sym_LBRACE] = ACTIONS(1034),
  },
  [388] = {
    [sym_escape_sequence] = ACTIONS(1284),
    [sym__string_end] = ACTIONS(1284),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(1284),
    [anon_sym_LBRACE] = ACTIONS(1286),
  },
  [389] = {
    [anon_sym_RBRACE] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_integer] = ACTIONS(1290),
    [sym_true] = ACTIONS(1290),
    [sym__string_start] = ACTIONS(1292),
    [anon_sym_nonlocal] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1290),
    [anon_sym_assert] = ACTIONS(1290),
    [anon_sym_yield] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_from] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [sym_none] = ACTIONS(1290),
    [anon_sym_with] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_pass] = ACTIONS(1290),
    [sym_float] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [anon_sym_lambda] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_print] = ACTIONS(1290),
    [anon_sym_del] = ACTIONS(1290),
    [sym_ellipsis] = ACTIONS(1292),
    [anon_sym_import] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_def] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_global] = ACTIONS(1290),
    [anon_sym_not] = ACTIONS(1290),
    [anon_sym_exec] = ACTIONS(1290),
    [ts_builtin_sym_end] = ACTIONS(1292),
    [anon_sym_raise] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_try] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [sym_false] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_async] = ACTIONS(1290),
  },
  [391] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(462),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [392] = {
    [sym_integer] = ACTIONS(1294),
    [sym_true] = ACTIONS(1294),
    [sym__string_start] = ACTIONS(1296),
    [anon_sym_nonlocal] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1294),
    [anon_sym_assert] = ACTIONS(1294),
    [anon_sym_yield] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1294),
    [anon_sym_from] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [sym_none] = ACTIONS(1294),
    [anon_sym_with] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1294),
    [anon_sym_pass] = ACTIONS(1294),
    [sym_float] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_lambda] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_print] = ACTIONS(1294),
    [anon_sym_del] = ACTIONS(1294),
    [sym_ellipsis] = ACTIONS(1296),
    [anon_sym_import] = ACTIONS(1294),
    [anon_sym_while] = ACTIONS(1294),
    [anon_sym_def] = ACTIONS(1294),
    [anon_sym_await] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1296),
    [anon_sym_global] = ACTIONS(1294),
    [anon_sym_not] = ACTIONS(1294),
    [anon_sym_exec] = ACTIONS(1294),
    [ts_builtin_sym_end] = ACTIONS(1296),
    [anon_sym_raise] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_try] = ACTIONS(1294),
    [anon_sym_for] = ACTIONS(1294),
    [sym_false] = ACTIONS(1294),
    [anon_sym_continue] = ACTIONS(1294),
    [anon_sym_async] = ACTIONS(1294),
  },
  [393] = {
    [anon_sym_RPAREN] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [anon_sym_COLON] = ACTIONS(1300),
    [anon_sym_or] = ACTIONS(1300),
    [anon_sym_SLASH_SLASH] = ACTIONS(1302),
    [sym__newline] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_DASH_EQ] = ACTIONS(1300),
    [anon_sym_is] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1302),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_AMP_EQ] = ACTIONS(1300),
    [anon_sym_AT_EQ] = ACTIONS(1300),
    [anon_sym_LT_LT_EQ] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_PERCENT_EQ] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR_STAR] = ACTIONS(1302),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1302),
    [anon_sym_LT_GT] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1302),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_CARET_EQ] = ACTIONS(1300),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1300),
    [anon_sym_STAR_EQ] = ACTIONS(1300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1300),
    [sym__semicolon] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_and] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1302),
    [anon_sym_not] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_PLUS_EQ] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1302),
    [anon_sym_PIPE] = ACTIONS(1302),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT_GT] = ACTIONS(1302),
    [anon_sym_PIPE_EQ] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [anon_sym_SLASH_EQ] = ACTIONS(1300),
    [anon_sym_GT_GT_EQ] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_await] = STATE(289),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [396] = {
    [sym_lambda] = STATE(466),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(466),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(466),
    [sym_boolean_operator] = STATE(466),
    [sym_lambda_within_for_in_clause] = STATE(465),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(466),
    [sym__expression_within_for_in_clause] = STATE(465),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(466),
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(466),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [397] = {
    [anon_sym_in] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_RPAREN] = ACTIONS(1308),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1308),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_async] = ACTIONS(1308),
  },
  [399] = {
    [sym_for_in_clause] = STATE(399),
    [aux_sym__comprehension_body_repeat1] = STATE(399),
    [sym_if_clause] = STATE(399),
    [anon_sym_if] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_RPAREN] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_RBRACK] = ACTIONS(1313),
    [anon_sym_async] = ACTIONS(1318),
  },
  [400] = {
    [sym_integer] = ACTIONS(1321),
    [sym_true] = ACTIONS(1321),
    [sym__string_start] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1321),
    [anon_sym_assert] = ACTIONS(1321),
    [anon_sym_yield] = ACTIONS(1321),
    [anon_sym_return] = ACTIONS(1321),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1323),
    [sym_none] = ACTIONS(1321),
    [anon_sym_with] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_pass] = ACTIONS(1321),
    [sym_float] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1323),
    [anon_sym_lambda] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1323),
    [anon_sym_print] = ACTIONS(1321),
    [anon_sym_del] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1323),
    [anon_sym_import] = ACTIONS(1321),
    [anon_sym_while] = ACTIONS(1321),
    [anon_sym_def] = ACTIONS(1321),
    [anon_sym_await] = ACTIONS(1321),
    [anon_sym_break] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_exec] = ACTIONS(1321),
    [ts_builtin_sym_end] = ACTIONS(1323),
    [anon_sym_raise] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1321),
    [anon_sym_for] = ACTIONS(1321),
    [sym_false] = ACTIONS(1321),
    [anon_sym_continue] = ACTIONS(1321),
    [anon_sym_async] = ACTIONS(1321),
  },
  [401] = {
    [aux_sym_if_statement_repeat1] = STATE(468),
    [sym_else_clause] = STATE(469),
    [sym_elif_clause] = STATE(406),
    [sym_integer] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym__string_start] = ACTIONS(1327),
    [anon_sym_nonlocal] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1325),
    [anon_sym_yield] = ACTIONS(1325),
    [anon_sym_return] = ACTIONS(1325),
    [anon_sym_from] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1327),
    [sym_none] = ACTIONS(1325),
    [anon_sym_with] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_pass] = ACTIONS(1325),
    [sym_float] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_elif] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_lambda] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_print] = ACTIONS(1325),
    [anon_sym_del] = ACTIONS(1325),
    [sym_ellipsis] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_def] = ACTIONS(1325),
    [anon_sym_await] = ACTIONS(1325),
    [anon_sym_break] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1325),
    [anon_sym_not] = ACTIONS(1325),
    [anon_sym_exec] = ACTIONS(1325),
    [ts_builtin_sym_end] = ACTIONS(1327),
    [anon_sym_raise] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1327),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [anon_sym_continue] = ACTIONS(1325),
    [anon_sym_async] = ACTIONS(1325),
  },
  [402] = {
    [sym_lambda] = STATE(470),
    [sym_conditional_expression] = STATE(470),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(470),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(470),
    [sym_boolean_operator] = STATE(470),
    [sym_await] = STATE(470),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(470),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(470),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [403] = {
    [anon_sym_COLON] = ACTIONS(1329),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [aux_sym_if_statement_repeat1] = STATE(472),
    [sym_else_clause] = STATE(473),
    [sym_elif_clause] = STATE(406),
    [sym_integer] = ACTIONS(1331),
    [sym_true] = ACTIONS(1331),
    [sym__string_start] = ACTIONS(1333),
    [anon_sym_nonlocal] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_assert] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_from] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [sym_none] = ACTIONS(1331),
    [anon_sym_with] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_pass] = ACTIONS(1331),
    [sym_float] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1333),
    [anon_sym_elif] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1333),
    [anon_sym_lambda] = ACTIONS(1331),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_print] = ACTIONS(1331),
    [anon_sym_del] = ACTIONS(1331),
    [sym_ellipsis] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_def] = ACTIONS(1331),
    [anon_sym_await] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1331),
    [anon_sym_not] = ACTIONS(1331),
    [anon_sym_exec] = ACTIONS(1331),
    [ts_builtin_sym_end] = ACTIONS(1333),
    [anon_sym_raise] = ACTIONS(1331),
    [anon_sym_LBRACK] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_try] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_async] = ACTIONS(1331),
  },
  [405] = {
    [sym_integer] = ACTIONS(1335),
    [sym_true] = ACTIONS(1335),
    [sym__string_start] = ACTIONS(1337),
    [anon_sym_nonlocal] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1335),
    [anon_sym_assert] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_from] = ACTIONS(1335),
    [anon_sym_LPAREN] = ACTIONS(1337),
    [sym_none] = ACTIONS(1335),
    [anon_sym_with] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_pass] = ACTIONS(1335),
    [sym_float] = ACTIONS(1337),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_lambda] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_print] = ACTIONS(1335),
    [anon_sym_del] = ACTIONS(1335),
    [sym_ellipsis] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_def] = ACTIONS(1335),
    [anon_sym_await] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_global] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_exec] = ACTIONS(1335),
    [ts_builtin_sym_end] = ACTIONS(1337),
    [anon_sym_raise] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_try] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_async] = ACTIONS(1335),
  },
  [406] = {
    [sym_integer] = ACTIONS(1339),
    [sym_true] = ACTIONS(1339),
    [sym__string_start] = ACTIONS(1341),
    [anon_sym_nonlocal] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1339),
    [anon_sym_assert] = ACTIONS(1339),
    [anon_sym_yield] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_from] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [sym_none] = ACTIONS(1339),
    [anon_sym_with] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_pass] = ACTIONS(1339),
    [anon_sym_elif] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1341),
    [sym_float] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1341),
    [anon_sym_lambda] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_print] = ACTIONS(1339),
    [anon_sym_del] = ACTIONS(1339),
    [sym_ellipsis] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_def] = ACTIONS(1339),
    [anon_sym_await] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_else] = ACTIONS(1339),
    [anon_sym_DASH] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1339),
    [anon_sym_global] = ACTIONS(1339),
    [anon_sym_not] = ACTIONS(1339),
    [anon_sym_exec] = ACTIONS(1339),
    [ts_builtin_sym_end] = ACTIONS(1341),
    [anon_sym_raise] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_try] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_async] = ACTIONS(1339),
  },
  [407] = {
    [sym_lambda] = STATE(474),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(474),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(474),
    [sym_boolean_operator] = STATE(474),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(474),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(474),
    [sym__expression] = STATE(474),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(474),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [408] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(310),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(310),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_exec] = ACTIONS(801),
    [anon_sym_print] = ACTIONS(801),
    [sym_identifier] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_lambda] = STATE(475),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(475),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(475),
    [sym_boolean_operator] = STATE(475),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(475),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(475),
    [sym__expression] = STATE(475),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(475),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [410] = {
    [sym_lambda] = STATE(319),
    [sym_conditional_expression] = STATE(319),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(319),
    [sym_generator_expression] = STATE(557),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_not_operator] = STATE(319),
    [sym_boolean_operator] = STATE(319),
    [sym_await] = STATE(319),
    [sym_concatenated_string] = STATE(557),
    [sym_subscript] = STATE(557),
    [sym_string] = STATE(559),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym__expression] = STATE(319),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(319),
    [sym_integer] = ACTIONS(93),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(93),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [anon_sym_lambda] = ACTIONS(113),
    [sym__string_start] = ACTIONS(115),
  },
  [411] = {
    [sym_aliased_import] = STATE(323),
    [sym_dotted_name] = STATE(324),
    [sym_identifier] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_else_clause] = STATE(476),
    [sym_integer] = ACTIONS(1343),
    [sym_true] = ACTIONS(1343),
    [sym__string_start] = ACTIONS(1345),
    [anon_sym_nonlocal] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1343),
    [anon_sym_assert] = ACTIONS(1343),
    [anon_sym_yield] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [sym_none] = ACTIONS(1343),
    [anon_sym_with] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_pass] = ACTIONS(1343),
    [sym_float] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1345),
    [anon_sym_AT] = ACTIONS(1345),
    [anon_sym_lambda] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_del] = ACTIONS(1343),
    [sym_ellipsis] = ACTIONS(1345),
    [anon_sym_import] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_def] = ACTIONS(1343),
    [anon_sym_await] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [sym_identifier] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1345),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1343),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_exec] = ACTIONS(1343),
    [ts_builtin_sym_end] = ACTIONS(1345),
    [anon_sym_raise] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_try] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_async] = ACTIONS(1343),
  },
  [413] = {
    [sym_integer] = ACTIONS(1347),
    [sym_true] = ACTIONS(1347),
    [sym__string_start] = ACTIONS(1349),
    [anon_sym_nonlocal] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_assert] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_from] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [sym_none] = ACTIONS(1347),
    [anon_sym_with] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_pass] = ACTIONS(1347),
    [sym_float] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_AT] = ACTIONS(1349),
    [anon_sym_lambda] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_print] = ACTIONS(1347),
    [anon_sym_del] = ACTIONS(1347),
    [sym_ellipsis] = ACTIONS(1349),
    [anon_sym_import] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_def] = ACTIONS(1347),
    [anon_sym_await] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1349),
    [anon_sym_global] = ACTIONS(1347),
    [anon_sym_not] = ACTIONS(1347),
    [anon_sym_exec] = ACTIONS(1347),
    [ts_builtin_sym_end] = ACTIONS(1349),
    [anon_sym_raise] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_async] = ACTIONS(1347),
  },
  [414] = {
    [anon_sym_COLON] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(477),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [416] = {
    [sym_integer] = ACTIONS(1353),
    [sym_true] = ACTIONS(1353),
    [sym__string_start] = ACTIONS(1355),
    [anon_sym_nonlocal] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1353),
    [anon_sym_assert] = ACTIONS(1353),
    [anon_sym_yield] = ACTIONS(1353),
    [anon_sym_return] = ACTIONS(1353),
    [anon_sym_from] = ACTIONS(1353),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [sym_none] = ACTIONS(1353),
    [anon_sym_with] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1353),
    [anon_sym_pass] = ACTIONS(1353),
    [sym_float] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_lambda] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_print] = ACTIONS(1353),
    [anon_sym_del] = ACTIONS(1353),
    [sym_ellipsis] = ACTIONS(1355),
    [anon_sym_import] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_def] = ACTIONS(1353),
    [anon_sym_await] = ACTIONS(1353),
    [anon_sym_break] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_global] = ACTIONS(1353),
    [anon_sym_not] = ACTIONS(1353),
    [anon_sym_exec] = ACTIONS(1353),
    [ts_builtin_sym_end] = ACTIONS(1355),
    [anon_sym_raise] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [anon_sym_continue] = ACTIONS(1353),
    [anon_sym_async] = ACTIONS(1353),
  },
  [417] = {
    [anon_sym_COLON] = ACTIONS(1357),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [aux_sym_assert_statement_repeat1] = STATE(630),
    [sym__semicolon] = ACTIONS(1359),
    [sym__newline] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(343),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [anon_sym_COLON] = ACTIONS(1361),
    [anon_sym_or] = ACTIONS(1361),
    [anon_sym_SLASH_SLASH] = ACTIONS(1363),
    [sym__newline] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_DASH_EQ] = ACTIONS(1361),
    [anon_sym_is] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_AMP_EQ] = ACTIONS(1361),
    [anon_sym_AT_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT_EQ] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1361),
    [anon_sym_PERCENT_EQ] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_STAR_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_CARET_EQ] = ACTIONS(1361),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1361),
    [anon_sym_STAR_EQ] = ACTIONS(1361),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1361),
    [sym__semicolon] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_and] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1363),
    [anon_sym_not] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_PLUS_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1363),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT_GT] = ACTIONS(1363),
    [anon_sym_PIPE_EQ] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [anon_sym_SLASH_EQ] = ACTIONS(1361),
    [anon_sym_GT_GT_EQ] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [421] = {
    [anon_sym_COLON] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_SLASH_SLASH] = ACTIONS(1367),
    [sym__newline] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_DASH_EQ] = ACTIONS(1365),
    [anon_sym_is] = ACTIONS(1365),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_AMP_EQ] = ACTIONS(1365),
    [anon_sym_AT_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT_EQ] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1365),
    [anon_sym_PERCENT_EQ] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_STAR_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_CARET_EQ] = ACTIONS(1365),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1365),
    [anon_sym_STAR_EQ] = ACTIONS(1365),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1365),
    [sym__semicolon] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_not] = ACTIONS(1365),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_PLUS_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_PIPE_EQ] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_DOT] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_SLASH_EQ] = ACTIONS(1365),
    [anon_sym_GT_GT_EQ] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_lambda] = STATE(345),
    [sym_conditional_expression] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(344),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_await] = STATE(345),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [423] = {
    [anon_sym_COLON] = ACTIONS(1369),
    [anon_sym_or] = ACTIONS(1369),
    [anon_sym_SLASH_SLASH] = ACTIONS(1371),
    [sym__newline] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_DASH_EQ] = ACTIONS(1369),
    [anon_sym_is] = ACTIONS(1369),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_AMP_EQ] = ACTIONS(1369),
    [anon_sym_AT_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT_EQ] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1369),
    [anon_sym_PERCENT_EQ] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_STAR_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_CARET_EQ] = ACTIONS(1369),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1369),
    [anon_sym_STAR_EQ] = ACTIONS(1369),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1369),
    [sym__semicolon] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_and] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1371),
    [anon_sym_not] = ACTIONS(1369),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_PLUS_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_PIPE_EQ] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_DOT] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1369),
    [anon_sym_SLASH_EQ] = ACTIONS(1369),
    [anon_sym_GT_GT_EQ] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_except_clause] = STATE(431),
    [sym_else_clause] = STATE(479),
    [aux_sym_try_statement_repeat1] = STATE(431),
    [sym_finally_clause] = STATE(480),
    [sym_integer] = ACTIONS(1373),
    [sym_true] = ACTIONS(1373),
    [sym__string_start] = ACTIONS(1375),
    [anon_sym_nonlocal] = ACTIONS(1373),
    [anon_sym_finally] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [sym_none] = ACTIONS(1373),
    [anon_sym_with] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1373),
    [anon_sym_pass] = ACTIONS(1373),
    [sym_float] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_lambda] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_print] = ACTIONS(1373),
    [anon_sym_del] = ACTIONS(1373),
    [sym_ellipsis] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1373),
    [anon_sym_while] = ACTIONS(1373),
    [anon_sym_def] = ACTIONS(1373),
    [anon_sym_await] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_except] = ACTIONS(1231),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1373),
    [anon_sym_not] = ACTIONS(1373),
    [anon_sym_exec] = ACTIONS(1373),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [anon_sym_raise] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(1373),
    [sym_false] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1373),
    [anon_sym_async] = ACTIONS(1373),
  },
  [425] = {
    [sym_integer] = ACTIONS(1373),
    [sym_true] = ACTIONS(1373),
    [sym__string_start] = ACTIONS(1375),
    [anon_sym_nonlocal] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1373),
    [anon_sym_assert] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [sym_none] = ACTIONS(1373),
    [anon_sym_with] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1373),
    [anon_sym_pass] = ACTIONS(1373),
    [sym_float] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_lambda] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_print] = ACTIONS(1373),
    [anon_sym_del] = ACTIONS(1373),
    [sym_ellipsis] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1373),
    [anon_sym_while] = ACTIONS(1373),
    [anon_sym_def] = ACTIONS(1373),
    [anon_sym_await] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1373),
    [anon_sym_not] = ACTIONS(1373),
    [anon_sym_exec] = ACTIONS(1373),
    [ts_builtin_sym_end] = ACTIONS(1375),
    [anon_sym_raise] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(1373),
    [sym_false] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1373),
    [anon_sym_async] = ACTIONS(1373),
  },
  [426] = {
    [anon_sym_except] = ACTIONS(1377),
    [anon_sym_finally] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(482),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1379),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [428] = {
    [anon_sym_COLON] = ACTIONS(1381),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1383),
  },
  [429] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(486),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1385),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [430] = {
    [sym_finally_clause] = STATE(487),
    [sym_integer] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym__string_start] = ACTIONS(1389),
    [anon_sym_nonlocal] = ACTIONS(1387),
    [anon_sym_finally] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_from] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [sym_none] = ACTIONS(1387),
    [anon_sym_with] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_pass] = ACTIONS(1387),
    [sym_float] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_lambda] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_print] = ACTIONS(1387),
    [anon_sym_del] = ACTIONS(1387),
    [sym_ellipsis] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_def] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_global] = ACTIONS(1387),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_exec] = ACTIONS(1387),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [anon_sym_raise] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [anon_sym_async] = ACTIONS(1387),
  },
  [431] = {
    [sym_except_clause] = STATE(431),
    [aux_sym_try_statement_repeat1] = STATE(431),
    [sym_integer] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [anon_sym_nonlocal] = ACTIONS(1391),
    [sym__string_start] = ACTIONS(1393),
    [anon_sym_class] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1391),
    [anon_sym_yield] = ACTIONS(1391),
    [anon_sym_return] = ACTIONS(1391),
    [anon_sym_from] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [sym_none] = ACTIONS(1391),
    [anon_sym_with] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_pass] = ACTIONS(1391),
    [sym_float] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [anon_sym_lambda] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1391),
    [anon_sym_del] = ACTIONS(1391),
    [sym_ellipsis] = ACTIONS(1393),
    [anon_sym_import] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_def] = ACTIONS(1391),
    [anon_sym_except] = ACTIONS(1395),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_await] = ACTIONS(1391),
    [anon_sym_global] = ACTIONS(1391),
    [anon_sym_not] = ACTIONS(1391),
    [anon_sym_exec] = ACTIONS(1391),
    [ts_builtin_sym_end] = ACTIONS(1393),
    [anon_sym_raise] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_try] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_finally] = ACTIONS(1391),
    [anon_sym_continue] = ACTIONS(1391),
    [anon_sym_async] = ACTIONS(1391),
  },
  [432] = {
    [sym_integer] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym__string_start] = ACTIONS(1389),
    [anon_sym_nonlocal] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1387),
    [anon_sym_assert] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_from] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [sym_none] = ACTIONS(1387),
    [anon_sym_with] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_pass] = ACTIONS(1387),
    [sym_float] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_lambda] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_print] = ACTIONS(1387),
    [anon_sym_del] = ACTIONS(1387),
    [sym_ellipsis] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_def] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1389),
    [anon_sym_global] = ACTIONS(1387),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_exec] = ACTIONS(1387),
    [ts_builtin_sym_end] = ACTIONS(1389),
    [anon_sym_raise] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [anon_sym_async] = ACTIONS(1387),
  },
  [433] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(489),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1398),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [434] = {
    [sym_attribute] = STATE(361),
    [sym_dictionary_comprehension] = STATE(361),
    [sym_generator_expression] = STATE(361),
    [sym_binary_operator] = STATE(361),
    [sym_unary_operator] = STATE(361),
    [sym_call] = STATE(361),
    [sym_list_comprehension] = STATE(361),
    [sym_dictionary] = STATE(361),
    [sym_parenthesized_expression] = STATE(361),
    [sym_tuple] = STATE(361),
    [sym_concatenated_string] = STATE(361),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(361),
    [sym_list] = STATE(361),
    [sym_set] = STATE(361),
    [sym_set_comprehension] = STATE(361),
    [sym__primary_expression] = STATE(361),
    [sym_integer] = ACTIONS(913),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(913),
    [sym_identifier] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(913),
    [sym__string_start] = ACTIONS(157),
  },
  [435] = {
    [sym__semicolon] = ACTIONS(1400),
    [sym__newline] = ACTIONS(1400),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_lambda] = STATE(490),
    [sym_conditional_expression] = STATE(490),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(490),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(490),
    [sym_boolean_operator] = STATE(490),
    [sym_await] = STATE(490),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(490),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(490),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(1402),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [438] = {
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_or] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(1406),
    [sym__newline] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1406),
    [anon_sym_DASH_EQ] = ACTIONS(1404),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1406),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_AMP_EQ] = ACTIONS(1404),
    [anon_sym_AT_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT_EQ] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_PERCENT_EQ] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR_STAR] = ACTIONS(1406),
    [anon_sym_SLASH] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1406),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_CARET_EQ] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1404),
    [anon_sym_STAR_EQ] = ACTIONS(1404),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1404),
    [sym__semicolon] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_and] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1406),
    [anon_sym_not] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_PLUS_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1406),
    [anon_sym_PIPE] = ACTIONS(1406),
    [anon_sym_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1406),
    [anon_sym_PIPE_EQ] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [anon_sym_SLASH_EQ] = ACTIONS(1404),
    [anon_sym_GT_GT_EQ] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [anon_sym_COLON] = ACTIONS(956),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1408),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_lambda] = STATE(440),
    [sym_conditional_expression] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_await] = STATE(440),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(1410),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [442] = {
    [aux_sym_subscript_repeat1] = STATE(442),
    [anon_sym_RBRACK] = ACTIONS(1408),
    [anon_sym_COMMA] = ACTIONS(1412),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [anon_sym_COLON] = ACTIONS(1415),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(1417),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(1419),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_SLASH_SLASH] = ACTIONS(1423),
    [sym__newline] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_DASH_EQ] = ACTIONS(1421),
    [anon_sym_is] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_AMP_EQ] = ACTIONS(1421),
    [anon_sym_AT_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT_EQ] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_PERCENT_EQ] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1423),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_CARET_EQ] = ACTIONS(1421),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1421),
    [anon_sym_STAR_EQ] = ACTIONS(1421),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1421),
    [sym__semicolon] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1423),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_PLUS_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_PIPE_EQ] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_SLASH_EQ] = ACTIONS(1421),
    [anon_sym_GT_GT_EQ] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [anon_sym_RPAREN] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1425),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(1425),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_lambda] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(448),
    [sym_dictionary_splat] = STATE(447),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(448),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [450] = {
    [aux_sym_argument_list_repeat1] = STATE(450),
    [anon_sym_RPAREN] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_CARET_EQ] = ACTIONS(1432),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1432),
    [anon_sym_STAR_EQ] = ACTIONS(1432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1432),
    [sym__newline] = ACTIONS(1432),
    [anon_sym_DASH_EQ] = ACTIONS(1432),
    [sym__semicolon] = ACTIONS(1432),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AMP_EQ] = ACTIONS(1432),
    [anon_sym_AT_EQ] = ACTIONS(1432),
    [anon_sym_LT_LT_EQ] = ACTIONS(1432),
    [anon_sym_PERCENT_EQ] = ACTIONS(1432),
    [anon_sym_PLUS_EQ] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PIPE_EQ] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1432),
    [anon_sym_SLASH_EQ] = ACTIONS(1432),
    [anon_sym_GT_GT_EQ] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(497),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1434),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [453] = {
    [sym_integer] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym__string_start] = ACTIONS(1438),
    [anon_sym_nonlocal] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_assert] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_from] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [sym_none] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_pass] = ACTIONS(1436),
    [sym_float] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_lambda] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_print] = ACTIONS(1436),
    [anon_sym_del] = ACTIONS(1436),
    [sym_ellipsis] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_def] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1438),
    [anon_sym_global] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(1436),
    [anon_sym_exec] = ACTIONS(1436),
    [ts_builtin_sym_end] = ACTIONS(1438),
    [anon_sym_raise] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
  },
  [454] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(498),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [455] = {
    [sym_integer] = ACTIONS(1440),
    [sym_true] = ACTIONS(1440),
    [sym__string_start] = ACTIONS(1442),
    [anon_sym_nonlocal] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1440),
    [anon_sym_assert] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [sym_none] = ACTIONS(1440),
    [anon_sym_with] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_pass] = ACTIONS(1440),
    [sym_float] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [anon_sym_lambda] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_print] = ACTIONS(1440),
    [anon_sym_del] = ACTIONS(1440),
    [sym_ellipsis] = ACTIONS(1442),
    [anon_sym_import] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_def] = ACTIONS(1440),
    [anon_sym_await] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_global] = ACTIONS(1440),
    [anon_sym_not] = ACTIONS(1440),
    [anon_sym_exec] = ACTIONS(1440),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [anon_sym_raise] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_try] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_async] = ACTIONS(1440),
  },
  [456] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(499),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [457] = {
    [sym_integer] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym__string_start] = ACTIONS(1446),
    [anon_sym_nonlocal] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1444),
    [anon_sym_assert] = ACTIONS(1444),
    [anon_sym_yield] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_from] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [sym_none] = ACTIONS(1444),
    [anon_sym_with] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_pass] = ACTIONS(1444),
    [sym_float] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [anon_sym_lambda] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_print] = ACTIONS(1444),
    [anon_sym_del] = ACTIONS(1444),
    [sym_ellipsis] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_def] = ACTIONS(1444),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [sym_identifier] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1446),
    [anon_sym_global] = ACTIONS(1444),
    [anon_sym_not] = ACTIONS(1444),
    [anon_sym_exec] = ACTIONS(1444),
    [ts_builtin_sym_end] = ACTIONS(1446),
    [anon_sym_raise] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_try] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_async] = ACTIONS(1444),
  },
  [458] = {
    [anon_sym_COLON] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [aux_sym_format_specifier_repeat1] = STATE(460),
    [sym_format_expression] = STATE(460),
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(1452),
    [aux_sym_format_specifier_token1] = ACTIONS(1454),
    [anon_sym_LBRACE] = ACTIONS(1457),
  },
  [461] = {
    [sym_escape_sequence] = ACTIONS(1460),
    [sym__string_end] = ACTIONS(1460),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
  },
  [462] = {
    [sym_integer] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym__string_start] = ACTIONS(1466),
    [anon_sym_nonlocal] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1464),
    [anon_sym_assert] = ACTIONS(1464),
    [anon_sym_yield] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_from] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [sym_none] = ACTIONS(1464),
    [anon_sym_with] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_pass] = ACTIONS(1464),
    [sym_float] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [anon_sym_lambda] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_print] = ACTIONS(1464),
    [anon_sym_del] = ACTIONS(1464),
    [sym_ellipsis] = ACTIONS(1466),
    [anon_sym_import] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_def] = ACTIONS(1464),
    [anon_sym_await] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [anon_sym_global] = ACTIONS(1464),
    [anon_sym_not] = ACTIONS(1464),
    [anon_sym_exec] = ACTIONS(1464),
    [ts_builtin_sym_end] = ACTIONS(1466),
    [anon_sym_raise] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_try] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_async] = ACTIONS(1464),
  },
  [463] = {
    [sym__semicolon] = ACTIONS(1468),
    [sym__newline] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_lambda_parameters] = STATE(503),
    [sym_tuple] = STATE(79),
    [sym_dictionary_splat] = STATE(80),
    [sym__parameters] = STATE(82),
    [sym_default_parameter] = STATE(79),
    [sym_typed_default_parameter] = STATE(79),
    [sym_typed_parameter] = STATE(79),
    [sym_list_splat] = STATE(80),
    [anon_sym_exec] = ACTIONS(193),
    [anon_sym_print] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(199),
  },
  [465] = {
    [aux_sym_for_in_clause_repeat1] = STATE(505),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [anon_sym_COMMA] = ACTIONS(1474),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_RBRACK] = ACTIONS(1472),
    [anon_sym_async] = ACTIONS(1472),
  },
  [466] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1476),
    [anon_sym_async] = ACTIONS(1476),
  },
  [467] = {
    [sym_lambda] = STATE(466),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(466),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(466),
    [sym_boolean_operator] = STATE(466),
    [sym_lambda_within_for_in_clause] = STATE(506),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(466),
    [sym__expression_within_for_in_clause] = STATE(506),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(466),
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(466),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [468] = {
    [aux_sym_if_statement_repeat1] = STATE(472),
    [sym_else_clause] = STATE(507),
    [sym_elif_clause] = STATE(406),
    [sym_integer] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym__string_start] = ACTIONS(1480),
    [anon_sym_nonlocal] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1478),
    [anon_sym_assert] = ACTIONS(1478),
    [anon_sym_yield] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_from] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [sym_none] = ACTIONS(1478),
    [anon_sym_with] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_pass] = ACTIONS(1478),
    [sym_float] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_elif] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1480),
    [anon_sym_lambda] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_print] = ACTIONS(1478),
    [anon_sym_del] = ACTIONS(1478),
    [sym_ellipsis] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_def] = ACTIONS(1478),
    [anon_sym_await] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1478),
    [anon_sym_not] = ACTIONS(1478),
    [anon_sym_exec] = ACTIONS(1478),
    [ts_builtin_sym_end] = ACTIONS(1480),
    [anon_sym_raise] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_try] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_async] = ACTIONS(1478),
  },
  [469] = {
    [sym_integer] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym__string_start] = ACTIONS(1484),
    [anon_sym_nonlocal] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1482),
    [anon_sym_assert] = ACTIONS(1482),
    [anon_sym_yield] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_from] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [sym_none] = ACTIONS(1482),
    [anon_sym_with] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_pass] = ACTIONS(1482),
    [sym_float] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_lambda] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_print] = ACTIONS(1482),
    [anon_sym_del] = ACTIONS(1482),
    [sym_ellipsis] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_def] = ACTIONS(1482),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_global] = ACTIONS(1482),
    [anon_sym_not] = ACTIONS(1482),
    [anon_sym_exec] = ACTIONS(1482),
    [ts_builtin_sym_end] = ACTIONS(1484),
    [anon_sym_raise] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_try] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_async] = ACTIONS(1482),
  },
  [470] = {
    [anon_sym_COLON] = ACTIONS(1486),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(35),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(35),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(510),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(35),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_exec_statement] = STATE(35),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_break_statement] = STATE(35),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(35),
    [sym_global_statement] = STATE(35),
    [sym_unary_operator] = STATE(39),
    [sym_future_import_statement] = STATE(35),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(35),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [sym_nonlocal_statement] = STATE(35),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1488),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [472] = {
    [aux_sym_if_statement_repeat1] = STATE(472),
    [sym_elif_clause] = STATE(406),
    [sym_integer] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym__string_start] = ACTIONS(1492),
    [anon_sym_nonlocal] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_yield] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_from] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [sym_none] = ACTIONS(1490),
    [anon_sym_with] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_pass] = ACTIONS(1490),
    [anon_sym_elif] = ACTIONS(1494),
    [anon_sym_PLUS] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [anon_sym_lambda] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_print] = ACTIONS(1490),
    [anon_sym_del] = ACTIONS(1490),
    [sym_ellipsis] = ACTIONS(1492),
    [anon_sym_import] = ACTIONS(1490),
    [anon_sym_while] = ACTIONS(1490),
    [anon_sym_def] = ACTIONS(1490),
    [anon_sym_await] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_else] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1490),
    [anon_sym_global] = ACTIONS(1490),
    [anon_sym_not] = ACTIONS(1490),
    [anon_sym_exec] = ACTIONS(1490),
    [ts_builtin_sym_end] = ACTIONS(1492),
    [anon_sym_raise] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_async] = ACTIONS(1490),
  },
  [473] = {
    [sym_integer] = ACTIONS(1497),
    [sym_true] = ACTIONS(1497),
    [sym__string_start] = ACTIONS(1499),
    [anon_sym_nonlocal] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1497),
    [anon_sym_assert] = ACTIONS(1497),
    [anon_sym_yield] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_from] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [sym_none] = ACTIONS(1497),
    [anon_sym_with] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_pass] = ACTIONS(1497),
    [sym_float] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_AT] = ACTIONS(1499),
    [anon_sym_lambda] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_print] = ACTIONS(1497),
    [anon_sym_del] = ACTIONS(1497),
    [sym_ellipsis] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_def] = ACTIONS(1497),
    [anon_sym_await] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [anon_sym_global] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1497),
    [anon_sym_exec] = ACTIONS(1497),
    [ts_builtin_sym_end] = ACTIONS(1499),
    [anon_sym_raise] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_try] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1497),
  },
  [474] = {
    [anon_sym_COLON] = ACTIONS(1501),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [475] = {
    [anon_sym_COLON] = ACTIONS(1503),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(1503),
    [anon_sym_COMMA] = ACTIONS(1503),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [476] = {
    [sym_integer] = ACTIONS(1505),
    [sym_true] = ACTIONS(1505),
    [sym__string_start] = ACTIONS(1507),
    [anon_sym_nonlocal] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1505),
    [anon_sym_assert] = ACTIONS(1505),
    [anon_sym_yield] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_from] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [sym_none] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_pass] = ACTIONS(1505),
    [sym_float] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1507),
    [anon_sym_lambda] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_del] = ACTIONS(1505),
    [sym_ellipsis] = ACTIONS(1507),
    [anon_sym_import] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_def] = ACTIONS(1505),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_global] = ACTIONS(1505),
    [anon_sym_not] = ACTIONS(1505),
    [anon_sym_exec] = ACTIONS(1505),
    [ts_builtin_sym_end] = ACTIONS(1507),
    [anon_sym_raise] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_async] = ACTIONS(1505),
  },
  [477] = {
    [sym_integer] = ACTIONS(1509),
    [sym_true] = ACTIONS(1509),
    [sym__string_start] = ACTIONS(1511),
    [anon_sym_nonlocal] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1509),
    [anon_sym_assert] = ACTIONS(1509),
    [anon_sym_yield] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_from] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [sym_none] = ACTIONS(1509),
    [anon_sym_with] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_pass] = ACTIONS(1509),
    [sym_float] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(1511),
    [anon_sym_lambda] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_print] = ACTIONS(1509),
    [anon_sym_del] = ACTIONS(1509),
    [sym_ellipsis] = ACTIONS(1511),
    [anon_sym_import] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_await] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [sym_identifier] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_global] = ACTIONS(1509),
    [anon_sym_not] = ACTIONS(1509),
    [anon_sym_exec] = ACTIONS(1509),
    [ts_builtin_sym_end] = ACTIONS(1511),
    [anon_sym_raise] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_try] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_async] = ACTIONS(1509),
  },
  [478] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(512),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1513),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [479] = {
    [sym_finally_clause] = STATE(513),
    [sym_integer] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym__string_start] = ACTIONS(1517),
    [anon_sym_nonlocal] = ACTIONS(1515),
    [anon_sym_finally] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1515),
    [anon_sym_yield] = ACTIONS(1515),
    [anon_sym_return] = ACTIONS(1515),
    [anon_sym_from] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [sym_none] = ACTIONS(1515),
    [anon_sym_with] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_pass] = ACTIONS(1515),
    [sym_float] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_lambda] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_print] = ACTIONS(1515),
    [anon_sym_del] = ACTIONS(1515),
    [sym_ellipsis] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_def] = ACTIONS(1515),
    [anon_sym_await] = ACTIONS(1515),
    [anon_sym_break] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_global] = ACTIONS(1515),
    [anon_sym_not] = ACTIONS(1515),
    [anon_sym_exec] = ACTIONS(1515),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [anon_sym_raise] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [anon_sym_continue] = ACTIONS(1515),
    [anon_sym_async] = ACTIONS(1515),
  },
  [480] = {
    [sym_integer] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym__string_start] = ACTIONS(1517),
    [anon_sym_nonlocal] = ACTIONS(1515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1515),
    [anon_sym_assert] = ACTIONS(1515),
    [anon_sym_yield] = ACTIONS(1515),
    [anon_sym_return] = ACTIONS(1515),
    [anon_sym_from] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [sym_none] = ACTIONS(1515),
    [anon_sym_with] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_pass] = ACTIONS(1515),
    [sym_float] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_lambda] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_print] = ACTIONS(1515),
    [anon_sym_del] = ACTIONS(1515),
    [sym_ellipsis] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_def] = ACTIONS(1515),
    [anon_sym_await] = ACTIONS(1515),
    [anon_sym_break] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_global] = ACTIONS(1515),
    [anon_sym_not] = ACTIONS(1515),
    [anon_sym_exec] = ACTIONS(1515),
    [ts_builtin_sym_end] = ACTIONS(1517),
    [anon_sym_raise] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [anon_sym_continue] = ACTIONS(1515),
    [anon_sym_async] = ACTIONS(1515),
  },
  [481] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(514),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [482] = {
    [sym_integer] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_nonlocal] = ACTIONS(1519),
    [sym__string_start] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1519),
    [anon_sym_yield] = ACTIONS(1519),
    [anon_sym_return] = ACTIONS(1519),
    [anon_sym_from] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [sym_none] = ACTIONS(1519),
    [anon_sym_with] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_pass] = ACTIONS(1519),
    [sym_float] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [anon_sym_lambda] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_print] = ACTIONS(1519),
    [anon_sym_del] = ACTIONS(1519),
    [sym_ellipsis] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_def] = ACTIONS(1519),
    [anon_sym_except] = ACTIONS(1519),
    [anon_sym_break] = ACTIONS(1519),
    [anon_sym_else] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1521),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_await] = ACTIONS(1519),
    [anon_sym_global] = ACTIONS(1519),
    [anon_sym_not] = ACTIONS(1519),
    [anon_sym_exec] = ACTIONS(1519),
    [ts_builtin_sym_end] = ACTIONS(1521),
    [anon_sym_raise] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1521),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_finally] = ACTIONS(1519),
    [anon_sym_continue] = ACTIONS(1519),
    [anon_sym_async] = ACTIONS(1519),
  },
  [483] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(516),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1523),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [484] = {
    [sym_lambda] = STATE(517),
    [sym_conditional_expression] = STATE(517),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(517),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(517),
    [sym_boolean_operator] = STATE(517),
    [sym_await] = STATE(517),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(517),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(517),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [485] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(518),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [486] = {
    [sym_integer] = ACTIONS(1525),
    [sym_true] = ACTIONS(1525),
    [sym__string_start] = ACTIONS(1527),
    [anon_sym_nonlocal] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1525),
    [anon_sym_assert] = ACTIONS(1525),
    [anon_sym_yield] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_from] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1527),
    [sym_none] = ACTIONS(1525),
    [anon_sym_with] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_pass] = ACTIONS(1525),
    [sym_float] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(1527),
    [anon_sym_lambda] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_print] = ACTIONS(1525),
    [anon_sym_del] = ACTIONS(1525),
    [sym_ellipsis] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_def] = ACTIONS(1525),
    [anon_sym_await] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [sym_identifier] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [anon_sym_global] = ACTIONS(1525),
    [anon_sym_not] = ACTIONS(1525),
    [anon_sym_exec] = ACTIONS(1525),
    [ts_builtin_sym_end] = ACTIONS(1527),
    [anon_sym_raise] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_try] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_async] = ACTIONS(1525),
  },
  [487] = {
    [sym_integer] = ACTIONS(1529),
    [sym_true] = ACTIONS(1529),
    [sym__string_start] = ACTIONS(1531),
    [anon_sym_nonlocal] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1529),
    [anon_sym_assert] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_from] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [sym_none] = ACTIONS(1529),
    [anon_sym_with] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_pass] = ACTIONS(1529),
    [sym_float] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(1531),
    [anon_sym_lambda] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_print] = ACTIONS(1529),
    [anon_sym_del] = ACTIONS(1529),
    [sym_ellipsis] = ACTIONS(1531),
    [anon_sym_import] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_def] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_not] = ACTIONS(1529),
    [anon_sym_exec] = ACTIONS(1529),
    [ts_builtin_sym_end] = ACTIONS(1531),
    [anon_sym_raise] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_async] = ACTIONS(1529),
  },
  [488] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(519),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [489] = {
    [sym_else_clause] = STATE(520),
    [sym_integer] = ACTIONS(1533),
    [sym_true] = ACTIONS(1533),
    [sym__string_start] = ACTIONS(1535),
    [anon_sym_nonlocal] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1533),
    [anon_sym_yield] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_from] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [sym_none] = ACTIONS(1533),
    [anon_sym_with] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_pass] = ACTIONS(1533),
    [sym_float] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(1535),
    [anon_sym_lambda] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_print] = ACTIONS(1533),
    [anon_sym_del] = ACTIONS(1533),
    [sym_ellipsis] = ACTIONS(1535),
    [anon_sym_import] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_def] = ACTIONS(1533),
    [anon_sym_await] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [sym_identifier] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1533),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_exec] = ACTIONS(1533),
    [ts_builtin_sym_end] = ACTIONS(1535),
    [anon_sym_raise] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_async] = ACTIONS(1533),
  },
  [490] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [anon_sym_COLON] = ACTIONS(1539),
    [anon_sym_or] = ACTIONS(1539),
    [anon_sym_SLASH_SLASH] = ACTIONS(1541),
    [sym__newline] = ACTIONS(1539),
    [anon_sym_GT] = ACTIONS(1541),
    [anon_sym_DASH_EQ] = ACTIONS(1539),
    [anon_sym_is] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1541),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1541),
    [anon_sym_AMP_EQ] = ACTIONS(1539),
    [anon_sym_AT_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT_EQ] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1539),
    [anon_sym_PERCENT_EQ] = ACTIONS(1539),
    [anon_sym_if] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_STAR_STAR] = ACTIONS(1541),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1541),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1541),
    [anon_sym_EQ_EQ] = ACTIONS(1539),
    [anon_sym_CARET_EQ] = ACTIONS(1539),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1539),
    [anon_sym_STAR_EQ] = ACTIONS(1539),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1539),
    [sym__semicolon] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_and] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1541),
    [anon_sym_not] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_PLUS_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1541),
    [anon_sym_PIPE] = ACTIONS(1541),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT_GT] = ACTIONS(1541),
    [anon_sym_PIPE_EQ] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [anon_sym_SLASH_EQ] = ACTIONS(1539),
    [anon_sym_GT_GT_EQ] = ACTIONS(1539),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_lambda] = STATE(440),
    [sym_conditional_expression] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_await] = STATE(440),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [493] = {
    [sym_lambda] = STATE(521),
    [sym_conditional_expression] = STATE(521),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(521),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(521),
    [sym_boolean_operator] = STATE(521),
    [sym_await] = STATE(521),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(521),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(521),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(1537),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [494] = {
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_SLASH_SLASH] = ACTIONS(1545),
    [sym__newline] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_DASH_EQ] = ACTIONS(1543),
    [anon_sym_is] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1545),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_AMP_EQ] = ACTIONS(1543),
    [anon_sym_AT_EQ] = ACTIONS(1543),
    [anon_sym_LT_LT_EQ] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1543),
    [anon_sym_PERCENT_EQ] = ACTIONS(1543),
    [anon_sym_if] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR_STAR] = ACTIONS(1545),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1545),
    [anon_sym_LT_GT] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1545),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_CARET_EQ] = ACTIONS(1543),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1543),
    [anon_sym_STAR_EQ] = ACTIONS(1543),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1543),
    [sym__semicolon] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_and] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1545),
    [anon_sym_not] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_PLUS_EQ] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1545),
    [anon_sym_PIPE] = ACTIONS(1545),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1545),
    [anon_sym_PIPE_EQ] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_SLASH_EQ] = ACTIONS(1543),
    [anon_sym_GT_GT_EQ] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_lambda] = STATE(448),
    [sym_conditional_expression] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(447),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_await] = STATE(448),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [496] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(522),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [497] = {
    [sym_else_clause] = STATE(523),
    [sym_integer] = ACTIONS(1547),
    [sym_true] = ACTIONS(1547),
    [sym__string_start] = ACTIONS(1549),
    [anon_sym_nonlocal] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1547),
    [anon_sym_assert] = ACTIONS(1547),
    [anon_sym_yield] = ACTIONS(1547),
    [anon_sym_return] = ACTIONS(1547),
    [anon_sym_from] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [sym_none] = ACTIONS(1547),
    [anon_sym_with] = ACTIONS(1547),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_pass] = ACTIONS(1547),
    [sym_float] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_AT] = ACTIONS(1549),
    [anon_sym_lambda] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1549),
    [anon_sym_print] = ACTIONS(1547),
    [anon_sym_del] = ACTIONS(1547),
    [sym_ellipsis] = ACTIONS(1549),
    [anon_sym_import] = ACTIONS(1547),
    [anon_sym_while] = ACTIONS(1547),
    [anon_sym_def] = ACTIONS(1547),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_break] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1547),
    [anon_sym_not] = ACTIONS(1547),
    [anon_sym_exec] = ACTIONS(1547),
    [ts_builtin_sym_end] = ACTIONS(1549),
    [anon_sym_raise] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_try] = ACTIONS(1547),
    [anon_sym_for] = ACTIONS(1547),
    [sym_false] = ACTIONS(1547),
    [anon_sym_continue] = ACTIONS(1547),
    [anon_sym_async] = ACTIONS(1547),
  },
  [498] = {
    [sym_integer] = ACTIONS(1551),
    [sym_true] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1553),
    [anon_sym_nonlocal] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1551),
    [anon_sym_assert] = ACTIONS(1551),
    [anon_sym_yield] = ACTIONS(1551),
    [anon_sym_return] = ACTIONS(1551),
    [anon_sym_from] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1553),
    [sym_none] = ACTIONS(1551),
    [anon_sym_with] = ACTIONS(1551),
    [anon_sym_if] = ACTIONS(1551),
    [anon_sym_pass] = ACTIONS(1551),
    [sym_float] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1553),
    [anon_sym_lambda] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1553),
    [anon_sym_print] = ACTIONS(1551),
    [anon_sym_del] = ACTIONS(1551),
    [sym_ellipsis] = ACTIONS(1553),
    [anon_sym_import] = ACTIONS(1551),
    [anon_sym_while] = ACTIONS(1551),
    [anon_sym_def] = ACTIONS(1551),
    [anon_sym_await] = ACTIONS(1551),
    [anon_sym_break] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_global] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1551),
    [anon_sym_exec] = ACTIONS(1551),
    [ts_builtin_sym_end] = ACTIONS(1553),
    [anon_sym_raise] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1551),
    [anon_sym_for] = ACTIONS(1551),
    [sym_false] = ACTIONS(1551),
    [anon_sym_continue] = ACTIONS(1551),
    [anon_sym_async] = ACTIONS(1551),
  },
  [499] = {
    [sym_integer] = ACTIONS(1555),
    [sym_true] = ACTIONS(1555),
    [sym__string_start] = ACTIONS(1557),
    [anon_sym_nonlocal] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1555),
    [anon_sym_assert] = ACTIONS(1555),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_return] = ACTIONS(1555),
    [anon_sym_from] = ACTIONS(1555),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [sym_none] = ACTIONS(1555),
    [anon_sym_with] = ACTIONS(1555),
    [anon_sym_if] = ACTIONS(1555),
    [anon_sym_pass] = ACTIONS(1555),
    [sym_float] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1557),
    [anon_sym_lambda] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_print] = ACTIONS(1555),
    [anon_sym_del] = ACTIONS(1555),
    [sym_ellipsis] = ACTIONS(1557),
    [anon_sym_import] = ACTIONS(1555),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_def] = ACTIONS(1555),
    [anon_sym_await] = ACTIONS(1555),
    [anon_sym_break] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_global] = ACTIONS(1555),
    [anon_sym_not] = ACTIONS(1555),
    [anon_sym_exec] = ACTIONS(1555),
    [ts_builtin_sym_end] = ACTIONS(1557),
    [anon_sym_raise] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1555),
    [anon_sym_for] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [anon_sym_continue] = ACTIONS(1555),
    [anon_sym_async] = ACTIONS(1555),
  },
  [500] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(525),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1559),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [501] = {
    [sym_comment] = ACTIONS(85),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [aux_sym_format_specifier_token1] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1561),
  },
  [502] = {
    [sym_lambda] = STATE(527),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(527),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(527),
    [sym_boolean_operator] = STATE(527),
    [sym_lambda_within_for_in_clause] = STATE(526),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(527),
    [sym__expression_within_for_in_clause] = STATE(526),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(527),
    [sym__expression] = STATE(527),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(527),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [503] = {
    [anon_sym_COLON] = ACTIONS(1563),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_lambda] = STATE(466),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(466),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(466),
    [sym_boolean_operator] = STATE(466),
    [sym_lambda_within_for_in_clause] = STATE(529),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(466),
    [sym__expression_within_for_in_clause] = STATE(529),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(466),
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(466),
    [sym_integer] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1567),
    [sym_false] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(1567),
  },
  [505] = {
    [aux_sym_for_in_clause_repeat1] = STATE(531),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [anon_sym_async] = ACTIONS(1565),
  },
  [506] = {
    [aux_sym_for_in_clause_repeat1] = STATE(532),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_RPAREN] = ACTIONS(1565),
    [anon_sym_COMMA] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_RBRACK] = ACTIONS(1565),
    [anon_sym_async] = ACTIONS(1565),
  },
  [507] = {
    [sym_integer] = ACTIONS(1571),
    [sym_true] = ACTIONS(1571),
    [sym__string_start] = ACTIONS(1573),
    [anon_sym_nonlocal] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1571),
    [anon_sym_yield] = ACTIONS(1571),
    [anon_sym_return] = ACTIONS(1571),
    [anon_sym_from] = ACTIONS(1571),
    [anon_sym_LPAREN] = ACTIONS(1573),
    [sym_none] = ACTIONS(1571),
    [anon_sym_with] = ACTIONS(1571),
    [anon_sym_if] = ACTIONS(1571),
    [anon_sym_pass] = ACTIONS(1571),
    [sym_float] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_AT] = ACTIONS(1573),
    [anon_sym_lambda] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1573),
    [anon_sym_print] = ACTIONS(1571),
    [anon_sym_del] = ACTIONS(1571),
    [sym_ellipsis] = ACTIONS(1573),
    [anon_sym_import] = ACTIONS(1571),
    [anon_sym_while] = ACTIONS(1571),
    [anon_sym_def] = ACTIONS(1571),
    [anon_sym_await] = ACTIONS(1571),
    [anon_sym_break] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_global] = ACTIONS(1571),
    [anon_sym_not] = ACTIONS(1571),
    [anon_sym_exec] = ACTIONS(1571),
    [ts_builtin_sym_end] = ACTIONS(1573),
    [anon_sym_raise] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_for] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_continue] = ACTIONS(1571),
    [anon_sym_async] = ACTIONS(1571),
  },
  [508] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(534),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1575),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [509] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(535),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_print] = ACTIONS(37),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_del] = ACTIONS(39),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(903),
    [sym_false] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(907),
  },
  [510] = {
    [sym_integer] = ACTIONS(1577),
    [anon_sym_yield] = ACTIONS(1577),
    [anon_sym_from] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [sym_none] = ACTIONS(1577),
    [anon_sym_with] = ACTIONS(1577),
    [anon_sym_pass] = ACTIONS(1577),
    [sym_float] = ACTIONS(1579),
    [anon_sym_lambda] = ACTIONS(1577),
    [anon_sym_print] = ACTIONS(1577),
    [sym_ellipsis] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(1577),
    [anon_sym_def] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_global] = ACTIONS(1577),
    [anon_sym_exec] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [sym_true] = ACTIONS(1577),
    [sym__string_start] = ACTIONS(1579),
    [anon_sym_nonlocal] = ACTIONS(1577),
    [anon_sym_class] = ACTIONS(1577),
    [anon_sym_assert] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1579),
    [anon_sym_AT] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_del] = ACTIONS(1577),
    [anon_sym_import] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_DASH] = ACTIONS(1579),
    [anon_sym_not] = ACTIONS(1577),
    [ts_builtin_sym_end] = ACTIONS(1579),
    [anon_sym_raise] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1579),
    [anon_sym_try] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_finally] = ACTIONS(1577),
    [anon_sym_async] = ACTIONS(1577),
  },
  [511] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(536),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [512] = {
    [sym_integer] = ACTIONS(1581),
    [sym_true] = ACTIONS(1581),
    [sym__string_start] = ACTIONS(1583),
    [anon_sym_nonlocal] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_assert] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_from] = ACTIONS(1581),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [sym_none] = ACTIONS(1581),
    [anon_sym_with] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_pass] = ACTIONS(1581),
    [sym_float] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(1583),
    [anon_sym_lambda] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_print] = ACTIONS(1581),
    [anon_sym_del] = ACTIONS(1581),
    [sym_ellipsis] = ACTIONS(1583),
    [anon_sym_import] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_def] = ACTIONS(1581),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [sym_identifier] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1583),
    [anon_sym_global] = ACTIONS(1581),
    [anon_sym_not] = ACTIONS(1581),
    [anon_sym_exec] = ACTIONS(1581),
    [ts_builtin_sym_end] = ACTIONS(1583),
    [anon_sym_raise] = ACTIONS(1581),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_try] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_async] = ACTIONS(1581),
  },
  [513] = {
    [sym_integer] = ACTIONS(1585),
    [sym_true] = ACTIONS(1585),
    [sym__string_start] = ACTIONS(1587),
    [anon_sym_nonlocal] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1585),
    [anon_sym_assert] = ACTIONS(1585),
    [anon_sym_yield] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_from] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [sym_none] = ACTIONS(1585),
    [anon_sym_with] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_pass] = ACTIONS(1585),
    [sym_float] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_AT] = ACTIONS(1587),
    [anon_sym_lambda] = ACTIONS(1585),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_print] = ACTIONS(1585),
    [anon_sym_del] = ACTIONS(1585),
    [sym_ellipsis] = ACTIONS(1587),
    [anon_sym_import] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_def] = ACTIONS(1585),
    [anon_sym_await] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1587),
    [anon_sym_global] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(1585),
    [anon_sym_exec] = ACTIONS(1585),
    [ts_builtin_sym_end] = ACTIONS(1587),
    [anon_sym_raise] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_try] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
  },
  [514] = {
    [sym_integer] = ACTIONS(1589),
    [sym_true] = ACTIONS(1589),
    [sym_false] = ACTIONS(1589),
    [anon_sym_nonlocal] = ACTIONS(1589),
    [sym__string_start] = ACTIONS(1591),
    [anon_sym_class] = ACTIONS(1589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1589),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_return] = ACTIONS(1589),
    [anon_sym_from] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [sym_none] = ACTIONS(1589),
    [anon_sym_with] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_pass] = ACTIONS(1589),
    [sym_float] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_AT] = ACTIONS(1591),
    [anon_sym_lambda] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_print] = ACTIONS(1589),
    [anon_sym_del] = ACTIONS(1589),
    [sym_ellipsis] = ACTIONS(1591),
    [anon_sym_import] = ACTIONS(1589),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_def] = ACTIONS(1589),
    [anon_sym_except] = ACTIONS(1589),
    [anon_sym_break] = ACTIONS(1589),
    [anon_sym_else] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1591),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_await] = ACTIONS(1589),
    [anon_sym_global] = ACTIONS(1589),
    [anon_sym_not] = ACTIONS(1589),
    [anon_sym_exec] = ACTIONS(1589),
    [ts_builtin_sym_end] = ACTIONS(1591),
    [anon_sym_raise] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_try] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(1589),
    [anon_sym_finally] = ACTIONS(1589),
    [anon_sym_continue] = ACTIONS(1589),
    [anon_sym_async] = ACTIONS(1589),
  },
  [515] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(537),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [516] = {
    [sym_integer] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [anon_sym_nonlocal] = ACTIONS(1593),
    [sym__string_start] = ACTIONS(1595),
    [anon_sym_class] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1593),
    [anon_sym_yield] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_from] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1595),
    [sym_none] = ACTIONS(1593),
    [anon_sym_with] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_pass] = ACTIONS(1593),
    [sym_float] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1595),
    [anon_sym_lambda] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1595),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_del] = ACTIONS(1593),
    [sym_ellipsis] = ACTIONS(1595),
    [anon_sym_import] = ACTIONS(1593),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_def] = ACTIONS(1593),
    [anon_sym_except] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [sym_identifier] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1593),
    [anon_sym_global] = ACTIONS(1593),
    [anon_sym_not] = ACTIONS(1593),
    [anon_sym_exec] = ACTIONS(1593),
    [ts_builtin_sym_end] = ACTIONS(1595),
    [anon_sym_raise] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_try] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_finally] = ACTIONS(1593),
    [anon_sym_continue] = ACTIONS(1593),
    [anon_sym_async] = ACTIONS(1593),
  },
  [517] = {
    [anon_sym_COLON] = ACTIONS(1597),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_integer] = ACTIONS(1599),
    [sym_true] = ACTIONS(1599),
    [sym__string_start] = ACTIONS(1601),
    [anon_sym_nonlocal] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1599),
    [anon_sym_assert] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(1599),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [sym_none] = ACTIONS(1599),
    [anon_sym_with] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_pass] = ACTIONS(1599),
    [sym_float] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_lambda] = ACTIONS(1599),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_print] = ACTIONS(1599),
    [anon_sym_del] = ACTIONS(1599),
    [sym_ellipsis] = ACTIONS(1601),
    [anon_sym_import] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_def] = ACTIONS(1599),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [sym_identifier] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1601),
    [anon_sym_global] = ACTIONS(1599),
    [anon_sym_not] = ACTIONS(1599),
    [anon_sym_exec] = ACTIONS(1599),
    [ts_builtin_sym_end] = ACTIONS(1601),
    [anon_sym_raise] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_try] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1599),
  },
  [519] = {
    [sym_else_clause] = STATE(539),
    [sym_integer] = ACTIONS(1603),
    [sym_true] = ACTIONS(1603),
    [sym__string_start] = ACTIONS(1605),
    [anon_sym_nonlocal] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1603),
    [anon_sym_assert] = ACTIONS(1603),
    [anon_sym_yield] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_from] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [sym_none] = ACTIONS(1603),
    [anon_sym_with] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_pass] = ACTIONS(1603),
    [sym_float] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_AT] = ACTIONS(1605),
    [anon_sym_lambda] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_print] = ACTIONS(1603),
    [anon_sym_del] = ACTIONS(1603),
    [sym_ellipsis] = ACTIONS(1605),
    [anon_sym_import] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_def] = ACTIONS(1603),
    [anon_sym_await] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [sym_identifier] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1605),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1603),
    [anon_sym_not] = ACTIONS(1603),
    [anon_sym_exec] = ACTIONS(1603),
    [ts_builtin_sym_end] = ACTIONS(1605),
    [anon_sym_raise] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_try] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_async] = ACTIONS(1603),
  },
  [520] = {
    [sym_integer] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym__string_start] = ACTIONS(1609),
    [anon_sym_nonlocal] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_from] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [sym_none] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_pass] = ACTIONS(1607),
    [sym_float] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_AT] = ACTIONS(1609),
    [anon_sym_lambda] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_print] = ACTIONS(1607),
    [anon_sym_del] = ACTIONS(1607),
    [sym_ellipsis] = ACTIONS(1609),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [anon_sym_await] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [sym_identifier] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(1609),
    [anon_sym_global] = ACTIONS(1607),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_exec] = ACTIONS(1607),
    [ts_builtin_sym_end] = ACTIONS(1609),
    [anon_sym_raise] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_async] = ACTIONS(1607),
  },
  [521] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(1611),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_else_clause] = STATE(540),
    [sym_integer] = ACTIONS(1613),
    [sym_true] = ACTIONS(1613),
    [sym__string_start] = ACTIONS(1615),
    [anon_sym_nonlocal] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1613),
    [anon_sym_assert] = ACTIONS(1613),
    [anon_sym_yield] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_from] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [sym_none] = ACTIONS(1613),
    [anon_sym_with] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_pass] = ACTIONS(1613),
    [sym_float] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_AT] = ACTIONS(1615),
    [anon_sym_lambda] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_del] = ACTIONS(1613),
    [sym_ellipsis] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(1613),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_def] = ACTIONS(1613),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [sym_identifier] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_global] = ACTIONS(1613),
    [anon_sym_not] = ACTIONS(1613),
    [anon_sym_exec] = ACTIONS(1613),
    [ts_builtin_sym_end] = ACTIONS(1615),
    [anon_sym_raise] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_try] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [sym_false] = ACTIONS(1613),
    [anon_sym_continue] = ACTIONS(1613),
    [anon_sym_async] = ACTIONS(1613),
  },
  [523] = {
    [sym_integer] = ACTIONS(1617),
    [sym_true] = ACTIONS(1617),
    [sym__string_start] = ACTIONS(1619),
    [anon_sym_nonlocal] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1617),
    [anon_sym_assert] = ACTIONS(1617),
    [anon_sym_yield] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_from] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1619),
    [sym_none] = ACTIONS(1617),
    [anon_sym_with] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_pass] = ACTIONS(1617),
    [sym_float] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_AT] = ACTIONS(1619),
    [anon_sym_lambda] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_del] = ACTIONS(1617),
    [sym_ellipsis] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_def] = ACTIONS(1617),
    [anon_sym_await] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [sym_identifier] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_global] = ACTIONS(1617),
    [anon_sym_not] = ACTIONS(1617),
    [anon_sym_exec] = ACTIONS(1617),
    [ts_builtin_sym_end] = ACTIONS(1619),
    [anon_sym_raise] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1619),
    [anon_sym_try] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [sym_false] = ACTIONS(1617),
    [anon_sym_continue] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(1617),
  },
  [524] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(541),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [525] = {
    [sym_integer] = ACTIONS(1621),
    [sym_true] = ACTIONS(1621),
    [sym__string_start] = ACTIONS(1623),
    [anon_sym_nonlocal] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1621),
    [anon_sym_assert] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1621),
    [anon_sym_return] = ACTIONS(1621),
    [anon_sym_from] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1623),
    [sym_none] = ACTIONS(1621),
    [anon_sym_with] = ACTIONS(1621),
    [anon_sym_if] = ACTIONS(1621),
    [anon_sym_pass] = ACTIONS(1621),
    [sym_float] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_AT] = ACTIONS(1623),
    [anon_sym_lambda] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1621),
    [anon_sym_del] = ACTIONS(1621),
    [sym_ellipsis] = ACTIONS(1623),
    [anon_sym_import] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_def] = ACTIONS(1621),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_break] = ACTIONS(1621),
    [sym_identifier] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_global] = ACTIONS(1621),
    [anon_sym_not] = ACTIONS(1621),
    [anon_sym_exec] = ACTIONS(1621),
    [ts_builtin_sym_end] = ACTIONS(1623),
    [anon_sym_raise] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1621),
    [sym_false] = ACTIONS(1621),
    [anon_sym_continue] = ACTIONS(1621),
    [anon_sym_async] = ACTIONS(1621),
  },
  [526] = {
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_RPAREN] = ACTIONS(1625),
    [anon_sym_COMMA] = ACTIONS(1625),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1625),
    [anon_sym_RBRACK] = ACTIONS(1625),
    [anon_sym_async] = ACTIONS(1625),
  },
  [527] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1476),
    [anon_sym_async] = ACTIONS(1476),
  },
  [528] = {
    [sym_lambda] = STATE(543),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(543),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(543),
    [sym_boolean_operator] = STATE(543),
    [sym_lambda_within_for_in_clause] = STATE(542),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(543),
    [sym__expression_within_for_in_clause] = STATE(542),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(543),
    [sym__expression] = STATE(543),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(543),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [529] = {
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_RBRACE] = ACTIONS(1627),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_RBRACK] = ACTIONS(1627),
    [anon_sym_async] = ACTIONS(1627),
  },
  [530] = {
    [sym_lambda] = STATE(466),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(466),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(466),
    [sym_boolean_operator] = STATE(466),
    [sym_lambda_within_for_in_clause] = STATE(529),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(466),
    [sym__expression_within_for_in_clause] = STATE(529),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(466),
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(466),
    [sym_integer] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(1629),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1631),
    [sym_false] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(1631),
  },
  [531] = {
    [aux_sym_for_in_clause_repeat1] = STATE(531),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_RBRACE] = ACTIONS(1627),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_COMMA] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_RBRACK] = ACTIONS(1627),
    [anon_sym_async] = ACTIONS(1627),
  },
  [532] = {
    [aux_sym_for_in_clause_repeat1] = STATE(531),
    [anon_sym_if] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_RPAREN] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1636),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_RBRACK] = ACTIONS(1629),
    [anon_sym_async] = ACTIONS(1629),
  },
  [533] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(546),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [534] = {
    [sym_integer] = ACTIONS(1638),
    [sym_true] = ACTIONS(1638),
    [sym__string_start] = ACTIONS(1640),
    [anon_sym_nonlocal] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1638),
    [anon_sym_assert] = ACTIONS(1638),
    [anon_sym_yield] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_from] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [sym_none] = ACTIONS(1638),
    [anon_sym_with] = ACTIONS(1638),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_pass] = ACTIONS(1638),
    [anon_sym_elif] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1640),
    [sym_float] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [anon_sym_lambda] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_print] = ACTIONS(1638),
    [anon_sym_del] = ACTIONS(1638),
    [sym_ellipsis] = ACTIONS(1640),
    [anon_sym_import] = ACTIONS(1638),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_def] = ACTIONS(1638),
    [anon_sym_await] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(1638),
    [anon_sym_global] = ACTIONS(1638),
    [anon_sym_not] = ACTIONS(1638),
    [anon_sym_exec] = ACTIONS(1638),
    [ts_builtin_sym_end] = ACTIONS(1640),
    [anon_sym_raise] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1638),
    [sym_false] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1638),
    [anon_sym_async] = ACTIONS(1638),
  },
  [535] = {
    [sym_integer] = ACTIONS(1642),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_from] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [sym_none] = ACTIONS(1642),
    [anon_sym_with] = ACTIONS(1642),
    [anon_sym_pass] = ACTIONS(1642),
    [sym_float] = ACTIONS(1644),
    [anon_sym_lambda] = ACTIONS(1642),
    [anon_sym_print] = ACTIONS(1642),
    [sym_ellipsis] = ACTIONS(1644),
    [anon_sym_await] = ACTIONS(1642),
    [anon_sym_def] = ACTIONS(1642),
    [anon_sym_break] = ACTIONS(1642),
    [sym_identifier] = ACTIONS(1642),
    [anon_sym_global] = ACTIONS(1642),
    [anon_sym_exec] = ACTIONS(1642),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1642),
    [anon_sym_continue] = ACTIONS(1642),
    [sym_true] = ACTIONS(1642),
    [sym__string_start] = ACTIONS(1644),
    [anon_sym_nonlocal] = ACTIONS(1642),
    [anon_sym_class] = ACTIONS(1642),
    [anon_sym_assert] = ACTIONS(1642),
    [anon_sym_return] = ACTIONS(1642),
    [anon_sym_if] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_del] = ACTIONS(1642),
    [anon_sym_import] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_not] = ACTIONS(1642),
    [ts_builtin_sym_end] = ACTIONS(1644),
    [anon_sym_raise] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_try] = ACTIONS(1642),
    [sym_false] = ACTIONS(1642),
    [anon_sym_finally] = ACTIONS(1642),
    [anon_sym_async] = ACTIONS(1642),
  },
  [536] = {
    [sym_integer] = ACTIONS(1646),
    [sym_true] = ACTIONS(1646),
    [sym__string_start] = ACTIONS(1648),
    [anon_sym_nonlocal] = ACTIONS(1646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1646),
    [anon_sym_assert] = ACTIONS(1646),
    [anon_sym_yield] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1646),
    [anon_sym_from] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [sym_none] = ACTIONS(1646),
    [anon_sym_with] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1646),
    [anon_sym_pass] = ACTIONS(1646),
    [sym_float] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [anon_sym_lambda] = ACTIONS(1646),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_print] = ACTIONS(1646),
    [anon_sym_del] = ACTIONS(1646),
    [sym_ellipsis] = ACTIONS(1648),
    [anon_sym_import] = ACTIONS(1646),
    [anon_sym_while] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(1646),
    [anon_sym_await] = ACTIONS(1646),
    [anon_sym_break] = ACTIONS(1646),
    [sym_identifier] = ACTIONS(1646),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_global] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(1646),
    [anon_sym_exec] = ACTIONS(1646),
    [ts_builtin_sym_end] = ACTIONS(1648),
    [anon_sym_raise] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_try] = ACTIONS(1646),
    [anon_sym_for] = ACTIONS(1646),
    [sym_false] = ACTIONS(1646),
    [anon_sym_continue] = ACTIONS(1646),
    [anon_sym_async] = ACTIONS(1646),
  },
  [537] = {
    [sym_integer] = ACTIONS(1650),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_nonlocal] = ACTIONS(1650),
    [sym__string_start] = ACTIONS(1652),
    [anon_sym_class] = ACTIONS(1650),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_yield] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_from] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [sym_none] = ACTIONS(1650),
    [anon_sym_with] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_pass] = ACTIONS(1650),
    [sym_float] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_AT] = ACTIONS(1652),
    [anon_sym_lambda] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1652),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_del] = ACTIONS(1650),
    [sym_ellipsis] = ACTIONS(1652),
    [anon_sym_import] = ACTIONS(1650),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_def] = ACTIONS(1650),
    [anon_sym_except] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1652),
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_await] = ACTIONS(1650),
    [anon_sym_global] = ACTIONS(1650),
    [anon_sym_not] = ACTIONS(1650),
    [anon_sym_exec] = ACTIONS(1650),
    [ts_builtin_sym_end] = ACTIONS(1652),
    [anon_sym_raise] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_finally] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1650),
    [anon_sym_async] = ACTIONS(1650),
  },
  [538] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(35),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(35),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(35),
    [sym_continue_statement] = STATE(35),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(35),
    [sym_return_statement] = STATE(35),
    [sym_delete_statement] = STATE(35),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(35),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(548),
    [sym_future_import_statement] = STATE(35),
    [sym_import_from_statement] = STATE(35),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(35),
    [sym_raise_statement] = STATE(35),
    [sym_pass_statement] = STATE(35),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(35),
    [sym_exec_statement] = STATE(35),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(1654),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [539] = {
    [sym_integer] = ACTIONS(1656),
    [sym_true] = ACTIONS(1656),
    [sym__string_start] = ACTIONS(1658),
    [anon_sym_nonlocal] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1656),
    [anon_sym_assert] = ACTIONS(1656),
    [anon_sym_yield] = ACTIONS(1656),
    [anon_sym_return] = ACTIONS(1656),
    [anon_sym_from] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [sym_none] = ACTIONS(1656),
    [anon_sym_with] = ACTIONS(1656),
    [anon_sym_if] = ACTIONS(1656),
    [anon_sym_pass] = ACTIONS(1656),
    [sym_float] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_lambda] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1656),
    [anon_sym_del] = ACTIONS(1656),
    [sym_ellipsis] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_def] = ACTIONS(1656),
    [anon_sym_await] = ACTIONS(1656),
    [anon_sym_break] = ACTIONS(1656),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [anon_sym_global] = ACTIONS(1656),
    [anon_sym_not] = ACTIONS(1656),
    [anon_sym_exec] = ACTIONS(1656),
    [ts_builtin_sym_end] = ACTIONS(1658),
    [anon_sym_raise] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [anon_sym_continue] = ACTIONS(1656),
    [anon_sym_async] = ACTIONS(1656),
  },
  [540] = {
    [sym_integer] = ACTIONS(1660),
    [sym_true] = ACTIONS(1660),
    [sym__string_start] = ACTIONS(1662),
    [anon_sym_nonlocal] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1660),
    [anon_sym_assert] = ACTIONS(1660),
    [anon_sym_yield] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1660),
    [anon_sym_from] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [sym_none] = ACTIONS(1660),
    [anon_sym_with] = ACTIONS(1660),
    [anon_sym_if] = ACTIONS(1660),
    [anon_sym_pass] = ACTIONS(1660),
    [sym_float] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1662),
    [anon_sym_lambda] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1662),
    [anon_sym_print] = ACTIONS(1660),
    [anon_sym_del] = ACTIONS(1660),
    [sym_ellipsis] = ACTIONS(1662),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_while] = ACTIONS(1660),
    [anon_sym_def] = ACTIONS(1660),
    [anon_sym_await] = ACTIONS(1660),
    [anon_sym_break] = ACTIONS(1660),
    [sym_identifier] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_global] = ACTIONS(1660),
    [anon_sym_not] = ACTIONS(1660),
    [anon_sym_exec] = ACTIONS(1660),
    [ts_builtin_sym_end] = ACTIONS(1662),
    [anon_sym_raise] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1662),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_for] = ACTIONS(1660),
    [sym_false] = ACTIONS(1660),
    [anon_sym_continue] = ACTIONS(1660),
    [anon_sym_async] = ACTIONS(1660),
  },
  [541] = {
    [sym_integer] = ACTIONS(1664),
    [sym_true] = ACTIONS(1664),
    [sym__string_start] = ACTIONS(1666),
    [anon_sym_nonlocal] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1664),
    [anon_sym_assert] = ACTIONS(1664),
    [anon_sym_yield] = ACTIONS(1664),
    [anon_sym_return] = ACTIONS(1664),
    [anon_sym_from] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [sym_none] = ACTIONS(1664),
    [anon_sym_with] = ACTIONS(1664),
    [anon_sym_if] = ACTIONS(1664),
    [anon_sym_pass] = ACTIONS(1664),
    [sym_float] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1666),
    [anon_sym_lambda] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1664),
    [anon_sym_del] = ACTIONS(1664),
    [sym_ellipsis] = ACTIONS(1666),
    [anon_sym_import] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1664),
    [anon_sym_def] = ACTIONS(1664),
    [anon_sym_await] = ACTIONS(1664),
    [anon_sym_break] = ACTIONS(1664),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_global] = ACTIONS(1664),
    [anon_sym_not] = ACTIONS(1664),
    [anon_sym_exec] = ACTIONS(1664),
    [ts_builtin_sym_end] = ACTIONS(1666),
    [anon_sym_raise] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_try] = ACTIONS(1664),
    [anon_sym_for] = ACTIONS(1664),
    [sym_false] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_async] = ACTIONS(1664),
  },
  [542] = {
    [anon_sym_if] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_RPAREN] = ACTIONS(1668),
    [anon_sym_COMMA] = ACTIONS(1668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1668),
    [anon_sym_RBRACK] = ACTIONS(1668),
    [anon_sym_async] = ACTIONS(1668),
  },
  [543] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_RBRACE] = ACTIONS(1476),
    [anon_sym_RPAREN] = ACTIONS(1476),
    [anon_sym_COMMA] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1476),
    [anon_sym_async] = ACTIONS(1476),
  },
  [544] = {
    [sym_lambda] = STATE(466),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(466),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(466),
    [sym_boolean_operator] = STATE(466),
    [sym_lambda_within_for_in_clause] = STATE(529),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(466),
    [sym__expression_within_for_in_clause] = STATE(529),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(466),
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(466),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [545] = {
    [sym_lambda] = STATE(466),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(466),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(466),
    [sym_boolean_operator] = STATE(466),
    [sym_lambda_within_for_in_clause] = STATE(529),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(466),
    [sym__expression_within_for_in_clause] = STATE(529),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(466),
    [sym__expression] = STATE(466),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(466),
    [sym_integer] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(1670),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1672),
    [sym_false] = ACTIONS(129),
    [anon_sym_async] = ACTIONS(1672),
  },
  [546] = {
    [sym_integer] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym__string_start] = ACTIONS(1676),
    [anon_sym_nonlocal] = ACTIONS(1674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_assert] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_from] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [sym_none] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_pass] = ACTIONS(1674),
    [anon_sym_elif] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1676),
    [sym_float] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [anon_sym_lambda] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1674),
    [anon_sym_del] = ACTIONS(1674),
    [sym_ellipsis] = ACTIONS(1676),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_def] = ACTIONS(1674),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_global] = ACTIONS(1674),
    [anon_sym_not] = ACTIONS(1674),
    [anon_sym_exec] = ACTIONS(1674),
    [ts_builtin_sym_end] = ACTIONS(1676),
    [anon_sym_raise] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
  },
  [547] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(549),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(968),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(1051),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [548] = {
    [sym_integer] = ACTIONS(1678),
    [sym_true] = ACTIONS(1678),
    [sym_false] = ACTIONS(1678),
    [anon_sym_nonlocal] = ACTIONS(1678),
    [sym__string_start] = ACTIONS(1680),
    [anon_sym_class] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1678),
    [anon_sym_yield] = ACTIONS(1678),
    [anon_sym_return] = ACTIONS(1678),
    [anon_sym_from] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [sym_none] = ACTIONS(1678),
    [anon_sym_with] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1678),
    [anon_sym_pass] = ACTIONS(1678),
    [sym_float] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [anon_sym_lambda] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1678),
    [anon_sym_del] = ACTIONS(1678),
    [sym_ellipsis] = ACTIONS(1680),
    [anon_sym_import] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1678),
    [anon_sym_def] = ACTIONS(1678),
    [anon_sym_except] = ACTIONS(1678),
    [anon_sym_break] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [sym_identifier] = ACTIONS(1678),
    [anon_sym_await] = ACTIONS(1678),
    [anon_sym_global] = ACTIONS(1678),
    [anon_sym_not] = ACTIONS(1678),
    [anon_sym_exec] = ACTIONS(1678),
    [ts_builtin_sym_end] = ACTIONS(1680),
    [anon_sym_raise] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_for] = ACTIONS(1678),
    [anon_sym_finally] = ACTIONS(1678),
    [anon_sym_continue] = ACTIONS(1678),
    [anon_sym_async] = ACTIONS(1678),
  },
  [549] = {
    [sym_integer] = ACTIONS(1682),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [anon_sym_nonlocal] = ACTIONS(1682),
    [sym__string_start] = ACTIONS(1684),
    [anon_sym_class] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1682),
    [anon_sym_yield] = ACTIONS(1682),
    [anon_sym_return] = ACTIONS(1682),
    [anon_sym_from] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [sym_none] = ACTIONS(1682),
    [anon_sym_with] = ACTIONS(1682),
    [anon_sym_if] = ACTIONS(1682),
    [anon_sym_pass] = ACTIONS(1682),
    [sym_float] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1684),
    [anon_sym_lambda] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1682),
    [anon_sym_del] = ACTIONS(1682),
    [sym_ellipsis] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1682),
    [anon_sym_def] = ACTIONS(1682),
    [anon_sym_except] = ACTIONS(1682),
    [anon_sym_break] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_await] = ACTIONS(1682),
    [anon_sym_global] = ACTIONS(1682),
    [anon_sym_not] = ACTIONS(1682),
    [anon_sym_exec] = ACTIONS(1682),
    [ts_builtin_sym_end] = ACTIONS(1684),
    [anon_sym_raise] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_try] = ACTIONS(1682),
    [anon_sym_for] = ACTIONS(1682),
    [anon_sym_finally] = ACTIONS(1682),
    [anon_sym_continue] = ACTIONS(1682),
    [anon_sym_async] = ACTIONS(1682),
  },
  [550] = {
    [sym_lambda] = STATE(564),
    [sym__primary_expression] = STATE(738),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(564),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(564),
    [sym_boolean_operator] = STATE(564),
    [sym_await] = STATE(564),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_expression_list] = STATE(563),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(564),
    [sym_conditional_expression] = STATE(564),
    [sym_comparison_operator] = STATE(564),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(117),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_from] = ACTIONS(1686),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(117),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [551] = {
    [sym_attribute] = STATE(567),
    [sym_dictionary_comprehension] = STATE(567),
    [sym_generator_expression] = STATE(567),
    [sym_binary_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_call] = STATE(567),
    [sym_list_comprehension] = STATE(567),
    [sym_dictionary] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym_tuple] = STATE(567),
    [sym_concatenated_string] = STATE(567),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(567),
    [sym_list] = STATE(567),
    [sym_set] = STATE(567),
    [sym_set_comprehension] = STATE(567),
    [sym__primary_expression] = STATE(567),
    [sym_integer] = ACTIONS(1688),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1690),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1688),
    [sym_identifier] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1688),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1690),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1688),
    [sym__string_start] = ACTIONS(115),
  },
  [552] = {
    [sym_lambda] = STATE(92),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(92),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(92),
    [sym_boolean_operator] = STATE(92),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(92),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(92),
    [sym__expression] = STATE(92),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(92),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [553] = {
    [sym__newline] = ACTIONS(215),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_from] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_COLON_EQ] = ACTIONS(1692),
    [sym_comment] = ACTIONS(3),
  },
  [554] = {
    [sym_lambda] = STATE(908),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(908),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(908),
    [sym_boolean_operator] = STATE(908),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(908),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(908),
    [sym__expression] = STATE(908),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(908),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [555] = {
    [sym_integer] = ACTIONS(251),
    [sym_true] = ACTIONS(251),
    [sym__string_start] = ACTIONS(253),
    [anon_sym_nonlocal] = ACTIONS(251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(251),
    [anon_sym_assert] = ACTIONS(251),
    [anon_sym_yield] = ACTIONS(251),
    [anon_sym_return] = ACTIONS(251),
    [anon_sym_from] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [sym_none] = ACTIONS(251),
    [anon_sym_with] = ACTIONS(251),
    [anon_sym_if] = ACTIONS(251),
    [anon_sym_pass] = ACTIONS(251),
    [sym_float] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(253),
    [anon_sym_AT] = ACTIONS(253),
    [anon_sym_lambda] = ACTIONS(251),
    [anon_sym_TILDE] = ACTIONS(253),
    [anon_sym_print] = ACTIONS(251),
    [anon_sym_del] = ACTIONS(251),
    [sym_ellipsis] = ACTIONS(253),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_while] = ACTIONS(251),
    [anon_sym_def] = ACTIONS(251),
    [anon_sym_await] = ACTIONS(251),
    [anon_sym_break] = ACTIONS(251),
    [sym_identifier] = ACTIONS(251),
    [anon_sym_DASH] = ACTIONS(253),
    [sym__dedent] = ACTIONS(253),
    [anon_sym_global] = ACTIONS(251),
    [anon_sym_not] = ACTIONS(251),
    [anon_sym_exec] = ACTIONS(251),
    [anon_sym_raise] = ACTIONS(251),
    [anon_sym_LBRACK] = ACTIONS(253),
    [anon_sym_LBRACE] = ACTIONS(253),
    [anon_sym_try] = ACTIONS(251),
    [anon_sym_for] = ACTIONS(251),
    [sym_false] = ACTIONS(251),
    [anon_sym_continue] = ACTIONS(251),
    [anon_sym_async] = ACTIONS(251),
  },
  [556] = {
    [sym_integer] = ACTIONS(261),
    [sym_true] = ACTIONS(261),
    [sym__string_start] = ACTIONS(263),
    [anon_sym_nonlocal] = ACTIONS(261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(261),
    [anon_sym_assert] = ACTIONS(261),
    [anon_sym_yield] = ACTIONS(261),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_from] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(263),
    [sym_none] = ACTIONS(261),
    [anon_sym_with] = ACTIONS(261),
    [anon_sym_if] = ACTIONS(261),
    [anon_sym_pass] = ACTIONS(261),
    [sym_float] = ACTIONS(263),
    [anon_sym_PLUS] = ACTIONS(263),
    [anon_sym_AT] = ACTIONS(263),
    [anon_sym_lambda] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(263),
    [anon_sym_print] = ACTIONS(261),
    [anon_sym_del] = ACTIONS(261),
    [sym_ellipsis] = ACTIONS(263),
    [anon_sym_import] = ACTIONS(261),
    [anon_sym_while] = ACTIONS(261),
    [anon_sym_def] = ACTIONS(261),
    [anon_sym_await] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(261),
    [sym_identifier] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(263),
    [sym__dedent] = ACTIONS(263),
    [anon_sym_global] = ACTIONS(261),
    [anon_sym_not] = ACTIONS(261),
    [anon_sym_exec] = ACTIONS(261),
    [anon_sym_raise] = ACTIONS(261),
    [anon_sym_LBRACK] = ACTIONS(263),
    [anon_sym_LBRACE] = ACTIONS(263),
    [anon_sym_try] = ACTIONS(261),
    [anon_sym_for] = ACTIONS(261),
    [sym_false] = ACTIONS(261),
    [anon_sym_continue] = ACTIONS(261),
    [anon_sym_async] = ACTIONS(261),
  },
  [557] = {
    [sym_argument_list] = STATE(589),
    [aux_sym_comparison_operator_repeat1] = STATE(590),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(265),
    [anon_sym_or] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1696),
    [anon_sym_is] = ACTIONS(1698),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(283),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
    [sym__semicolon] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(265),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(1714),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1696),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(265),
    [sym_comment] = ACTIONS(3),
  },
  [558] = {
    [sym_integer] = ACTIONS(299),
    [sym_true] = ACTIONS(299),
    [sym__string_start] = ACTIONS(301),
    [anon_sym_nonlocal] = ACTIONS(299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(299),
    [anon_sym_assert] = ACTIONS(299),
    [anon_sym_yield] = ACTIONS(299),
    [anon_sym_return] = ACTIONS(299),
    [anon_sym_from] = ACTIONS(299),
    [anon_sym_LPAREN] = ACTIONS(301),
    [sym_none] = ACTIONS(299),
    [anon_sym_with] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(299),
    [anon_sym_pass] = ACTIONS(299),
    [sym_float] = ACTIONS(301),
    [anon_sym_PLUS] = ACTIONS(301),
    [anon_sym_AT] = ACTIONS(301),
    [anon_sym_lambda] = ACTIONS(299),
    [anon_sym_TILDE] = ACTIONS(301),
    [anon_sym_print] = ACTIONS(299),
    [anon_sym_del] = ACTIONS(299),
    [sym_ellipsis] = ACTIONS(301),
    [anon_sym_import] = ACTIONS(299),
    [anon_sym_while] = ACTIONS(299),
    [anon_sym_def] = ACTIONS(299),
    [anon_sym_await] = ACTIONS(299),
    [anon_sym_break] = ACTIONS(299),
    [sym_identifier] = ACTIONS(299),
    [anon_sym_DASH] = ACTIONS(301),
    [sym__dedent] = ACTIONS(301),
    [anon_sym_global] = ACTIONS(299),
    [anon_sym_not] = ACTIONS(299),
    [anon_sym_exec] = ACTIONS(299),
    [anon_sym_raise] = ACTIONS(299),
    [anon_sym_LBRACK] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(301),
    [anon_sym_try] = ACTIONS(299),
    [anon_sym_for] = ACTIONS(299),
    [sym_false] = ACTIONS(299),
    [anon_sym_continue] = ACTIONS(299),
    [anon_sym_async] = ACTIONS(299),
  },
  [559] = {
    [sym_string] = STATE(591),
    [aux_sym_concatenated_string_repeat1] = STATE(591),
    [sym__newline] = ACTIONS(215),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_from] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [sym__semicolon] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [560] = {
    [sym__newline] = ACTIONS(323),
    [anon_sym_or] = ACTIONS(323),
    [anon_sym_SLASH_SLASH] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_is] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_from] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(323),
    [anon_sym_STAR_STAR] = ACTIONS(323),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_EQ] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(323),
    [anon_sym_LT_GT] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(323),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(323),
    [sym__semicolon] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(323),
    [anon_sym_and] = ACTIONS(323),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT_GT] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(323),
  },
  [561] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_is] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [sym_type_conversion] = ACTIONS(203),
    [anon_sym_STAR_STAR] = ACTIONS(203),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(203),
    [anon_sym_and] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(203),
    [anon_sym_or] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_PERCENT] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(203),
    [anon_sym_async] = ACTIONS(203),
  },
  [562] = {
    [sym_lambda] = STATE(598),
    [sym_conditional_expression] = STATE(598),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(598),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(598),
    [sym_boolean_operator] = STATE(598),
    [sym_await] = STATE(598),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(598),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(598),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [563] = {
    [anon_sym_RPAREN] = ACTIONS(349),
    [anon_sym_COMMA] = ACTIONS(349),
    [sym_comment] = ACTIONS(3),
  },
  [564] = {
    [aux_sym_assert_statement_repeat1] = STATE(600),
    [anon_sym_COLON] = ACTIONS(311),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(311),
    [anon_sym_COMMA] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [565] = {
    [aux_sym_dotted_name_repeat1] = STATE(601),
    [anon_sym_LPAREN] = ACTIONS(357),
    [sym__newline] = ACTIONS(357),
    [anon_sym_DOT] = ACTIONS(1726),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(357),
    [anon_sym_COMMA] = ACTIONS(357),
    [anon_sym_as] = ACTIONS(357),
  },
  [566] = {
    [sym__newline] = ACTIONS(369),
    [anon_sym_or] = ACTIONS(369),
    [anon_sym_SLASH_SLASH] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(371),
    [anon_sym_is] = ACTIONS(369),
    [anon_sym_AMP] = ACTIONS(369),
    [anon_sym_LT_EQ] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_from] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_in] = ACTIONS(369),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(369),
    [anon_sym_STAR_STAR] = ACTIONS(369),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_EQ] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(369),
    [anon_sym_LT_GT] = ACTIONS(369),
    [anon_sym_BANG_EQ] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(369),
    [anon_sym_EQ_EQ] = ACTIONS(369),
    [sym__semicolon] = ACTIONS(369),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_and] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(369),
    [anon_sym_not] = ACTIONS(369),
    [anon_sym_GT_EQ] = ACTIONS(369),
    [anon_sym_LT_LT] = ACTIONS(369),
    [anon_sym_PIPE] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(371),
    [anon_sym_GT_GT] = ACTIONS(369),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(369),
    [anon_sym_COMMA] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(405),
    [anon_sym_or] = ACTIONS(405),
    [anon_sym_SLASH_SLASH] = ACTIONS(405),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_is] = ACTIONS(405),
    [anon_sym_AMP] = ACTIONS(405),
    [anon_sym_LT_EQ] = ACTIONS(405),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_from] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(405),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(405),
    [anon_sym_STAR_STAR] = ACTIONS(405),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_EQ] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(405),
    [anon_sym_LT_GT] = ACTIONS(405),
    [anon_sym_BANG_EQ] = ACTIONS(405),
    [anon_sym_CARET] = ACTIONS(405),
    [anon_sym_EQ_EQ] = ACTIONS(405),
    [sym__semicolon] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(405),
    [anon_sym_and] = ACTIONS(405),
    [anon_sym_PERCENT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(405),
    [anon_sym_GT_EQ] = ACTIONS(405),
    [anon_sym_LT_LT] = ACTIONS(405),
    [anon_sym_PIPE] = ACTIONS(405),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT_GT] = ACTIONS(405),
    [anon_sym_LBRACK] = ACTIONS(405),
    [anon_sym_DOT] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
  },
  [568] = {
    [aux_sym__parameters_repeat1] = STATE(932),
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_COMMA] = ACTIONS(1730),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(413),
  },
  [569] = {
    [aux_sym__parameters_repeat1] = STATE(934),
    [anon_sym_COLON] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(419),
  },
  [570] = {
    [sym_lambda] = STATE(604),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(604),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(604),
    [sym_boolean_operator] = STATE(604),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(604),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(604),
    [sym__expression] = STATE(604),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(604),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [571] = {
    [aux_sym__parameters_repeat1] = STATE(934),
    [anon_sym_COLON] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(419),
  },
  [572] = {
    [aux_sym__import_list_repeat1] = STATE(607),
    [anon_sym_RPAREN] = ACTIONS(447),
    [anon_sym_COMMA] = ACTIONS(1738),
    [sym_comment] = ACTIONS(3),
  },
  [573] = {
    [aux_sym__import_list_repeat1] = STATE(607),
    [anon_sym_COMMA] = ACTIONS(1738),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(447),
    [anon_sym_as] = ACTIONS(1740),
  },
  [574] = {
    [anon_sym_COLON] = ACTIONS(459),
    [anon_sym_or] = ACTIONS(459),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_else] = ACTIONS(459),
    [anon_sym_and] = ACTIONS(459),
    [anon_sym_RBRACK] = ACTIONS(459),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_RBRACE] = ACTIONS(459),
    [sym_type_conversion] = ACTIONS(459),
    [anon_sym_EQ] = ACTIONS(459),
    [anon_sym_COMMA] = ACTIONS(459),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_async] = ACTIONS(459),
  },
  [575] = {
    [sym_lambda] = STATE(608),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(608),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(608),
    [sym_boolean_operator] = STATE(608),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(608),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(608),
    [sym__expression] = STATE(608),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(608),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [576] = {
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(463),
    [anon_sym_else] = ACTIONS(463),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(463),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_RBRACE] = ACTIONS(463),
    [sym_type_conversion] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(463),
    [anon_sym_COMMA] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_async] = ACTIONS(463),
  },
  [577] = {
    [sym__newline] = ACTIONS(473),
    [anon_sym_or] = ACTIONS(473),
    [anon_sym_SLASH_SLASH] = ACTIONS(473),
    [anon_sym_GT] = ACTIONS(475),
    [anon_sym_is] = ACTIONS(473),
    [anon_sym_AMP] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_STAR] = ACTIONS(475),
    [anon_sym_from] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_in] = ACTIONS(473),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_STAR_STAR] = ACTIONS(473),
    [anon_sym_SLASH] = ACTIONS(475),
    [anon_sym_EQ] = ACTIONS(475),
    [anon_sym_AT] = ACTIONS(473),
    [anon_sym_LT_GT] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_CARET] = ACTIONS(473),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [sym__semicolon] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(473),
    [anon_sym_PERCENT] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(473),
    [anon_sym_PIPE] = ACTIONS(473),
    [anon_sym_LT] = ACTIONS(475),
    [anon_sym_GT_GT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_COMMA] = ACTIONS(473),
    [sym_comment] = ACTIONS(3),
  },
  [578] = {
    [sym__newline] = ACTIONS(481),
    [anon_sym_or] = ACTIONS(481),
    [anon_sym_SLASH_SLASH] = ACTIONS(481),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_is] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_from] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(481),
    [anon_sym_PLUS] = ACTIONS(481),
    [anon_sym_STAR_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_EQ] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_LT_GT] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(481),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(481),
    [sym__semicolon] = ACTIONS(481),
    [anon_sym_DASH] = ACTIONS(481),
    [anon_sym_and] = ACTIONS(481),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_not] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_DOT] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
  },
  [579] = {
    [anon_sym_except] = ACTIONS(529),
    [anon_sym_finally] = ACTIONS(529),
    [sym_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_attribute] = STATE(614),
    [sym_dictionary_comprehension] = STATE(614),
    [sym_generator_expression] = STATE(614),
    [sym_binary_operator] = STATE(614),
    [sym_unary_operator] = STATE(614),
    [sym_call] = STATE(614),
    [sym_list_comprehension] = STATE(614),
    [sym_dictionary] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym_tuple] = STATE(614),
    [sym_concatenated_string] = STATE(614),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(614),
    [sym_list] = STATE(614),
    [sym_set] = STATE(614),
    [sym_set_comprehension] = STATE(614),
    [sym__primary_expression] = STATE(614),
    [sym_integer] = ACTIONS(1742),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1744),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1742),
    [sym_identifier] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1742),
    [sym__string_start] = ACTIONS(115),
  },
  [581] = {
    [sym_attribute] = STATE(615),
    [sym_dictionary_comprehension] = STATE(615),
    [sym_generator_expression] = STATE(615),
    [sym_binary_operator] = STATE(615),
    [sym_unary_operator] = STATE(615),
    [sym_call] = STATE(615),
    [sym_list_comprehension] = STATE(615),
    [sym_dictionary] = STATE(615),
    [sym_parenthesized_expression] = STATE(615),
    [sym_tuple] = STATE(615),
    [sym_concatenated_string] = STATE(615),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(615),
    [sym_list] = STATE(615),
    [sym_set] = STATE(615),
    [sym_set_comprehension] = STATE(615),
    [sym__primary_expression] = STATE(615),
    [sym_integer] = ACTIONS(1746),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1746),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1746),
    [sym__string_start] = ACTIONS(115),
  },
  [582] = {
    [sym_attribute] = STATE(615),
    [sym_dictionary_comprehension] = STATE(615),
    [sym_generator_expression] = STATE(615),
    [sym_binary_operator] = STATE(615),
    [sym_unary_operator] = STATE(615),
    [sym_call] = STATE(615),
    [sym_list_comprehension] = STATE(615),
    [sym_dictionary] = STATE(615),
    [sym_parenthesized_expression] = STATE(615),
    [sym_tuple] = STATE(615),
    [sym_concatenated_string] = STATE(615),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(615),
    [sym_list] = STATE(615),
    [sym_set] = STATE(615),
    [sym_set_comprehension] = STATE(615),
    [sym__primary_expression] = STATE(615),
    [sym_integer] = ACTIONS(1746),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1748),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1746),
    [sym_identifier] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(1750),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1746),
    [sym__string_start] = ACTIONS(115),
  },
  [583] = {
    [sym_attribute] = STATE(617),
    [sym_dictionary_comprehension] = STATE(617),
    [sym_generator_expression] = STATE(617),
    [sym_binary_operator] = STATE(617),
    [sym_unary_operator] = STATE(617),
    [sym_call] = STATE(617),
    [sym_list_comprehension] = STATE(617),
    [sym_dictionary] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym_tuple] = STATE(617),
    [sym_concatenated_string] = STATE(617),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(617),
    [sym_list] = STATE(617),
    [sym_set] = STATE(617),
    [sym_set_comprehension] = STATE(617),
    [sym__primary_expression] = STATE(617),
    [sym_integer] = ACTIONS(1752),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1754),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1752),
    [sym_identifier] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1752),
    [sym__string_start] = ACTIONS(115),
  },
  [584] = {
    [sym_attribute] = STATE(618),
    [sym_dictionary_comprehension] = STATE(618),
    [sym_generator_expression] = STATE(618),
    [sym_binary_operator] = STATE(618),
    [sym_unary_operator] = STATE(618),
    [sym_call] = STATE(618),
    [sym_list_comprehension] = STATE(618),
    [sym_dictionary] = STATE(618),
    [sym_parenthesized_expression] = STATE(618),
    [sym_tuple] = STATE(618),
    [sym_concatenated_string] = STATE(618),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(618),
    [sym_list] = STATE(618),
    [sym_set] = STATE(618),
    [sym_set_comprehension] = STATE(618),
    [sym__primary_expression] = STATE(618),
    [sym_integer] = ACTIONS(1756),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1758),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1756),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1758),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1756),
    [sym__string_start] = ACTIONS(115),
  },
  [585] = {
    [sym_attribute] = STATE(620),
    [sym_dictionary_comprehension] = STATE(620),
    [sym_generator_expression] = STATE(620),
    [sym_binary_operator] = STATE(620),
    [sym_unary_operator] = STATE(620),
    [sym_call] = STATE(620),
    [sym_list_comprehension] = STATE(620),
    [sym_dictionary] = STATE(620),
    [sym_parenthesized_expression] = STATE(620),
    [sym_tuple] = STATE(620),
    [sym_concatenated_string] = STATE(620),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(620),
    [sym_list] = STATE(620),
    [sym_set] = STATE(620),
    [sym_set_comprehension] = STATE(620),
    [sym__primary_expression] = STATE(620),
    [sym_integer] = ACTIONS(1760),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1762),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1760),
    [sym_identifier] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1762),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1760),
    [sym__string_start] = ACTIONS(115),
  },
  [586] = {
    [sym_attribute] = STATE(621),
    [sym_dictionary_comprehension] = STATE(621),
    [sym_generator_expression] = STATE(621),
    [sym_binary_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_call] = STATE(621),
    [sym_list_comprehension] = STATE(621),
    [sym_dictionary] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym_tuple] = STATE(621),
    [sym_concatenated_string] = STATE(621),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(621),
    [sym_list] = STATE(621),
    [sym_set] = STATE(621),
    [sym_set_comprehension] = STATE(621),
    [sym__primary_expression] = STATE(621),
    [sym_integer] = ACTIONS(1764),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1766),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1764),
    [sym_identifier] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1764),
    [sym__string_start] = ACTIONS(115),
  },
  [587] = {
    [sym_attribute] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_concatenated_string] = STATE(622),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(622),
    [sym_list] = STATE(622),
    [sym_set] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym__primary_expression] = STATE(622),
    [sym_integer] = ACTIONS(1768),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1770),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1768),
    [sym_identifier] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1770),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1768),
    [sym__string_start] = ACTIONS(115),
  },
  [588] = {
    [sym_attribute] = STATE(624),
    [sym_dictionary_comprehension] = STATE(624),
    [sym_generator_expression] = STATE(624),
    [sym_binary_operator] = STATE(624),
    [sym_unary_operator] = STATE(624),
    [sym_call] = STATE(624),
    [sym_list_comprehension] = STATE(624),
    [sym_dictionary] = STATE(624),
    [sym_parenthesized_expression] = STATE(624),
    [sym_tuple] = STATE(624),
    [sym_concatenated_string] = STATE(624),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(624),
    [sym_list] = STATE(624),
    [sym_set] = STATE(624),
    [sym_set_comprehension] = STATE(624),
    [sym__primary_expression] = STATE(624),
    [sym_integer] = ACTIONS(1772),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1774),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1772),
    [sym_identifier] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1774),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1772),
    [sym__string_start] = ACTIONS(115),
  },
  [589] = {
    [sym__newline] = ACTIONS(581),
    [anon_sym_or] = ACTIONS(581),
    [anon_sym_SLASH_SLASH] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_is] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(581),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_from] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_in] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_STAR_STAR] = ACTIONS(581),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_EQ] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(581),
    [anon_sym_LT_GT] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [sym__semicolon] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_and] = ACTIONS(581),
    [anon_sym_PERCENT] = ACTIONS(581),
    [anon_sym_not] = ACTIONS(581),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT_GT] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
  },
  [590] = {
    [aux_sym_comparison_operator_repeat1] = STATE(625),
    [sym__newline] = ACTIONS(585),
    [anon_sym_or] = ACTIONS(585),
    [anon_sym_GT] = ACTIONS(1696),
    [sym__semicolon] = ACTIONS(585),
    [anon_sym_is] = ACTIONS(1698),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_and] = ACTIONS(585),
    [anon_sym_from] = ACTIONS(585),
    [anon_sym_not] = ACTIONS(1714),
    [anon_sym_in] = ACTIONS(1702),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_if] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(1696),
    [anon_sym_EQ] = ACTIONS(587),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_LT_GT] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1702),
  },
  [591] = {
    [sym_string] = STATE(626),
    [aux_sym_concatenated_string_repeat1] = STATE(626),
    [sym__newline] = ACTIONS(589),
    [anon_sym_or] = ACTIONS(589),
    [anon_sym_SLASH_SLASH] = ACTIONS(589),
    [anon_sym_GT] = ACTIONS(591),
    [anon_sym_is] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_from] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_in] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_STAR_STAR] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(589),
    [anon_sym_LT_GT] = ACTIONS(589),
    [anon_sym_BANG_EQ] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(589),
    [sym__semicolon] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_LT] = ACTIONS(591),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(115),
  },
  [592] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(592),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(593),
    [sym_true] = ACTIONS(593),
    [sym__string_start] = ACTIONS(596),
    [anon_sym_nonlocal] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1776),
    [anon_sym_assert] = ACTIONS(605),
    [anon_sym_yield] = ACTIONS(608),
    [anon_sym_return] = ACTIONS(611),
    [anon_sym_from] = ACTIONS(614),
    [anon_sym_LPAREN] = ACTIONS(617),
    [sym_none] = ACTIONS(593),
    [anon_sym_with] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1782),
    [anon_sym_pass] = ACTIONS(626),
    [sym_float] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(632),
    [anon_sym_AT] = ACTIONS(635),
    [anon_sym_lambda] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(632),
    [anon_sym_print] = ACTIONS(641),
    [anon_sym_del] = ACTIONS(644),
    [sym_ellipsis] = ACTIONS(629),
    [anon_sym_import] = ACTIONS(647),
    [anon_sym_while] = ACTIONS(1785),
    [anon_sym_def] = ACTIONS(1788),
    [anon_sym_await] = ACTIONS(656),
    [anon_sym_break] = ACTIONS(659),
    [sym_identifier] = ACTIONS(662),
    [anon_sym_DASH] = ACTIONS(632),
    [sym__dedent] = ACTIONS(674),
    [anon_sym_global] = ACTIONS(665),
    [anon_sym_not] = ACTIONS(668),
    [anon_sym_exec] = ACTIONS(671),
    [anon_sym_raise] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(682),
    [anon_sym_try] = ACTIONS(1791),
    [anon_sym_for] = ACTIONS(1794),
    [sym_false] = ACTIONS(593),
    [anon_sym_continue] = ACTIONS(691),
    [anon_sym_async] = ACTIONS(1797),
  },
  [593] = {
    [sym_integer] = ACTIONS(702),
    [sym_true] = ACTIONS(702),
    [sym__string_start] = ACTIONS(704),
    [anon_sym_nonlocal] = ACTIONS(702),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(702),
    [anon_sym_assert] = ACTIONS(702),
    [anon_sym_yield] = ACTIONS(702),
    [anon_sym_return] = ACTIONS(702),
    [anon_sym_from] = ACTIONS(702),
    [anon_sym_LPAREN] = ACTIONS(704),
    [sym_none] = ACTIONS(702),
    [anon_sym_with] = ACTIONS(702),
    [anon_sym_if] = ACTIONS(702),
    [anon_sym_pass] = ACTIONS(702),
    [sym_float] = ACTIONS(704),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(704),
    [anon_sym_lambda] = ACTIONS(702),
    [anon_sym_TILDE] = ACTIONS(704),
    [anon_sym_print] = ACTIONS(702),
    [anon_sym_del] = ACTIONS(702),
    [sym_ellipsis] = ACTIONS(704),
    [anon_sym_import] = ACTIONS(702),
    [anon_sym_while] = ACTIONS(702),
    [anon_sym_def] = ACTIONS(702),
    [anon_sym_await] = ACTIONS(702),
    [anon_sym_break] = ACTIONS(702),
    [sym_identifier] = ACTIONS(702),
    [anon_sym_DASH] = ACTIONS(704),
    [sym__dedent] = ACTIONS(704),
    [anon_sym_global] = ACTIONS(702),
    [anon_sym_not] = ACTIONS(702),
    [anon_sym_exec] = ACTIONS(702),
    [anon_sym_raise] = ACTIONS(702),
    [anon_sym_LBRACK] = ACTIONS(704),
    [anon_sym_LBRACE] = ACTIONS(704),
    [anon_sym_try] = ACTIONS(702),
    [anon_sym_for] = ACTIONS(702),
    [sym_false] = ACTIONS(702),
    [anon_sym_continue] = ACTIONS(702),
    [anon_sym_async] = ACTIONS(702),
  },
  [594] = {
    [sym_lambda] = STATE(627),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(627),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(627),
    [sym_boolean_operator] = STATE(627),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(627),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(627),
    [sym__expression] = STATE(627),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(627),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [595] = {
    [sym_lambda] = STATE(263),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(263),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(263),
    [sym_boolean_operator] = STATE(263),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(263),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(263),
    [sym__expression] = STATE(263),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(263),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [596] = {
    [sym__newline] = ACTIONS(724),
    [anon_sym_or] = ACTIONS(724),
    [anon_sym_SLASH_SLASH] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_is] = ACTIONS(724),
    [anon_sym_AMP] = ACTIONS(724),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_from] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(724),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_STAR_STAR] = ACTIONS(724),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [sym__semicolon] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_and] = ACTIONS(724),
    [anon_sym_PERCENT] = ACTIONS(724),
    [anon_sym_not] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_LT_LT] = ACTIONS(724),
    [anon_sym_PIPE] = ACTIONS(724),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(724),
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(724),
  },
  [597] = {
    [sym_lambda] = STATE(261),
    [sym_conditional_expression] = STATE(261),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(261),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(261),
    [sym_boolean_operator] = STATE(261),
    [sym_await] = STATE(261),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(261),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(261),
    [sym_integer] = ACTIONS(5),
    [anon_sym_print] = ACTIONS(187),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(31),
    [sym_true] = ACTIONS(5),
    [anon_sym_await] = ACTIONS(47),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_lambda] = ACTIONS(35),
    [sym__string_start] = ACTIONS(73),
  },
  [598] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(750),
    [sym_comment] = ACTIONS(3),
  },
  [599] = {
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(791),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(791),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(791),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(791),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(708),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(708),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [600] = {
    [aux_sym_assert_statement_repeat1] = STATE(793),
    [anon_sym_COLON] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(1800),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(708),
  },
  [601] = {
    [aux_sym_dotted_name_repeat1] = STATE(634),
    [anon_sym_LPAREN] = ACTIONS(758),
    [sym__newline] = ACTIONS(758),
    [anon_sym_DOT] = ACTIONS(1726),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(758),
    [anon_sym_COMMA] = ACTIONS(758),
    [anon_sym_as] = ACTIONS(758),
  },
  [602] = {
    [sym__newline] = ACTIONS(771),
    [anon_sym_or] = ACTIONS(771),
    [anon_sym_SLASH_SLASH] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_from] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_in] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(771),
    [anon_sym_LT_GT] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [sym__semicolon] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_and] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_LT_LT] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_COMMA] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
  },
  [603] = {
    [sym__newline] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_SLASH_SLASH] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(777),
    [anon_sym_is] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_from] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_LT_GT] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [sym__semicolon] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_not] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
  },
  [604] = {
    [sym__newline] = ACTIONS(817),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [sym__semicolon] = ACTIONS(817),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(817),
  },
  [605] = {
    [sym_lambda] = STATE(644),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(644),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(644),
    [sym_boolean_operator] = STATE(644),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(644),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(644),
    [sym__expression] = STATE(644),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(644),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [606] = {
    [sym_aliased_import] = STATE(645),
    [sym_dotted_name] = STATE(646),
    [anon_sym_RPAREN] = ACTIONS(833),
    [sym_identifier] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [607] = {
    [aux_sym__import_list_repeat1] = STATE(648),
    [anon_sym_RPAREN] = ACTIONS(835),
    [anon_sym_COMMA] = ACTIONS(1802),
    [sym_comment] = ACTIONS(3),
  },
  [608] = {
    [sym__newline] = ACTIONS(853),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(853),
    [sym__semicolon] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(853),
  },
  [609] = {
    [sym__newline] = ACTIONS(859),
    [anon_sym_or] = ACTIONS(859),
    [anon_sym_SLASH_SLASH] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(861),
    [anon_sym_is] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_LT_EQ] = ACTIONS(859),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_from] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_in] = ACTIONS(859),
    [anon_sym_if] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(859),
    [anon_sym_STAR_STAR] = ACTIONS(859),
    [anon_sym_SLASH] = ACTIONS(861),
    [anon_sym_EQ] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(859),
    [anon_sym_LT_GT] = ACTIONS(859),
    [anon_sym_BANG_EQ] = ACTIONS(859),
    [anon_sym_CARET] = ACTIONS(859),
    [anon_sym_EQ_EQ] = ACTIONS(859),
    [sym__semicolon] = ACTIONS(859),
    [anon_sym_DASH] = ACTIONS(859),
    [anon_sym_and] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(859),
    [anon_sym_not] = ACTIONS(859),
    [anon_sym_GT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(859),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT] = ACTIONS(861),
    [anon_sym_GT_GT] = ACTIONS(859),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_DOT] = ACTIONS(859),
    [anon_sym_COMMA] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
  },
  [610] = {
    [sym__newline] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_SLASH_SLASH] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_from] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [sym__semicolon] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [611] = {
    [sym__newline] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH_SLASH] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_from] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_STAR_STAR] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_EQ] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(881),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [sym__semicolon] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(881),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(881),
    [anon_sym_PIPE] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(881),
    [anon_sym_COMMA] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
  },
  [612] = {
    [anon_sym_except] = ACTIONS(925),
    [anon_sym_finally] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
  },
  [613] = {
    [anon_sym_COLON] = ACTIONS(940),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(940),
    [anon_sym_EQ] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [614] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(958),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [615] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(964),
    [anon_sym_is] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(962),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(964),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(962),
    [anon_sym_BANG_EQ] = ACTIONS(962),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(962),
    [sym__semicolon] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(962),
    [anon_sym_GT_EQ] = ACTIONS(962),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(964),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(962),
    [sym_comment] = ACTIONS(3),
  },
  [616] = {
    [sym_attribute] = STATE(662),
    [sym_dictionary_comprehension] = STATE(662),
    [sym_generator_expression] = STATE(662),
    [sym_binary_operator] = STATE(662),
    [sym_unary_operator] = STATE(662),
    [sym_call] = STATE(662),
    [sym_list_comprehension] = STATE(662),
    [sym_dictionary] = STATE(662),
    [sym_parenthesized_expression] = STATE(662),
    [sym_tuple] = STATE(662),
    [sym_concatenated_string] = STATE(662),
    [sym_string] = STATE(559),
    [sym_subscript] = STATE(662),
    [sym_list] = STATE(662),
    [sym_set] = STATE(662),
    [sym_set_comprehension] = STATE(662),
    [sym__primary_expression] = STATE(662),
    [sym_integer] = ACTIONS(1804),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(1806),
    [anon_sym_TILDE] = ACTIONS(99),
    [sym_true] = ACTIONS(1804),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_exec] = ACTIONS(95),
    [sym_none] = ACTIONS(1804),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_float] = ACTIONS(1806),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1804),
    [sym__string_start] = ACTIONS(115),
  },
  [617] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [618] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [619] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(972),
    [anon_sym_GT] = ACTIONS(974),
    [anon_sym_is] = ACTIONS(972),
    [anon_sym_LT_EQ] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_RBRACK] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(972),
    [sym_type_conversion] = ACTIONS(972),
    [anon_sym_STAR_STAR] = ACTIONS(972),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_LT_GT] = ACTIONS(972),
    [anon_sym_EQ_EQ] = ACTIONS(972),
    [anon_sym_RPAREN] = ACTIONS(972),
    [anon_sym_and] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(972),
    [anon_sym_GT_GT] = ACTIONS(972),
    [anon_sym_COMMA] = ACTIONS(972),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(972),
    [anon_sym_COLON] = ACTIONS(972),
    [anon_sym_or] = ACTIONS(972),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_in] = ACTIONS(972),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_RBRACE] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(972),
    [anon_sym_BANG_EQ] = ACTIONS(972),
    [anon_sym_CARET] = ACTIONS(972),
    [anon_sym_else] = ACTIONS(972),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(972),
    [anon_sym_GT_EQ] = ACTIONS(972),
    [anon_sym_LT_LT] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_async] = ACTIONS(972),
  },
  [620] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [621] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(958),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [623] = {
    [sym__newline] = ACTIONS(984),
    [anon_sym_or] = ACTIONS(984),
    [anon_sym_SLASH_SLASH] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_is] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(984),
    [anon_sym_LT_EQ] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_from] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_STAR_STAR] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_EQ] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_LT_GT] = ACTIONS(984),
    [anon_sym_BANG_EQ] = ACTIONS(984),
    [anon_sym_CARET] = ACTIONS(984),
    [anon_sym_EQ_EQ] = ACTIONS(984),
    [sym__semicolon] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_and] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(984),
    [anon_sym_not] = ACTIONS(984),
    [anon_sym_GT_EQ] = ACTIONS(984),
    [anon_sym_LT_LT] = ACTIONS(984),
    [anon_sym_PIPE] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_DOT] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(984),
    [sym_comment] = ACTIONS(3),
  },
  [624] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [sym__semicolon] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [625] = {
    [aux_sym_comparison_operator_repeat1] = STATE(625),
    [sym__newline] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [anon_sym_GT] = ACTIONS(1808),
    [anon_sym_is] = ACTIONS(1811),
    [sym__semicolon] = ACTIONS(962),
    [anon_sym_LT_EQ] = ACTIONS(1814),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_from] = ACTIONS(962),
    [anon_sym_not] = ACTIONS(1817),
    [anon_sym_in] = ACTIONS(1814),
    [anon_sym_GT_EQ] = ACTIONS(1814),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_LT] = ACTIONS(1808),
    [anon_sym_EQ] = ACTIONS(964),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_LT_GT] = ACTIONS(1814),
    [anon_sym_BANG_EQ] = ACTIONS(1814),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1814),
  },
  [626] = {
    [sym_string] = STATE(626),
    [aux_sym_concatenated_string_repeat1] = STATE(626),
    [sym__newline] = ACTIONS(1000),
    [anon_sym_or] = ACTIONS(1000),
    [anon_sym_SLASH_SLASH] = ACTIONS(1000),
    [anon_sym_GT] = ACTIONS(1002),
    [anon_sym_is] = ACTIONS(1000),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_LT_EQ] = ACTIONS(1000),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_from] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_in] = ACTIONS(1000),
    [anon_sym_if] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_STAR_STAR] = ACTIONS(1000),
    [anon_sym_SLASH] = ACTIONS(1002),
    [anon_sym_EQ] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_LT_GT] = ACTIONS(1000),
    [anon_sym_BANG_EQ] = ACTIONS(1000),
    [anon_sym_CARET] = ACTIONS(1000),
    [anon_sym_EQ_EQ] = ACTIONS(1000),
    [sym__semicolon] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_and] = ACTIONS(1000),
    [anon_sym_PERCENT] = ACTIONS(1000),
    [anon_sym_not] = ACTIONS(1000),
    [anon_sym_GT_EQ] = ACTIONS(1000),
    [anon_sym_LT_LT] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1000),
    [anon_sym_LT] = ACTIONS(1002),
    [anon_sym_GT_GT] = ACTIONS(1000),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(1000),
    [anon_sym_COMMA] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(1820),
  },
  [627] = {
    [sym__newline] = ACTIONS(1007),
    [anon_sym_or] = ACTIONS(1007),
    [anon_sym_if] = ACTIONS(1007),
    [sym__semicolon] = ACTIONS(1007),
    [anon_sym_EQ] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(1007),
  },
  [628] = {
    [sym__newline] = ACTIONS(1009),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [sym__semicolon] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(1009),
  },
  [629] = {
    [anon_sym_COLON] = ACTIONS(1013),
    [anon_sym_or] = ACTIONS(1013),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(1013),
    [anon_sym_and] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1013),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_RBRACE] = ACTIONS(1013),
    [sym_type_conversion] = ACTIONS(1013),
    [anon_sym_EQ] = ACTIONS(1013),
    [anon_sym_COMMA] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1013),
    [anon_sym_async] = ACTIONS(1013),
  },
  [630] = {
    [aux_sym_assert_statement_repeat1] = STATE(630),
    [sym__semicolon] = ACTIONS(1009),
    [sym__newline] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1823),
    [sym_comment] = ACTIONS(3),
    [anon_sym_from] = ACTIONS(1009),
  },
  [631] = {
    [sym_integer] = ACTIONS(1053),
    [sym_true] = ACTIONS(1053),
    [sym__string_start] = ACTIONS(1055),
    [anon_sym_nonlocal] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1053),
    [anon_sym_assert] = ACTIONS(1053),
    [anon_sym_yield] = ACTIONS(1053),
    [anon_sym_return] = ACTIONS(1053),
    [anon_sym_from] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [sym_none] = ACTIONS(1053),
    [anon_sym_with] = ACTIONS(1053),
    [anon_sym_if] = ACTIONS(1053),
    [anon_sym_pass] = ACTIONS(1053),
    [sym_float] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1055),
    [anon_sym_AT] = ACTIONS(1055),
    [anon_sym_lambda] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_print] = ACTIONS(1053),
    [anon_sym_del] = ACTIONS(1053),
    [sym_ellipsis] = ACTIONS(1055),
    [anon_sym_import] = ACTIONS(1053),
    [anon_sym_while] = ACTIONS(1053),
    [anon_sym_def] = ACTIONS(1053),
    [anon_sym_await] = ACTIONS(1053),
    [anon_sym_break] = ACTIONS(1053),
    [sym_identifier] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1055),
    [sym__dedent] = ACTIONS(1055),
    [anon_sym_global] = ACTIONS(1053),
    [anon_sym_not] = ACTIONS(1053),
    [anon_sym_exec] = ACTIONS(1053),
    [anon_sym_raise] = ACTIONS(1053),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_try] = ACTIONS(1053),
    [anon_sym_for] = ACTIONS(1053),
    [sym_false] = ACTIONS(1053),
    [anon_sym_continue] = ACTIONS(1053),
    [anon_sym_async] = ACTIONS(1053),
  },
  [632] = {
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(791),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(791),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(791),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(791),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(1017),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(1017),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [633] = {
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_DOT] = ACTIONS(1061),
    [sym__newline] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_as] = ACTIONS(1061),
  },
  [634] = {
    [aux_sym_dotted_name_repeat1] = STATE(634),
    [anon_sym_LPAREN] = ACTIONS(1061),
    [anon_sym_DOT] = ACTIONS(1826),
    [sym__newline] = ACTIONS(1061),
    [sym_comment] = ACTIONS(3),
    [sym__semicolon] = ACTIONS(1061),
    [anon_sym_COMMA] = ACTIONS(1061),
    [anon_sym_as] = ACTIONS(1061),
  },
  [635] = {
    [sym__newline] = ACTIONS(1074),
    [anon_sym_or] = ACTIONS(1074),
    [anon_sym_SLASH_SLASH] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_is] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_LT_EQ] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_from] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_LT_GT] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_EQ_EQ] = ACTIONS(1074),
    [sym__semicolon] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_and] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1074),
    [anon_sym_not] = ACTIONS(1074),
    [anon_sym_GT_EQ] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_DOT] = ACTIONS(1074),
    [anon_sym_COMMA] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [636] = {
    [sym__newline] = ACTIONS(1089),
    [anon_sym_or] = ACTIONS(1089),
    [anon_sym_SLASH_SLASH] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_is] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_from] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_in] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1089),
    [anon_sym_LT_GT] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [sym__semicolon] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
  },
  [637] = {
    [sym_integer] = ACTIONS(1093),
    [sym_true] = ACTIONS(1093),
    [sym__string_start] = ACTIONS(1095),
    [anon_sym_nonlocal] = ACTIONS(1093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_assert] = ACTIONS(1093),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_from] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [sym_none] = ACTIONS(1093),
    [anon_sym_with] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_pass] = ACTIONS(1093),
    [sym_float] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_AT] = ACTIONS(1095),
    [anon_sym_lambda] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_print] = ACTIONS(1093),
    [anon_sym_del] = ACTIONS(1093),
    [sym_ellipsis] = ACTIONS(1095),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [anon_sym_def] = ACTIONS(1093),
    [anon_sym_await] = ACTIONS(1093),
    [anon_sym_break] = ACTIONS(1093),
    [sym_identifier] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1095),
    [sym__dedent] = ACTIONS(1095),
    [anon_sym_global] = ACTIONS(1093),
    [anon_sym_not] = ACTIONS(1093),
    [anon_sym_exec] = ACTIONS(1093),
    [anon_sym_raise] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_async] = ACTIONS(1093),
  },
  [638] = {
    [aux_sym_if_statement_repeat1] = STATE(671),
    [sym_else_clause] = STATE(672),
    [sym_elif_clause] = STATE(673),
    [sym_integer] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym__string_start] = ACTIONS(1106),
    [anon_sym_nonlocal] = ACTIONS(1104),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_yield] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_from] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [sym_none] = ACTIONS(1104),
    [anon_sym_with] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_pass] = ACTIONS(1104),
    [sym_float] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_elif] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_lambda] = ACTIONS(1104),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_print] = ACTIONS(1104),
    [anon_sym_del] = ACTIONS(1104),
    [sym_ellipsis] = ACTIONS(1106),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_while] = ACTIONS(1104),
    [anon_sym_def] = ACTIONS(1104),
    [anon_sym_await] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [sym_identifier] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1106),
    [sym__dedent] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1104),
    [anon_sym_not] = ACTIONS(1104),
    [anon_sym_exec] = ACTIONS(1104),
    [anon_sym_raise] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_try] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_async] = ACTIONS(1104),
  },
  [639] = {
    [anon_sym_COLON] = ACTIONS(1728),
    [anon_sym_EQ] = ACTIONS(415),
    [anon_sym_COMMA] = ACTIONS(1118),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1118),
  },
  [640] = {
    [anon_sym_COLON] = ACTIONS(1732),
    [anon_sym_EQ] = ACTIONS(421),
    [anon_sym_COMMA] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1120),
  },
  [641] = {
    [anon_sym_COLON] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1120),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1120),
  },
  [642] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(641),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(641),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_exec] = ACTIONS(1833),
    [anon_sym_print] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(1122),
    [sym_comment] = ACTIONS(3),
  },
  [643] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(641),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(641),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_exec] = ACTIONS(1833),
    [anon_sym_print] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(1133),
    [sym_comment] = ACTIONS(3),
  },
  [644] = {
    [sym__newline] = ACTIONS(1137),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [sym__semicolon] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(1137),
  },
  [645] = {
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_COMMA] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [anon_sym_COMMA] = ACTIONS(1150),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1150),
    [anon_sym_as] = ACTIONS(1740),
  },
  [647] = {
    [sym_aliased_import] = STATE(645),
    [sym_dotted_name] = STATE(646),
    [anon_sym_RPAREN] = ACTIONS(1152),
    [sym_identifier] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [648] = {
    [aux_sym__import_list_repeat1] = STATE(648),
    [anon_sym_RPAREN] = ACTIONS(1154),
    [anon_sym_COMMA] = ACTIONS(1837),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [anon_sym_RPAREN] = ACTIONS(1159),
    [anon_sym_COMMA] = ACTIONS(1159),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym_else_clause] = STATE(677),
    [sym_integer] = ACTIONS(1161),
    [sym_true] = ACTIONS(1161),
    [sym__string_start] = ACTIONS(1163),
    [anon_sym_nonlocal] = ACTIONS(1161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1161),
    [anon_sym_assert] = ACTIONS(1161),
    [anon_sym_yield] = ACTIONS(1161),
    [anon_sym_return] = ACTIONS(1161),
    [anon_sym_from] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [sym_none] = ACTIONS(1161),
    [anon_sym_with] = ACTIONS(1161),
    [anon_sym_if] = ACTIONS(1161),
    [anon_sym_pass] = ACTIONS(1161),
    [sym_float] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_lambda] = ACTIONS(1161),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_print] = ACTIONS(1161),
    [anon_sym_del] = ACTIONS(1161),
    [sym_ellipsis] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1161),
    [anon_sym_while] = ACTIONS(1161),
    [anon_sym_def] = ACTIONS(1161),
    [anon_sym_await] = ACTIONS(1161),
    [anon_sym_break] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1163),
    [sym__dedent] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1161),
    [anon_sym_not] = ACTIONS(1161),
    [anon_sym_exec] = ACTIONS(1161),
    [anon_sym_raise] = ACTIONS(1161),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1161),
    [anon_sym_for] = ACTIONS(1161),
    [sym_false] = ACTIONS(1161),
    [anon_sym_continue] = ACTIONS(1161),
    [anon_sym_async] = ACTIONS(1161),
  },
  [651] = {
    [sym__newline] = ACTIONS(1175),
    [anon_sym_or] = ACTIONS(1175),
    [anon_sym_SLASH_SLASH] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_is] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_from] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR_STAR] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_LT_GT] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [sym__semicolon] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_and] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_not] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym__newline] = ACTIONS(1186),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1188),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_from] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_STAR_STAR] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_EQ] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [anon_sym_LT_GT] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [sym__semicolon] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_and] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_not] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym__newline] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_from] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR_STAR] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_EQ] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [sym__semicolon] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym__newline] = ACTIONS(1201),
    [anon_sym_or] = ACTIONS(1201),
    [anon_sym_SLASH_SLASH] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_is] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_from] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_STAR_STAR] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_EQ] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(1201),
    [anon_sym_LT_GT] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [sym__semicolon] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_and] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_not] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [sym__newline] = ACTIONS(1205),
    [anon_sym_or] = ACTIONS(1205),
    [anon_sym_SLASH_SLASH] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1207),
    [anon_sym_is] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_from] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_in] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_STAR_STAR] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1207),
    [anon_sym_EQ] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [sym__semicolon] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_and] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym__newline] = ACTIONS(1213),
    [anon_sym_or] = ACTIONS(1213),
    [anon_sym_SLASH_SLASH] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_is] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1215),
    [anon_sym_from] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_STAR_STAR] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_LT_GT] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [sym__semicolon] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_and] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_not] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_integer] = ACTIONS(1840),
    [anon_sym_yield] = ACTIONS(1840),
    [anon_sym_from] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [sym_none] = ACTIONS(1840),
    [anon_sym_with] = ACTIONS(1840),
    [anon_sym_pass] = ACTIONS(1840),
    [sym_float] = ACTIONS(1217),
    [anon_sym_lambda] = ACTIONS(1840),
    [anon_sym_print] = ACTIONS(1840),
    [sym_ellipsis] = ACTIONS(1217),
    [anon_sym_await] = ACTIONS(1840),
    [anon_sym_def] = ACTIONS(1840),
    [anon_sym_break] = ACTIONS(1840),
    [sym_identifier] = ACTIONS(1840),
    [anon_sym_global] = ACTIONS(1840),
    [anon_sym_exec] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_continue] = ACTIONS(1840),
    [sym_true] = ACTIONS(1840),
    [sym__string_start] = ACTIONS(1217),
    [anon_sym_nonlocal] = ACTIONS(1840),
    [anon_sym_class] = ACTIONS(1840),
    [anon_sym_assert] = ACTIONS(1840),
    [anon_sym_return] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_elif] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_del] = ACTIONS(1840),
    [anon_sym_import] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_except] = ACTIONS(1840),
    [anon_sym_else] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_not] = ACTIONS(1840),
    [ts_builtin_sym_end] = ACTIONS(1217),
    [anon_sym_raise] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1840),
    [sym_false] = ACTIONS(1840),
    [anon_sym_finally] = ACTIONS(1840),
    [anon_sym_async] = ACTIONS(1840),
  },
  [658] = {
    [sym_except_clause] = STATE(686),
    [sym_else_clause] = STATE(685),
    [aux_sym_try_statement_repeat1] = STATE(686),
    [sym_finally_clause] = STATE(687),
    [sym_integer] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym__string_start] = ACTIONS(1227),
    [anon_sym_nonlocal] = ACTIONS(1225),
    [anon_sym_finally] = ACTIONS(1842),
    [anon_sym_class] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [sym_none] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_pass] = ACTIONS(1225),
    [sym_float] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_lambda] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_print] = ACTIONS(1225),
    [anon_sym_del] = ACTIONS(1225),
    [sym_ellipsis] = ACTIONS(1227),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1227),
    [sym__dedent] = ACTIONS(1227),
    [anon_sym_except] = ACTIONS(1844),
    [anon_sym_global] = ACTIONS(1225),
    [anon_sym_not] = ACTIONS(1225),
    [anon_sym_exec] = ACTIONS(1225),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_raise] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_async] = ACTIONS(1225),
  },
  [659] = {
    [sym_integer] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym__string_start] = ACTIONS(1227),
    [anon_sym_nonlocal] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_from] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [sym_none] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_pass] = ACTIONS(1225),
    [sym_float] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1227),
    [anon_sym_lambda] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_print] = ACTIONS(1225),
    [anon_sym_del] = ACTIONS(1225),
    [sym_ellipsis] = ACTIONS(1227),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1227),
    [sym__dedent] = ACTIONS(1227),
    [anon_sym_global] = ACTIONS(1225),
    [anon_sym_not] = ACTIONS(1225),
    [anon_sym_exec] = ACTIONS(1225),
    [anon_sym_raise] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_async] = ACTIONS(1225),
  },
  [660] = {
    [anon_sym_except] = ACTIONS(1244),
    [anon_sym_finally] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [sym__newline] = ACTIONS(1250),
    [anon_sym_or] = ACTIONS(1250),
    [anon_sym_SLASH_SLASH] = ACTIONS(1250),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_from] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_STAR_STAR] = ACTIONS(1250),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1250),
    [anon_sym_LT_GT] = ACTIONS(1250),
    [anon_sym_BANG_EQ] = ACTIONS(1250),
    [anon_sym_CARET] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1250),
    [sym__semicolon] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_and] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1250),
    [anon_sym_not] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [sym_argument_list] = STATE(589),
    [sym_generator_expression] = STATE(589),
    [sym__newline] = ACTIONS(1258),
    [anon_sym_or] = ACTIONS(1258),
    [anon_sym_SLASH_SLASH] = ACTIONS(1694),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_is] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1700),
    [anon_sym_LT_EQ] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_from] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_in] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1708),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_AT] = ACTIONS(1694),
    [anon_sym_LT_GT] = ACTIONS(1258),
    [anon_sym_BANG_EQ] = ACTIONS(1258),
    [anon_sym_CARET] = ACTIONS(1712),
    [anon_sym_EQ_EQ] = ACTIONS(1258),
    [sym__semicolon] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1708),
    [anon_sym_and] = ACTIONS(1258),
    [anon_sym_PERCENT] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_GT_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT] = ACTIONS(1716),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_GT_GT] = ACTIONS(1716),
    [anon_sym_LBRACK] = ACTIONS(1720),
    [anon_sym_DOT] = ACTIONS(1722),
    [anon_sym_COMMA] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1262),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_is] = ACTIONS(1262),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_RBRACK] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [sym_type_conversion] = ACTIONS(1262),
    [anon_sym_STAR_STAR] = ACTIONS(1262),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_LT_GT] = ACTIONS(1262),
    [anon_sym_EQ_EQ] = ACTIONS(1262),
    [anon_sym_RPAREN] = ACTIONS(1262),
    [anon_sym_and] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1262),
    [anon_sym_GT_GT] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1262),
    [anon_sym_COLON] = ACTIONS(1262),
    [anon_sym_or] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_RBRACE] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [anon_sym_BANG_EQ] = ACTIONS(1262),
    [anon_sym_CARET] = ACTIONS(1262),
    [anon_sym_else] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_PERCENT] = ACTIONS(1262),
    [anon_sym_not] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_DOT] = ACTIONS(1262),
    [anon_sym_async] = ACTIONS(1262),
  },
  [664] = {
    [sym_lambda] = STATE(690),
    [sym_attribute] = STATE(557),
    [sym_dictionary_comprehension] = STATE(557),
    [sym_named_expression] = STATE(690),
    [sym_generator_expression] = STATE(557),
    [sym_not_operator] = STATE(690),
    [sym_boolean_operator] = STATE(690),
    [sym_subscript] = STATE(557),
    [sym_list] = STATE(557),
    [sym_set] = STATE(557),
    [sym_set_comprehension] = STATE(557),
    [sym_conditional_expression] = STATE(690),
    [sym_binary_operator] = STATE(557),
    [sym_unary_operator] = STATE(557),
    [sym_call] = STATE(557),
    [sym_list_comprehension] = STATE(557),
    [sym_dictionary] = STATE(557),
    [sym_parenthesized_expression] = STATE(557),
    [sym_tuple] = STATE(557),
    [sym_concatenated_string] = STATE(557),
    [sym_string] = STATE(559),
    [sym_await] = STATE(690),
    [sym__expression] = STATE(690),
    [sym__primary_expression] = STATE(557),
    [sym_comparison_operator] = STATE(690),
    [sym_integer] = ACTIONS(93),
    [sym__string_start] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(107),
    [sym_none] = ACTIONS(93),
    [sym_float] = ACTIONS(97),
    [anon_sym_PLUS] = ACTIONS(99),
    [anon_sym_lambda] = ACTIONS(113),
    [anon_sym_TILDE] = ACTIONS(99),
    [anon_sym_print] = ACTIONS(95),
    [sym_ellipsis] = ACTIONS(97),
    [anon_sym_await] = ACTIONS(101),
    [sym_identifier] = ACTIONS(103),
    [anon_sym_DASH] = ACTIONS(99),
    [anon_sym_not] = ACTIONS(105),
    [anon_sym_exec] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(93),
    [sym_true] = ACTIONS(93),
  },
  [665] = {
    [sym_integer] = ACTIONS(1272),
    [sym_true] = ACTIONS(1272),
    [sym__string_start] = ACTIONS(1274),
    [anon_sym_nonlocal] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1272),
    [anon_sym_assert] = ACTIONS(1272),
    [anon_sym_yield] = ACTIONS(1272),
    [anon_sym_return] = ACTIONS(1272),
    [anon_sym_from] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1274),
    [sym_none] = ACTIONS(1272),
    [anon_sym_with] = ACTIONS(1272),
    [anon_sym_if] = ACTIONS(1272),
    [anon_sym_pass] = ACTIONS(1272),
    [sym_float] = ACTIONS(1274),
    [anon_sym_PLUS] = ACTIONS(1274),
    [anon_sym_AT] = ACTIONS(1274),
    [anon_sym_lambda] = ACTIONS(1272),
    [anon_sym_TILDE] = ACTIONS(1274),
    [anon_sym_print] = ACTIONS(1272),
    [anon_sym_del] = ACTIONS(1272),
    [sym_ellipsis] = ACTIONS(1274),
    [anon_sym_import] = ACTIONS(1272),
    [anon_sym_while] = ACTIONS(1272),
    [anon_sym_def] = ACTIONS(1272),
    [anon_sym_await] = ACTIONS(1272),
    [anon_sym_break] = ACTIONS(1272),
    [sym_identifier] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1274),
    [sym__dedent] = ACTIONS(1274),
    [anon_sym_global] = ACTIONS(1272),
    [anon_sym_not] = ACTIONS(1272),
    [anon_sym_exec] = ACTIONS(1272),
    [anon_sym_raise] = ACTIONS(1272),
    [anon_sym_LBRACK] = ACTIONS(1274),
    [anon_sym_LBRACE] = ACTIONS(1274),
    [anon_sym_try] = ACTIONS(1272),
    [anon_sym_for] = ACTIONS(1272),
    [sym_false] = ACTIONS(1272),
    [anon_sym_continue] = ACTIONS(1272),
    [anon_sym_async] = ACTIONS(1272),
  },
  [666] = {
    [sym_integer] = ACTIONS(1290),
    [sym_true] = ACTIONS(1290),
    [sym__string_start] = ACTIONS(1292),
    [anon_sym_nonlocal] = ACTIONS(1290),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1290),
    [anon_sym_assert] = ACTIONS(1290),
    [anon_sym_yield] = ACTIONS(1290),
    [anon_sym_return] = ACTIONS(1290),
    [anon_sym_from] = ACTIONS(1290),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [sym_none] = ACTIONS(1290),
    [anon_sym_with] = ACTIONS(1290),
    [anon_sym_if] = ACTIONS(1290),
    [anon_sym_pass] = ACTIONS(1290),
    [sym_float] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_AT] = ACTIONS(1292),
    [anon_sym_lambda] = ACTIONS(1290),
    [anon_sym_TILDE] = ACTIONS(1292),
    [anon_sym_print] = ACTIONS(1290),
    [anon_sym_del] = ACTIONS(1290),
    [sym_ellipsis] = ACTIONS(1292),
    [anon_sym_import] = ACTIONS(1290),
    [anon_sym_while] = ACTIONS(1290),
    [anon_sym_def] = ACTIONS(1290),
    [anon_sym_await] = ACTIONS(1290),
    [anon_sym_break] = ACTIONS(1290),
    [sym_identifier] = ACTIONS(1290),
    [anon_sym_DASH] = ACTIONS(1292),
    [sym__dedent] = ACTIONS(1292),
    [anon_sym_global] = ACTIONS(1290),
    [anon_sym_not] = ACTIONS(1290),
    [anon_sym_exec] = ACTIONS(1290),
    [anon_sym_raise] = ACTIONS(1290),
    [anon_sym_LBRACK] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_try] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1290),
    [sym_false] = ACTIONS(1290),
    [anon_sym_continue] = ACTIONS(1290),
    [anon_sym_async] = ACTIONS(1290),
  },
  [667] = {
    [sym_integer] = ACTIONS(1294),
    [sym_true] = ACTIONS(1294),
    [sym__string_start] = ACTIONS(1296),
    [anon_sym_nonlocal] = ACTIONS(1294),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1294),
    [anon_sym_assert] = ACTIONS(1294),
    [anon_sym_yield] = ACTIONS(1294),
    [anon_sym_return] = ACTIONS(1294),
    [anon_sym_from] = ACTIONS(1294),
    [anon_sym_LPAREN] = ACTIONS(1296),
    [sym_none] = ACTIONS(1294),
    [anon_sym_with] = ACTIONS(1294),
    [anon_sym_if] = ACTIONS(1294),
    [anon_sym_pass] = ACTIONS(1294),
    [sym_float] = ACTIONS(1296),
    [anon_sym_PLUS] = ACTIONS(1296),
    [anon_sym_AT] = ACTIONS(1296),
    [anon_sym_lambda] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1296),
    [anon_sym_print] = ACTIONS(1294),
    [anon_sym_del] = ACTIONS(1294),
    [sym_ellipsis] = ACTIONS(1296),
    [anon_sym_import] = ACTIONS(1294),
    [anon_sym_while] = ACTIONS(1294),
    [anon_sym_def] = ACTIONS(1294),
    [anon_sym_await] = ACTIONS(1294),
    [anon_sym_break] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1296),
    [sym__dedent] = ACTIONS(1296),
    [anon_sym_global] = ACTIONS(1294),
    [anon_sym_not] = ACTIONS(1294),
    [anon_sym_exec] = ACTIONS(1294),
    [anon_sym_raise] = ACTIONS(1294),
    [anon_sym_LBRACK] = ACTIONS(1296),
    [anon_sym_LBRACE] = ACTIONS(1296),
    [anon_sym_try] = ACTIONS(1294),
    [anon_sym_for] = ACTIONS(1294),
    [sym_false] = ACTIONS(1294),
    [anon_sym_continue] = ACTIONS(1294),
    [anon_sym_async] = ACTIONS(1294),
  },
  [668] = {
    [sym__newline] = ACTIONS(1300),
    [anon_sym_or] = ACTIONS(1300),
    [anon_sym_SLASH_SLASH] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_is] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_from] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1300),
    [anon_sym_LT_GT] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [sym__semicolon] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_and] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_not] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_PIPE] = ACTIONS(1300),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT_GT] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_integer] = ACTIONS(1321),
    [sym_true] = ACTIONS(1321),
    [sym__string_start] = ACTIONS(1323),
    [anon_sym_nonlocal] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1321),
    [anon_sym_assert] = ACTIONS(1321),
    [anon_sym_yield] = ACTIONS(1321),
    [anon_sym_return] = ACTIONS(1321),
    [anon_sym_from] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1323),
    [sym_none] = ACTIONS(1321),
    [anon_sym_with] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_pass] = ACTIONS(1321),
    [sym_float] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1323),
    [anon_sym_lambda] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1323),
    [anon_sym_print] = ACTIONS(1321),
    [anon_sym_del] = ACTIONS(1321),
    [sym_ellipsis] = ACTIONS(1323),
    [anon_sym_import] = ACTIONS(1321),
    [anon_sym_while] = ACTIONS(1321),
    [anon_sym_def] = ACTIONS(1321),
    [anon_sym_await] = ACTIONS(1321),
    [anon_sym_break] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1323),
    [sym__dedent] = ACTIONS(1323),
    [anon_sym_global] = ACTIONS(1321),
    [anon_sym_not] = ACTIONS(1321),
    [anon_sym_exec] = ACTIONS(1321),
    [anon_sym_raise] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1321),
    [anon_sym_for] = ACTIONS(1321),
    [sym_false] = ACTIONS(1321),
    [anon_sym_continue] = ACTIONS(1321),
    [anon_sym_async] = ACTIONS(1321),
  },
  [670] = {
    [aux_sym_if_statement_repeat1] = STATE(695),
    [sym_else_clause] = STATE(696),
    [sym_elif_clause] = STATE(673),
    [sym_integer] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym__string_start] = ACTIONS(1327),
    [anon_sym_nonlocal] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1325),
    [anon_sym_yield] = ACTIONS(1325),
    [anon_sym_return] = ACTIONS(1325),
    [anon_sym_from] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1327),
    [sym_none] = ACTIONS(1325),
    [anon_sym_with] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_pass] = ACTIONS(1325),
    [sym_float] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_elif] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1327),
    [anon_sym_lambda] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_print] = ACTIONS(1325),
    [anon_sym_del] = ACTIONS(1325),
    [sym_ellipsis] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_def] = ACTIONS(1325),
    [anon_sym_await] = ACTIONS(1325),
    [anon_sym_break] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1327),
    [sym__dedent] = ACTIONS(1327),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1325),
    [anon_sym_not] = ACTIONS(1325),
    [anon_sym_exec] = ACTIONS(1325),
    [anon_sym_raise] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1327),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [anon_sym_continue] = ACTIONS(1325),
    [anon_sym_async] = ACTIONS(1325),
  },
  [671] = {
    [aux_sym_if_statement_repeat1] = STATE(697),
    [sym_else_clause] = STATE(698),
    [sym_elif_clause] = STATE(673),
    [sym_integer] = ACTIONS(1331),
    [sym_true] = ACTIONS(1331),
    [sym__string_start] = ACTIONS(1333),
    [anon_sym_nonlocal] = ACTIONS(1331),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_assert] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_from] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [sym_none] = ACTIONS(1331),
    [anon_sym_with] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_pass] = ACTIONS(1331),
    [sym_float] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1333),
    [anon_sym_elif] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1333),
    [anon_sym_lambda] = ACTIONS(1331),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_print] = ACTIONS(1331),
    [anon_sym_del] = ACTIONS(1331),
    [sym_ellipsis] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_def] = ACTIONS(1331),
    [anon_sym_await] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1333),
    [sym__dedent] = ACTIONS(1333),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1331),
    [anon_sym_not] = ACTIONS(1331),
    [anon_sym_exec] = ACTIONS(1331),
    [anon_sym_raise] = ACTIONS(1331),
    [anon_sym_LBRACK] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_try] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_async] = ACTIONS(1331),
  },
  [672] = {
    [sym_integer] = ACTIONS(1335),
    [sym_true] = ACTIONS(1335),
    [sym__string_start] = ACTIONS(1337),
    [anon_sym_nonlocal] = ACTIONS(1335),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1335),
    [anon_sym_assert] = ACTIONS(1335),
    [anon_sym_yield] = ACTIONS(1335),
    [anon_sym_return] = ACTIONS(1335),
    [anon_sym_from] = ACTIONS(1335),
    [anon_sym_LPAREN] = ACTIONS(1337),
    [sym_none] = ACTIONS(1335),
    [anon_sym_with] = ACTIONS(1335),
    [anon_sym_if] = ACTIONS(1335),
    [anon_sym_pass] = ACTIONS(1335),
    [sym_float] = ACTIONS(1337),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_lambda] = ACTIONS(1335),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_print] = ACTIONS(1335),
    [anon_sym_del] = ACTIONS(1335),
    [sym_ellipsis] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1335),
    [anon_sym_while] = ACTIONS(1335),
    [anon_sym_def] = ACTIONS(1335),
    [anon_sym_await] = ACTIONS(1335),
    [anon_sym_break] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1335),
    [anon_sym_DASH] = ACTIONS(1337),
    [sym__dedent] = ACTIONS(1337),
    [anon_sym_global] = ACTIONS(1335),
    [anon_sym_not] = ACTIONS(1335),
    [anon_sym_exec] = ACTIONS(1335),
    [anon_sym_raise] = ACTIONS(1335),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_try] = ACTIONS(1335),
    [anon_sym_for] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [anon_sym_continue] = ACTIONS(1335),
    [anon_sym_async] = ACTIONS(1335),
  },
  [673] = {
    [sym_integer] = ACTIONS(1339),
    [sym_true] = ACTIONS(1339),
    [sym__string_start] = ACTIONS(1341),
    [anon_sym_nonlocal] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1339),
    [anon_sym_assert] = ACTIONS(1339),
    [anon_sym_yield] = ACTIONS(1339),
    [anon_sym_return] = ACTIONS(1339),
    [anon_sym_from] = ACTIONS(1339),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [sym_none] = ACTIONS(1339),
    [anon_sym_with] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1339),
    [anon_sym_pass] = ACTIONS(1339),
    [anon_sym_elif] = ACTIONS(1339),
    [anon_sym_PLUS] = ACTIONS(1341),
    [sym_float] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1341),
    [anon_sym_lambda] = ACTIONS(1339),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_print] = ACTIONS(1339),
    [anon_sym_del] = ACTIONS(1339),
    [sym_ellipsis] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(1339),
    [anon_sym_while] = ACTIONS(1339),
    [anon_sym_def] = ACTIONS(1339),
    [anon_sym_await] = ACTIONS(1339),
    [anon_sym_break] = ACTIONS(1339),
    [anon_sym_else] = ACTIONS(1339),
    [anon_sym_DASH] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1339),
    [sym__dedent] = ACTIONS(1341),
    [anon_sym_global] = ACTIONS(1339),
    [anon_sym_not] = ACTIONS(1339),
    [anon_sym_exec] = ACTIONS(1339),
    [anon_sym_raise] = ACTIONS(1339),
    [anon_sym_LBRACK] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_try] = ACTIONS(1339),
    [anon_sym_for] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [anon_sym_continue] = ACTIONS(1339),
    [anon_sym_async] = ACTIONS(1339),
  },
  [674] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(641),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(641),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_exec] = ACTIONS(1833),
    [anon_sym_print] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_aliased_import] = STATE(645),
    [sym_dotted_name] = STATE(646),
    [sym_identifier] = ACTIONS(1070),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [sym_else_clause] = STATE(699),
    [sym_integer] = ACTIONS(1343),
    [sym_true] = ACTIONS(1343),
    [sym__string_start] = ACTIONS(1345),
    [anon_sym_nonlocal] = ACTIONS(1343),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1343),
    [anon_sym_assert] = ACTIONS(1343),
    [anon_sym_yield] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_from] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [sym_none] = ACTIONS(1343),
    [anon_sym_with] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_pass] = ACTIONS(1343),
    [sym_float] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1345),
    [anon_sym_AT] = ACTIONS(1345),
    [anon_sym_lambda] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_print] = ACTIONS(1343),
    [anon_sym_del] = ACTIONS(1343),
    [sym_ellipsis] = ACTIONS(1345),
    [anon_sym_import] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_def] = ACTIONS(1343),
    [anon_sym_await] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [sym_identifier] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1345),
    [sym__dedent] = ACTIONS(1345),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1343),
    [anon_sym_not] = ACTIONS(1343),
    [anon_sym_exec] = ACTIONS(1343),
    [anon_sym_raise] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_try] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_async] = ACTIONS(1343),
  },
  [677] = {
    [sym_integer] = ACTIONS(1347),
    [sym_true] = ACTIONS(1347),
    [sym__string_start] = ACTIONS(1349),
    [anon_sym_nonlocal] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_assert] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_from] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [sym_none] = ACTIONS(1347),
    [anon_sym_with] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_pass] = ACTIONS(1347),
    [sym_float] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1349),
    [anon_sym_AT] = ACTIONS(1349),
    [anon_sym_lambda] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_print] = ACTIONS(1347),
    [anon_sym_del] = ACTIONS(1347),
    [sym_ellipsis] = ACTIONS(1349),
    [anon_sym_import] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_def] = ACTIONS(1347),
    [anon_sym_await] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [sym_identifier] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1349),
    [sym__dedent] = ACTIONS(1349),
    [anon_sym_global] = ACTIONS(1347),
    [anon_sym_not] = ACTIONS(1347),
    [anon_sym_exec] = ACTIONS(1347),
    [anon_sym_raise] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_async] = ACTIONS(1347),
  },
  [678] = {
    [sym_integer] = ACTIONS(1353),
    [sym_true] = ACTIONS(1353),
    [sym__string_start] = ACTIONS(1355),
    [anon_sym_nonlocal] = ACTIONS(1353),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1353),
    [anon_sym_assert] = ACTIONS(1353),
    [anon_sym_yield] = ACTIONS(1353),
    [anon_sym_return] = ACTIONS(1353),
    [anon_sym_from] = ACTIONS(1353),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [sym_none] = ACTIONS(1353),
    [anon_sym_with] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(1353),
    [anon_sym_pass] = ACTIONS(1353),
    [sym_float] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_lambda] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_print] = ACTIONS(1353),
    [anon_sym_del] = ACTIONS(1353),
    [sym_ellipsis] = ACTIONS(1355),
    [anon_sym_import] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1353),
    [anon_sym_def] = ACTIONS(1353),
    [anon_sym_await] = ACTIONS(1353),
    [anon_sym_break] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1353),
    [anon_sym_DASH] = ACTIONS(1355),
    [sym__dedent] = ACTIONS(1355),
    [anon_sym_global] = ACTIONS(1353),
    [anon_sym_not] = ACTIONS(1353),
    [anon_sym_exec] = ACTIONS(1353),
    [anon_sym_raise] = ACTIONS(1353),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(1353),
    [anon_sym_for] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [anon_sym_continue] = ACTIONS(1353),
    [anon_sym_async] = ACTIONS(1353),
  },
  [679] = {
    [sym__newline] = ACTIONS(1361),
    [anon_sym_or] = ACTIONS(1361),
    [anon_sym_SLASH_SLASH] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_is] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_from] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [sym__semicolon] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_and] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_not] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [sym__newline] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_SLASH_SLASH] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_is] = ACTIONS(1365),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_from] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_GT] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [sym__semicolon] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(1365),
    [anon_sym_not] = ACTIONS(1365),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_DOT] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [sym__newline] = ACTIONS(1369),
    [anon_sym_or] = ACTIONS(1369),
    [anon_sym_SLASH_SLASH] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_is] = ACTIONS(1369),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_from] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_LT_GT] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [sym__semicolon] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_and] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1369),
    [anon_sym_not] = ACTIONS(1369),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_DOT] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym_except_clause] = STATE(686),
    [sym_else_clause] = STATE(701),
    [aux_sym_try_statement_repeat1] = STATE(686),
    [sym_finally_clause] = STATE(702),
    [sym_integer] = ACTIONS(1373),
    [sym_true] = ACTIONS(1373),
    [sym__string_start] = ACTIONS(1375),
    [anon_sym_nonlocal] = ACTIONS(1373),
    [anon_sym_finally] = ACTIONS(1842),
    [anon_sym_class] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [sym_none] = ACTIONS(1373),
    [anon_sym_with] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1373),
    [anon_sym_pass] = ACTIONS(1373),
    [sym_float] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_lambda] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_print] = ACTIONS(1373),
    [anon_sym_del] = ACTIONS(1373),
    [sym_ellipsis] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1373),
    [anon_sym_while] = ACTIONS(1373),
    [anon_sym_def] = ACTIONS(1373),
    [anon_sym_await] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1375),
    [sym__dedent] = ACTIONS(1375),
    [anon_sym_except] = ACTIONS(1844),
    [anon_sym_global] = ACTIONS(1373),
    [anon_sym_not] = ACTIONS(1373),
    [anon_sym_exec] = ACTIONS(1373),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_raise] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(1373),
    [sym_false] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1373),
    [anon_sym_async] = ACTIONS(1373),
  },
  [683] = {
    [sym_integer] = ACTIONS(1373),
    [sym_true] = ACTIONS(1373),
    [sym__string_start] = ACTIONS(1375),
    [anon_sym_nonlocal] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1373),
    [anon_sym_assert] = ACTIONS(1373),
    [anon_sym_yield] = ACTIONS(1373),
    [anon_sym_return] = ACTIONS(1373),
    [anon_sym_from] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [sym_none] = ACTIONS(1373),
    [anon_sym_with] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(1373),
    [anon_sym_pass] = ACTIONS(1373),
    [sym_float] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_lambda] = ACTIONS(1373),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_print] = ACTIONS(1373),
    [anon_sym_del] = ACTIONS(1373),
    [sym_ellipsis] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1373),
    [anon_sym_while] = ACTIONS(1373),
    [anon_sym_def] = ACTIONS(1373),
    [anon_sym_await] = ACTIONS(1373),
    [anon_sym_break] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1375),
    [sym__dedent] = ACTIONS(1375),
    [anon_sym_global] = ACTIONS(1373),
    [anon_sym_not] = ACTIONS(1373),
    [anon_sym_exec] = ACTIONS(1373),
    [anon_sym_raise] = ACTIONS(1373),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1373),
    [anon_sym_for] = ACTIONS(1373),
    [sym_false] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1373),
    [anon_sym_async] = ACTIONS(1373),
  },
  [684] = {
    [sym_integer] = ACTIONS(1846),
    [anon_sym_yield] = ACTIONS(1846),
    [anon_sym_from] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [sym_none] = ACTIONS(1846),
    [anon_sym_with] = ACTIONS(1846),
    [anon_sym_pass] = ACTIONS(1846),
    [sym_float] = ACTIONS(1377),
    [anon_sym_lambda] = ACTIONS(1846),
    [anon_sym_print] = ACTIONS(1846),
    [sym_ellipsis] = ACTIONS(1377),
    [anon_sym_await] = ACTIONS(1846),
    [anon_sym_def] = ACTIONS(1846),
    [anon_sym_break] = ACTIONS(1846),
    [sym_identifier] = ACTIONS(1846),
    [anon_sym_global] = ACTIONS(1846),
    [anon_sym_exec] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1846),
    [anon_sym_continue] = ACTIONS(1846),
    [sym_true] = ACTIONS(1846),
    [sym__string_start] = ACTIONS(1377),
    [anon_sym_nonlocal] = ACTIONS(1846),
    [anon_sym_class] = ACTIONS(1846),
    [anon_sym_assert] = ACTIONS(1846),
    [anon_sym_return] = ACTIONS(1846),
    [anon_sym_if] = ACTIONS(1846),
    [anon_sym_elif] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_AT] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_del] = ACTIONS(1846),
    [anon_sym_import] = ACTIONS(1846),
    [anon_sym_while] = ACTIONS(1846),
    [anon_sym_except] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_not] = ACTIONS(1846),
    [ts_builtin_sym_end] = ACTIONS(1377),
    [anon_sym_raise] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_try] = ACTIONS(1846),
    [sym_false] = ACTIONS(1846),
    [anon_sym_finally] = ACTIONS(1846),
    [anon_sym_async] = ACTIONS(1846),
  },
  [685] = {
    [sym_finally_clause] = STATE(705),
    [sym_integer] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym__string_start] = ACTIONS(1389),
    [anon_sym_nonlocal] = ACTIONS(1387),
    [anon_sym_finally] = ACTIONS(1842),
    [anon_sym_class] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_from] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [sym_none] = ACTIONS(1387),
    [anon_sym_with] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_pass] = ACTIONS(1387),
    [sym_float] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_lambda] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_print] = ACTIONS(1387),
    [anon_sym_del] = ACTIONS(1387),
    [sym_ellipsis] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_def] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1389),
    [sym__dedent] = ACTIONS(1389),
    [anon_sym_global] = ACTIONS(1387),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_exec] = ACTIONS(1387),
    [anon_sym_raise] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [anon_sym_async] = ACTIONS(1387),
  },
  [686] = {
    [sym_except_clause] = STATE(686),
    [aux_sym_try_statement_repeat1] = STATE(686),
    [sym_integer] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [anon_sym_nonlocal] = ACTIONS(1391),
    [sym__string_start] = ACTIONS(1393),
    [anon_sym_class] = ACTIONS(1391),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1391),
    [anon_sym_yield] = ACTIONS(1391),
    [anon_sym_return] = ACTIONS(1391),
    [anon_sym_from] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [sym_none] = ACTIONS(1391),
    [anon_sym_with] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_pass] = ACTIONS(1391),
    [sym_float] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1393),
    [anon_sym_AT] = ACTIONS(1393),
    [anon_sym_lambda] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_print] = ACTIONS(1391),
    [anon_sym_del] = ACTIONS(1391),
    [sym_ellipsis] = ACTIONS(1393),
    [anon_sym_import] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_def] = ACTIONS(1391),
    [anon_sym_except] = ACTIONS(1848),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(1391),
    [anon_sym_await] = ACTIONS(1391),
    [anon_sym_global] = ACTIONS(1391),
    [anon_sym_not] = ACTIONS(1391),
    [anon_sym_exec] = ACTIONS(1391),
    [sym__dedent] = ACTIONS(1393),
    [anon_sym_raise] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_try] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_finally] = ACTIONS(1391),
    [anon_sym_continue] = ACTIONS(1391),
    [anon_sym_async] = ACTIONS(1391),
  },
  [687] = {
    [sym_integer] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym__string_start] = ACTIONS(1389),
    [anon_sym_nonlocal] = ACTIONS(1387),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1387),
    [anon_sym_assert] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_from] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [sym_none] = ACTIONS(1387),
    [anon_sym_with] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_pass] = ACTIONS(1387),
    [sym_float] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1389),
    [anon_sym_AT] = ACTIONS(1389),
    [anon_sym_lambda] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_print] = ACTIONS(1387),
    [anon_sym_del] = ACTIONS(1387),
    [sym_ellipsis] = ACTIONS(1389),
    [anon_sym_import] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_def] = ACTIONS(1387),
    [anon_sym_await] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [sym_identifier] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1389),
    [sym__dedent] = ACTIONS(1389),
    [anon_sym_global] = ACTIONS(1387),
    [anon_sym_not] = ACTIONS(1387),
    [anon_sym_exec] = ACTIONS(1387),
    [anon_sym_raise] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [anon_sym_async] = ACTIONS(1387),
  },
  [688] = {
    [sym__newline] = ACTIONS(1404),
    [anon_sym_or] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1406),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_from] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR_STAR] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1406),
    [anon_sym_EQ] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_LT_GT] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [sym__semicolon] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_and] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_not] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [689] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_is] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_RBRACK] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [sym_type_conversion] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_else] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_async] = ACTIONS(1421),
  },
  [690] = {
    [sym__newline] = ACTIONS(1432),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(345),
    [sym__semicolon] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(1432),
  },
  [691] = {
    [sym_integer] = ACTIONS(1436),
    [sym_true] = ACTIONS(1436),
    [sym__string_start] = ACTIONS(1438),
    [anon_sym_nonlocal] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1436),
    [anon_sym_assert] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_from] = ACTIONS(1436),
    [anon_sym_LPAREN] = ACTIONS(1438),
    [sym_none] = ACTIONS(1436),
    [anon_sym_with] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_pass] = ACTIONS(1436),
    [sym_float] = ACTIONS(1438),
    [anon_sym_PLUS] = ACTIONS(1438),
    [anon_sym_AT] = ACTIONS(1438),
    [anon_sym_lambda] = ACTIONS(1436),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_print] = ACTIONS(1436),
    [anon_sym_del] = ACTIONS(1436),
    [sym_ellipsis] = ACTIONS(1438),
    [anon_sym_import] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_def] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1436),
    [anon_sym_DASH] = ACTIONS(1438),
    [sym__dedent] = ACTIONS(1438),
    [anon_sym_global] = ACTIONS(1436),
    [anon_sym_not] = ACTIONS(1436),
    [anon_sym_exec] = ACTIONS(1436),
    [anon_sym_raise] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_async] = ACTIONS(1436),
  },
  [692] = {
    [sym_integer] = ACTIONS(1440),
    [sym_true] = ACTIONS(1440),
    [sym__string_start] = ACTIONS(1442),
    [anon_sym_nonlocal] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1440),
    [anon_sym_assert] = ACTIONS(1440),
    [anon_sym_yield] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_from] = ACTIONS(1440),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [sym_none] = ACTIONS(1440),
    [anon_sym_with] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_pass] = ACTIONS(1440),
    [sym_float] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [anon_sym_lambda] = ACTIONS(1440),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_print] = ACTIONS(1440),
    [anon_sym_del] = ACTIONS(1440),
    [sym_ellipsis] = ACTIONS(1442),
    [anon_sym_import] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_def] = ACTIONS(1440),
    [anon_sym_await] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1440),
    [anon_sym_DASH] = ACTIONS(1442),
    [sym__dedent] = ACTIONS(1442),
    [anon_sym_global] = ACTIONS(1440),
    [anon_sym_not] = ACTIONS(1440),
    [anon_sym_exec] = ACTIONS(1440),
    [anon_sym_raise] = ACTIONS(1440),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_try] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_async] = ACTIONS(1440),
  },
  [693] = {
    [sym_integer] = ACTIONS(1444),
    [sym_true] = ACTIONS(1444),
    [sym__string_start] = ACTIONS(1446),
    [anon_sym_nonlocal] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1444),
    [anon_sym_assert] = ACTIONS(1444),
    [anon_sym_yield] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_from] = ACTIONS(1444),
    [anon_sym_LPAREN] = ACTIONS(1446),
    [sym_none] = ACTIONS(1444),
    [anon_sym_with] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_pass] = ACTIONS(1444),
    [sym_float] = ACTIONS(1446),
    [anon_sym_PLUS] = ACTIONS(1446),
    [anon_sym_AT] = ACTIONS(1446),
    [anon_sym_lambda] = ACTIONS(1444),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_print] = ACTIONS(1444),
    [anon_sym_del] = ACTIONS(1444),
    [sym_ellipsis] = ACTIONS(1446),
    [anon_sym_import] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_def] = ACTIONS(1444),
    [anon_sym_await] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [sym_identifier] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1446),
    [sym__dedent] = ACTIONS(1446),
    [anon_sym_global] = ACTIONS(1444),
    [anon_sym_not] = ACTIONS(1444),
    [anon_sym_exec] = ACTIONS(1444),
    [anon_sym_raise] = ACTIONS(1444),
    [anon_sym_LBRACK] = ACTIONS(1446),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_try] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_async] = ACTIONS(1444),
  },
  [694] = {
    [sym_integer] = ACTIONS(1464),
    [sym_true] = ACTIONS(1464),
    [sym__string_start] = ACTIONS(1466),
    [anon_sym_nonlocal] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1464),
    [anon_sym_assert] = ACTIONS(1464),
    [anon_sym_yield] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_from] = ACTIONS(1464),
    [anon_sym_LPAREN] = ACTIONS(1466),
    [sym_none] = ACTIONS(1464),
    [anon_sym_with] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_pass] = ACTIONS(1464),
    [sym_float] = ACTIONS(1466),
    [anon_sym_PLUS] = ACTIONS(1466),
    [anon_sym_AT] = ACTIONS(1466),
    [anon_sym_lambda] = ACTIONS(1464),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_print] = ACTIONS(1464),
    [anon_sym_del] = ACTIONS(1464),
    [sym_ellipsis] = ACTIONS(1466),
    [anon_sym_import] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_def] = ACTIONS(1464),
    [anon_sym_await] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_DASH] = ACTIONS(1466),
    [sym__dedent] = ACTIONS(1466),
    [anon_sym_global] = ACTIONS(1464),
    [anon_sym_not] = ACTIONS(1464),
    [anon_sym_exec] = ACTIONS(1464),
    [anon_sym_raise] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1466),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_try] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_async] = ACTIONS(1464),
  },
  [695] = {
    [aux_sym_if_statement_repeat1] = STATE(697),
    [sym_else_clause] = STATE(712),
    [sym_elif_clause] = STATE(673),
    [sym_integer] = ACTIONS(1478),
    [sym_true] = ACTIONS(1478),
    [sym__string_start] = ACTIONS(1480),
    [anon_sym_nonlocal] = ACTIONS(1478),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1478),
    [anon_sym_assert] = ACTIONS(1478),
    [anon_sym_yield] = ACTIONS(1478),
    [anon_sym_return] = ACTIONS(1478),
    [anon_sym_from] = ACTIONS(1478),
    [anon_sym_LPAREN] = ACTIONS(1480),
    [sym_none] = ACTIONS(1478),
    [anon_sym_with] = ACTIONS(1478),
    [anon_sym_if] = ACTIONS(1478),
    [anon_sym_pass] = ACTIONS(1478),
    [sym_float] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_elif] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(1480),
    [anon_sym_lambda] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1480),
    [anon_sym_print] = ACTIONS(1478),
    [anon_sym_del] = ACTIONS(1478),
    [sym_ellipsis] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1478),
    [anon_sym_while] = ACTIONS(1478),
    [anon_sym_def] = ACTIONS(1478),
    [anon_sym_await] = ACTIONS(1478),
    [anon_sym_break] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1480),
    [sym__dedent] = ACTIONS(1480),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1478),
    [anon_sym_not] = ACTIONS(1478),
    [anon_sym_exec] = ACTIONS(1478),
    [anon_sym_raise] = ACTIONS(1478),
    [anon_sym_LBRACK] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1480),
    [anon_sym_try] = ACTIONS(1478),
    [anon_sym_for] = ACTIONS(1478),
    [sym_false] = ACTIONS(1478),
    [anon_sym_continue] = ACTIONS(1478),
    [anon_sym_async] = ACTIONS(1478),
  },
  [696] = {
    [sym_integer] = ACTIONS(1482),
    [sym_true] = ACTIONS(1482),
    [sym__string_start] = ACTIONS(1484),
    [anon_sym_nonlocal] = ACTIONS(1482),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1482),
    [anon_sym_assert] = ACTIONS(1482),
    [anon_sym_yield] = ACTIONS(1482),
    [anon_sym_return] = ACTIONS(1482),
    [anon_sym_from] = ACTIONS(1482),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [sym_none] = ACTIONS(1482),
    [anon_sym_with] = ACTIONS(1482),
    [anon_sym_if] = ACTIONS(1482),
    [anon_sym_pass] = ACTIONS(1482),
    [sym_float] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_lambda] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_print] = ACTIONS(1482),
    [anon_sym_del] = ACTIONS(1482),
    [sym_ellipsis] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1482),
    [anon_sym_while] = ACTIONS(1482),
    [anon_sym_def] = ACTIONS(1482),
    [anon_sym_await] = ACTIONS(1482),
    [anon_sym_break] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1484),
    [sym__dedent] = ACTIONS(1484),
    [anon_sym_global] = ACTIONS(1482),
    [anon_sym_not] = ACTIONS(1482),
    [anon_sym_exec] = ACTIONS(1482),
    [anon_sym_raise] = ACTIONS(1482),
    [anon_sym_LBRACK] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_try] = ACTIONS(1482),
    [anon_sym_for] = ACTIONS(1482),
    [sym_false] = ACTIONS(1482),
    [anon_sym_continue] = ACTIONS(1482),
    [anon_sym_async] = ACTIONS(1482),
  },
  [697] = {
    [aux_sym_if_statement_repeat1] = STATE(697),
    [sym_elif_clause] = STATE(673),
    [sym_integer] = ACTIONS(1490),
    [sym_true] = ACTIONS(1490),
    [sym__string_start] = ACTIONS(1492),
    [anon_sym_nonlocal] = ACTIONS(1490),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1490),
    [anon_sym_assert] = ACTIONS(1490),
    [anon_sym_yield] = ACTIONS(1490),
    [anon_sym_return] = ACTIONS(1490),
    [anon_sym_from] = ACTIONS(1490),
    [anon_sym_LPAREN] = ACTIONS(1492),
    [sym_none] = ACTIONS(1490),
    [anon_sym_with] = ACTIONS(1490),
    [anon_sym_if] = ACTIONS(1490),
    [anon_sym_pass] = ACTIONS(1490),
    [anon_sym_elif] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1492),
    [sym_float] = ACTIONS(1492),
    [anon_sym_AT] = ACTIONS(1492),
    [anon_sym_lambda] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1492),
    [anon_sym_print] = ACTIONS(1490),
    [anon_sym_del] = ACTIONS(1490),
    [sym_ellipsis] = ACTIONS(1492),
    [anon_sym_import] = ACTIONS(1490),
    [anon_sym_while] = ACTIONS(1490),
    [anon_sym_def] = ACTIONS(1490),
    [anon_sym_await] = ACTIONS(1490),
    [anon_sym_break] = ACTIONS(1490),
    [anon_sym_else] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1492),
    [sym_identifier] = ACTIONS(1490),
    [sym__dedent] = ACTIONS(1492),
    [anon_sym_global] = ACTIONS(1490),
    [anon_sym_not] = ACTIONS(1490),
    [anon_sym_exec] = ACTIONS(1490),
    [anon_sym_raise] = ACTIONS(1490),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1492),
    [anon_sym_try] = ACTIONS(1490),
    [anon_sym_for] = ACTIONS(1490),
    [sym_false] = ACTIONS(1490),
    [anon_sym_continue] = ACTIONS(1490),
    [anon_sym_async] = ACTIONS(1490),
  },
  [698] = {
    [sym_integer] = ACTIONS(1497),
    [sym_true] = ACTIONS(1497),
    [sym__string_start] = ACTIONS(1499),
    [anon_sym_nonlocal] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1497),
    [anon_sym_assert] = ACTIONS(1497),
    [anon_sym_yield] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_from] = ACTIONS(1497),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [sym_none] = ACTIONS(1497),
    [anon_sym_with] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_pass] = ACTIONS(1497),
    [sym_float] = ACTIONS(1499),
    [anon_sym_PLUS] = ACTIONS(1499),
    [anon_sym_AT] = ACTIONS(1499),
    [anon_sym_lambda] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_print] = ACTIONS(1497),
    [anon_sym_del] = ACTIONS(1497),
    [sym_ellipsis] = ACTIONS(1499),
    [anon_sym_import] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_def] = ACTIONS(1497),
    [anon_sym_await] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [sym_identifier] = ACTIONS(1497),
    [anon_sym_DASH] = ACTIONS(1499),
    [sym__dedent] = ACTIONS(1499),
    [anon_sym_global] = ACTIONS(1497),
    [anon_sym_not] = ACTIONS(1497),
    [anon_sym_exec] = ACTIONS(1497),
    [anon_sym_raise] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_try] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_async] = ACTIONS(1497),
  },
  [699] = {
    [sym_integer] = ACTIONS(1505),
    [sym_true] = ACTIONS(1505),
    [sym__string_start] = ACTIONS(1507),
    [anon_sym_nonlocal] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1505),
    [anon_sym_assert] = ACTIONS(1505),
    [anon_sym_yield] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_from] = ACTIONS(1505),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [sym_none] = ACTIONS(1505),
    [anon_sym_with] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_pass] = ACTIONS(1505),
    [sym_float] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1507),
    [anon_sym_lambda] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_print] = ACTIONS(1505),
    [anon_sym_del] = ACTIONS(1505),
    [sym_ellipsis] = ACTIONS(1507),
    [anon_sym_import] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_def] = ACTIONS(1505),
    [anon_sym_await] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1505),
    [anon_sym_DASH] = ACTIONS(1507),
    [sym__dedent] = ACTIONS(1507),
    [anon_sym_global] = ACTIONS(1505),
    [anon_sym_not] = ACTIONS(1505),
    [anon_sym_exec] = ACTIONS(1505),
    [anon_sym_raise] = ACTIONS(1505),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_async] = ACTIONS(1505),
  },
  [700] = {
    [sym_integer] = ACTIONS(1509),
    [sym_true] = ACTIONS(1509),
    [sym__string_start] = ACTIONS(1511),
    [anon_sym_nonlocal] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1509),
    [anon_sym_assert] = ACTIONS(1509),
    [anon_sym_yield] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_from] = ACTIONS(1509),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [sym_none] = ACTIONS(1509),
    [anon_sym_with] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_pass] = ACTIONS(1509),
    [sym_float] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(1511),
    [anon_sym_lambda] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_print] = ACTIONS(1509),
    [anon_sym_del] = ACTIONS(1509),
    [sym_ellipsis] = ACTIONS(1511),
    [anon_sym_import] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_def] = ACTIONS(1509),
    [anon_sym_await] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [sym_identifier] = ACTIONS(1509),
    [anon_sym_DASH] = ACTIONS(1511),
    [sym__dedent] = ACTIONS(1511),
    [anon_sym_global] = ACTIONS(1509),
    [anon_sym_not] = ACTIONS(1509),
    [anon_sym_exec] = ACTIONS(1509),
    [anon_sym_raise] = ACTIONS(1509),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_try] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_async] = ACTIONS(1509),
  },
  [701] = {
    [sym_finally_clause] = STATE(715),
    [sym_integer] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym__string_start] = ACTIONS(1517),
    [anon_sym_nonlocal] = ACTIONS(1515),
    [anon_sym_finally] = ACTIONS(1842),
    [anon_sym_class] = ACTIONS(1515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1515),
    [anon_sym_yield] = ACTIONS(1515),
    [anon_sym_return] = ACTIONS(1515),
    [anon_sym_from] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [sym_none] = ACTIONS(1515),
    [anon_sym_with] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_pass] = ACTIONS(1515),
    [sym_float] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_lambda] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_print] = ACTIONS(1515),
    [anon_sym_del] = ACTIONS(1515),
    [sym_ellipsis] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_def] = ACTIONS(1515),
    [anon_sym_await] = ACTIONS(1515),
    [anon_sym_break] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1517),
    [sym__dedent] = ACTIONS(1517),
    [anon_sym_global] = ACTIONS(1515),
    [anon_sym_not] = ACTIONS(1515),
    [anon_sym_exec] = ACTIONS(1515),
    [anon_sym_raise] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [anon_sym_continue] = ACTIONS(1515),
    [anon_sym_async] = ACTIONS(1515),
  },
  [702] = {
    [sym_integer] = ACTIONS(1515),
    [sym_true] = ACTIONS(1515),
    [sym__string_start] = ACTIONS(1517),
    [anon_sym_nonlocal] = ACTIONS(1515),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1515),
    [anon_sym_assert] = ACTIONS(1515),
    [anon_sym_yield] = ACTIONS(1515),
    [anon_sym_return] = ACTIONS(1515),
    [anon_sym_from] = ACTIONS(1515),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [sym_none] = ACTIONS(1515),
    [anon_sym_with] = ACTIONS(1515),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_pass] = ACTIONS(1515),
    [sym_float] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_lambda] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_print] = ACTIONS(1515),
    [anon_sym_del] = ACTIONS(1515),
    [sym_ellipsis] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1515),
    [anon_sym_while] = ACTIONS(1515),
    [anon_sym_def] = ACTIONS(1515),
    [anon_sym_await] = ACTIONS(1515),
    [anon_sym_break] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1517),
    [sym__dedent] = ACTIONS(1517),
    [anon_sym_global] = ACTIONS(1515),
    [anon_sym_not] = ACTIONS(1515),
    [anon_sym_exec] = ACTIONS(1515),
    [anon_sym_raise] = ACTIONS(1515),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1515),
    [anon_sym_for] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [anon_sym_continue] = ACTIONS(1515),
    [anon_sym_async] = ACTIONS(1515),
  },
  [703] = {
    [sym_integer] = ACTIONS(1519),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [anon_sym_nonlocal] = ACTIONS(1519),
    [sym__string_start] = ACTIONS(1521),
    [anon_sym_class] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1519),
    [anon_sym_yield] = ACTIONS(1519),
    [anon_sym_return] = ACTIONS(1519),
    [anon_sym_from] = ACTIONS(1519),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [sym_none] = ACTIONS(1519),
    [anon_sym_with] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(1519),
    [anon_sym_pass] = ACTIONS(1519),
    [sym_float] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_AT] = ACTIONS(1521),
    [anon_sym_lambda] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1521),
    [anon_sym_print] = ACTIONS(1519),
    [anon_sym_del] = ACTIONS(1519),
    [sym_ellipsis] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1519),
    [anon_sym_while] = ACTIONS(1519),
    [anon_sym_def] = ACTIONS(1519),
    [anon_sym_except] = ACTIONS(1519),
    [anon_sym_break] = ACTIONS(1519),
    [anon_sym_else] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1521),
    [sym_identifier] = ACTIONS(1519),
    [anon_sym_await] = ACTIONS(1519),
    [anon_sym_global] = ACTIONS(1519),
    [anon_sym_not] = ACTIONS(1519),
    [anon_sym_exec] = ACTIONS(1519),
    [sym__dedent] = ACTIONS(1521),
    [anon_sym_raise] = ACTIONS(1519),
    [anon_sym_LBRACK] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1521),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_for] = ACTIONS(1519),
    [anon_sym_finally] = ACTIONS(1519),
    [anon_sym_continue] = ACTIONS(1519),
    [anon_sym_async] = ACTIONS(1519),
  },
  [704] = {
    [sym_integer] = ACTIONS(1525),
    [sym_true] = ACTIONS(1525),
    [sym__string_start] = ACTIONS(1527),
    [anon_sym_nonlocal] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1525),
    [anon_sym_assert] = ACTIONS(1525),
    [anon_sym_yield] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_from] = ACTIONS(1525),
    [anon_sym_LPAREN] = ACTIONS(1527),
    [sym_none] = ACTIONS(1525),
    [anon_sym_with] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_pass] = ACTIONS(1525),
    [sym_float] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1527),
    [anon_sym_AT] = ACTIONS(1527),
    [anon_sym_lambda] = ACTIONS(1525),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_print] = ACTIONS(1525),
    [anon_sym_del] = ACTIONS(1525),
    [sym_ellipsis] = ACTIONS(1527),
    [anon_sym_import] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_def] = ACTIONS(1525),
    [anon_sym_await] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [sym_identifier] = ACTIONS(1525),
    [anon_sym_DASH] = ACTIONS(1527),
    [sym__dedent] = ACTIONS(1527),
    [anon_sym_global] = ACTIONS(1525),
    [anon_sym_not] = ACTIONS(1525),
    [anon_sym_exec] = ACTIONS(1525),
    [anon_sym_raise] = ACTIONS(1525),
    [anon_sym_LBRACK] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_try] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_async] = ACTIONS(1525),
  },
  [705] = {
    [sym_integer] = ACTIONS(1529),
    [sym_true] = ACTIONS(1529),
    [sym__string_start] = ACTIONS(1531),
    [anon_sym_nonlocal] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1529),
    [anon_sym_assert] = ACTIONS(1529),
    [anon_sym_yield] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_from] = ACTIONS(1529),
    [anon_sym_LPAREN] = ACTIONS(1531),
    [sym_none] = ACTIONS(1529),
    [anon_sym_with] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_pass] = ACTIONS(1529),
    [sym_float] = ACTIONS(1531),
    [anon_sym_PLUS] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(1531),
    [anon_sym_lambda] = ACTIONS(1529),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_print] = ACTIONS(1529),
    [anon_sym_del] = ACTIONS(1529),
    [sym_ellipsis] = ACTIONS(1531),
    [anon_sym_import] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_def] = ACTIONS(1529),
    [anon_sym_await] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [sym_identifier] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1531),
    [sym__dedent] = ACTIONS(1531),
    [anon_sym_global] = ACTIONS(1529),
    [anon_sym_not] = ACTIONS(1529),
    [anon_sym_exec] = ACTIONS(1529),
    [anon_sym_raise] = ACTIONS(1529),
    [anon_sym_LBRACK] = ACTIONS(1531),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_try] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_async] = ACTIONS(1529),
  },
  [706] = {
    [sym_else_clause] = STATE(720),
    [sym_integer] = ACTIONS(1533),
    [sym_true] = ACTIONS(1533),
    [sym__string_start] = ACTIONS(1535),
    [anon_sym_nonlocal] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1533),
    [anon_sym_assert] = ACTIONS(1533),
    [anon_sym_yield] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_from] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1535),
    [sym_none] = ACTIONS(1533),
    [anon_sym_with] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_pass] = ACTIONS(1533),
    [sym_float] = ACTIONS(1535),
    [anon_sym_PLUS] = ACTIONS(1535),
    [anon_sym_AT] = ACTIONS(1535),
    [anon_sym_lambda] = ACTIONS(1533),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_print] = ACTIONS(1533),
    [anon_sym_del] = ACTIONS(1533),
    [sym_ellipsis] = ACTIONS(1535),
    [anon_sym_import] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_def] = ACTIONS(1533),
    [anon_sym_await] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [sym_identifier] = ACTIONS(1533),
    [anon_sym_DASH] = ACTIONS(1535),
    [sym__dedent] = ACTIONS(1535),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1533),
    [anon_sym_not] = ACTIONS(1533),
    [anon_sym_exec] = ACTIONS(1533),
    [anon_sym_raise] = ACTIONS(1533),
    [anon_sym_LBRACK] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_try] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_async] = ACTIONS(1533),
  },
  [707] = {
    [sym__newline] = ACTIONS(1539),
    [anon_sym_or] = ACTIONS(1539),
    [anon_sym_SLASH_SLASH] = ACTIONS(1539),
    [anon_sym_GT] = ACTIONS(1541),
    [anon_sym_is] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1541),
    [anon_sym_from] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1539),
    [anon_sym_if] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_EQ] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_EQ_EQ] = ACTIONS(1539),
    [sym__semicolon] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_and] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_not] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_is] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_RBRACK] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [sym_type_conversion] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1543),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_LT_GT] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1543),
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1543),
    [anon_sym_if] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_else] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_not] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_async] = ACTIONS(1543),
  },
  [709] = {
    [sym_else_clause] = STATE(722),
    [sym_integer] = ACTIONS(1547),
    [sym_true] = ACTIONS(1547),
    [sym__string_start] = ACTIONS(1549),
    [anon_sym_nonlocal] = ACTIONS(1547),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1547),
    [anon_sym_assert] = ACTIONS(1547),
    [anon_sym_yield] = ACTIONS(1547),
    [anon_sym_return] = ACTIONS(1547),
    [anon_sym_from] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [sym_none] = ACTIONS(1547),
    [anon_sym_with] = ACTIONS(1547),
    [anon_sym_if] = ACTIONS(1547),
    [anon_sym_pass] = ACTIONS(1547),
    [sym_float] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_AT] = ACTIONS(1549),
    [anon_sym_lambda] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1549),
    [anon_sym_print] = ACTIONS(1547),
    [anon_sym_del] = ACTIONS(1547),
    [sym_ellipsis] = ACTIONS(1549),
    [anon_sym_import] = ACTIONS(1547),
    [anon_sym_while] = ACTIONS(1547),
    [anon_sym_def] = ACTIONS(1547),
    [anon_sym_await] = ACTIONS(1547),
    [anon_sym_break] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1549),
    [sym__dedent] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1547),
    [anon_sym_not] = ACTIONS(1547),
    [anon_sym_exec] = ACTIONS(1547),
    [anon_sym_raise] = ACTIONS(1547),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_try] = ACTIONS(1547),
    [anon_sym_for] = ACTIONS(1547),
    [sym_false] = ACTIONS(1547),
    [anon_sym_continue] = ACTIONS(1547),
    [anon_sym_async] = ACTIONS(1547),
  },
  [710] = {
    [sym_integer] = ACTIONS(1551),
    [sym_true] = ACTIONS(1551),
    [sym__string_start] = ACTIONS(1553),
    [anon_sym_nonlocal] = ACTIONS(1551),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1551),
    [anon_sym_assert] = ACTIONS(1551),
    [anon_sym_yield] = ACTIONS(1551),
    [anon_sym_return] = ACTIONS(1551),
    [anon_sym_from] = ACTIONS(1551),
    [anon_sym_LPAREN] = ACTIONS(1553),
    [sym_none] = ACTIONS(1551),
    [anon_sym_with] = ACTIONS(1551),
    [anon_sym_if] = ACTIONS(1551),
    [anon_sym_pass] = ACTIONS(1551),
    [sym_float] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1553),
    [anon_sym_lambda] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1553),
    [anon_sym_print] = ACTIONS(1551),
    [anon_sym_del] = ACTIONS(1551),
    [sym_ellipsis] = ACTIONS(1553),
    [anon_sym_import] = ACTIONS(1551),
    [anon_sym_while] = ACTIONS(1551),
    [anon_sym_def] = ACTIONS(1551),
    [anon_sym_await] = ACTIONS(1551),
    [anon_sym_break] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1553),
    [sym__dedent] = ACTIONS(1553),
    [anon_sym_global] = ACTIONS(1551),
    [anon_sym_not] = ACTIONS(1551),
    [anon_sym_exec] = ACTIONS(1551),
    [anon_sym_raise] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1551),
    [anon_sym_for] = ACTIONS(1551),
    [sym_false] = ACTIONS(1551),
    [anon_sym_continue] = ACTIONS(1551),
    [anon_sym_async] = ACTIONS(1551),
  },
  [711] = {
    [sym_integer] = ACTIONS(1555),
    [sym_true] = ACTIONS(1555),
    [sym__string_start] = ACTIONS(1557),
    [anon_sym_nonlocal] = ACTIONS(1555),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1555),
    [anon_sym_assert] = ACTIONS(1555),
    [anon_sym_yield] = ACTIONS(1555),
    [anon_sym_return] = ACTIONS(1555),
    [anon_sym_from] = ACTIONS(1555),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [sym_none] = ACTIONS(1555),
    [anon_sym_with] = ACTIONS(1555),
    [anon_sym_if] = ACTIONS(1555),
    [anon_sym_pass] = ACTIONS(1555),
    [sym_float] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1557),
    [anon_sym_lambda] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_print] = ACTIONS(1555),
    [anon_sym_del] = ACTIONS(1555),
    [sym_ellipsis] = ACTIONS(1557),
    [anon_sym_import] = ACTIONS(1555),
    [anon_sym_while] = ACTIONS(1555),
    [anon_sym_def] = ACTIONS(1555),
    [anon_sym_await] = ACTIONS(1555),
    [anon_sym_break] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1557),
    [sym__dedent] = ACTIONS(1557),
    [anon_sym_global] = ACTIONS(1555),
    [anon_sym_not] = ACTIONS(1555),
    [anon_sym_exec] = ACTIONS(1555),
    [anon_sym_raise] = ACTIONS(1555),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1555),
    [anon_sym_for] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [anon_sym_continue] = ACTIONS(1555),
    [anon_sym_async] = ACTIONS(1555),
  },
  [712] = {
    [sym_integer] = ACTIONS(1571),
    [sym_true] = ACTIONS(1571),
    [sym__string_start] = ACTIONS(1573),
    [anon_sym_nonlocal] = ACTIONS(1571),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1571),
    [anon_sym_yield] = ACTIONS(1571),
    [anon_sym_return] = ACTIONS(1571),
    [anon_sym_from] = ACTIONS(1571),
    [anon_sym_LPAREN] = ACTIONS(1573),
    [sym_none] = ACTIONS(1571),
    [anon_sym_with] = ACTIONS(1571),
    [anon_sym_if] = ACTIONS(1571),
    [anon_sym_pass] = ACTIONS(1571),
    [sym_float] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_AT] = ACTIONS(1573),
    [anon_sym_lambda] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1573),
    [anon_sym_print] = ACTIONS(1571),
    [anon_sym_del] = ACTIONS(1571),
    [sym_ellipsis] = ACTIONS(1573),
    [anon_sym_import] = ACTIONS(1571),
    [anon_sym_while] = ACTIONS(1571),
    [anon_sym_def] = ACTIONS(1571),
    [anon_sym_await] = ACTIONS(1571),
    [anon_sym_break] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1573),
    [sym__dedent] = ACTIONS(1573),
    [anon_sym_global] = ACTIONS(1571),
    [anon_sym_not] = ACTIONS(1571),
    [anon_sym_exec] = ACTIONS(1571),
    [anon_sym_raise] = ACTIONS(1571),
    [anon_sym_LBRACK] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_for] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [anon_sym_continue] = ACTIONS(1571),
    [anon_sym_async] = ACTIONS(1571),
  },
  [713] = {
    [sym_integer] = ACTIONS(1577),
    [anon_sym_yield] = ACTIONS(1577),
    [anon_sym_from] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [sym_none] = ACTIONS(1577),
    [anon_sym_with] = ACTIONS(1577),
    [anon_sym_pass] = ACTIONS(1577),
    [sym_float] = ACTIONS(1579),
    [anon_sym_lambda] = ACTIONS(1577),
    [anon_sym_print] = ACTIONS(1577),
    [sym_ellipsis] = ACTIONS(1579),
    [anon_sym_await] = ACTIONS(1577),
    [anon_sym_def] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [sym_identifier] = ACTIONS(1577),
    [sym__dedent] = ACTIONS(1579),
    [anon_sym_global] = ACTIONS(1577),
    [anon_sym_exec] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [sym_true] = ACTIONS(1577),
    [sym__string_start] = ACTIONS(1579),
    [anon_sym_nonlocal] = ACTIONS(1577),
    [anon_sym_class] = ACTIONS(1577),
    [anon_sym_assert] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1579),
    [anon_sym_AT] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_del] = ACTIONS(1577),
    [anon_sym_import] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_DASH] = ACTIONS(1579),
    [anon_sym_not] = ACTIONS(1577),
    [anon_sym_raise] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1579),
    [anon_sym_try] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_finally] = ACTIONS(1577),
    [anon_sym_async] = ACTIONS(1577),
  },
  [714] = {
    [sym_integer] = ACTIONS(1581),
    [sym_true] = ACTIONS(1581),
    [sym__string_start] = ACTIONS(1583),
    [anon_sym_nonlocal] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_assert] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_from] = ACTIONS(1581),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [sym_none] = ACTIONS(1581),
    [anon_sym_with] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_pass] = ACTIONS(1581),
    [sym_float] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1583),
    [anon_sym_AT] = ACTIONS(1583),
    [anon_sym_lambda] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_print] = ACTIONS(1581),
    [anon_sym_del] = ACTIONS(1581),
    [sym_ellipsis] = ACTIONS(1583),
    [anon_sym_import] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_def] = ACTIONS(1581),
    [anon_sym_await] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [sym_identifier] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1583),
    [sym__dedent] = ACTIONS(1583),
    [anon_sym_global] = ACTIONS(1581),
    [anon_sym_not] = ACTIONS(1581),
    [anon_sym_exec] = ACTIONS(1581),
    [anon_sym_raise] = ACTIONS(1581),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_try] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_async] = ACTIONS(1581),
  },
  [715] = {
    [sym_integer] = ACTIONS(1585),
    [sym_true] = ACTIONS(1585),
    [sym__string_start] = ACTIONS(1587),
    [anon_sym_nonlocal] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1585),
    [anon_sym_assert] = ACTIONS(1585),
    [anon_sym_yield] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_from] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [sym_none] = ACTIONS(1585),
    [anon_sym_with] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_pass] = ACTIONS(1585),
    [sym_float] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1587),
    [anon_sym_AT] = ACTIONS(1587),
    [anon_sym_lambda] = ACTIONS(1585),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_print] = ACTIONS(1585),
    [anon_sym_del] = ACTIONS(1585),
    [sym_ellipsis] = ACTIONS(1587),
    [anon_sym_import] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_def] = ACTIONS(1585),
    [anon_sym_await] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [sym_identifier] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1587),
    [sym__dedent] = ACTIONS(1587),
    [anon_sym_global] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(1585),
    [anon_sym_exec] = ACTIONS(1585),
    [anon_sym_raise] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_try] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_async] = ACTIONS(1585),
  },
  [716] = {
    [sym_integer] = ACTIONS(1589),
    [sym_true] = ACTIONS(1589),
    [sym_false] = ACTIONS(1589),
    [anon_sym_nonlocal] = ACTIONS(1589),
    [sym__string_start] = ACTIONS(1591),
    [anon_sym_class] = ACTIONS(1589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1589),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_return] = ACTIONS(1589),
    [anon_sym_from] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [sym_none] = ACTIONS(1589),
    [anon_sym_with] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_pass] = ACTIONS(1589),
    [sym_float] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_AT] = ACTIONS(1591),
    [anon_sym_lambda] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_print] = ACTIONS(1589),
    [anon_sym_del] = ACTIONS(1589),
    [sym_ellipsis] = ACTIONS(1591),
    [anon_sym_import] = ACTIONS(1589),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_def] = ACTIONS(1589),
    [anon_sym_except] = ACTIONS(1589),
    [anon_sym_break] = ACTIONS(1589),
    [anon_sym_else] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1591),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_await] = ACTIONS(1589),
    [anon_sym_global] = ACTIONS(1589),
    [anon_sym_not] = ACTIONS(1589),
    [anon_sym_exec] = ACTIONS(1589),
    [sym__dedent] = ACTIONS(1591),
    [anon_sym_raise] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_try] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(1589),
    [anon_sym_finally] = ACTIONS(1589),
    [anon_sym_continue] = ACTIONS(1589),
    [anon_sym_async] = ACTIONS(1589),
  },
  [717] = {
    [sym_integer] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [anon_sym_nonlocal] = ACTIONS(1593),
    [sym__string_start] = ACTIONS(1595),
    [anon_sym_class] = ACTIONS(1593),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1593),
    [anon_sym_yield] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_from] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1595),
    [sym_none] = ACTIONS(1593),
    [anon_sym_with] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_pass] = ACTIONS(1593),
    [sym_float] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_AT] = ACTIONS(1595),
    [anon_sym_lambda] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1595),
    [anon_sym_print] = ACTIONS(1593),
    [anon_sym_del] = ACTIONS(1593),
    [sym_ellipsis] = ACTIONS(1595),
    [anon_sym_import] = ACTIONS(1593),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_def] = ACTIONS(1593),
    [anon_sym_except] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1595),
    [sym_identifier] = ACTIONS(1593),
    [anon_sym_await] = ACTIONS(1593),
    [anon_sym_global] = ACTIONS(1593),
    [anon_sym_not] = ACTIONS(1593),
    [anon_sym_exec] = ACTIONS(1593),
    [sym__dedent] = ACTIONS(1595),
    [anon_sym_raise] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_try] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_finally] = ACTIONS(1593),
    [anon_sym_continue] = ACTIONS(1593),
    [anon_sym_async] = ACTIONS(1593),
  },
  [718] = {
    [sym_integer] = ACTIONS(1599),
    [sym_true] = ACTIONS(1599),
    [sym__string_start] = ACTIONS(1601),
    [anon_sym_nonlocal] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1599),
    [anon_sym_assert] = ACTIONS(1599),
    [anon_sym_yield] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_from] = ACTIONS(1599),
    [anon_sym_LPAREN] = ACTIONS(1601),
    [sym_none] = ACTIONS(1599),
    [anon_sym_with] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_pass] = ACTIONS(1599),
    [sym_float] = ACTIONS(1601),
    [anon_sym_PLUS] = ACTIONS(1601),
    [anon_sym_AT] = ACTIONS(1601),
    [anon_sym_lambda] = ACTIONS(1599),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_print] = ACTIONS(1599),
    [anon_sym_del] = ACTIONS(1599),
    [sym_ellipsis] = ACTIONS(1601),
    [anon_sym_import] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_def] = ACTIONS(1599),
    [anon_sym_await] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [sym_identifier] = ACTIONS(1599),
    [anon_sym_DASH] = ACTIONS(1601),
    [sym__dedent] = ACTIONS(1601),
    [anon_sym_global] = ACTIONS(1599),
    [anon_sym_not] = ACTIONS(1599),
    [anon_sym_exec] = ACTIONS(1599),
    [anon_sym_raise] = ACTIONS(1599),
    [anon_sym_LBRACK] = ACTIONS(1601),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_try] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_async] = ACTIONS(1599),
  },
  [719] = {
    [sym_else_clause] = STATE(728),
    [sym_integer] = ACTIONS(1603),
    [sym_true] = ACTIONS(1603),
    [sym__string_start] = ACTIONS(1605),
    [anon_sym_nonlocal] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1603),
    [anon_sym_assert] = ACTIONS(1603),
    [anon_sym_yield] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_from] = ACTIONS(1603),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [sym_none] = ACTIONS(1603),
    [anon_sym_with] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_pass] = ACTIONS(1603),
    [sym_float] = ACTIONS(1605),
    [anon_sym_PLUS] = ACTIONS(1605),
    [anon_sym_AT] = ACTIONS(1605),
    [anon_sym_lambda] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_print] = ACTIONS(1603),
    [anon_sym_del] = ACTIONS(1603),
    [sym_ellipsis] = ACTIONS(1605),
    [anon_sym_import] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_def] = ACTIONS(1603),
    [anon_sym_await] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [sym_identifier] = ACTIONS(1603),
    [anon_sym_DASH] = ACTIONS(1605),
    [sym__dedent] = ACTIONS(1605),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1603),
    [anon_sym_not] = ACTIONS(1603),
    [anon_sym_exec] = ACTIONS(1603),
    [anon_sym_raise] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_try] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_async] = ACTIONS(1603),
  },
  [720] = {
    [sym_integer] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym__string_start] = ACTIONS(1609),
    [anon_sym_nonlocal] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_from] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [sym_none] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_pass] = ACTIONS(1607),
    [sym_float] = ACTIONS(1609),
    [anon_sym_PLUS] = ACTIONS(1609),
    [anon_sym_AT] = ACTIONS(1609),
    [anon_sym_lambda] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_print] = ACTIONS(1607),
    [anon_sym_del] = ACTIONS(1607),
    [sym_ellipsis] = ACTIONS(1609),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [anon_sym_await] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [sym_identifier] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(1609),
    [sym__dedent] = ACTIONS(1609),
    [anon_sym_global] = ACTIONS(1607),
    [anon_sym_not] = ACTIONS(1607),
    [anon_sym_exec] = ACTIONS(1607),
    [anon_sym_raise] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_async] = ACTIONS(1607),
  },
  [721] = {
    [sym_else_clause] = STATE(729),
    [sym_integer] = ACTIONS(1613),
    [sym_true] = ACTIONS(1613),
    [sym__string_start] = ACTIONS(1615),
    [anon_sym_nonlocal] = ACTIONS(1613),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1613),
    [anon_sym_assert] = ACTIONS(1613),
    [anon_sym_yield] = ACTIONS(1613),
    [anon_sym_return] = ACTIONS(1613),
    [anon_sym_from] = ACTIONS(1613),
    [anon_sym_LPAREN] = ACTIONS(1615),
    [sym_none] = ACTIONS(1613),
    [anon_sym_with] = ACTIONS(1613),
    [anon_sym_if] = ACTIONS(1613),
    [anon_sym_pass] = ACTIONS(1613),
    [sym_float] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_AT] = ACTIONS(1615),
    [anon_sym_lambda] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1615),
    [anon_sym_print] = ACTIONS(1613),
    [anon_sym_del] = ACTIONS(1613),
    [sym_ellipsis] = ACTIONS(1615),
    [anon_sym_import] = ACTIONS(1613),
    [anon_sym_while] = ACTIONS(1613),
    [anon_sym_def] = ACTIONS(1613),
    [anon_sym_await] = ACTIONS(1613),
    [anon_sym_break] = ACTIONS(1613),
    [sym_identifier] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1615),
    [sym__dedent] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(1831),
    [anon_sym_global] = ACTIONS(1613),
    [anon_sym_not] = ACTIONS(1613),
    [anon_sym_exec] = ACTIONS(1613),
    [anon_sym_raise] = ACTIONS(1613),
    [anon_sym_LBRACK] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1615),
    [anon_sym_try] = ACTIONS(1613),
    [anon_sym_for] = ACTIONS(1613),
    [sym_false] = ACTIONS(1613),
    [anon_sym_continue] = ACTIONS(1613),
    [anon_sym_async] = ACTIONS(1613),
  },
  [722] = {
    [sym_integer] = ACTIONS(1617),
    [sym_true] = ACTIONS(1617),
    [sym__string_start] = ACTIONS(1619),
    [anon_sym_nonlocal] = ACTIONS(1617),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1617),
    [anon_sym_assert] = ACTIONS(1617),
    [anon_sym_yield] = ACTIONS(1617),
    [anon_sym_return] = ACTIONS(1617),
    [anon_sym_from] = ACTIONS(1617),
    [anon_sym_LPAREN] = ACTIONS(1619),
    [sym_none] = ACTIONS(1617),
    [anon_sym_with] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_pass] = ACTIONS(1617),
    [sym_float] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_AT] = ACTIONS(1619),
    [anon_sym_lambda] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1619),
    [anon_sym_print] = ACTIONS(1617),
    [anon_sym_del] = ACTIONS(1617),
    [sym_ellipsis] = ACTIONS(1619),
    [anon_sym_import] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1617),
    [anon_sym_def] = ACTIONS(1617),
    [anon_sym_await] = ACTIONS(1617),
    [anon_sym_break] = ACTIONS(1617),
    [sym_identifier] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1619),
    [sym__dedent] = ACTIONS(1619),
    [anon_sym_global] = ACTIONS(1617),
    [anon_sym_not] = ACTIONS(1617),
    [anon_sym_exec] = ACTIONS(1617),
    [anon_sym_raise] = ACTIONS(1617),
    [anon_sym_LBRACK] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1619),
    [anon_sym_try] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1617),
    [sym_false] = ACTIONS(1617),
    [anon_sym_continue] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(1617),
  },
  [723] = {
    [sym_integer] = ACTIONS(1621),
    [sym_true] = ACTIONS(1621),
    [sym__string_start] = ACTIONS(1623),
    [anon_sym_nonlocal] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1621),
    [anon_sym_assert] = ACTIONS(1621),
    [anon_sym_yield] = ACTIONS(1621),
    [anon_sym_return] = ACTIONS(1621),
    [anon_sym_from] = ACTIONS(1621),
    [anon_sym_LPAREN] = ACTIONS(1623),
    [sym_none] = ACTIONS(1621),
    [anon_sym_with] = ACTIONS(1621),
    [anon_sym_if] = ACTIONS(1621),
    [anon_sym_pass] = ACTIONS(1621),
    [sym_float] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_AT] = ACTIONS(1623),
    [anon_sym_lambda] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1623),
    [anon_sym_print] = ACTIONS(1621),
    [anon_sym_del] = ACTIONS(1621),
    [sym_ellipsis] = ACTIONS(1623),
    [anon_sym_import] = ACTIONS(1621),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_def] = ACTIONS(1621),
    [anon_sym_await] = ACTIONS(1621),
    [anon_sym_break] = ACTIONS(1621),
    [sym_identifier] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1623),
    [sym__dedent] = ACTIONS(1623),
    [anon_sym_global] = ACTIONS(1621),
    [anon_sym_not] = ACTIONS(1621),
    [anon_sym_exec] = ACTIONS(1621),
    [anon_sym_raise] = ACTIONS(1621),
    [anon_sym_LBRACK] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1623),
    [anon_sym_try] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1621),
    [sym_false] = ACTIONS(1621),
    [anon_sym_continue] = ACTIONS(1621),
    [anon_sym_async] = ACTIONS(1621),
  },
  [724] = {
    [sym_integer] = ACTIONS(1638),
    [sym_true] = ACTIONS(1638),
    [sym__string_start] = ACTIONS(1640),
    [anon_sym_nonlocal] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1638),
    [anon_sym_assert] = ACTIONS(1638),
    [anon_sym_yield] = ACTIONS(1638),
    [anon_sym_return] = ACTIONS(1638),
    [anon_sym_from] = ACTIONS(1638),
    [anon_sym_LPAREN] = ACTIONS(1640),
    [sym_none] = ACTIONS(1638),
    [anon_sym_with] = ACTIONS(1638),
    [anon_sym_if] = ACTIONS(1638),
    [anon_sym_pass] = ACTIONS(1638),
    [anon_sym_elif] = ACTIONS(1638),
    [anon_sym_PLUS] = ACTIONS(1640),
    [sym_float] = ACTIONS(1640),
    [anon_sym_AT] = ACTIONS(1640),
    [anon_sym_lambda] = ACTIONS(1638),
    [anon_sym_TILDE] = ACTIONS(1640),
    [anon_sym_print] = ACTIONS(1638),
    [anon_sym_del] = ACTIONS(1638),
    [sym_ellipsis] = ACTIONS(1640),
    [anon_sym_import] = ACTIONS(1638),
    [anon_sym_while] = ACTIONS(1638),
    [anon_sym_def] = ACTIONS(1638),
    [anon_sym_await] = ACTIONS(1638),
    [anon_sym_break] = ACTIONS(1638),
    [anon_sym_else] = ACTIONS(1638),
    [anon_sym_DASH] = ACTIONS(1640),
    [sym_identifier] = ACTIONS(1638),
    [sym__dedent] = ACTIONS(1640),
    [anon_sym_global] = ACTIONS(1638),
    [anon_sym_not] = ACTIONS(1638),
    [anon_sym_exec] = ACTIONS(1638),
    [anon_sym_raise] = ACTIONS(1638),
    [anon_sym_LBRACK] = ACTIONS(1640),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_try] = ACTIONS(1638),
    [anon_sym_for] = ACTIONS(1638),
    [sym_false] = ACTIONS(1638),
    [anon_sym_continue] = ACTIONS(1638),
    [anon_sym_async] = ACTIONS(1638),
  },
  [725] = {
    [sym_integer] = ACTIONS(1642),
    [anon_sym_yield] = ACTIONS(1642),
    [anon_sym_from] = ACTIONS(1642),
    [anon_sym_LPAREN] = ACTIONS(1644),
    [sym_none] = ACTIONS(1642),
    [anon_sym_with] = ACTIONS(1642),
    [anon_sym_pass] = ACTIONS(1642),
    [sym_float] = ACTIONS(1644),
    [anon_sym_lambda] = ACTIONS(1642),
    [anon_sym_print] = ACTIONS(1642),
    [sym_ellipsis] = ACTIONS(1644),
    [anon_sym_await] = ACTIONS(1642),
    [anon_sym_def] = ACTIONS(1642),
    [anon_sym_break] = ACTIONS(1642),
    [sym_identifier] = ACTIONS(1642),
    [sym__dedent] = ACTIONS(1644),
    [anon_sym_global] = ACTIONS(1642),
    [anon_sym_exec] = ACTIONS(1642),
    [anon_sym_LBRACE] = ACTIONS(1644),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1642),
    [anon_sym_continue] = ACTIONS(1642),
    [sym_true] = ACTIONS(1642),
    [sym__string_start] = ACTIONS(1644),
    [anon_sym_nonlocal] = ACTIONS(1642),
    [anon_sym_class] = ACTIONS(1642),
    [anon_sym_assert] = ACTIONS(1642),
    [anon_sym_return] = ACTIONS(1642),
    [anon_sym_if] = ACTIONS(1642),
    [anon_sym_PLUS] = ACTIONS(1644),
    [anon_sym_AT] = ACTIONS(1644),
    [anon_sym_TILDE] = ACTIONS(1644),
    [anon_sym_del] = ACTIONS(1642),
    [anon_sym_import] = ACTIONS(1642),
    [anon_sym_while] = ACTIONS(1642),
    [anon_sym_DASH] = ACTIONS(1644),
    [anon_sym_not] = ACTIONS(1642),
    [anon_sym_raise] = ACTIONS(1642),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_try] = ACTIONS(1642),
    [sym_false] = ACTIONS(1642),
    [anon_sym_finally] = ACTIONS(1642),
    [anon_sym_async] = ACTIONS(1642),
  },
  [726] = {
    [sym_integer] = ACTIONS(1646),
    [sym_true] = ACTIONS(1646),
    [sym__string_start] = ACTIONS(1648),
    [anon_sym_nonlocal] = ACTIONS(1646),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1646),
    [anon_sym_assert] = ACTIONS(1646),
    [anon_sym_yield] = ACTIONS(1646),
    [anon_sym_return] = ACTIONS(1646),
    [anon_sym_from] = ACTIONS(1646),
    [anon_sym_LPAREN] = ACTIONS(1648),
    [sym_none] = ACTIONS(1646),
    [anon_sym_with] = ACTIONS(1646),
    [anon_sym_if] = ACTIONS(1646),
    [anon_sym_pass] = ACTIONS(1646),
    [sym_float] = ACTIONS(1648),
    [anon_sym_PLUS] = ACTIONS(1648),
    [anon_sym_AT] = ACTIONS(1648),
    [anon_sym_lambda] = ACTIONS(1646),
    [anon_sym_TILDE] = ACTIONS(1648),
    [anon_sym_print] = ACTIONS(1646),
    [anon_sym_del] = ACTIONS(1646),
    [sym_ellipsis] = ACTIONS(1648),
    [anon_sym_import] = ACTIONS(1646),
    [anon_sym_while] = ACTIONS(1646),
    [anon_sym_def] = ACTIONS(1646),
    [anon_sym_await] = ACTIONS(1646),
    [anon_sym_break] = ACTIONS(1646),
    [sym_identifier] = ACTIONS(1646),
    [anon_sym_DASH] = ACTIONS(1648),
    [sym__dedent] = ACTIONS(1648),
    [anon_sym_global] = ACTIONS(1646),
    [anon_sym_not] = ACTIONS(1646),
    [anon_sym_exec] = ACTIONS(1646),
    [anon_sym_raise] = ACTIONS(1646),
    [anon_sym_LBRACK] = ACTIONS(1648),
    [anon_sym_LBRACE] = ACTIONS(1648),
    [anon_sym_try] = ACTIONS(1646),
    [anon_sym_for] = ACTIONS(1646),
    [sym_false] = ACTIONS(1646),
    [anon_sym_continue] = ACTIONS(1646),
    [anon_sym_async] = ACTIONS(1646),
  },
  [727] = {
    [sym_integer] = ACTIONS(1650),
    [sym_true] = ACTIONS(1650),
    [sym_false] = ACTIONS(1650),
    [anon_sym_nonlocal] = ACTIONS(1650),
    [sym__string_start] = ACTIONS(1652),
    [anon_sym_class] = ACTIONS(1650),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1650),
    [anon_sym_yield] = ACTIONS(1650),
    [anon_sym_return] = ACTIONS(1650),
    [anon_sym_from] = ACTIONS(1650),
    [anon_sym_LPAREN] = ACTIONS(1652),
    [sym_none] = ACTIONS(1650),
    [anon_sym_with] = ACTIONS(1650),
    [anon_sym_if] = ACTIONS(1650),
    [anon_sym_pass] = ACTIONS(1650),
    [sym_float] = ACTIONS(1652),
    [anon_sym_PLUS] = ACTIONS(1652),
    [anon_sym_AT] = ACTIONS(1652),
    [anon_sym_lambda] = ACTIONS(1650),
    [anon_sym_TILDE] = ACTIONS(1652),
    [anon_sym_print] = ACTIONS(1650),
    [anon_sym_del] = ACTIONS(1650),
    [sym_ellipsis] = ACTIONS(1652),
    [anon_sym_import] = ACTIONS(1650),
    [anon_sym_while] = ACTIONS(1650),
    [anon_sym_def] = ACTIONS(1650),
    [anon_sym_except] = ACTIONS(1650),
    [anon_sym_break] = ACTIONS(1650),
    [anon_sym_else] = ACTIONS(1650),
    [anon_sym_DASH] = ACTIONS(1652),
    [sym_identifier] = ACTIONS(1650),
    [anon_sym_await] = ACTIONS(1650),
    [anon_sym_global] = ACTIONS(1650),
    [anon_sym_not] = ACTIONS(1650),
    [anon_sym_exec] = ACTIONS(1650),
    [sym__dedent] = ACTIONS(1652),
    [anon_sym_raise] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1652),
    [anon_sym_LBRACE] = ACTIONS(1652),
    [anon_sym_try] = ACTIONS(1650),
    [anon_sym_for] = ACTIONS(1650),
    [anon_sym_finally] = ACTIONS(1650),
    [anon_sym_continue] = ACTIONS(1650),
    [anon_sym_async] = ACTIONS(1650),
  },
  [728] = {
    [sym_integer] = ACTIONS(1656),
    [sym_true] = ACTIONS(1656),
    [sym__string_start] = ACTIONS(1658),
    [anon_sym_nonlocal] = ACTIONS(1656),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1656),
    [anon_sym_assert] = ACTIONS(1656),
    [anon_sym_yield] = ACTIONS(1656),
    [anon_sym_return] = ACTIONS(1656),
    [anon_sym_from] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [sym_none] = ACTIONS(1656),
    [anon_sym_with] = ACTIONS(1656),
    [anon_sym_if] = ACTIONS(1656),
    [anon_sym_pass] = ACTIONS(1656),
    [sym_float] = ACTIONS(1658),
    [anon_sym_PLUS] = ACTIONS(1658),
    [anon_sym_AT] = ACTIONS(1658),
    [anon_sym_lambda] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1658),
    [anon_sym_print] = ACTIONS(1656),
    [anon_sym_del] = ACTIONS(1656),
    [sym_ellipsis] = ACTIONS(1658),
    [anon_sym_import] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_def] = ACTIONS(1656),
    [anon_sym_await] = ACTIONS(1656),
    [anon_sym_break] = ACTIONS(1656),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1658),
    [sym__dedent] = ACTIONS(1658),
    [anon_sym_global] = ACTIONS(1656),
    [anon_sym_not] = ACTIONS(1656),
    [anon_sym_exec] = ACTIONS(1656),
    [anon_sym_raise] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_LBRACE] = ACTIONS(1658),
    [anon_sym_try] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [anon_sym_continue] = ACTIONS(1656),
    [anon_sym_async] = ACTIONS(1656),
  },
  [729] = {
    [sym_integer] = ACTIONS(1660),
    [sym_true] = ACTIONS(1660),
    [sym__string_start] = ACTIONS(1662),
    [anon_sym_nonlocal] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1660),
    [anon_sym_assert] = ACTIONS(1660),
    [anon_sym_yield] = ACTIONS(1660),
    [anon_sym_return] = ACTIONS(1660),
    [anon_sym_from] = ACTIONS(1660),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [sym_none] = ACTIONS(1660),
    [anon_sym_with] = ACTIONS(1660),
    [anon_sym_if] = ACTIONS(1660),
    [anon_sym_pass] = ACTIONS(1660),
    [sym_float] = ACTIONS(1662),
    [anon_sym_PLUS] = ACTIONS(1662),
    [anon_sym_AT] = ACTIONS(1662),
    [anon_sym_lambda] = ACTIONS(1660),
    [anon_sym_TILDE] = ACTIONS(1662),
    [anon_sym_print] = ACTIONS(1660),
    [anon_sym_del] = ACTIONS(1660),
    [sym_ellipsis] = ACTIONS(1662),
    [anon_sym_import] = ACTIONS(1660),
    [anon_sym_while] = ACTIONS(1660),
    [anon_sym_def] = ACTIONS(1660),
    [anon_sym_await] = ACTIONS(1660),
    [anon_sym_break] = ACTIONS(1660),
    [sym_identifier] = ACTIONS(1660),
    [anon_sym_DASH] = ACTIONS(1662),
    [sym__dedent] = ACTIONS(1662),
    [anon_sym_global] = ACTIONS(1660),
    [anon_sym_not] = ACTIONS(1660),
    [anon_sym_exec] = ACTIONS(1660),
    [anon_sym_raise] = ACTIONS(1660),
    [anon_sym_LBRACK] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1662),
    [anon_sym_try] = ACTIONS(1660),
    [anon_sym_for] = ACTIONS(1660),
    [sym_false] = ACTIONS(1660),
    [anon_sym_continue] = ACTIONS(1660),
    [anon_sym_async] = ACTIONS(1660),
  },
  [730] = {
    [sym_integer] = ACTIONS(1664),
    [sym_true] = ACTIONS(1664),
    [sym__string_start] = ACTIONS(1666),
    [anon_sym_nonlocal] = ACTIONS(1664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1664),
    [anon_sym_assert] = ACTIONS(1664),
    [anon_sym_yield] = ACTIONS(1664),
    [anon_sym_return] = ACTIONS(1664),
    [anon_sym_from] = ACTIONS(1664),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [sym_none] = ACTIONS(1664),
    [anon_sym_with] = ACTIONS(1664),
    [anon_sym_if] = ACTIONS(1664),
    [anon_sym_pass] = ACTIONS(1664),
    [sym_float] = ACTIONS(1666),
    [anon_sym_PLUS] = ACTIONS(1666),
    [anon_sym_AT] = ACTIONS(1666),
    [anon_sym_lambda] = ACTIONS(1664),
    [anon_sym_TILDE] = ACTIONS(1666),
    [anon_sym_print] = ACTIONS(1664),
    [anon_sym_del] = ACTIONS(1664),
    [sym_ellipsis] = ACTIONS(1666),
    [anon_sym_import] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1664),
    [anon_sym_def] = ACTIONS(1664),
    [anon_sym_await] = ACTIONS(1664),
    [anon_sym_break] = ACTIONS(1664),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1666),
    [sym__dedent] = ACTIONS(1666),
    [anon_sym_global] = ACTIONS(1664),
    [anon_sym_not] = ACTIONS(1664),
    [anon_sym_exec] = ACTIONS(1664),
    [anon_sym_raise] = ACTIONS(1664),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_try] = ACTIONS(1664),
    [anon_sym_for] = ACTIONS(1664),
    [sym_false] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_async] = ACTIONS(1664),
  },
  [731] = {
    [sym_integer] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym__string_start] = ACTIONS(1676),
    [anon_sym_nonlocal] = ACTIONS(1674),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_assert] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_from] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1676),
    [sym_none] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_pass] = ACTIONS(1674),
    [anon_sym_elif] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1676),
    [sym_float] = ACTIONS(1676),
    [anon_sym_AT] = ACTIONS(1676),
    [anon_sym_lambda] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1676),
    [anon_sym_print] = ACTIONS(1674),
    [anon_sym_del] = ACTIONS(1674),
    [sym_ellipsis] = ACTIONS(1676),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_def] = ACTIONS(1674),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1676),
    [sym_identifier] = ACTIONS(1674),
    [sym__dedent] = ACTIONS(1676),
    [anon_sym_global] = ACTIONS(1674),
    [anon_sym_not] = ACTIONS(1674),
    [anon_sym_exec] = ACTIONS(1674),
    [anon_sym_raise] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1676),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
  },
  [732] = {
    [sym_integer] = ACTIONS(1678),
    [sym_true] = ACTIONS(1678),
    [sym_false] = ACTIONS(1678),
    [anon_sym_nonlocal] = ACTIONS(1678),
    [sym__string_start] = ACTIONS(1680),
    [anon_sym_class] = ACTIONS(1678),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1678),
    [anon_sym_yield] = ACTIONS(1678),
    [anon_sym_return] = ACTIONS(1678),
    [anon_sym_from] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1680),
    [sym_none] = ACTIONS(1678),
    [anon_sym_with] = ACTIONS(1678),
    [anon_sym_if] = ACTIONS(1678),
    [anon_sym_pass] = ACTIONS(1678),
    [sym_float] = ACTIONS(1680),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_AT] = ACTIONS(1680),
    [anon_sym_lambda] = ACTIONS(1678),
    [anon_sym_TILDE] = ACTIONS(1680),
    [anon_sym_print] = ACTIONS(1678),
    [anon_sym_del] = ACTIONS(1678),
    [sym_ellipsis] = ACTIONS(1680),
    [anon_sym_import] = ACTIONS(1678),
    [anon_sym_while] = ACTIONS(1678),
    [anon_sym_def] = ACTIONS(1678),
    [anon_sym_except] = ACTIONS(1678),
    [anon_sym_break] = ACTIONS(1678),
    [anon_sym_else] = ACTIONS(1678),
    [anon_sym_DASH] = ACTIONS(1680),
    [sym_identifier] = ACTIONS(1678),
    [anon_sym_await] = ACTIONS(1678),
    [anon_sym_global] = ACTIONS(1678),
    [anon_sym_not] = ACTIONS(1678),
    [anon_sym_exec] = ACTIONS(1678),
    [sym__dedent] = ACTIONS(1680),
    [anon_sym_raise] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1680),
    [anon_sym_LBRACE] = ACTIONS(1680),
    [anon_sym_try] = ACTIONS(1678),
    [anon_sym_for] = ACTIONS(1678),
    [anon_sym_finally] = ACTIONS(1678),
    [anon_sym_continue] = ACTIONS(1678),
    [anon_sym_async] = ACTIONS(1678),
  },
  [733] = {
    [sym_integer] = ACTIONS(1682),
    [sym_true] = ACTIONS(1682),
    [sym_false] = ACTIONS(1682),
    [anon_sym_nonlocal] = ACTIONS(1682),
    [sym__string_start] = ACTIONS(1684),
    [anon_sym_class] = ACTIONS(1682),
    [sym_comment] = ACTIONS(3),
    [anon_sym_assert] = ACTIONS(1682),
    [anon_sym_yield] = ACTIONS(1682),
    [anon_sym_return] = ACTIONS(1682),
    [anon_sym_from] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [sym_none] = ACTIONS(1682),
    [anon_sym_with] = ACTIONS(1682),
    [anon_sym_if] = ACTIONS(1682),
    [anon_sym_pass] = ACTIONS(1682),
    [sym_float] = ACTIONS(1684),
    [anon_sym_PLUS] = ACTIONS(1684),
    [anon_sym_AT] = ACTIONS(1684),
    [anon_sym_lambda] = ACTIONS(1682),
    [anon_sym_TILDE] = ACTIONS(1684),
    [anon_sym_print] = ACTIONS(1682),
    [anon_sym_del] = ACTIONS(1682),
    [sym_ellipsis] = ACTIONS(1684),
    [anon_sym_import] = ACTIONS(1682),
    [anon_sym_while] = ACTIONS(1682),
    [anon_sym_def] = ACTIONS(1682),
    [anon_sym_except] = ACTIONS(1682),
    [anon_sym_break] = ACTIONS(1682),
    [anon_sym_else] = ACTIONS(1682),
    [anon_sym_DASH] = ACTIONS(1684),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_await] = ACTIONS(1682),
    [anon_sym_global] = ACTIONS(1682),
    [anon_sym_not] = ACTIONS(1682),
    [anon_sym_exec] = ACTIONS(1682),
    [sym__dedent] = ACTIONS(1684),
    [anon_sym_raise] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1684),
    [anon_sym_LBRACE] = ACTIONS(1684),
    [anon_sym_try] = ACTIONS(1682),
    [anon_sym_for] = ACTIONS(1682),
    [anon_sym_finally] = ACTIONS(1682),
    [anon_sym_continue] = ACTIONS(1682),
    [anon_sym_async] = ACTIONS(1682),
  },
  [734] = {
    [sym_attribute] = STATE(743),
    [sym_dictionary_comprehension] = STATE(743),
    [sym_generator_expression] = STATE(743),
    [sym_binary_operator] = STATE(743),
    [sym_unary_operator] = STATE(743),
    [sym_call] = STATE(743),
    [sym_list_comprehension] = STATE(743),
    [sym_dictionary] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_tuple] = STATE(743),
    [sym_concatenated_string] = STATE(743),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(743),
    [sym_list] = STATE(743),
    [sym_set] = STATE(743),
    [sym_set_comprehension] = STATE(743),
    [sym__primary_expression] = STATE(743),
    [sym_integer] = ACTIONS(1854),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1856),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1854),
    [sym_identifier] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1856),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1854),
    [sym__string_start] = ACTIONS(157),
  },
  [735] = {
    [sym_lambda] = STATE(574),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(574),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(574),
    [sym_boolean_operator] = STATE(574),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(574),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(574),
    [sym__expression] = STATE(574),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(574),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [736] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [sym_type_conversion] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_COLON_EQ] = ACTIONS(978),
    [anon_sym_COMMA] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_else] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_async] = ACTIONS(215),
  },
  [737] = {
    [sym_lambda] = STATE(576),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(576),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(576),
    [sym_boolean_operator] = STATE(576),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(576),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(576),
    [sym__expression] = STATE(576),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(576),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [738] = {
    [sym_argument_list] = STATE(760),
    [aux_sym_comparison_operator_repeat1] = STATE(761),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_is] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1862),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(265),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(283),
    [anon_sym_LT_GT] = ACTIONS(1862),
    [anon_sym_EQ_EQ] = ACTIONS(1862),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_and] = ACTIONS(265),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(265),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_or] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(1862),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_RBRACE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(1862),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_else] = ACTIONS(265),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1862),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_DOT] = ACTIONS(519),
    [anon_sym_async] = ACTIONS(265),
  },
  [739] = {
    [sym_string] = STATE(762),
    [aux_sym_concatenated_string_repeat1] = STATE(762),
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [sym_type_conversion] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_EQ] = ACTIONS(213),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_RPAREN] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(215),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_else] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_async] = ACTIONS(215),
  },
  [740] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_is] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [sym_type_conversion] = ACTIONS(323),
    [anon_sym_STAR_STAR] = ACTIONS(323),
    [anon_sym_EQ] = ACTIONS(325),
    [anon_sym_LT_GT] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(323),
    [anon_sym_RPAREN] = ACTIONS(323),
    [anon_sym_and] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(323),
    [anon_sym_GT_GT] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(323),
    [sym__string_start] = ACTIONS(323),
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_or] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_RBRACE] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(323),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(323),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_else] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(323),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_async] = ACTIONS(323),
  },
  [741] = {
    [anon_sym_COLON] = ACTIONS(203),
    [anon_sym_or] = ACTIONS(203),
    [anon_sym_SLASH_SLASH] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_is] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(203),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_as] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(203),
    [anon_sym_STAR_STAR] = ACTIONS(203),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(203),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(203),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_and] = ACTIONS(203),
    [anon_sym_PERCENT] = ACTIONS(203),
    [anon_sym_not] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(203),
    [anon_sym_PIPE] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(371),
    [anon_sym_is] = ACTIONS(369),
    [anon_sym_LT_EQ] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_RBRACK] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(369),
    [sym_type_conversion] = ACTIONS(369),
    [anon_sym_STAR_STAR] = ACTIONS(369),
    [anon_sym_EQ] = ACTIONS(371),
    [anon_sym_LT_GT] = ACTIONS(369),
    [anon_sym_EQ_EQ] = ACTIONS(369),
    [anon_sym_RPAREN] = ACTIONS(369),
    [anon_sym_and] = ACTIONS(369),
    [anon_sym_PIPE] = ACTIONS(369),
    [anon_sym_GT_GT] = ACTIONS(369),
    [anon_sym_COMMA] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(369),
    [anon_sym_COLON] = ACTIONS(369),
    [anon_sym_or] = ACTIONS(369),
    [anon_sym_AMP] = ACTIONS(369),
    [anon_sym_in] = ACTIONS(369),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_RBRACE] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(369),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(369),
    [anon_sym_BANG_EQ] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(369),
    [anon_sym_else] = ACTIONS(369),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(369),
    [anon_sym_not] = ACTIONS(369),
    [anon_sym_GT_EQ] = ACTIONS(369),
    [anon_sym_LT_LT] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(371),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(369),
    [anon_sym_async] = ACTIONS(369),
  },
  [743] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(405),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_is] = ACTIONS(405),
    [anon_sym_LT_EQ] = ACTIONS(405),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_RBRACK] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(405),
    [anon_sym_STAR_STAR] = ACTIONS(405),
    [anon_sym_EQ] = ACTIONS(407),
    [anon_sym_LT_GT] = ACTIONS(405),
    [anon_sym_EQ_EQ] = ACTIONS(405),
    [anon_sym_RPAREN] = ACTIONS(405),
    [anon_sym_and] = ACTIONS(405),
    [anon_sym_PIPE] = ACTIONS(405),
    [anon_sym_GT_GT] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(405),
    [anon_sym_COLON] = ACTIONS(405),
    [anon_sym_or] = ACTIONS(405),
    [anon_sym_AMP] = ACTIONS(405),
    [anon_sym_in] = ACTIONS(405),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_RBRACE] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(405),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(405),
    [anon_sym_BANG_EQ] = ACTIONS(405),
    [anon_sym_CARET] = ACTIONS(405),
    [anon_sym_else] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(405),
    [anon_sym_PERCENT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(405),
    [anon_sym_GT_EQ] = ACTIONS(405),
    [anon_sym_LT_LT] = ACTIONS(405),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_LBRACK] = ACTIONS(405),
    [anon_sym_DOT] = ACTIONS(405),
    [anon_sym_async] = ACTIONS(405),
  },
  [744] = {
    [sym_lambda] = STATE(770),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(770),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(770),
    [sym_boolean_operator] = STATE(770),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(770),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(770),
    [sym__expression] = STATE(770),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(770),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [745] = {
    [anon_sym_COLON] = ACTIONS(459),
    [anon_sym_or] = ACTIONS(459),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_and] = ACTIONS(459),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(459),
  },
  [746] = {
    [sym_lambda] = STATE(772),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(772),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(772),
    [sym_boolean_operator] = STATE(772),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(772),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(772),
    [sym__expression] = STATE(772),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(772),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [747] = {
    [anon_sym_COLON] = ACTIONS(463),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(463),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(463),
  },
  [748] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(473),
    [anon_sym_GT] = ACTIONS(475),
    [anon_sym_is] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_STAR] = ACTIONS(475),
    [anon_sym_RBRACK] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(473),
    [sym_type_conversion] = ACTIONS(473),
    [anon_sym_STAR_STAR] = ACTIONS(473),
    [anon_sym_EQ] = ACTIONS(475),
    [anon_sym_LT_GT] = ACTIONS(473),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_RPAREN] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(473),
    [anon_sym_PIPE] = ACTIONS(473),
    [anon_sym_GT_GT] = ACTIONS(473),
    [anon_sym_COMMA] = ACTIONS(473),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(473),
    [anon_sym_COLON] = ACTIONS(473),
    [anon_sym_or] = ACTIONS(473),
    [anon_sym_AMP] = ACTIONS(473),
    [anon_sym_in] = ACTIONS(473),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_RBRACE] = ACTIONS(473),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_SLASH] = ACTIONS(475),
    [anon_sym_AT] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_CARET] = ACTIONS(473),
    [anon_sym_else] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_PERCENT] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(473),
    [anon_sym_LT] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_async] = ACTIONS(473),
  },
  [749] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(481),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_is] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_RBRACK] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(481),
    [sym_type_conversion] = ACTIONS(481),
    [anon_sym_STAR_STAR] = ACTIONS(481),
    [anon_sym_EQ] = ACTIONS(483),
    [anon_sym_LT_GT] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(481),
    [anon_sym_RPAREN] = ACTIONS(481),
    [anon_sym_and] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(481),
    [anon_sym_GT_GT] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_COLON] = ACTIONS(481),
    [anon_sym_or] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(481),
    [anon_sym_RBRACE] = ACTIONS(481),
    [anon_sym_PLUS] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(481),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_else] = ACTIONS(481),
    [anon_sym_DASH] = ACTIONS(481),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_not] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_DOT] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(481),
  },
  [750] = {
    [sym_integer] = ACTIONS(527),
    [anon_sym_yield] = ACTIONS(527),
    [anon_sym_from] = ACTIONS(527),
    [anon_sym_LPAREN] = ACTIONS(529),
    [sym_none] = ACTIONS(527),
    [anon_sym_with] = ACTIONS(527),
    [anon_sym_pass] = ACTIONS(527),
    [sym_float] = ACTIONS(529),
    [anon_sym_lambda] = ACTIONS(527),
    [anon_sym_print] = ACTIONS(527),
    [sym_ellipsis] = ACTIONS(529),
    [anon_sym_await] = ACTIONS(527),
    [anon_sym_def] = ACTIONS(527),
    [anon_sym_break] = ACTIONS(527),
    [sym_identifier] = ACTIONS(527),
    [sym__dedent] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(527),
    [anon_sym_exec] = ACTIONS(527),
    [anon_sym_LBRACE] = ACTIONS(529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(527),
    [anon_sym_continue] = ACTIONS(527),
    [sym_true] = ACTIONS(527),
    [sym__string_start] = ACTIONS(529),
    [anon_sym_nonlocal] = ACTIONS(527),
    [anon_sym_class] = ACTIONS(527),
    [anon_sym_assert] = ACTIONS(527),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_if] = ACTIONS(527),
    [anon_sym_elif] = ACTIONS(527),
    [anon_sym_PLUS] = ACTIONS(529),
    [anon_sym_AT] = ACTIONS(529),
    [anon_sym_TILDE] = ACTIONS(529),
    [anon_sym_del] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(527),
    [anon_sym_while] = ACTIONS(527),
    [anon_sym_except] = ACTIONS(527),
    [anon_sym_else] = ACTIONS(527),
    [anon_sym_DASH] = ACTIONS(529),
    [anon_sym_not] = ACTIONS(527),
    [anon_sym_raise] = ACTIONS(527),
    [anon_sym_LBRACK] = ACTIONS(529),
    [anon_sym_try] = ACTIONS(527),
    [sym_false] = ACTIONS(527),
    [anon_sym_finally] = ACTIONS(527),
    [anon_sym_async] = ACTIONS(527),
  },
  [751] = {
    [sym_attribute] = STATE(777),
    [sym_dictionary_comprehension] = STATE(777),
    [sym_generator_expression] = STATE(777),
    [sym_binary_operator] = STATE(777),
    [sym_unary_operator] = STATE(777),
    [sym_call] = STATE(777),
    [sym_list_comprehension] = STATE(777),
    [sym_dictionary] = STATE(777),
    [sym_parenthesized_expression] = STATE(777),
    [sym_tuple] = STATE(777),
    [sym_concatenated_string] = STATE(777),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(777),
    [sym_list] = STATE(777),
    [sym_set] = STATE(777),
    [sym_set_comprehension] = STATE(777),
    [sym__primary_expression] = STATE(777),
    [sym_integer] = ACTIONS(1866),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1868),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1866),
    [sym_identifier] = ACTIONS(1866),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1866),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1868),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1866),
    [sym__string_start] = ACTIONS(157),
  },
  [752] = {
    [sym_attribute] = STATE(778),
    [sym_dictionary_comprehension] = STATE(778),
    [sym_generator_expression] = STATE(778),
    [sym_binary_operator] = STATE(778),
    [sym_unary_operator] = STATE(778),
    [sym_call] = STATE(778),
    [sym_list_comprehension] = STATE(778),
    [sym_dictionary] = STATE(778),
    [sym_parenthesized_expression] = STATE(778),
    [sym_tuple] = STATE(778),
    [sym_concatenated_string] = STATE(778),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(778),
    [sym_list] = STATE(778),
    [sym_set] = STATE(778),
    [sym_set_comprehension] = STATE(778),
    [sym__primary_expression] = STATE(778),
    [sym_integer] = ACTIONS(1870),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1870),
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1870),
    [sym__string_start] = ACTIONS(157),
  },
  [753] = {
    [sym_attribute] = STATE(778),
    [sym_dictionary_comprehension] = STATE(778),
    [sym_generator_expression] = STATE(778),
    [sym_binary_operator] = STATE(778),
    [sym_unary_operator] = STATE(778),
    [sym_call] = STATE(778),
    [sym_list_comprehension] = STATE(778),
    [sym_dictionary] = STATE(778),
    [sym_parenthesized_expression] = STATE(778),
    [sym_tuple] = STATE(778),
    [sym_concatenated_string] = STATE(778),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(778),
    [sym_list] = STATE(778),
    [sym_set] = STATE(778),
    [sym_set_comprehension] = STATE(778),
    [sym__primary_expression] = STATE(778),
    [sym_integer] = ACTIONS(1870),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1872),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1870),
    [sym_identifier] = ACTIONS(1870),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(1874),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1870),
    [sym__string_start] = ACTIONS(157),
  },
  [754] = {
    [sym_attribute] = STATE(780),
    [sym_dictionary_comprehension] = STATE(780),
    [sym_generator_expression] = STATE(780),
    [sym_binary_operator] = STATE(780),
    [sym_unary_operator] = STATE(780),
    [sym_call] = STATE(780),
    [sym_list_comprehension] = STATE(780),
    [sym_dictionary] = STATE(780),
    [sym_parenthesized_expression] = STATE(780),
    [sym_tuple] = STATE(780),
    [sym_concatenated_string] = STATE(780),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(780),
    [sym_list] = STATE(780),
    [sym_set] = STATE(780),
    [sym_set_comprehension] = STATE(780),
    [sym__primary_expression] = STATE(780),
    [sym_integer] = ACTIONS(1876),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1878),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1876),
    [sym_identifier] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1876),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1876),
    [sym__string_start] = ACTIONS(157),
  },
  [755] = {
    [sym_attribute] = STATE(781),
    [sym_dictionary_comprehension] = STATE(781),
    [sym_generator_expression] = STATE(781),
    [sym_binary_operator] = STATE(781),
    [sym_unary_operator] = STATE(781),
    [sym_call] = STATE(781),
    [sym_list_comprehension] = STATE(781),
    [sym_dictionary] = STATE(781),
    [sym_parenthesized_expression] = STATE(781),
    [sym_tuple] = STATE(781),
    [sym_concatenated_string] = STATE(781),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(781),
    [sym_list] = STATE(781),
    [sym_set] = STATE(781),
    [sym_set_comprehension] = STATE(781),
    [sym__primary_expression] = STATE(781),
    [sym_integer] = ACTIONS(1880),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1882),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1880),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1880),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1882),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1880),
    [sym__string_start] = ACTIONS(157),
  },
  [756] = {
    [sym_attribute] = STATE(783),
    [sym_dictionary_comprehension] = STATE(783),
    [sym_generator_expression] = STATE(783),
    [sym_binary_operator] = STATE(783),
    [sym_unary_operator] = STATE(783),
    [sym_call] = STATE(783),
    [sym_list_comprehension] = STATE(783),
    [sym_dictionary] = STATE(783),
    [sym_parenthesized_expression] = STATE(783),
    [sym_tuple] = STATE(783),
    [sym_concatenated_string] = STATE(783),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(783),
    [sym_list] = STATE(783),
    [sym_set] = STATE(783),
    [sym_set_comprehension] = STATE(783),
    [sym__primary_expression] = STATE(783),
    [sym_integer] = ACTIONS(1884),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1886),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1884),
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1886),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1884),
    [sym__string_start] = ACTIONS(157),
  },
  [757] = {
    [sym_attribute] = STATE(784),
    [sym_dictionary_comprehension] = STATE(784),
    [sym_generator_expression] = STATE(784),
    [sym_binary_operator] = STATE(784),
    [sym_unary_operator] = STATE(784),
    [sym_call] = STATE(784),
    [sym_list_comprehension] = STATE(784),
    [sym_dictionary] = STATE(784),
    [sym_parenthesized_expression] = STATE(784),
    [sym_tuple] = STATE(784),
    [sym_concatenated_string] = STATE(784),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(784),
    [sym_list] = STATE(784),
    [sym_set] = STATE(784),
    [sym_set_comprehension] = STATE(784),
    [sym__primary_expression] = STATE(784),
    [sym_integer] = ACTIONS(1888),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1888),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1888),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1890),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1888),
    [sym__string_start] = ACTIONS(157),
  },
  [758] = {
    [sym_attribute] = STATE(785),
    [sym_dictionary_comprehension] = STATE(785),
    [sym_generator_expression] = STATE(785),
    [sym_binary_operator] = STATE(785),
    [sym_unary_operator] = STATE(785),
    [sym_call] = STATE(785),
    [sym_list_comprehension] = STATE(785),
    [sym_dictionary] = STATE(785),
    [sym_parenthesized_expression] = STATE(785),
    [sym_tuple] = STATE(785),
    [sym_concatenated_string] = STATE(785),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(785),
    [sym_list] = STATE(785),
    [sym_set] = STATE(785),
    [sym_set_comprehension] = STATE(785),
    [sym__primary_expression] = STATE(785),
    [sym_integer] = ACTIONS(1892),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1894),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1892),
    [sym_identifier] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1892),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1894),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1892),
    [sym__string_start] = ACTIONS(157),
  },
  [759] = {
    [sym_attribute] = STATE(787),
    [sym_dictionary_comprehension] = STATE(787),
    [sym_generator_expression] = STATE(787),
    [sym_binary_operator] = STATE(787),
    [sym_unary_operator] = STATE(787),
    [sym_call] = STATE(787),
    [sym_list_comprehension] = STATE(787),
    [sym_dictionary] = STATE(787),
    [sym_parenthesized_expression] = STATE(787),
    [sym_tuple] = STATE(787),
    [sym_concatenated_string] = STATE(787),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(787),
    [sym_list] = STATE(787),
    [sym_set] = STATE(787),
    [sym_set_comprehension] = STATE(787),
    [sym__primary_expression] = STATE(787),
    [sym_integer] = ACTIONS(1896),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1898),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1896),
    [sym_identifier] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1896),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1898),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1896),
    [sym__string_start] = ACTIONS(157),
  },
  [760] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_is] = ACTIONS(581),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_RBRACK] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(581),
    [sym_type_conversion] = ACTIONS(581),
    [anon_sym_STAR_STAR] = ACTIONS(581),
    [anon_sym_EQ] = ACTIONS(583),
    [anon_sym_LT_GT] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(581),
    [anon_sym_and] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_GT_GT] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(581),
    [anon_sym_COLON] = ACTIONS(581),
    [anon_sym_or] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(581),
    [anon_sym_in] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(581),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_else] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_PERCENT] = ACTIONS(581),
    [anon_sym_not] = ACTIONS(581),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(581),
    [anon_sym_async] = ACTIONS(581),
  },
  [761] = {
    [aux_sym_comparison_operator_repeat1] = STATE(788),
    [anon_sym_COLON] = ACTIONS(585),
    [anon_sym_or] = ACTIONS(585),
    [anon_sym_GT] = ACTIONS(1858),
    [anon_sym_is] = ACTIONS(1860),
    [anon_sym_LT_EQ] = ACTIONS(1862),
    [anon_sym_RBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(1862),
    [anon_sym_if] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(585),
    [sym_type_conversion] = ACTIONS(585),
    [anon_sym_EQ] = ACTIONS(587),
    [anon_sym_LT_GT] = ACTIONS(1862),
    [anon_sym_BANG_EQ] = ACTIONS(1862),
    [anon_sym_EQ_EQ] = ACTIONS(1862),
    [anon_sym_RPAREN] = ACTIONS(585),
    [anon_sym_else] = ACTIONS(585),
    [anon_sym_and] = ACTIONS(585),
    [anon_sym_not] = ACTIONS(1864),
    [anon_sym_GT_EQ] = ACTIONS(1862),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_COMMA] = ACTIONS(585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(585),
    [anon_sym_async] = ACTIONS(585),
  },
  [762] = {
    [sym_string] = STATE(789),
    [aux_sym_concatenated_string_repeat1] = STATE(789),
    [anon_sym_SLASH_SLASH] = ACTIONS(589),
    [anon_sym_GT] = ACTIONS(591),
    [anon_sym_is] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_RBRACK] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(589),
    [sym_type_conversion] = ACTIONS(589),
    [anon_sym_STAR_STAR] = ACTIONS(589),
    [anon_sym_EQ] = ACTIONS(591),
    [anon_sym_LT_GT] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(589),
    [anon_sym_RPAREN] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(589),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_or] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_in] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(589),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(589),
    [anon_sym_BANG_EQ] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_else] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_LT] = ACTIONS(591),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_async] = ACTIONS(589),
  },
  [763] = {
    [sym_lambda] = STATE(790),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(790),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(790),
    [sym_boolean_operator] = STATE(790),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(790),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(790),
    [sym__expression] = STATE(790),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(790),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [764] = {
    [sym_lambda] = STATE(629),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(629),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(629),
    [sym_boolean_operator] = STATE(629),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(629),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(629),
    [sym__expression] = STATE(629),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(629),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [765] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_is] = ACTIONS(724),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_RBRACK] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [sym_type_conversion] = ACTIONS(724),
    [anon_sym_STAR_STAR] = ACTIONS(724),
    [anon_sym_EQ] = ACTIONS(726),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [anon_sym_RPAREN] = ACTIONS(724),
    [anon_sym_and] = ACTIONS(724),
    [anon_sym_PIPE] = ACTIONS(724),
    [anon_sym_GT_GT] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(724),
    [sym__string_start] = ACTIONS(724),
    [anon_sym_COLON] = ACTIONS(724),
    [anon_sym_or] = ACTIONS(724),
    [anon_sym_AMP] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(724),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_RBRACE] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_else] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_PERCENT] = ACTIONS(724),
    [anon_sym_not] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_LT_LT] = ACTIONS(724),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_LBRACK] = ACTIONS(724),
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_async] = ACTIONS(724),
  },
  [766] = {
    [sym_lambda] = STATE(791),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(791),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(791),
    [sym_boolean_operator] = STATE(791),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(791),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(791),
    [sym__expression] = STATE(791),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(791),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [767] = {
    [sym_lambda] = STATE(261),
    [sym_conditional_expression] = STATE(261),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(261),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(261),
    [sym_boolean_operator] = STATE(261),
    [sym_await] = STATE(261),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(261),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(261),
    [anon_sym_COLON] = ACTIONS(708),
    [sym__newline] = ACTIONS(708),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(708),
    [anon_sym_AMP_EQ] = ACTIONS(708),
    [anon_sym_AT_EQ] = ACTIONS(708),
    [anon_sym_LT_LT_EQ] = ACTIONS(708),
    [anon_sym_PERCENT_EQ] = ACTIONS(708),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(710),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(708),
    [anon_sym_print] = ACTIONS(187),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(708),
    [anon_sym_STAR_EQ] = ACTIONS(708),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(708),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(708),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [anon_sym_PLUS_EQ] = ACTIONS(708),
    [anon_sym_PIPE_EQ] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(708),
    [anon_sym_GT_GT_EQ] = ACTIONS(708),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [768] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_RBRACK] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [sym_type_conversion] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_EQ] = ACTIONS(773),
    [anon_sym_LT_GT] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_RPAREN] = ACTIONS(771),
    [anon_sym_and] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(771),
    [anon_sym_GT_GT] = ACTIONS(771),
    [anon_sym_COMMA] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(771),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_or] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(771),
    [anon_sym_in] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_RBRACE] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [anon_sym_else] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_LT_LT] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_async] = ACTIONS(771),
  },
  [769] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(777),
    [anon_sym_is] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_RBRACK] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(775),
    [sym_type_conversion] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_LT_GT] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_RPAREN] = ACTIONS(775),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(775),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_RBRACE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_else] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_not] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_async] = ACTIONS(775),
  },
  [770] = {
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(817),
    [sym_type_conversion] = ACTIONS(817),
    [anon_sym_EQ] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_async] = ACTIONS(817),
  },
  [771] = {
    [sym_lambda] = STATE(797),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(797),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(797),
    [sym_boolean_operator] = STATE(797),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(797),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(797),
    [sym__expression] = STATE(797),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(797),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [772] = {
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(853),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_RBRACE] = ACTIONS(853),
    [sym_type_conversion] = ACTIONS(853),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_COMMA] = ACTIONS(853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(853),
  },
  [773] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(861),
    [anon_sym_is] = ACTIONS(859),
    [anon_sym_LT_EQ] = ACTIONS(859),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_RBRACK] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(859),
    [sym_type_conversion] = ACTIONS(859),
    [anon_sym_STAR_STAR] = ACTIONS(859),
    [anon_sym_EQ] = ACTIONS(861),
    [anon_sym_LT_GT] = ACTIONS(859),
    [anon_sym_EQ_EQ] = ACTIONS(859),
    [anon_sym_RPAREN] = ACTIONS(859),
    [anon_sym_and] = ACTIONS(859),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_GT_GT] = ACTIONS(859),
    [anon_sym_COMMA] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(859),
    [anon_sym_COLON] = ACTIONS(859),
    [anon_sym_or] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_in] = ACTIONS(859),
    [anon_sym_if] = ACTIONS(859),
    [anon_sym_RBRACE] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(859),
    [anon_sym_SLASH] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(859),
    [anon_sym_BANG_EQ] = ACTIONS(859),
    [anon_sym_CARET] = ACTIONS(859),
    [anon_sym_else] = ACTIONS(859),
    [anon_sym_DASH] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(859),
    [anon_sym_not] = ACTIONS(859),
    [anon_sym_GT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(859),
    [anon_sym_LT] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_DOT] = ACTIONS(859),
    [anon_sym_async] = ACTIONS(859),
  },
  [774] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_RBRACK] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [sym_type_conversion] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(869),
    [anon_sym_EQ] = ACTIONS(871),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_RPAREN] = ACTIONS(869),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_async] = ACTIONS(869),
  },
  [775] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_RBRACK] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(881),
    [sym_type_conversion] = ACTIONS(881),
    [anon_sym_STAR_STAR] = ACTIONS(881),
    [anon_sym_EQ] = ACTIONS(883),
    [anon_sym_LT_GT] = ACTIONS(881),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_RPAREN] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_PIPE] = ACTIONS(881),
    [anon_sym_GT_GT] = ACTIONS(881),
    [anon_sym_COMMA] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_RBRACE] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(881),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(881),
    [anon_sym_async] = ACTIONS(881),
  },
  [776] = {
    [sym_integer] = ACTIONS(923),
    [anon_sym_yield] = ACTIONS(923),
    [anon_sym_from] = ACTIONS(923),
    [anon_sym_LPAREN] = ACTIONS(925),
    [sym_none] = ACTIONS(923),
    [anon_sym_with] = ACTIONS(923),
    [anon_sym_pass] = ACTIONS(923),
    [sym_float] = ACTIONS(925),
    [anon_sym_lambda] = ACTIONS(923),
    [anon_sym_print] = ACTIONS(923),
    [sym_ellipsis] = ACTIONS(925),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_def] = ACTIONS(923),
    [anon_sym_break] = ACTIONS(923),
    [sym_identifier] = ACTIONS(923),
    [sym__dedent] = ACTIONS(925),
    [anon_sym_global] = ACTIONS(923),
    [anon_sym_exec] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(925),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [sym_true] = ACTIONS(923),
    [sym__string_start] = ACTIONS(925),
    [anon_sym_nonlocal] = ACTIONS(923),
    [anon_sym_class] = ACTIONS(923),
    [anon_sym_assert] = ACTIONS(923),
    [anon_sym_return] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_elif] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(925),
    [anon_sym_del] = ACTIONS(923),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(923),
    [anon_sym_except] = ACTIONS(923),
    [anon_sym_else] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_not] = ACTIONS(923),
    [anon_sym_raise] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(923),
    [sym_false] = ACTIONS(923),
    [anon_sym_finally] = ACTIONS(923),
    [anon_sym_async] = ACTIONS(923),
  },
  [777] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(958),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [778] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(964),
    [anon_sym_is] = ACTIONS(962),
    [anon_sym_LT_EQ] = ACTIONS(962),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(962),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(964),
    [anon_sym_LT_GT] = ACTIONS(962),
    [anon_sym_EQ_EQ] = ACTIONS(962),
    [anon_sym_RPAREN] = ACTIONS(962),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(962),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(962),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_else] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(962),
    [anon_sym_GT_EQ] = ACTIONS(962),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(964),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_DOT] = ACTIONS(519),
    [anon_sym_async] = ACTIONS(962),
  },
  [779] = {
    [sym_attribute] = STATE(807),
    [sym_dictionary_comprehension] = STATE(807),
    [sym_generator_expression] = STATE(807),
    [sym_binary_operator] = STATE(807),
    [sym_unary_operator] = STATE(807),
    [sym_call] = STATE(807),
    [sym_list_comprehension] = STATE(807),
    [sym_dictionary] = STATE(807),
    [sym_parenthesized_expression] = STATE(807),
    [sym_tuple] = STATE(807),
    [sym_concatenated_string] = STATE(807),
    [sym_string] = STATE(739),
    [sym_subscript] = STATE(807),
    [sym_list] = STATE(807),
    [sym_set] = STATE(807),
    [sym_set_comprehension] = STATE(807),
    [sym__primary_expression] = STATE(807),
    [sym_integer] = ACTIONS(1900),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(1902),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(1900),
    [sym_identifier] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(1900),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(1902),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1900),
    [sym__string_start] = ACTIONS(157),
  },
  [780] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [781] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [782] = {
    [sym__newline] = ACTIONS(972),
    [anon_sym_or] = ACTIONS(972),
    [anon_sym_SLASH_SLASH] = ACTIONS(972),
    [anon_sym_GT] = ACTIONS(974),
    [anon_sym_is] = ACTIONS(972),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_LT_EQ] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_from] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(972),
    [anon_sym_in] = ACTIONS(972),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_STAR_STAR] = ACTIONS(972),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(972),
    [anon_sym_LT_GT] = ACTIONS(972),
    [anon_sym_BANG_EQ] = ACTIONS(972),
    [anon_sym_CARET] = ACTIONS(972),
    [anon_sym_EQ_EQ] = ACTIONS(972),
    [sym__semicolon] = ACTIONS(972),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_and] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(972),
    [anon_sym_GT_EQ] = ACTIONS(972),
    [anon_sym_LT_LT] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT_GT] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_COMMA] = ACTIONS(972),
    [sym_comment] = ACTIONS(3),
  },
  [783] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [784] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [785] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(958),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [786] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_is] = ACTIONS(984),
    [anon_sym_LT_EQ] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_RBRACK] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [sym_type_conversion] = ACTIONS(984),
    [anon_sym_STAR_STAR] = ACTIONS(984),
    [anon_sym_EQ] = ACTIONS(986),
    [anon_sym_LT_GT] = ACTIONS(984),
    [anon_sym_EQ_EQ] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(984),
    [anon_sym_and] = ACTIONS(984),
    [anon_sym_PIPE] = ACTIONS(984),
    [anon_sym_GT_GT] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(984),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_COLON] = ACTIONS(984),
    [anon_sym_or] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_RBRACE] = ACTIONS(984),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_BANG_EQ] = ACTIONS(984),
    [anon_sym_CARET] = ACTIONS(984),
    [anon_sym_else] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(984),
    [anon_sym_not] = ACTIONS(984),
    [anon_sym_GT_EQ] = ACTIONS(984),
    [anon_sym_LT_LT] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(986),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_DOT] = ACTIONS(984),
    [anon_sym_async] = ACTIONS(984),
  },
  [787] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(960),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_RPAREN] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(958),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_else] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_async] = ACTIONS(958),
  },
  [788] = {
    [aux_sym_comparison_operator_repeat1] = STATE(788),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [anon_sym_GT] = ACTIONS(1904),
    [anon_sym_is] = ACTIONS(1907),
    [anon_sym_LT_EQ] = ACTIONS(1910),
    [anon_sym_RBRACK] = ACTIONS(962),
    [anon_sym_in] = ACTIONS(1910),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [sym_type_conversion] = ACTIONS(962),
    [anon_sym_EQ] = ACTIONS(964),
    [anon_sym_LT_GT] = ACTIONS(1910),
    [anon_sym_BANG_EQ] = ACTIONS(1910),
    [anon_sym_EQ_EQ] = ACTIONS(1910),
    [anon_sym_RPAREN] = ACTIONS(962),
    [anon_sym_else] = ACTIONS(962),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_not] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1910),
    [anon_sym_LT] = ACTIONS(1904),
    [anon_sym_COMMA] = ACTIONS(962),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(962),
    [anon_sym_async] = ACTIONS(962),
  },
  [789] = {
    [sym_string] = STATE(789),
    [aux_sym_concatenated_string_repeat1] = STATE(789),
    [anon_sym_SLASH_SLASH] = ACTIONS(1000),
    [anon_sym_GT] = ACTIONS(1002),
    [anon_sym_is] = ACTIONS(1000),
    [anon_sym_LT_EQ] = ACTIONS(1000),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_RBRACK] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [sym_type_conversion] = ACTIONS(1000),
    [anon_sym_STAR_STAR] = ACTIONS(1000),
    [anon_sym_EQ] = ACTIONS(1002),
    [anon_sym_LT_GT] = ACTIONS(1000),
    [anon_sym_EQ_EQ] = ACTIONS(1000),
    [anon_sym_RPAREN] = ACTIONS(1000),
    [anon_sym_and] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1000),
    [anon_sym_GT_GT] = ACTIONS(1000),
    [anon_sym_COMMA] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1000),
    [sym__string_start] = ACTIONS(1916),
    [anon_sym_COLON] = ACTIONS(1000),
    [anon_sym_or] = ACTIONS(1000),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_in] = ACTIONS(1000),
    [anon_sym_if] = ACTIONS(1000),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_SLASH] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_BANG_EQ] = ACTIONS(1000),
    [anon_sym_CARET] = ACTIONS(1000),
    [anon_sym_else] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_PERCENT] = ACTIONS(1000),
    [anon_sym_not] = ACTIONS(1000),
    [anon_sym_GT_EQ] = ACTIONS(1000),
    [anon_sym_LT_LT] = ACTIONS(1000),
    [anon_sym_LT] = ACTIONS(1002),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(1000),
    [anon_sym_async] = ACTIONS(1000),
  },
  [790] = {
    [anon_sym_COLON] = ACTIONS(1007),
    [anon_sym_or] = ACTIONS(1007),
    [anon_sym_RPAREN] = ACTIONS(1007),
    [anon_sym_else] = ACTIONS(1007),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1007),
    [anon_sym_if] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [sym_type_conversion] = ACTIONS(1007),
    [anon_sym_EQ] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1007),
    [anon_sym_async] = ACTIONS(1007),
  },
  [791] = {
    [anon_sym_COLON] = ACTIONS(1009),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1009),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [792] = {
    [anon_sym_COLON] = ACTIONS(1013),
    [anon_sym_or] = ACTIONS(1013),
    [anon_sym_COMMA] = ACTIONS(1013),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_and] = ACTIONS(1013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1013),
  },
  [793] = {
    [aux_sym_assert_statement_repeat1] = STATE(793),
    [anon_sym_COLON] = ACTIONS(1009),
    [anon_sym_COMMA] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1009),
  },
  [794] = {
    [sym_lambda] = STATE(261),
    [sym_conditional_expression] = STATE(261),
    [sym_attribute] = STATE(39),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(261),
    [sym_generator_expression] = STATE(39),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_call] = STATE(39),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_not_operator] = STATE(261),
    [sym_boolean_operator] = STATE(261),
    [sym_await] = STATE(261),
    [sym_concatenated_string] = STATE(39),
    [sym_subscript] = STATE(39),
    [sym_string] = STATE(42),
    [sym_list] = STATE(39),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym__expression] = STATE(261),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(261),
    [anon_sym_COLON] = ACTIONS(1017),
    [sym__newline] = ACTIONS(1017),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_DASH_EQ] = ACTIONS(1017),
    [anon_sym_AMP_EQ] = ACTIONS(1017),
    [anon_sym_AT_EQ] = ACTIONS(1017),
    [anon_sym_LT_LT_EQ] = ACTIONS(1017),
    [anon_sym_PERCENT_EQ] = ACTIONS(1017),
    [sym_none] = ACTIONS(5),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(710),
    [anon_sym_EQ] = ACTIONS(1017),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_CARET_EQ] = ACTIONS(1017),
    [anon_sym_print] = ACTIONS(187),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1017),
    [anon_sym_STAR_EQ] = ACTIONS(1017),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1017),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [sym__semicolon] = ACTIONS(1017),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(710),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(187),
    [anon_sym_PLUS_EQ] = ACTIONS(1017),
    [anon_sym_PIPE_EQ] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_SLASH_EQ] = ACTIONS(1017),
    [anon_sym_GT_GT_EQ] = ACTIONS(1017),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
  },
  [795] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_is] = ACTIONS(1074),
    [anon_sym_LT_EQ] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_RBRACK] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [sym_type_conversion] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1074),
    [anon_sym_EQ] = ACTIONS(1076),
    [anon_sym_LT_GT] = ACTIONS(1074),
    [anon_sym_EQ_EQ] = ACTIONS(1074),
    [anon_sym_RPAREN] = ACTIONS(1074),
    [anon_sym_and] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_COMMA] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_COLON] = ACTIONS(1074),
    [anon_sym_or] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_else] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1074),
    [anon_sym_not] = ACTIONS(1074),
    [anon_sym_GT_EQ] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_DOT] = ACTIONS(1074),
    [anon_sym_async] = ACTIONS(1074),
  },
  [796] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_is] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [sym_type_conversion] = ACTIONS(1089),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_EQ] = ACTIONS(1091),
    [anon_sym_LT_GT] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [anon_sym_RPAREN] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_COLON] = ACTIONS(1089),
    [anon_sym_or] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_in] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_RBRACE] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_else] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_async] = ACTIONS(1089),
  },
  [797] = {
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(1137),
    [anon_sym_else] = ACTIONS(1137),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(1137),
    [sym_type_conversion] = ACTIONS(1137),
    [anon_sym_EQ] = ACTIONS(1137),
    [anon_sym_COMMA] = ACTIONS(1137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1137),
    [anon_sym_async] = ACTIONS(1137),
  },
  [798] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_is] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [sym_type_conversion] = ACTIONS(1175),
    [anon_sym_STAR_STAR] = ACTIONS(1175),
    [anon_sym_EQ] = ACTIONS(1177),
    [anon_sym_LT_GT] = ACTIONS(1175),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_RPAREN] = ACTIONS(1175),
    [anon_sym_and] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1175),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_COLON] = ACTIONS(1175),
    [anon_sym_or] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_not] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_async] = ACTIONS(1175),
  },
  [799] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1188),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_RBRACK] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [sym_type_conversion] = ACTIONS(1186),
    [anon_sym_STAR_STAR] = ACTIONS(1186),
    [anon_sym_EQ] = ACTIONS(1188),
    [anon_sym_LT_GT] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [anon_sym_RPAREN] = ACTIONS(1186),
    [anon_sym_and] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1186),
    [anon_sym_COLON] = ACTIONS(1186),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_else] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_not] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1188),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_async] = ACTIONS(1186),
  },
  [800] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_RBRACK] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [sym_type_conversion] = ACTIONS(1190),
    [anon_sym_STAR_STAR] = ACTIONS(1190),
    [anon_sym_EQ] = ACTIONS(1192),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_RPAREN] = ACTIONS(1190),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1190),
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_else] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_async] = ACTIONS(1190),
  },
  [801] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_is] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_RBRACK] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [sym_type_conversion] = ACTIONS(1201),
    [anon_sym_STAR_STAR] = ACTIONS(1201),
    [anon_sym_EQ] = ACTIONS(1203),
    [anon_sym_LT_GT] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_RPAREN] = ACTIONS(1201),
    [anon_sym_and] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_or] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_not] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_async] = ACTIONS(1201),
  },
  [802] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1207),
    [anon_sym_is] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_RBRACK] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [sym_type_conversion] = ACTIONS(1205),
    [anon_sym_STAR_STAR] = ACTIONS(1205),
    [anon_sym_EQ] = ACTIONS(1207),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_RPAREN] = ACTIONS(1205),
    [anon_sym_and] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_COLON] = ACTIONS(1205),
    [anon_sym_or] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_in] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_RBRACE] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_else] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_async] = ACTIONS(1205),
  },
  [803] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_is] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1215),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [sym_type_conversion] = ACTIONS(1213),
    [anon_sym_STAR_STAR] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1215),
    [anon_sym_LT_GT] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_RPAREN] = ACTIONS(1213),
    [anon_sym_and] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1213),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_or] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_else] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_not] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1215),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_async] = ACTIONS(1213),
  },
  [804] = {
    [sym_integer] = ACTIONS(1840),
    [anon_sym_yield] = ACTIONS(1840),
    [anon_sym_from] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [sym_none] = ACTIONS(1840),
    [anon_sym_with] = ACTIONS(1840),
    [anon_sym_pass] = ACTIONS(1840),
    [sym_float] = ACTIONS(1217),
    [anon_sym_lambda] = ACTIONS(1840),
    [anon_sym_print] = ACTIONS(1840),
    [sym_ellipsis] = ACTIONS(1217),
    [anon_sym_await] = ACTIONS(1840),
    [anon_sym_def] = ACTIONS(1840),
    [anon_sym_break] = ACTIONS(1840),
    [sym_identifier] = ACTIONS(1840),
    [sym__dedent] = ACTIONS(1217),
    [anon_sym_global] = ACTIONS(1840),
    [anon_sym_exec] = ACTIONS(1840),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_continue] = ACTIONS(1840),
    [sym_true] = ACTIONS(1840),
    [sym__string_start] = ACTIONS(1217),
    [anon_sym_nonlocal] = ACTIONS(1840),
    [anon_sym_class] = ACTIONS(1840),
    [anon_sym_assert] = ACTIONS(1840),
    [anon_sym_return] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_elif] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_del] = ACTIONS(1840),
    [anon_sym_import] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_except] = ACTIONS(1840),
    [anon_sym_else] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_not] = ACTIONS(1840),
    [anon_sym_raise] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1840),
    [sym_false] = ACTIONS(1840),
    [anon_sym_finally] = ACTIONS(1840),
    [anon_sym_async] = ACTIONS(1840),
  },
  [805] = {
    [sym_integer] = ACTIONS(1242),
    [anon_sym_yield] = ACTIONS(1242),
    [anon_sym_from] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [sym_none] = ACTIONS(1242),
    [anon_sym_with] = ACTIONS(1242),
    [anon_sym_pass] = ACTIONS(1242),
    [sym_float] = ACTIONS(1244),
    [anon_sym_lambda] = ACTIONS(1242),
    [anon_sym_print] = ACTIONS(1242),
    [sym_ellipsis] = ACTIONS(1244),
    [anon_sym_await] = ACTIONS(1242),
    [anon_sym_def] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [sym_identifier] = ACTIONS(1242),
    [sym__dedent] = ACTIONS(1244),
    [anon_sym_global] = ACTIONS(1242),
    [anon_sym_exec] = ACTIONS(1242),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [sym_true] = ACTIONS(1242),
    [sym__string_start] = ACTIONS(1244),
    [anon_sym_nonlocal] = ACTIONS(1242),
    [anon_sym_class] = ACTIONS(1242),
    [anon_sym_assert] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_elif] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_TILDE] = ACTIONS(1244),
    [anon_sym_del] = ACTIONS(1242),
    [anon_sym_import] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_except] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_not] = ACTIONS(1242),
    [anon_sym_raise] = ACTIONS(1242),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_try] = ACTIONS(1242),
    [sym_false] = ACTIONS(1242),
    [anon_sym_finally] = ACTIONS(1242),
    [anon_sym_async] = ACTIONS(1242),
  },
  [806] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1250),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_RBRACK] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [sym_type_conversion] = ACTIONS(1250),
    [anon_sym_STAR_STAR] = ACTIONS(1250),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_LT_GT] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1250),
    [anon_sym_and] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1250),
    [anon_sym_COLON] = ACTIONS(1250),
    [anon_sym_or] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_RBRACE] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1250),
    [anon_sym_BANG_EQ] = ACTIONS(1250),
    [anon_sym_CARET] = ACTIONS(1250),
    [anon_sym_else] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1250),
    [anon_sym_not] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_async] = ACTIONS(1250),
  },
  [807] = {
    [sym_argument_list] = STATE(760),
    [sym_generator_expression] = STATE(760),
    [anon_sym_SLASH_SLASH] = ACTIONS(499),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_is] = ACTIONS(1258),
    [anon_sym_LT_EQ] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(505),
    [anon_sym_RBRACK] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(507),
    [sym_type_conversion] = ACTIONS(1258),
    [anon_sym_STAR_STAR] = ACTIONS(515),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_LT_GT] = ACTIONS(1258),
    [anon_sym_EQ_EQ] = ACTIONS(1258),
    [anon_sym_RPAREN] = ACTIONS(1258),
    [anon_sym_and] = ACTIONS(1258),
    [anon_sym_PIPE] = ACTIONS(513),
    [anon_sym_GT_GT] = ACTIONS(511),
    [anon_sym_COMMA] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1258),
    [anon_sym_COLON] = ACTIONS(1258),
    [anon_sym_or] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_RBRACE] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(503),
    [anon_sym_SLASH] = ACTIONS(505),
    [anon_sym_AT] = ACTIONS(499),
    [anon_sym_BANG_EQ] = ACTIONS(1258),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym_else] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(503),
    [anon_sym_PERCENT] = ACTIONS(499),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_GT_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT] = ACTIONS(511),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_LBRACK] = ACTIONS(521),
    [anon_sym_DOT] = ACTIONS(519),
    [anon_sym_async] = ACTIONS(1258),
  },
  [808] = {
    [sym__newline] = ACTIONS(1262),
    [anon_sym_or] = ACTIONS(1262),
    [anon_sym_SLASH_SLASH] = ACTIONS(1262),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_is] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_from] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_STAR_STAR] = ACTIONS(1262),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [anon_sym_LT_GT] = ACTIONS(1262),
    [anon_sym_BANG_EQ] = ACTIONS(1262),
    [anon_sym_CARET] = ACTIONS(1262),
    [anon_sym_EQ_EQ] = ACTIONS(1262),
    [sym__semicolon] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_and] = ACTIONS(1262),
    [anon_sym_PERCENT] = ACTIONS(1262),
    [anon_sym_not] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_DOT] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [809] = {
    [sym_lambda] = STATE(817),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(817),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(817),
    [sym_boolean_operator] = STATE(817),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(817),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(817),
    [sym__expression] = STATE(817),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(817),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [810] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_is] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_RBRACK] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [sym_type_conversion] = ACTIONS(1300),
    [anon_sym_STAR_STAR] = ACTIONS(1300),
    [anon_sym_EQ] = ACTIONS(1302),
    [anon_sym_LT_GT] = ACTIONS(1300),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_RPAREN] = ACTIONS(1300),
    [anon_sym_and] = ACTIONS(1300),
    [anon_sym_PIPE] = ACTIONS(1300),
    [anon_sym_GT_GT] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1300),
    [anon_sym_COLON] = ACTIONS(1300),
    [anon_sym_or] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_else] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_not] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_async] = ACTIONS(1300),
  },
  [811] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_is] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_RBRACK] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [sym_type_conversion] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_EQ] = ACTIONS(1363),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_RPAREN] = ACTIONS(1361),
    [anon_sym_and] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_COLON] = ACTIONS(1361),
    [anon_sym_or] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_else] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_not] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1361),
    [anon_sym_async] = ACTIONS(1361),
  },
  [812] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_is] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_RBRACK] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [sym_type_conversion] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1365),
    [anon_sym_GT_GT] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [anon_sym_else] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(1365),
    [anon_sym_not] = ACTIONS(1365),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_DOT] = ACTIONS(1365),
    [anon_sym_async] = ACTIONS(1365),
  },
  [813] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_is] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_RBRACK] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [sym_type_conversion] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_EQ] = ACTIONS(1371),
    [anon_sym_LT_GT] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_RPAREN] = ACTIONS(1369),
    [anon_sym_and] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1369),
    [anon_sym_or] = ACTIONS(1369),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1369),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_else] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1369),
    [anon_sym_not] = ACTIONS(1369),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_DOT] = ACTIONS(1369),
    [anon_sym_async] = ACTIONS(1369),
  },
  [814] = {
    [sym_integer] = ACTIONS(1846),
    [anon_sym_yield] = ACTIONS(1846),
    [anon_sym_from] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [sym_none] = ACTIONS(1846),
    [anon_sym_with] = ACTIONS(1846),
    [anon_sym_pass] = ACTIONS(1846),
    [sym_float] = ACTIONS(1377),
    [anon_sym_lambda] = ACTIONS(1846),
    [anon_sym_print] = ACTIONS(1846),
    [sym_ellipsis] = ACTIONS(1377),
    [anon_sym_await] = ACTIONS(1846),
    [anon_sym_def] = ACTIONS(1846),
    [anon_sym_break] = ACTIONS(1846),
    [sym_identifier] = ACTIONS(1846),
    [sym__dedent] = ACTIONS(1377),
    [anon_sym_global] = ACTIONS(1846),
    [anon_sym_exec] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1846),
    [anon_sym_continue] = ACTIONS(1846),
    [sym_true] = ACTIONS(1846),
    [sym__string_start] = ACTIONS(1377),
    [anon_sym_nonlocal] = ACTIONS(1846),
    [anon_sym_class] = ACTIONS(1846),
    [anon_sym_assert] = ACTIONS(1846),
    [anon_sym_return] = ACTIONS(1846),
    [anon_sym_if] = ACTIONS(1846),
    [anon_sym_elif] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1377),
    [anon_sym_AT] = ACTIONS(1377),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_del] = ACTIONS(1846),
    [anon_sym_import] = ACTIONS(1846),
    [anon_sym_while] = ACTIONS(1846),
    [anon_sym_except] = ACTIONS(1846),
    [anon_sym_else] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1377),
    [anon_sym_not] = ACTIONS(1846),
    [anon_sym_raise] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_try] = ACTIONS(1846),
    [sym_false] = ACTIONS(1846),
    [anon_sym_finally] = ACTIONS(1846),
    [anon_sym_async] = ACTIONS(1846),
  },
  [815] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1406),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_RBRACK] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [sym_type_conversion] = ACTIONS(1404),
    [anon_sym_STAR_STAR] = ACTIONS(1404),
    [anon_sym_EQ] = ACTIONS(1406),
    [anon_sym_LT_GT] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_RPAREN] = ACTIONS(1404),
    [anon_sym_and] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_or] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_else] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_not] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_async] = ACTIONS(1404),
  },
  [816] = {
    [sym__newline] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_SLASH_SLASH] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_is] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_from] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_EQ] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [sym__semicolon] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1421),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [817] = {
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_RPAREN] = ACTIONS(1432),
    [anon_sym_else] = ACTIONS(1432),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [sym_type_conversion] = ACTIONS(1432),
    [anon_sym_EQ] = ACTIONS(1432),
    [anon_sym_COMMA] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_async] = ACTIONS(1432),
  },
  [818] = {
    [anon_sym_SLASH_SLASH] = ACTIONS(1539),
    [anon_sym_GT] = ACTIONS(1541),
    [anon_sym_is] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1541),
    [anon_sym_RBRACK] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [sym_type_conversion] = ACTIONS(1539),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_EQ] = ACTIONS(1541),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_EQ_EQ] = ACTIONS(1539),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [anon_sym_and] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(1539),
    [anon_sym_COLON] = ACTIONS(1539),
    [anon_sym_or] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1539),
    [anon_sym_if] = ACTIONS(1539),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_else] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_not] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_async] = ACTIONS(1539),
  },
  [819] = {
    [sym__newline] = ACTIONS(1543),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_SLASH_SLASH] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_is] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_from] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1543),
    [anon_sym_if] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_EQ] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_LT_GT] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [sym__semicolon] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_not] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
  },
  [820] = {
    [sym_attribute] = STATE(829),
    [sym_dictionary_comprehension] = STATE(829),
    [sym_generator_expression] = STATE(829),
    [sym_binary_operator] = STATE(829),
    [sym_unary_operator] = STATE(829),
    [sym_call] = STATE(829),
    [sym_list_comprehension] = STATE(829),
    [sym_dictionary] = STATE(829),
    [sym_parenthesized_expression] = STATE(829),
    [sym_tuple] = STATE(829),
    [sym_concatenated_string] = STATE(829),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(829),
    [sym_list] = STATE(829),
    [sym_set] = STATE(829),
    [sym_set_comprehension] = STATE(829),
    [sym__primary_expression] = STATE(829),
    [sym_integer] = ACTIONS(1922),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1924),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1922),
    [sym_identifier] = ACTIONS(1922),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1922),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1924),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1922),
    [sym__string_start] = ACTIONS(181),
  },
  [821] = {
    [sym_lambda] = STATE(745),
    [sym_conditional_expression] = STATE(745),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(745),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(745),
    [sym_boolean_operator] = STATE(745),
    [sym_await] = STATE(745),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(745),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(745),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [822] = {
    [anon_sym_COLON] = ACTIONS(213),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [anon_sym_COLON_EQ] = ACTIONS(1926),
    [sym_comment] = ACTIONS(3),
  },
  [823] = {
    [sym_lambda] = STATE(747),
    [sym_conditional_expression] = STATE(747),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(747),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(747),
    [sym_boolean_operator] = STATE(747),
    [sym_await] = STATE(747),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(747),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(747),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [824] = {
    [sym_argument_list] = STATE(843),
    [aux_sym_comparison_operator_repeat1] = STATE(844),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(265),
    [anon_sym_or] = ACTIONS(265),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_is] = ACTIONS(1932),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [anon_sym_CARET] = ACTIONS(1946),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(265),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(1948),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_DOT] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(265),
    [sym_comment] = ACTIONS(3),
  },
  [825] = {
    [sym_string] = STATE(845),
    [aux_sym_concatenated_string_repeat1] = STATE(845),
    [anon_sym_COLON] = ACTIONS(215),
    [anon_sym_or] = ACTIONS(215),
    [anon_sym_SLASH_SLASH] = ACTIONS(215),
    [anon_sym_GT] = ACTIONS(213),
    [anon_sym_is] = ACTIONS(215),
    [anon_sym_AMP] = ACTIONS(215),
    [anon_sym_LT_EQ] = ACTIONS(215),
    [anon_sym_STAR] = ACTIONS(213),
    [anon_sym_as] = ACTIONS(215),
    [anon_sym_LPAREN] = ACTIONS(215),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_if] = ACTIONS(215),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_STAR_STAR] = ACTIONS(215),
    [anon_sym_SLASH] = ACTIONS(213),
    [anon_sym_AT] = ACTIONS(215),
    [anon_sym_LT_GT] = ACTIONS(215),
    [anon_sym_BANG_EQ] = ACTIONS(215),
    [anon_sym_CARET] = ACTIONS(215),
    [anon_sym_EQ_EQ] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(215),
    [anon_sym_and] = ACTIONS(215),
    [anon_sym_PERCENT] = ACTIONS(215),
    [anon_sym_not] = ACTIONS(215),
    [anon_sym_GT_EQ] = ACTIONS(215),
    [anon_sym_LT_LT] = ACTIONS(215),
    [anon_sym_PIPE] = ACTIONS(215),
    [anon_sym_LT] = ACTIONS(213),
    [anon_sym_GT_GT] = ACTIONS(215),
    [anon_sym_LBRACK] = ACTIONS(215),
    [anon_sym_DOT] = ACTIONS(215),
    [anon_sym_COMMA] = ACTIONS(215),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(181),
  },
  [826] = {
    [anon_sym_COLON] = ACTIONS(323),
    [anon_sym_or] = ACTIONS(323),
    [anon_sym_SLASH_SLASH] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(325),
    [anon_sym_is] = ACTIONS(323),
    [anon_sym_AMP] = ACTIONS(323),
    [anon_sym_LT_EQ] = ACTIONS(323),
    [anon_sym_STAR] = ACTIONS(325),
    [anon_sym_as] = ACTIONS(323),
    [anon_sym_LPAREN] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(323),
    [anon_sym_if] = ACTIONS(323),
    [anon_sym_PLUS] = ACTIONS(323),
    [anon_sym_STAR_STAR] = ACTIONS(323),
    [anon_sym_SLASH] = ACTIONS(325),
    [anon_sym_AT] = ACTIONS(323),
    [anon_sym_LT_GT] = ACTIONS(323),
    [anon_sym_BANG_EQ] = ACTIONS(323),
    [anon_sym_CARET] = ACTIONS(323),
    [anon_sym_EQ_EQ] = ACTIONS(323),
    [anon_sym_DASH] = ACTIONS(323),
    [anon_sym_and] = ACTIONS(323),
    [anon_sym_PERCENT] = ACTIONS(323),
    [anon_sym_not] = ACTIONS(323),
    [anon_sym_GT_EQ] = ACTIONS(323),
    [anon_sym_LT_LT] = ACTIONS(323),
    [anon_sym_PIPE] = ACTIONS(323),
    [anon_sym_LT] = ACTIONS(325),
    [anon_sym_GT_GT] = ACTIONS(323),
    [anon_sym_LBRACK] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(323),
    [anon_sym_COMMA] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(323),
  },
  [827] = {
    [anon_sym_COLON] = ACTIONS(203),
    [anon_sym_or] = ACTIONS(203),
    [anon_sym_SLASH_SLASH] = ACTIONS(205),
    [sym__newline] = ACTIONS(203),
    [anon_sym_GT] = ACTIONS(205),
    [anon_sym_DASH_EQ] = ACTIONS(203),
    [anon_sym_is] = ACTIONS(203),
    [anon_sym_AMP] = ACTIONS(205),
    [anon_sym_LT_EQ] = ACTIONS(203),
    [anon_sym_STAR] = ACTIONS(205),
    [anon_sym_AMP_EQ] = ACTIONS(203),
    [anon_sym_AT_EQ] = ACTIONS(203),
    [anon_sym_LT_LT_EQ] = ACTIONS(203),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_in] = ACTIONS(203),
    [anon_sym_PERCENT_EQ] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_STAR_STAR] = ACTIONS(205),
    [anon_sym_SLASH] = ACTIONS(205),
    [anon_sym_EQ] = ACTIONS(205),
    [anon_sym_AT] = ACTIONS(205),
    [anon_sym_LT_GT] = ACTIONS(203),
    [anon_sym_BANG_EQ] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(205),
    [anon_sym_EQ_EQ] = ACTIONS(203),
    [anon_sym_CARET_EQ] = ACTIONS(203),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(203),
    [anon_sym_STAR_EQ] = ACTIONS(203),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(203),
    [sym__semicolon] = ACTIONS(203),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_and] = ACTIONS(203),
    [anon_sym_PERCENT] = ACTIONS(205),
    [anon_sym_not] = ACTIONS(203),
    [anon_sym_GT_EQ] = ACTIONS(203),
    [anon_sym_PLUS_EQ] = ACTIONS(203),
    [anon_sym_LT_LT] = ACTIONS(205),
    [anon_sym_PIPE] = ACTIONS(205),
    [anon_sym_LT] = ACTIONS(205),
    [anon_sym_GT_GT] = ACTIONS(205),
    [anon_sym_PIPE_EQ] = ACTIONS(203),
    [anon_sym_LBRACK] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(203),
    [anon_sym_COMMA] = ACTIONS(203),
    [anon_sym_SLASH_EQ] = ACTIONS(203),
    [anon_sym_GT_GT_EQ] = ACTIONS(203),
    [sym_comment] = ACTIONS(3),
  },
  [828] = {
    [anon_sym_COLON] = ACTIONS(369),
    [anon_sym_or] = ACTIONS(369),
    [anon_sym_SLASH_SLASH] = ACTIONS(369),
    [anon_sym_GT] = ACTIONS(371),
    [anon_sym_is] = ACTIONS(369),
    [anon_sym_AMP] = ACTIONS(369),
    [anon_sym_LT_EQ] = ACTIONS(369),
    [anon_sym_STAR] = ACTIONS(371),
    [anon_sym_as] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(369),
    [anon_sym_in] = ACTIONS(369),
    [anon_sym_if] = ACTIONS(369),
    [anon_sym_PLUS] = ACTIONS(369),
    [anon_sym_STAR_STAR] = ACTIONS(369),
    [anon_sym_SLASH] = ACTIONS(371),
    [anon_sym_AT] = ACTIONS(369),
    [anon_sym_LT_GT] = ACTIONS(369),
    [anon_sym_BANG_EQ] = ACTIONS(369),
    [anon_sym_CARET] = ACTIONS(369),
    [anon_sym_EQ_EQ] = ACTIONS(369),
    [anon_sym_DASH] = ACTIONS(369),
    [anon_sym_and] = ACTIONS(369),
    [anon_sym_PERCENT] = ACTIONS(369),
    [anon_sym_not] = ACTIONS(369),
    [anon_sym_GT_EQ] = ACTIONS(369),
    [anon_sym_LT_LT] = ACTIONS(369),
    [anon_sym_PIPE] = ACTIONS(369),
    [anon_sym_LT] = ACTIONS(371),
    [anon_sym_GT_GT] = ACTIONS(369),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(369),
    [anon_sym_COMMA] = ACTIONS(369),
    [sym_comment] = ACTIONS(3),
  },
  [829] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(405),
    [anon_sym_or] = ACTIONS(405),
    [anon_sym_SLASH_SLASH] = ACTIONS(405),
    [anon_sym_GT] = ACTIONS(407),
    [anon_sym_is] = ACTIONS(405),
    [anon_sym_AMP] = ACTIONS(405),
    [anon_sym_LT_EQ] = ACTIONS(405),
    [anon_sym_STAR] = ACTIONS(407),
    [anon_sym_as] = ACTIONS(405),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(405),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_PLUS] = ACTIONS(405),
    [anon_sym_STAR_STAR] = ACTIONS(405),
    [anon_sym_SLASH] = ACTIONS(407),
    [anon_sym_AT] = ACTIONS(405),
    [anon_sym_LT_GT] = ACTIONS(405),
    [anon_sym_BANG_EQ] = ACTIONS(405),
    [anon_sym_CARET] = ACTIONS(405),
    [anon_sym_EQ_EQ] = ACTIONS(405),
    [anon_sym_DASH] = ACTIONS(405),
    [anon_sym_and] = ACTIONS(405),
    [anon_sym_PERCENT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(405),
    [anon_sym_GT_EQ] = ACTIONS(405),
    [anon_sym_LT_LT] = ACTIONS(405),
    [anon_sym_PIPE] = ACTIONS(405),
    [anon_sym_LT] = ACTIONS(407),
    [anon_sym_GT_GT] = ACTIONS(405),
    [anon_sym_LBRACK] = ACTIONS(405),
    [anon_sym_DOT] = ACTIONS(405),
    [anon_sym_COMMA] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
  },
  [830] = {
    [sym_lambda] = STATE(851),
    [sym_conditional_expression] = STATE(851),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(851),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(851),
    [sym_boolean_operator] = STATE(851),
    [sym_await] = STATE(851),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(851),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(851),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [831] = {
    [sym_lambda] = STATE(853),
    [sym_conditional_expression] = STATE(853),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(853),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(853),
    [sym_boolean_operator] = STATE(853),
    [sym_await] = STATE(853),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(853),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(853),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [832] = {
    [anon_sym_COLON] = ACTIONS(473),
    [anon_sym_or] = ACTIONS(473),
    [anon_sym_SLASH_SLASH] = ACTIONS(473),
    [anon_sym_GT] = ACTIONS(475),
    [anon_sym_is] = ACTIONS(473),
    [anon_sym_AMP] = ACTIONS(473),
    [anon_sym_LT_EQ] = ACTIONS(473),
    [anon_sym_STAR] = ACTIONS(475),
    [anon_sym_as] = ACTIONS(473),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_in] = ACTIONS(473),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_PLUS] = ACTIONS(473),
    [anon_sym_STAR_STAR] = ACTIONS(473),
    [anon_sym_SLASH] = ACTIONS(475),
    [anon_sym_AT] = ACTIONS(473),
    [anon_sym_LT_GT] = ACTIONS(473),
    [anon_sym_BANG_EQ] = ACTIONS(473),
    [anon_sym_CARET] = ACTIONS(473),
    [anon_sym_EQ_EQ] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(473),
    [anon_sym_PERCENT] = ACTIONS(473),
    [anon_sym_not] = ACTIONS(473),
    [anon_sym_GT_EQ] = ACTIONS(473),
    [anon_sym_LT_LT] = ACTIONS(473),
    [anon_sym_PIPE] = ACTIONS(473),
    [anon_sym_LT] = ACTIONS(475),
    [anon_sym_GT_GT] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_DOT] = ACTIONS(473),
    [anon_sym_COMMA] = ACTIONS(473),
    [sym_comment] = ACTIONS(3),
  },
  [833] = {
    [anon_sym_COLON] = ACTIONS(481),
    [anon_sym_or] = ACTIONS(481),
    [anon_sym_SLASH_SLASH] = ACTIONS(481),
    [anon_sym_GT] = ACTIONS(483),
    [anon_sym_is] = ACTIONS(481),
    [anon_sym_AMP] = ACTIONS(481),
    [anon_sym_LT_EQ] = ACTIONS(481),
    [anon_sym_STAR] = ACTIONS(483),
    [anon_sym_as] = ACTIONS(481),
    [anon_sym_LPAREN] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(481),
    [anon_sym_if] = ACTIONS(481),
    [anon_sym_PLUS] = ACTIONS(481),
    [anon_sym_STAR_STAR] = ACTIONS(481),
    [anon_sym_SLASH] = ACTIONS(483),
    [anon_sym_AT] = ACTIONS(481),
    [anon_sym_LT_GT] = ACTIONS(481),
    [anon_sym_BANG_EQ] = ACTIONS(481),
    [anon_sym_CARET] = ACTIONS(481),
    [anon_sym_EQ_EQ] = ACTIONS(481),
    [anon_sym_DASH] = ACTIONS(481),
    [anon_sym_and] = ACTIONS(481),
    [anon_sym_PERCENT] = ACTIONS(481),
    [anon_sym_not] = ACTIONS(481),
    [anon_sym_GT_EQ] = ACTIONS(481),
    [anon_sym_LT_LT] = ACTIONS(481),
    [anon_sym_PIPE] = ACTIONS(481),
    [anon_sym_LT] = ACTIONS(483),
    [anon_sym_GT_GT] = ACTIONS(481),
    [anon_sym_LBRACK] = ACTIONS(481),
    [anon_sym_DOT] = ACTIONS(481),
    [anon_sym_COMMA] = ACTIONS(481),
    [sym_comment] = ACTIONS(3),
  },
  [834] = {
    [sym_attribute] = STATE(857),
    [sym_dictionary_comprehension] = STATE(857),
    [sym_generator_expression] = STATE(857),
    [sym_binary_operator] = STATE(857),
    [sym_unary_operator] = STATE(857),
    [sym_call] = STATE(857),
    [sym_list_comprehension] = STATE(857),
    [sym_dictionary] = STATE(857),
    [sym_parenthesized_expression] = STATE(857),
    [sym_tuple] = STATE(857),
    [sym_concatenated_string] = STATE(857),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(857),
    [sym_list] = STATE(857),
    [sym_set] = STATE(857),
    [sym_set_comprehension] = STATE(857),
    [sym__primary_expression] = STATE(857),
    [sym_integer] = ACTIONS(1958),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1960),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1958),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1958),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1958),
    [sym__string_start] = ACTIONS(181),
  },
  [835] = {
    [sym_attribute] = STATE(858),
    [sym_dictionary_comprehension] = STATE(858),
    [sym_generator_expression] = STATE(858),
    [sym_binary_operator] = STATE(858),
    [sym_unary_operator] = STATE(858),
    [sym_call] = STATE(858),
    [sym_list_comprehension] = STATE(858),
    [sym_dictionary] = STATE(858),
    [sym_parenthesized_expression] = STATE(858),
    [sym_tuple] = STATE(858),
    [sym_concatenated_string] = STATE(858),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(858),
    [sym_list] = STATE(858),
    [sym_set] = STATE(858),
    [sym_set_comprehension] = STATE(858),
    [sym__primary_expression] = STATE(858),
    [sym_integer] = ACTIONS(1962),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1962),
    [sym__string_start] = ACTIONS(181),
  },
  [836] = {
    [sym_attribute] = STATE(858),
    [sym_dictionary_comprehension] = STATE(858),
    [sym_generator_expression] = STATE(858),
    [sym_binary_operator] = STATE(858),
    [sym_unary_operator] = STATE(858),
    [sym_call] = STATE(858),
    [sym_list_comprehension] = STATE(858),
    [sym_dictionary] = STATE(858),
    [sym_parenthesized_expression] = STATE(858),
    [sym_tuple] = STATE(858),
    [sym_concatenated_string] = STATE(858),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(858),
    [sym_list] = STATE(858),
    [sym_set] = STATE(858),
    [sym_set_comprehension] = STATE(858),
    [sym__primary_expression] = STATE(858),
    [sym_integer] = ACTIONS(1962),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1964),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(1966),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1962),
    [sym__string_start] = ACTIONS(181),
  },
  [837] = {
    [sym_attribute] = STATE(860),
    [sym_dictionary_comprehension] = STATE(860),
    [sym_generator_expression] = STATE(860),
    [sym_binary_operator] = STATE(860),
    [sym_unary_operator] = STATE(860),
    [sym_call] = STATE(860),
    [sym_list_comprehension] = STATE(860),
    [sym_dictionary] = STATE(860),
    [sym_parenthesized_expression] = STATE(860),
    [sym_tuple] = STATE(860),
    [sym_concatenated_string] = STATE(860),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(860),
    [sym_list] = STATE(860),
    [sym_set] = STATE(860),
    [sym_set_comprehension] = STATE(860),
    [sym__primary_expression] = STATE(860),
    [sym_integer] = ACTIONS(1968),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1970),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1968),
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1968),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1970),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1968),
    [sym__string_start] = ACTIONS(181),
  },
  [838] = {
    [sym_attribute] = STATE(861),
    [sym_dictionary_comprehension] = STATE(861),
    [sym_generator_expression] = STATE(861),
    [sym_binary_operator] = STATE(861),
    [sym_unary_operator] = STATE(861),
    [sym_call] = STATE(861),
    [sym_list_comprehension] = STATE(861),
    [sym_dictionary] = STATE(861),
    [sym_parenthesized_expression] = STATE(861),
    [sym_tuple] = STATE(861),
    [sym_concatenated_string] = STATE(861),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(861),
    [sym_list] = STATE(861),
    [sym_set] = STATE(861),
    [sym_set_comprehension] = STATE(861),
    [sym__primary_expression] = STATE(861),
    [sym_integer] = ACTIONS(1972),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1974),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1972),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1972),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1974),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1972),
    [sym__string_start] = ACTIONS(181),
  },
  [839] = {
    [sym_attribute] = STATE(863),
    [sym_dictionary_comprehension] = STATE(863),
    [sym_generator_expression] = STATE(863),
    [sym_binary_operator] = STATE(863),
    [sym_unary_operator] = STATE(863),
    [sym_call] = STATE(863),
    [sym_list_comprehension] = STATE(863),
    [sym_dictionary] = STATE(863),
    [sym_parenthesized_expression] = STATE(863),
    [sym_tuple] = STATE(863),
    [sym_concatenated_string] = STATE(863),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(863),
    [sym_list] = STATE(863),
    [sym_set] = STATE(863),
    [sym_set_comprehension] = STATE(863),
    [sym__primary_expression] = STATE(863),
    [sym_integer] = ACTIONS(1976),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1978),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1976),
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1976),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1978),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1976),
    [sym__string_start] = ACTIONS(181),
  },
  [840] = {
    [sym_attribute] = STATE(864),
    [sym_dictionary_comprehension] = STATE(864),
    [sym_generator_expression] = STATE(864),
    [sym_binary_operator] = STATE(864),
    [sym_unary_operator] = STATE(864),
    [sym_call] = STATE(864),
    [sym_list_comprehension] = STATE(864),
    [sym_dictionary] = STATE(864),
    [sym_parenthesized_expression] = STATE(864),
    [sym_tuple] = STATE(864),
    [sym_concatenated_string] = STATE(864),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(864),
    [sym_list] = STATE(864),
    [sym_set] = STATE(864),
    [sym_set_comprehension] = STATE(864),
    [sym__primary_expression] = STATE(864),
    [sym_integer] = ACTIONS(1980),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1982),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1980),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1980),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1982),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1980),
    [sym__string_start] = ACTIONS(181),
  },
  [841] = {
    [sym_attribute] = STATE(865),
    [sym_dictionary_comprehension] = STATE(865),
    [sym_generator_expression] = STATE(865),
    [sym_binary_operator] = STATE(865),
    [sym_unary_operator] = STATE(865),
    [sym_call] = STATE(865),
    [sym_list_comprehension] = STATE(865),
    [sym_dictionary] = STATE(865),
    [sym_parenthesized_expression] = STATE(865),
    [sym_tuple] = STATE(865),
    [sym_concatenated_string] = STATE(865),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(865),
    [sym_list] = STATE(865),
    [sym_set] = STATE(865),
    [sym_set_comprehension] = STATE(865),
    [sym__primary_expression] = STATE(865),
    [sym_integer] = ACTIONS(1984),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1986),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1984),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1984),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1986),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1984),
    [sym__string_start] = ACTIONS(181),
  },
  [842] = {
    [sym_attribute] = STATE(867),
    [sym_dictionary_comprehension] = STATE(867),
    [sym_generator_expression] = STATE(867),
    [sym_binary_operator] = STATE(867),
    [sym_unary_operator] = STATE(867),
    [sym_call] = STATE(867),
    [sym_list_comprehension] = STATE(867),
    [sym_dictionary] = STATE(867),
    [sym_parenthesized_expression] = STATE(867),
    [sym_tuple] = STATE(867),
    [sym_concatenated_string] = STATE(867),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(867),
    [sym_list] = STATE(867),
    [sym_set] = STATE(867),
    [sym_set_comprehension] = STATE(867),
    [sym__primary_expression] = STATE(867),
    [sym_integer] = ACTIONS(1988),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1990),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1988),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1988),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1990),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1988),
    [sym__string_start] = ACTIONS(181),
  },
  [843] = {
    [anon_sym_COLON] = ACTIONS(581),
    [anon_sym_or] = ACTIONS(581),
    [anon_sym_SLASH_SLASH] = ACTIONS(581),
    [anon_sym_GT] = ACTIONS(583),
    [anon_sym_is] = ACTIONS(581),
    [anon_sym_AMP] = ACTIONS(581),
    [anon_sym_LT_EQ] = ACTIONS(581),
    [anon_sym_STAR] = ACTIONS(583),
    [anon_sym_as] = ACTIONS(581),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_in] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(581),
    [anon_sym_PLUS] = ACTIONS(581),
    [anon_sym_STAR_STAR] = ACTIONS(581),
    [anon_sym_SLASH] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(581),
    [anon_sym_LT_GT] = ACTIONS(581),
    [anon_sym_BANG_EQ] = ACTIONS(581),
    [anon_sym_CARET] = ACTIONS(581),
    [anon_sym_EQ_EQ] = ACTIONS(581),
    [anon_sym_DASH] = ACTIONS(581),
    [anon_sym_and] = ACTIONS(581),
    [anon_sym_PERCENT] = ACTIONS(581),
    [anon_sym_not] = ACTIONS(581),
    [anon_sym_GT_EQ] = ACTIONS(581),
    [anon_sym_LT_LT] = ACTIONS(581),
    [anon_sym_PIPE] = ACTIONS(581),
    [anon_sym_LT] = ACTIONS(583),
    [anon_sym_GT_GT] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_DOT] = ACTIONS(581),
    [anon_sym_COMMA] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [aux_sym_comparison_operator_repeat1] = STATE(868),
    [anon_sym_COLON] = ACTIONS(585),
    [anon_sym_or] = ACTIONS(585),
    [anon_sym_GT] = ACTIONS(1930),
    [anon_sym_is] = ACTIONS(1932),
    [anon_sym_LT_EQ] = ACTIONS(1936),
    [anon_sym_and] = ACTIONS(585),
    [anon_sym_as] = ACTIONS(585),
    [anon_sym_not] = ACTIONS(1948),
    [anon_sym_in] = ACTIONS(1936),
    [anon_sym_GT_EQ] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_COMMA] = ACTIONS(585),
    [anon_sym_LT_GT] = ACTIONS(1936),
    [anon_sym_BANG_EQ] = ACTIONS(1936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(1936),
  },
  [845] = {
    [sym_string] = STATE(869),
    [aux_sym_concatenated_string_repeat1] = STATE(869),
    [anon_sym_COLON] = ACTIONS(589),
    [anon_sym_or] = ACTIONS(589),
    [anon_sym_SLASH_SLASH] = ACTIONS(589),
    [anon_sym_GT] = ACTIONS(591),
    [anon_sym_is] = ACTIONS(589),
    [anon_sym_AMP] = ACTIONS(589),
    [anon_sym_LT_EQ] = ACTIONS(589),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_as] = ACTIONS(589),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_in] = ACTIONS(589),
    [anon_sym_if] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(589),
    [anon_sym_STAR_STAR] = ACTIONS(589),
    [anon_sym_SLASH] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(589),
    [anon_sym_LT_GT] = ACTIONS(589),
    [anon_sym_BANG_EQ] = ACTIONS(589),
    [anon_sym_CARET] = ACTIONS(589),
    [anon_sym_EQ_EQ] = ACTIONS(589),
    [anon_sym_DASH] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(589),
    [anon_sym_PERCENT] = ACTIONS(589),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_GT_EQ] = ACTIONS(589),
    [anon_sym_LT_LT] = ACTIONS(589),
    [anon_sym_PIPE] = ACTIONS(589),
    [anon_sym_LT] = ACTIONS(591),
    [anon_sym_GT_GT] = ACTIONS(589),
    [anon_sym_LBRACK] = ACTIONS(589),
    [anon_sym_DOT] = ACTIONS(589),
    [anon_sym_COMMA] = ACTIONS(589),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(181),
  },
  [846] = {
    [sym_lambda] = STATE(870),
    [sym_conditional_expression] = STATE(870),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(870),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(870),
    [sym_boolean_operator] = STATE(870),
    [sym_await] = STATE(870),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(870),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(870),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [847] = {
    [sym_lambda] = STATE(792),
    [sym_conditional_expression] = STATE(792),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(792),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(792),
    [sym_boolean_operator] = STATE(792),
    [sym_await] = STATE(792),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(792),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(792),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [848] = {
    [anon_sym_COLON] = ACTIONS(724),
    [anon_sym_or] = ACTIONS(724),
    [anon_sym_SLASH_SLASH] = ACTIONS(724),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_is] = ACTIONS(724),
    [anon_sym_AMP] = ACTIONS(724),
    [anon_sym_LT_EQ] = ACTIONS(724),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_as] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(724),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_STAR_STAR] = ACTIONS(724),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_LT_GT] = ACTIONS(724),
    [anon_sym_BANG_EQ] = ACTIONS(724),
    [anon_sym_CARET] = ACTIONS(724),
    [anon_sym_EQ_EQ] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_and] = ACTIONS(724),
    [anon_sym_PERCENT] = ACTIONS(724),
    [anon_sym_not] = ACTIONS(724),
    [anon_sym_GT_EQ] = ACTIONS(724),
    [anon_sym_LT_LT] = ACTIONS(724),
    [anon_sym_PIPE] = ACTIONS(724),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(724),
    [anon_sym_LBRACK] = ACTIONS(724),
    [anon_sym_DOT] = ACTIONS(724),
    [anon_sym_COMMA] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(724),
  },
  [849] = {
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_or] = ACTIONS(771),
    [anon_sym_SLASH_SLASH] = ACTIONS(771),
    [anon_sym_GT] = ACTIONS(773),
    [anon_sym_is] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(771),
    [anon_sym_LT_EQ] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_as] = ACTIONS(771),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_in] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_STAR_STAR] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(771),
    [anon_sym_LT_GT] = ACTIONS(771),
    [anon_sym_BANG_EQ] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_and] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(771),
    [anon_sym_not] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(771),
    [anon_sym_LT_LT] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_COMMA] = ACTIONS(771),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_or] = ACTIONS(775),
    [anon_sym_SLASH_SLASH] = ACTIONS(775),
    [anon_sym_GT] = ACTIONS(777),
    [anon_sym_is] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_LT_EQ] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(777),
    [anon_sym_as] = ACTIONS(775),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_STAR_STAR] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(775),
    [anon_sym_LT_GT] = ACTIONS(775),
    [anon_sym_BANG_EQ] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_and] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_not] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(775),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(777),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_LBRACK] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_COMMA] = ACTIONS(775),
    [sym_comment] = ACTIONS(3),
  },
  [851] = {
    [anon_sym_COLON] = ACTIONS(817),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(817),
  },
  [852] = {
    [sym_lambda] = STATE(873),
    [sym_conditional_expression] = STATE(873),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(873),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(873),
    [sym_boolean_operator] = STATE(873),
    [sym_await] = STATE(873),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(873),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(873),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [853] = {
    [anon_sym_COLON] = ACTIONS(853),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(853),
  },
  [854] = {
    [anon_sym_COLON] = ACTIONS(859),
    [anon_sym_or] = ACTIONS(859),
    [anon_sym_SLASH_SLASH] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(861),
    [anon_sym_is] = ACTIONS(859),
    [anon_sym_AMP] = ACTIONS(859),
    [anon_sym_LT_EQ] = ACTIONS(859),
    [anon_sym_STAR] = ACTIONS(861),
    [anon_sym_as] = ACTIONS(859),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_in] = ACTIONS(859),
    [anon_sym_if] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(859),
    [anon_sym_STAR_STAR] = ACTIONS(859),
    [anon_sym_SLASH] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(859),
    [anon_sym_LT_GT] = ACTIONS(859),
    [anon_sym_BANG_EQ] = ACTIONS(859),
    [anon_sym_CARET] = ACTIONS(859),
    [anon_sym_EQ_EQ] = ACTIONS(859),
    [anon_sym_DASH] = ACTIONS(859),
    [anon_sym_and] = ACTIONS(859),
    [anon_sym_PERCENT] = ACTIONS(859),
    [anon_sym_not] = ACTIONS(859),
    [anon_sym_GT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT] = ACTIONS(859),
    [anon_sym_PIPE] = ACTIONS(859),
    [anon_sym_LT] = ACTIONS(861),
    [anon_sym_GT_GT] = ACTIONS(859),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_DOT] = ACTIONS(859),
    [anon_sym_COMMA] = ACTIONS(859),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [anon_sym_COLON] = ACTIONS(869),
    [anon_sym_or] = ACTIONS(869),
    [anon_sym_SLASH_SLASH] = ACTIONS(869),
    [anon_sym_GT] = ACTIONS(871),
    [anon_sym_is] = ACTIONS(869),
    [anon_sym_AMP] = ACTIONS(869),
    [anon_sym_LT_EQ] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_as] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(869),
    [anon_sym_in] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_STAR_STAR] = ACTIONS(869),
    [anon_sym_SLASH] = ACTIONS(871),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_LT_GT] = ACTIONS(869),
    [anon_sym_BANG_EQ] = ACTIONS(869),
    [anon_sym_CARET] = ACTIONS(869),
    [anon_sym_EQ_EQ] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_and] = ACTIONS(869),
    [anon_sym_PERCENT] = ACTIONS(869),
    [anon_sym_not] = ACTIONS(869),
    [anon_sym_GT_EQ] = ACTIONS(869),
    [anon_sym_LT_LT] = ACTIONS(869),
    [anon_sym_PIPE] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_DOT] = ACTIONS(869),
    [anon_sym_COMMA] = ACTIONS(869),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH_SLASH] = ACTIONS(881),
    [anon_sym_GT] = ACTIONS(883),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_AMP] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(883),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_STAR_STAR] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(883),
    [anon_sym_AT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(881),
    [anon_sym_BANG_EQ] = ACTIONS(881),
    [anon_sym_CARET] = ACTIONS(881),
    [anon_sym_EQ_EQ] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_PERCENT] = ACTIONS(881),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_GT_EQ] = ACTIONS(881),
    [anon_sym_LT_LT] = ACTIONS(881),
    [anon_sym_PIPE] = ACTIONS(881),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_DOT] = ACTIONS(881),
    [anon_sym_COMMA] = ACTIONS(881),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(958),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [858] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(964),
    [anon_sym_is] = ACTIONS(962),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(962),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(962),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(962),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(962),
    [anon_sym_BANG_EQ] = ACTIONS(962),
    [anon_sym_CARET] = ACTIONS(1946),
    [anon_sym_EQ_EQ] = ACTIONS(962),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(962),
    [anon_sym_GT_EQ] = ACTIONS(962),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(964),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_DOT] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(962),
    [sym_comment] = ACTIONS(3),
  },
  [859] = {
    [sym_attribute] = STATE(881),
    [sym_dictionary_comprehension] = STATE(881),
    [sym_generator_expression] = STATE(881),
    [sym_binary_operator] = STATE(881),
    [sym_unary_operator] = STATE(881),
    [sym_call] = STATE(881),
    [sym_list_comprehension] = STATE(881),
    [sym_dictionary] = STATE(881),
    [sym_parenthesized_expression] = STATE(881),
    [sym_tuple] = STATE(881),
    [sym_concatenated_string] = STATE(881),
    [sym_string] = STATE(825),
    [sym_subscript] = STATE(881),
    [sym_list] = STATE(881),
    [sym_set] = STATE(881),
    [sym_set_comprehension] = STATE(881),
    [sym__primary_expression] = STATE(881),
    [sym_integer] = ACTIONS(1992),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(1994),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(1992),
    [sym_identifier] = ACTIONS(1992),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(1992),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(1994),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(1992),
    [sym__string_start] = ACTIONS(181),
  },
  [860] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(1946),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [861] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [862] = {
    [anon_sym_COLON] = ACTIONS(972),
    [anon_sym_or] = ACTIONS(972),
    [anon_sym_SLASH_SLASH] = ACTIONS(972),
    [anon_sym_GT] = ACTIONS(974),
    [anon_sym_is] = ACTIONS(972),
    [anon_sym_AMP] = ACTIONS(972),
    [anon_sym_LT_EQ] = ACTIONS(972),
    [anon_sym_STAR] = ACTIONS(974),
    [anon_sym_as] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(972),
    [anon_sym_in] = ACTIONS(972),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_STAR_STAR] = ACTIONS(972),
    [anon_sym_SLASH] = ACTIONS(974),
    [anon_sym_AT] = ACTIONS(972),
    [anon_sym_LT_GT] = ACTIONS(972),
    [anon_sym_BANG_EQ] = ACTIONS(972),
    [anon_sym_CARET] = ACTIONS(972),
    [anon_sym_EQ_EQ] = ACTIONS(972),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_and] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(972),
    [anon_sym_GT_EQ] = ACTIONS(972),
    [anon_sym_LT_LT] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_GT_GT] = ACTIONS(972),
    [anon_sym_LBRACK] = ACTIONS(972),
    [anon_sym_DOT] = ACTIONS(972),
    [anon_sym_COMMA] = ACTIONS(972),
    [sym_comment] = ACTIONS(3),
  },
  [863] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [864] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(1946),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [865] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(958),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(960),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(958),
    [anon_sym_STAR_STAR] = ACTIONS(958),
    [anon_sym_SLASH] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(958),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(958),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(958),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(958),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(958),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [866] = {
    [anon_sym_COLON] = ACTIONS(984),
    [anon_sym_or] = ACTIONS(984),
    [anon_sym_SLASH_SLASH] = ACTIONS(984),
    [anon_sym_GT] = ACTIONS(986),
    [anon_sym_is] = ACTIONS(984),
    [anon_sym_AMP] = ACTIONS(984),
    [anon_sym_LT_EQ] = ACTIONS(984),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_as] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_in] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_STAR_STAR] = ACTIONS(984),
    [anon_sym_SLASH] = ACTIONS(986),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_LT_GT] = ACTIONS(984),
    [anon_sym_BANG_EQ] = ACTIONS(984),
    [anon_sym_CARET] = ACTIONS(984),
    [anon_sym_EQ_EQ] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_and] = ACTIONS(984),
    [anon_sym_PERCENT] = ACTIONS(984),
    [anon_sym_not] = ACTIONS(984),
    [anon_sym_GT_EQ] = ACTIONS(984),
    [anon_sym_LT_LT] = ACTIONS(984),
    [anon_sym_PIPE] = ACTIONS(984),
    [anon_sym_LT] = ACTIONS(986),
    [anon_sym_GT_GT] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_DOT] = ACTIONS(984),
    [anon_sym_COMMA] = ACTIONS(984),
    [sym_comment] = ACTIONS(3),
  },
  [867] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(958),
    [anon_sym_or] = ACTIONS(958),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(960),
    [anon_sym_is] = ACTIONS(958),
    [anon_sym_AMP] = ACTIONS(958),
    [anon_sym_LT_EQ] = ACTIONS(958),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(958),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(958),
    [anon_sym_if] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(958),
    [anon_sym_BANG_EQ] = ACTIONS(958),
    [anon_sym_CARET] = ACTIONS(958),
    [anon_sym_EQ_EQ] = ACTIONS(958),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(958),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(958),
    [anon_sym_GT_EQ] = ACTIONS(958),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(960),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(958),
    [anon_sym_DOT] = ACTIONS(958),
    [anon_sym_COMMA] = ACTIONS(958),
    [sym_comment] = ACTIONS(3),
  },
  [868] = {
    [aux_sym_comparison_operator_repeat1] = STATE(868),
    [anon_sym_COLON] = ACTIONS(962),
    [anon_sym_or] = ACTIONS(962),
    [anon_sym_GT] = ACTIONS(1996),
    [anon_sym_is] = ACTIONS(1999),
    [anon_sym_LT_EQ] = ACTIONS(2002),
    [anon_sym_and] = ACTIONS(962),
    [anon_sym_as] = ACTIONS(962),
    [anon_sym_not] = ACTIONS(2005),
    [anon_sym_in] = ACTIONS(2002),
    [anon_sym_GT_EQ] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(962),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_COMMA] = ACTIONS(962),
    [anon_sym_LT_GT] = ACTIONS(2002),
    [anon_sym_BANG_EQ] = ACTIONS(2002),
    [sym_comment] = ACTIONS(3),
    [anon_sym_EQ_EQ] = ACTIONS(2002),
  },
  [869] = {
    [sym_string] = STATE(869),
    [aux_sym_concatenated_string_repeat1] = STATE(869),
    [anon_sym_COLON] = ACTIONS(1000),
    [anon_sym_or] = ACTIONS(1000),
    [anon_sym_SLASH_SLASH] = ACTIONS(1000),
    [anon_sym_GT] = ACTIONS(1002),
    [anon_sym_is] = ACTIONS(1000),
    [anon_sym_AMP] = ACTIONS(1000),
    [anon_sym_LT_EQ] = ACTIONS(1000),
    [anon_sym_STAR] = ACTIONS(1002),
    [anon_sym_as] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(1000),
    [anon_sym_in] = ACTIONS(1000),
    [anon_sym_if] = ACTIONS(1000),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_STAR_STAR] = ACTIONS(1000),
    [anon_sym_SLASH] = ACTIONS(1002),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_LT_GT] = ACTIONS(1000),
    [anon_sym_BANG_EQ] = ACTIONS(1000),
    [anon_sym_CARET] = ACTIONS(1000),
    [anon_sym_EQ_EQ] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_and] = ACTIONS(1000),
    [anon_sym_PERCENT] = ACTIONS(1000),
    [anon_sym_not] = ACTIONS(1000),
    [anon_sym_GT_EQ] = ACTIONS(1000),
    [anon_sym_LT_LT] = ACTIONS(1000),
    [anon_sym_PIPE] = ACTIONS(1000),
    [anon_sym_LT] = ACTIONS(1002),
    [anon_sym_GT_GT] = ACTIONS(1000),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [anon_sym_DOT] = ACTIONS(1000),
    [anon_sym_COMMA] = ACTIONS(1000),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(2008),
  },
  [870] = {
    [anon_sym_COLON] = ACTIONS(1007),
    [anon_sym_or] = ACTIONS(1007),
    [anon_sym_COMMA] = ACTIONS(1007),
    [anon_sym_if] = ACTIONS(1007),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1007),
  },
  [871] = {
    [anon_sym_COLON] = ACTIONS(1074),
    [anon_sym_or] = ACTIONS(1074),
    [anon_sym_SLASH_SLASH] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1076),
    [anon_sym_is] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_LT_EQ] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1076),
    [anon_sym_as] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_LT_GT] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_EQ_EQ] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_and] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1074),
    [anon_sym_not] = ACTIONS(1074),
    [anon_sym_GT_EQ] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1076),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_DOT] = ACTIONS(1074),
    [anon_sym_COMMA] = ACTIONS(1074),
    [sym_comment] = ACTIONS(3),
  },
  [872] = {
    [anon_sym_COLON] = ACTIONS(1089),
    [anon_sym_or] = ACTIONS(1089),
    [anon_sym_SLASH_SLASH] = ACTIONS(1089),
    [anon_sym_GT] = ACTIONS(1091),
    [anon_sym_is] = ACTIONS(1089),
    [anon_sym_AMP] = ACTIONS(1089),
    [anon_sym_LT_EQ] = ACTIONS(1089),
    [anon_sym_STAR] = ACTIONS(1091),
    [anon_sym_as] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1089),
    [anon_sym_in] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_STAR_STAR] = ACTIONS(1089),
    [anon_sym_SLASH] = ACTIONS(1091),
    [anon_sym_AT] = ACTIONS(1089),
    [anon_sym_LT_GT] = ACTIONS(1089),
    [anon_sym_BANG_EQ] = ACTIONS(1089),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_EQ_EQ] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_and] = ACTIONS(1089),
    [anon_sym_PERCENT] = ACTIONS(1089),
    [anon_sym_not] = ACTIONS(1089),
    [anon_sym_GT_EQ] = ACTIONS(1089),
    [anon_sym_LT_LT] = ACTIONS(1089),
    [anon_sym_PIPE] = ACTIONS(1089),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_GT_GT] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1089),
    [anon_sym_DOT] = ACTIONS(1089),
    [anon_sym_COMMA] = ACTIONS(1089),
    [sym_comment] = ACTIONS(3),
  },
  [873] = {
    [anon_sym_COLON] = ACTIONS(1137),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1137),
  },
  [874] = {
    [anon_sym_COLON] = ACTIONS(1175),
    [anon_sym_or] = ACTIONS(1175),
    [anon_sym_SLASH_SLASH] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1177),
    [anon_sym_is] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_as] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_STAR_STAR] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_LT_GT] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_and] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_not] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_COMMA] = ACTIONS(1175),
    [sym_comment] = ACTIONS(3),
  },
  [875] = {
    [anon_sym_COLON] = ACTIONS(1186),
    [anon_sym_or] = ACTIONS(1186),
    [anon_sym_SLASH_SLASH] = ACTIONS(1186),
    [anon_sym_GT] = ACTIONS(1188),
    [anon_sym_is] = ACTIONS(1186),
    [anon_sym_AMP] = ACTIONS(1186),
    [anon_sym_LT_EQ] = ACTIONS(1186),
    [anon_sym_STAR] = ACTIONS(1188),
    [anon_sym_as] = ACTIONS(1186),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_in] = ACTIONS(1186),
    [anon_sym_if] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1186),
    [anon_sym_STAR_STAR] = ACTIONS(1186),
    [anon_sym_SLASH] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1186),
    [anon_sym_LT_GT] = ACTIONS(1186),
    [anon_sym_BANG_EQ] = ACTIONS(1186),
    [anon_sym_CARET] = ACTIONS(1186),
    [anon_sym_EQ_EQ] = ACTIONS(1186),
    [anon_sym_DASH] = ACTIONS(1186),
    [anon_sym_and] = ACTIONS(1186),
    [anon_sym_PERCENT] = ACTIONS(1186),
    [anon_sym_not] = ACTIONS(1186),
    [anon_sym_GT_EQ] = ACTIONS(1186),
    [anon_sym_LT_LT] = ACTIONS(1186),
    [anon_sym_PIPE] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1188),
    [anon_sym_GT_GT] = ACTIONS(1186),
    [anon_sym_LBRACK] = ACTIONS(1186),
    [anon_sym_DOT] = ACTIONS(1186),
    [anon_sym_COMMA] = ACTIONS(1186),
    [sym_comment] = ACTIONS(3),
  },
  [876] = {
    [anon_sym_COLON] = ACTIONS(1190),
    [anon_sym_or] = ACTIONS(1190),
    [anon_sym_SLASH_SLASH] = ACTIONS(1190),
    [anon_sym_GT] = ACTIONS(1192),
    [anon_sym_is] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1190),
    [anon_sym_LT_EQ] = ACTIONS(1190),
    [anon_sym_STAR] = ACTIONS(1192),
    [anon_sym_as] = ACTIONS(1190),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_in] = ACTIONS(1190),
    [anon_sym_if] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1190),
    [anon_sym_STAR_STAR] = ACTIONS(1190),
    [anon_sym_SLASH] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1190),
    [anon_sym_LT_GT] = ACTIONS(1190),
    [anon_sym_BANG_EQ] = ACTIONS(1190),
    [anon_sym_CARET] = ACTIONS(1190),
    [anon_sym_EQ_EQ] = ACTIONS(1190),
    [anon_sym_DASH] = ACTIONS(1190),
    [anon_sym_and] = ACTIONS(1190),
    [anon_sym_PERCENT] = ACTIONS(1190),
    [anon_sym_not] = ACTIONS(1190),
    [anon_sym_GT_EQ] = ACTIONS(1190),
    [anon_sym_LT_LT] = ACTIONS(1190),
    [anon_sym_PIPE] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1190),
    [anon_sym_LBRACK] = ACTIONS(1190),
    [anon_sym_DOT] = ACTIONS(1190),
    [anon_sym_COMMA] = ACTIONS(1190),
    [sym_comment] = ACTIONS(3),
  },
  [877] = {
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_or] = ACTIONS(1201),
    [anon_sym_SLASH_SLASH] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1203),
    [anon_sym_is] = ACTIONS(1201),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_LT_EQ] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1203),
    [anon_sym_as] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_STAR_STAR] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(1201),
    [anon_sym_LT_GT] = ACTIONS(1201),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1201),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_and] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1201),
    [anon_sym_not] = ACTIONS(1201),
    [anon_sym_GT_EQ] = ACTIONS(1201),
    [anon_sym_LT_LT] = ACTIONS(1201),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_COMMA] = ACTIONS(1201),
    [sym_comment] = ACTIONS(3),
  },
  [878] = {
    [anon_sym_COLON] = ACTIONS(1205),
    [anon_sym_or] = ACTIONS(1205),
    [anon_sym_SLASH_SLASH] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1207),
    [anon_sym_is] = ACTIONS(1205),
    [anon_sym_AMP] = ACTIONS(1205),
    [anon_sym_LT_EQ] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_as] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1205),
    [anon_sym_in] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_STAR_STAR] = ACTIONS(1205),
    [anon_sym_SLASH] = ACTIONS(1207),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_LT_GT] = ACTIONS(1205),
    [anon_sym_BANG_EQ] = ACTIONS(1205),
    [anon_sym_CARET] = ACTIONS(1205),
    [anon_sym_EQ_EQ] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_and] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1205),
    [anon_sym_not] = ACTIONS(1205),
    [anon_sym_GT_EQ] = ACTIONS(1205),
    [anon_sym_LT_LT] = ACTIONS(1205),
    [anon_sym_PIPE] = ACTIONS(1205),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_GT_GT] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1205),
    [anon_sym_COMMA] = ACTIONS(1205),
    [sym_comment] = ACTIONS(3),
  },
  [879] = {
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_or] = ACTIONS(1213),
    [anon_sym_SLASH_SLASH] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1215),
    [anon_sym_is] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1215),
    [anon_sym_as] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_STAR_STAR] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1215),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_LT_GT] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_and] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_not] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_COMMA] = ACTIONS(1213),
    [sym_comment] = ACTIONS(3),
  },
  [880] = {
    [anon_sym_COLON] = ACTIONS(1250),
    [anon_sym_or] = ACTIONS(1250),
    [anon_sym_SLASH_SLASH] = ACTIONS(1250),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_is] = ACTIONS(1250),
    [anon_sym_AMP] = ACTIONS(1250),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_as] = ACTIONS(1250),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_in] = ACTIONS(1250),
    [anon_sym_if] = ACTIONS(1250),
    [anon_sym_PLUS] = ACTIONS(1250),
    [anon_sym_STAR_STAR] = ACTIONS(1250),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(1250),
    [anon_sym_LT_GT] = ACTIONS(1250),
    [anon_sym_BANG_EQ] = ACTIONS(1250),
    [anon_sym_CARET] = ACTIONS(1250),
    [anon_sym_EQ_EQ] = ACTIONS(1250),
    [anon_sym_DASH] = ACTIONS(1250),
    [anon_sym_and] = ACTIONS(1250),
    [anon_sym_PERCENT] = ACTIONS(1250),
    [anon_sym_not] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1250),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1250),
    [anon_sym_DOT] = ACTIONS(1250),
    [anon_sym_COMMA] = ACTIONS(1250),
    [sym_comment] = ACTIONS(3),
  },
  [881] = {
    [sym_argument_list] = STATE(843),
    [sym_generator_expression] = STATE(843),
    [anon_sym_COLON] = ACTIONS(1258),
    [anon_sym_or] = ACTIONS(1258),
    [anon_sym_SLASH_SLASH] = ACTIONS(1928),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_is] = ACTIONS(1258),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_LT_EQ] = ACTIONS(1258),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_as] = ACTIONS(1258),
    [anon_sym_LPAREN] = ACTIONS(1940),
    [anon_sym_in] = ACTIONS(1258),
    [anon_sym_if] = ACTIONS(1258),
    [anon_sym_PLUS] = ACTIONS(1942),
    [anon_sym_STAR_STAR] = ACTIONS(1944),
    [anon_sym_SLASH] = ACTIONS(1938),
    [anon_sym_AT] = ACTIONS(1928),
    [anon_sym_LT_GT] = ACTIONS(1258),
    [anon_sym_BANG_EQ] = ACTIONS(1258),
    [anon_sym_CARET] = ACTIONS(1946),
    [anon_sym_EQ_EQ] = ACTIONS(1258),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_and] = ACTIONS(1258),
    [anon_sym_PERCENT] = ACTIONS(1928),
    [anon_sym_not] = ACTIONS(1258),
    [anon_sym_GT_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1952),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_GT_GT] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_DOT] = ACTIONS(1956),
    [anon_sym_COMMA] = ACTIONS(1258),
    [sym_comment] = ACTIONS(3),
  },
  [882] = {
    [anon_sym_COLON] = ACTIONS(1262),
    [anon_sym_or] = ACTIONS(1262),
    [anon_sym_SLASH_SLASH] = ACTIONS(1262),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_is] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(1262),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_as] = ACTIONS(1262),
    [anon_sym_LPAREN] = ACTIONS(1262),
    [anon_sym_in] = ACTIONS(1262),
    [anon_sym_if] = ACTIONS(1262),
    [anon_sym_PLUS] = ACTIONS(1262),
    [anon_sym_STAR_STAR] = ACTIONS(1262),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_AT] = ACTIONS(1262),
    [anon_sym_LT_GT] = ACTIONS(1262),
    [anon_sym_BANG_EQ] = ACTIONS(1262),
    [anon_sym_CARET] = ACTIONS(1262),
    [anon_sym_EQ_EQ] = ACTIONS(1262),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_and] = ACTIONS(1262),
    [anon_sym_PERCENT] = ACTIONS(1262),
    [anon_sym_not] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1262),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1262),
    [anon_sym_LBRACK] = ACTIONS(1262),
    [anon_sym_DOT] = ACTIONS(1262),
    [anon_sym_COMMA] = ACTIONS(1262),
    [sym_comment] = ACTIONS(3),
  },
  [883] = {
    [sym_lambda] = STATE(890),
    [sym_conditional_expression] = STATE(890),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(890),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(890),
    [sym_boolean_operator] = STATE(890),
    [sym_await] = STATE(890),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(890),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(890),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [884] = {
    [anon_sym_COLON] = ACTIONS(1300),
    [anon_sym_or] = ACTIONS(1300),
    [anon_sym_SLASH_SLASH] = ACTIONS(1300),
    [anon_sym_GT] = ACTIONS(1302),
    [anon_sym_is] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_LT_EQ] = ACTIONS(1300),
    [anon_sym_STAR] = ACTIONS(1302),
    [anon_sym_as] = ACTIONS(1300),
    [anon_sym_LPAREN] = ACTIONS(1300),
    [anon_sym_in] = ACTIONS(1300),
    [anon_sym_if] = ACTIONS(1300),
    [anon_sym_PLUS] = ACTIONS(1300),
    [anon_sym_STAR_STAR] = ACTIONS(1300),
    [anon_sym_SLASH] = ACTIONS(1302),
    [anon_sym_AT] = ACTIONS(1300),
    [anon_sym_LT_GT] = ACTIONS(1300),
    [anon_sym_BANG_EQ] = ACTIONS(1300),
    [anon_sym_CARET] = ACTIONS(1300),
    [anon_sym_EQ_EQ] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1300),
    [anon_sym_and] = ACTIONS(1300),
    [anon_sym_PERCENT] = ACTIONS(1300),
    [anon_sym_not] = ACTIONS(1300),
    [anon_sym_GT_EQ] = ACTIONS(1300),
    [anon_sym_LT_LT] = ACTIONS(1300),
    [anon_sym_PIPE] = ACTIONS(1300),
    [anon_sym_LT] = ACTIONS(1302),
    [anon_sym_GT_GT] = ACTIONS(1300),
    [anon_sym_LBRACK] = ACTIONS(1300),
    [anon_sym_DOT] = ACTIONS(1300),
    [anon_sym_COMMA] = ACTIONS(1300),
    [sym_comment] = ACTIONS(3),
  },
  [885] = {
    [anon_sym_COLON] = ACTIONS(1361),
    [anon_sym_or] = ACTIONS(1361),
    [anon_sym_SLASH_SLASH] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_is] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_as] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_and] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_not] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_PIPE] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT_GT] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
  },
  [886] = {
    [anon_sym_COLON] = ACTIONS(1365),
    [anon_sym_or] = ACTIONS(1365),
    [anon_sym_SLASH_SLASH] = ACTIONS(1365),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_is] = ACTIONS(1365),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_as] = ACTIONS(1365),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1365),
    [anon_sym_if] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1365),
    [anon_sym_LT_GT] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_CARET] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_DASH] = ACTIONS(1365),
    [anon_sym_and] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(1365),
    [anon_sym_not] = ACTIONS(1365),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1365),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1365),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_DOT] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1365),
    [sym_comment] = ACTIONS(3),
  },
  [887] = {
    [anon_sym_COLON] = ACTIONS(1369),
    [anon_sym_or] = ACTIONS(1369),
    [anon_sym_SLASH_SLASH] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_is] = ACTIONS(1369),
    [anon_sym_AMP] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_as] = ACTIONS(1369),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1369),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1369),
    [anon_sym_LT_GT] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_and] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1369),
    [anon_sym_not] = ACTIONS(1369),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_PIPE] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_DOT] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
  },
  [888] = {
    [anon_sym_COLON] = ACTIONS(1404),
    [anon_sym_or] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(1404),
    [anon_sym_GT] = ACTIONS(1406),
    [anon_sym_is] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_LT_EQ] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1406),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_in] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR_STAR] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1406),
    [anon_sym_AT] = ACTIONS(1404),
    [anon_sym_LT_GT] = ACTIONS(1404),
    [anon_sym_BANG_EQ] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_and] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_not] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1404),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1406),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_LBRACK] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_COMMA] = ACTIONS(1404),
    [sym_comment] = ACTIONS(3),
  },
  [889] = {
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_or] = ACTIONS(1421),
    [anon_sym_SLASH_SLASH] = ACTIONS(1421),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_is] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_as] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1421),
    [anon_sym_if] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1421),
    [anon_sym_LT_GT] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1421),
    [anon_sym_and] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_not] = ACTIONS(1421),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT_GT] = ACTIONS(1421),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [sym_comment] = ACTIONS(3),
  },
  [890] = {
    [anon_sym_COLON] = ACTIONS(1432),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(1432),
  },
  [891] = {
    [anon_sym_COLON] = ACTIONS(1539),
    [anon_sym_or] = ACTIONS(1539),
    [anon_sym_SLASH_SLASH] = ACTIONS(1539),
    [anon_sym_GT] = ACTIONS(1541),
    [anon_sym_is] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_LT_EQ] = ACTIONS(1539),
    [anon_sym_STAR] = ACTIONS(1541),
    [anon_sym_as] = ACTIONS(1539),
    [anon_sym_LPAREN] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1539),
    [anon_sym_if] = ACTIONS(1539),
    [anon_sym_PLUS] = ACTIONS(1539),
    [anon_sym_STAR_STAR] = ACTIONS(1539),
    [anon_sym_SLASH] = ACTIONS(1541),
    [anon_sym_AT] = ACTIONS(1539),
    [anon_sym_LT_GT] = ACTIONS(1539),
    [anon_sym_BANG_EQ] = ACTIONS(1539),
    [anon_sym_CARET] = ACTIONS(1539),
    [anon_sym_EQ_EQ] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1539),
    [anon_sym_and] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(1539),
    [anon_sym_not] = ACTIONS(1539),
    [anon_sym_GT_EQ] = ACTIONS(1539),
    [anon_sym_LT_LT] = ACTIONS(1539),
    [anon_sym_PIPE] = ACTIONS(1539),
    [anon_sym_LT] = ACTIONS(1541),
    [anon_sym_GT_GT] = ACTIONS(1539),
    [anon_sym_LBRACK] = ACTIONS(1539),
    [anon_sym_DOT] = ACTIONS(1539),
    [anon_sym_COMMA] = ACTIONS(1539),
    [sym_comment] = ACTIONS(3),
  },
  [892] = {
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_or] = ACTIONS(1543),
    [anon_sym_SLASH_SLASH] = ACTIONS(1543),
    [anon_sym_GT] = ACTIONS(1545),
    [anon_sym_is] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_LT_EQ] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1545),
    [anon_sym_as] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1543),
    [anon_sym_if] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_STAR_STAR] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1545),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_LT_GT] = ACTIONS(1543),
    [anon_sym_BANG_EQ] = ACTIONS(1543),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym_EQ_EQ] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_and] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_not] = ACTIONS(1543),
    [anon_sym_GT_EQ] = ACTIONS(1543),
    [anon_sym_LT_LT] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_LT] = ACTIONS(1545),
    [anon_sym_GT_GT] = ACTIONS(1543),
    [anon_sym_LBRACK] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [sym_comment] = ACTIONS(3),
  },
  [893] = {
    [sym__semicolon] = ACTIONS(323),
    [anon_sym_in] = ACTIONS(323),
    [sym__newline] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
  },
  [894] = {
    [sym__semicolon] = ACTIONS(724),
    [anon_sym_in] = ACTIONS(724),
    [sym__newline] = ACTIONS(724),
    [sym_comment] = ACTIONS(3),
  },
  [895] = {
    [sym_interpolation] = STATE(902),
    [aux_sym_string_repeat1] = STATE(902),
    [sym__string_content] = ACTIONS(2011),
    [anon_sym_LBRACE] = ACTIONS(87),
    [sym_escape_sequence] = ACTIONS(2011),
    [sym__string_end] = ACTIONS(2013),
    [sym_comment] = ACTIONS(85),
  },
  [896] = {
    [sym_lambda] = STATE(906),
    [sym_yield] = STATE(905),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(906),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(906),
    [sym_boolean_operator] = STATE(906),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(906),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(906),
    [sym__expression] = STATE(906),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(906),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [897] = {
    [sym_lambda_parameters] = STATE(907),
    [sym_tuple] = STATE(79),
    [sym_dictionary_splat] = STATE(80),
    [sym__parameters] = STATE(82),
    [sym_default_parameter] = STATE(79),
    [sym_typed_default_parameter] = STATE(79),
    [sym_typed_parameter] = STATE(79),
    [sym_list_splat] = STATE(80),
    [anon_sym_exec] = ACTIONS(193),
    [anon_sym_print] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(2019),
    [sym_identifier] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(199),
  },
  [898] = {
    [sym_lambda] = STATE(911),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(911),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(910),
    [sym_not_operator] = STATE(911),
    [sym_boolean_operator] = STATE(911),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(911),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(911),
    [sym__expression] = STATE(911),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(911),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [899] = {
    [sym_lambda] = STATE(916),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(916),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(914),
    [sym_list_splat] = STATE(915),
    [sym_not_operator] = STATE(916),
    [sym_boolean_operator] = STATE(916),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(916),
    [sym_dictionary_splat] = STATE(913),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(916),
    [sym__expression] = STATE(916),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(916),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [900] = {
    [aux_sym__simple_statements_repeat1] = STATE(918),
    [sym__semicolon] = ACTIONS(2029),
    [sym__newline] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
  },
  [901] = {
    [aux_sym_decorated_definition_repeat1] = STATE(137),
    [sym_function_definition] = STATE(593),
    [sym_decorator] = STATE(137),
    [sym_class_definition] = STATE(593),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(33),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(2035),
    [anon_sym_def] = ACTIONS(2037),
  },
  [902] = {
    [sym_interpolation] = STATE(149),
    [aux_sym_string_repeat1] = STATE(149),
    [sym__string_content] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(87),
    [sym_escape_sequence] = ACTIONS(327),
    [sym__string_end] = ACTIONS(2039),
    [sym_comment] = ACTIONS(85),
  },
  [903] = {
    [aux_sym_assert_statement_repeat1] = STATE(924),
    [anon_sym_COLON] = ACTIONS(311),
    [anon_sym_CARET_EQ] = ACTIONS(311),
    [sym__newline] = ACTIONS(311),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(311),
    [anon_sym_STAR_EQ] = ACTIONS(311),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(311),
    [anon_sym_or] = ACTIONS(313),
    [anon_sym_DASH_EQ] = ACTIONS(311),
    [sym__semicolon] = ACTIONS(311),
    [anon_sym_AMP_EQ] = ACTIONS(311),
    [anon_sym_and] = ACTIONS(315),
    [anon_sym_AT_EQ] = ACTIONS(311),
    [anon_sym_LT_LT_EQ] = ACTIONS(311),
    [anon_sym_PERCENT_EQ] = ACTIONS(311),
    [anon_sym_PLUS_EQ] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(317),
    [anon_sym_PIPE_EQ] = ACTIONS(311),
    [anon_sym_EQ] = ACTIONS(311),
    [anon_sym_SLASH_EQ] = ACTIONS(311),
    [anon_sym_GT_GT_EQ] = ACTIONS(311),
    [anon_sym_COMMA] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
  },
  [904] = {
    [anon_sym_RPAREN] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
  },
  [905] = {
    [aux_sym_tuple_repeat1] = STATE(927),
    [anon_sym_COMMA] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2047),
  },
  [906] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_tuple_repeat1] = STATE(927),
    [sym__comprehension_body] = STATE(928),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(2047),
    [anon_sym_COMMA] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [907] = {
    [anon_sym_COLON] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
  },
  [908] = {
    [sym__newline] = ACTIONS(463),
    [anon_sym_or] = ACTIONS(341),
    [anon_sym_if] = ACTIONS(463),
    [sym__semicolon] = ACTIONS(463),
    [anon_sym_EQ] = ACTIONS(463),
    [anon_sym_COMMA] = ACTIONS(463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(347),
    [anon_sym_from] = ACTIONS(463),
  },
  [909] = {
    [anon_sym_RBRACK] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
  },
  [910] = {
    [aux_sym_list_repeat1] = STATE(938),
    [anon_sym_COMMA] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2051),
  },
  [911] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(939),
    [aux_sym_list_repeat1] = STATE(938),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(2051),
    [anon_sym_async] = ACTIONS(387),
  },
  [912] = {
    [anon_sym_RBRACE] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
  },
  [913] = {
    [aux_sym_dictionary_repeat1] = STATE(941),
    [anon_sym_COMMA] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2055),
  },
  [914] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_dictionary_repeat1] = STATE(941),
    [sym__comprehension_body] = STATE(942),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(387),
  },
  [915] = {
    [aux_sym_list_repeat1] = STATE(944),
    [anon_sym_COMMA] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2061),
  },
  [916] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(945),
    [aux_sym_list_repeat1] = STATE(944),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_COMMA] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [917] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(231),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(231),
    [sym_assert_statement] = STATE(231),
    [sym_raise_statement] = STATE(231),
    [sym_pass_statement] = STATE(231),
    [sym_nonlocal_statement] = STATE(231),
    [sym_exec_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(2063),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [918] = {
    [aux_sym__simple_statements_repeat1] = STATE(233),
    [sym__semicolon] = ACTIONS(2065),
    [sym__newline] = ACTIONS(2063),
    [sym_comment] = ACTIONS(3),
  },
  [919] = {
    [anon_sym_in] = ACTIONS(2067),
    [sym_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_lambda] = STATE(952),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(1042),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(952),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(1042),
    [sym_not_operator] = STATE(952),
    [sym_boolean_operator] = STATE(952),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(952),
    [sym_dictionary_splat] = STATE(1042),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(952),
    [sym__expression] = STATE(952),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(952),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [921] = {
    [sym_identifier] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
  },
  [922] = {
    [sym_lambda] = STATE(955),
    [sym_conditional_expression] = STATE(955),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(251),
    [sym_keyword_argument] = STATE(251),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(955),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(251),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(955),
    [sym_boolean_operator] = STATE(955),
    [sym_await] = STATE(955),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(955),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(955),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(557),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(561),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [923] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(631),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2075),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [924] = {
    [aux_sym_assert_statement_repeat1] = STATE(265),
    [anon_sym_COLON] = ACTIONS(708),
    [anon_sym_CARET_EQ] = ACTIONS(708),
    [sym__newline] = ACTIONS(708),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(708),
    [anon_sym_STAR_EQ] = ACTIONS(708),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(708),
    [anon_sym_DASH_EQ] = ACTIONS(708),
    [sym__semicolon] = ACTIONS(708),
    [anon_sym_AMP_EQ] = ACTIONS(708),
    [anon_sym_AT_EQ] = ACTIONS(708),
    [anon_sym_LT_LT_EQ] = ACTIONS(708),
    [anon_sym_PERCENT_EQ] = ACTIONS(708),
    [anon_sym_PLUS_EQ] = ACTIONS(708),
    [anon_sym_PIPE_EQ] = ACTIONS(708),
    [anon_sym_EQ] = ACTIONS(708),
    [anon_sym_SLASH_EQ] = ACTIONS(708),
    [anon_sym_GT_GT_EQ] = ACTIONS(708),
    [anon_sym_COMMA] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
  },
  [925] = {
    [sym_identifier] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
  },
  [926] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(289),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [927] = {
    [aux_sym_tuple_repeat1] = STATE(291),
    [anon_sym_COMMA] = ACTIONS(2083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2081),
  },
  [928] = {
    [anon_sym_RPAREN] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
  },
  [929] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(637),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2087),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [930] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(638),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2089),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [931] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(641),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(641),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_exec] = ACTIONS(1833),
    [anon_sym_print] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
  },
  [932] = {
    [aux_sym__parameters_repeat1] = STATE(961),
    [anon_sym_RPAREN] = ACTIONS(799),
    [anon_sym_COMMA] = ACTIONS(2091),
    [sym_comment] = ACTIONS(3),
  },
  [933] = {
    [sym_default_parameter] = STATE(309),
    [sym_tuple] = STATE(309),
    [sym_dictionary_splat] = STATE(641),
    [sym_typed_default_parameter] = STATE(309),
    [sym_list_splat] = STATE(641),
    [sym_typed_parameter] = STATE(309),
    [anon_sym_exec] = ACTIONS(1833),
    [anon_sym_print] = ACTIONS(1833),
    [sym_identifier] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_RPAREN] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
  },
  [934] = {
    [aux_sym__parameters_repeat1] = STATE(961),
    [anon_sym_RPAREN] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
  },
  [935] = {
    [sym_identifier] = ACTIONS(2095),
    [sym_comment] = ACTIONS(3),
  },
  [936] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(650),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2097),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [937] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2099),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [938] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_COMMA] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2099),
  },
  [939] = {
    [anon_sym_RBRACK] = ACTIONS(2103),
    [sym_comment] = ACTIONS(3),
  },
  [940] = {
    [sym_lambda] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(345),
    [sym_dictionary_splat] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(345),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [941] = {
    [aux_sym_dictionary_repeat1] = STATE(347),
    [anon_sym_COMMA] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2105),
  },
  [942] = {
    [anon_sym_RBRACE] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2111),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [944] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_COMMA] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2111),
  },
  [945] = {
    [anon_sym_RBRACE] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
  },
  [946] = {
    [sym_except_clause] = STATE(658),
    [aux_sym_try_statement_repeat1] = STATE(658),
    [sym_finally_clause] = STATE(659),
    [anon_sym_except] = ACTIONS(2117),
    [anon_sym_finally] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
  },
  [947] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_attribute] = STATE(39),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_set_comprehension] = STATE(39),
    [sym_return_statement] = STATE(231),
    [sym_conditional_expression] = STATE(45),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_string] = STATE(42),
    [sym_await] = STATE(45),
    [sym_import_from_statement] = STATE(231),
    [sym_assert_statement] = STATE(231),
    [sym_raise_statement] = STATE(231),
    [sym_pass_statement] = STATE(231),
    [sym_nonlocal_statement] = STATE(231),
    [sym_exec_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(2121),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [948] = {
    [aux_sym_subscript_repeat1] = STATE(970),
    [anon_sym_COMMA] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2125),
  },
  [949] = {
    [aux_sym_subscript_repeat1] = STATE(970),
    [anon_sym_COLON] = ACTIONS(956),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(2125),
  },
  [950] = {
    [anon_sym_RPAREN] = ACTIONS(1049),
    [sym_comment] = ACTIONS(3),
  },
  [951] = {
    [aux_sym_argument_list_repeat1] = STATE(972),
    [anon_sym_COMMA] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(1049),
  },
  [952] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_argument_list_repeat1] = STATE(1053),
    [sym__comprehension_body] = STATE(928),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(2127),
    [anon_sym_COMMA] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [953] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_else] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [954] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(665),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2133),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [955] = {
    [aux_sym_argument_list_repeat1] = STATE(378),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RPAREN] = ACTIONS(980),
    [sym_comment] = ACTIONS(3),
  },
  [956] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(666),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [957] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(667),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2137),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [958] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(289),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [959] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(669),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [960] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(670),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [961] = {
    [aux_sym__parameters_repeat1] = STATE(961),
    [anon_sym_RPAREN] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
  },
  [962] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(676),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [963] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(678),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2144),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [964] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [965] = {
    [sym_lambda] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(345),
    [sym_dictionary_splat] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(345),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2148),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [966] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2150),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [967] = {
    [sym_except_clause] = STATE(682),
    [aux_sym_try_statement_repeat1] = STATE(682),
    [sym_finally_clause] = STATE(683),
    [anon_sym_except] = ACTIONS(2117),
    [anon_sym_finally] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
  },
  [968] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(592),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_print] = ACTIONS(37),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2152),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_del] = ACTIONS(39),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(903),
    [sym_false] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(907),
  },
  [969] = {
    [sym_lambda] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_subscript] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(440),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(440),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(533),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [970] = {
    [aux_sym_subscript_repeat1] = STATE(442),
    [anon_sym_COMMA] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2154),
  },
  [971] = {
    [sym_lambda] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(448),
    [sym_dictionary_splat] = STATE(447),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(448),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2158),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [972] = {
    [aux_sym_argument_list_repeat1] = STATE(450),
    [anon_sym_COMMA] = ACTIONS(2160),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2158),
  },
  [973] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(691),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [974] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(692),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2162),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [975] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(693),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2164),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [976] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(694),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [977] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(700),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [978] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(703),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2166),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [979] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(704),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2168),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [980] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(706),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2170),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [981] = {
    [sym_lambda] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_subscript] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(440),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(440),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(533),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(2172),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [982] = {
    [sym_lambda] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(448),
    [sym_dictionary_splat] = STATE(447),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(448),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2174),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [983] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(709),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2176),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [984] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(710),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [985] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(711),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [986] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(713),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_exec_statement] = STATE(1007),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_global_statement] = STATE(1007),
    [sym_unary_operator] = STATE(39),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [sym_nonlocal_statement] = STATE(1007),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2178),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [987] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(714),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2180),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [988] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(716),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [989] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(717),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2182),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [990] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(718),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [991] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(719),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [992] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(721),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [993] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(723),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2184),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [994] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(724),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2186),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [995] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(725),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_print] = ACTIONS(37),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_del] = ACTIONS(39),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(903),
    [sym_false] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(907),
  },
  [996] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(726),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [997] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(727),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [998] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(730),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [999] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(731),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [1000] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(1007),
    [sym_continue_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_return_statement] = STATE(1007),
    [sym_delete_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(1007),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(732),
    [sym_future_import_statement] = STATE(1007),
    [sym_import_from_statement] = STATE(1007),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_raise_statement] = STATE(1007),
    [sym_pass_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(1007),
    [sym_exec_statement] = STATE(1007),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2188),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1001] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(733),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(1049),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2135),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [1002] = {
    [sym_interpolation] = STATE(1008),
    [aux_sym_string_repeat1] = STATE(1008),
    [sym__string_content] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(87),
    [sym_escape_sequence] = ACTIONS(2190),
    [sym__string_end] = ACTIONS(2192),
    [sym_comment] = ACTIONS(85),
  },
  [1003] = {
    [sym_lambda] = STATE(1011),
    [sym_yield] = STATE(1010),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1011),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(1011),
    [sym_boolean_operator] = STATE(1011),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(1011),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(1011),
    [sym__expression] = STATE(1011),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1011),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1004] = {
    [sym_lambda_parameters] = STATE(1012),
    [sym_tuple] = STATE(79),
    [sym_dictionary_splat] = STATE(80),
    [sym__parameters] = STATE(82),
    [sym_default_parameter] = STATE(79),
    [sym_typed_default_parameter] = STATE(79),
    [sym_typed_parameter] = STATE(79),
    [sym_list_splat] = STATE(80),
    [anon_sym_exec] = ACTIONS(193),
    [anon_sym_print] = ACTIONS(193),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_STAR] = ACTIONS(199),
  },
  [1005] = {
    [sym_lambda] = STATE(1015),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1015),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(1014),
    [sym_not_operator] = STATE(1015),
    [sym_boolean_operator] = STATE(1015),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(1015),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(1015),
    [sym__expression] = STATE(1015),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1015),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2198),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1006] = {
    [sym_lambda] = STATE(1020),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1020),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(1018),
    [sym_list_splat] = STATE(1019),
    [sym_not_operator] = STATE(1020),
    [sym_boolean_operator] = STATE(1020),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(1020),
    [sym_dictionary_splat] = STATE(1017),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(1020),
    [sym__expression] = STATE(1020),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1020),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1007] = {
    [aux_sym__simple_statements_repeat1] = STATE(1022),
    [sym__semicolon] = ACTIONS(2204),
    [sym__newline] = ACTIONS(2206),
    [sym_comment] = ACTIONS(3),
  },
  [1008] = {
    [sym_interpolation] = STATE(149),
    [aux_sym_string_repeat1] = STATE(149),
    [sym__string_content] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(87),
    [sym_escape_sequence] = ACTIONS(327),
    [sym__string_end] = ACTIONS(2208),
    [sym_comment] = ACTIONS(85),
  },
  [1009] = {
    [anon_sym_RPAREN] = ACTIONS(813),
    [sym_comment] = ACTIONS(3),
  },
  [1010] = {
    [aux_sym_tuple_repeat1] = STATE(1027),
    [anon_sym_COMMA] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2210),
  },
  [1011] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_tuple_repeat1] = STATE(1027),
    [sym__comprehension_body] = STATE(1028),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(2210),
    [anon_sym_COMMA] = ACTIONS(811),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [1012] = {
    [anon_sym_COLON] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
  },
  [1013] = {
    [anon_sym_RBRACK] = ACTIONS(2214),
    [sym_comment] = ACTIONS(3),
  },
  [1014] = {
    [aux_sym_list_repeat1] = STATE(1030),
    [anon_sym_COMMA] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2214),
  },
  [1015] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(1031),
    [aux_sym_list_repeat1] = STATE(1030),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(2214),
    [anon_sym_async] = ACTIONS(387),
  },
  [1016] = {
    [anon_sym_RBRACE] = ACTIONS(2218),
    [sym_comment] = ACTIONS(3),
  },
  [1017] = {
    [aux_sym_dictionary_repeat1] = STATE(1033),
    [anon_sym_COMMA] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2218),
  },
  [1018] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_dictionary_repeat1] = STATE(1033),
    [sym__comprehension_body] = STATE(1034),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_COMMA] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_async] = ACTIONS(387),
  },
  [1019] = {
    [aux_sym_list_repeat1] = STATE(1036),
    [anon_sym_COMMA] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2224),
  },
  [1020] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(1037),
    [aux_sym_list_repeat1] = STATE(1036),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2222),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [1021] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(231),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(231),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_exec_statement] = STATE(231),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_unary_operator] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(231),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [sym_nonlocal_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(2226),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1022] = {
    [aux_sym__simple_statements_repeat1] = STATE(233),
    [sym__semicolon] = ACTIONS(2228),
    [sym__newline] = ACTIONS(2226),
    [sym_comment] = ACTIONS(3),
  },
  [1023] = {
    [anon_sym_in] = ACTIONS(2230),
    [sym_comment] = ACTIONS(3),
  },
  [1024] = {
    [sym_lambda] = STATE(1043),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(951),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1043),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(951),
    [sym_not_operator] = STATE(1043),
    [sym_boolean_operator] = STATE(1043),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(1043),
    [sym_dictionary_splat] = STATE(951),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(1043),
    [sym__expression] = STATE(1043),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1043),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(740),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(742),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(289),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2234),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1027] = {
    [aux_sym_tuple_repeat1] = STATE(291),
    [anon_sym_COMMA] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2234),
  },
  [1028] = {
    [anon_sym_RPAREN] = ACTIONS(2238),
    [sym_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2240),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1030] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_COMMA] = ACTIONS(2242),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2240),
  },
  [1031] = {
    [anon_sym_RBRACK] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_lambda] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(345),
    [sym_dictionary_splat] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(345),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1033] = {
    [aux_sym_dictionary_repeat1] = STATE(347),
    [anon_sym_COMMA] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2246),
  },
  [1034] = {
    [anon_sym_RBRACE] = ACTIONS(2250),
    [sym_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1036] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_COMMA] = ACTIONS(2254),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACE] = ACTIONS(2252),
  },
  [1037] = {
    [anon_sym_RBRACE] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(231),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(231),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(231),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(231),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(231),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(231),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_exec_statement] = STATE(231),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(231),
    [sym_break_statement] = STATE(231),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(231),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(231),
    [sym_global_statement] = STATE(231),
    [sym_unary_operator] = STATE(39),
    [sym_future_import_statement] = STATE(231),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(231),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [sym_nonlocal_statement] = STATE(231),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__newline] = ACTIONS(2258),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1039] = {
    [aux_sym_subscript_repeat1] = STATE(1051),
    [anon_sym_COMMA] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2262),
  },
  [1040] = {
    [aux_sym_subscript_repeat1] = STATE(1051),
    [anon_sym_COLON] = ACTIONS(956),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(2262),
  },
  [1041] = {
    [anon_sym_RPAREN] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
  },
  [1042] = {
    [aux_sym_argument_list_repeat1] = STATE(1053),
    [anon_sym_COMMA] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2127),
  },
  [1043] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_argument_list_repeat1] = STATE(972),
    [sym__comprehension_body] = STATE(1028),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(1049),
    [anon_sym_COMMA] = ACTIONS(1047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [1044] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_else] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [anon_sym_and] = ACTIONS(385),
  },
  [1045] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(289),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2266),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1046] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1047] = {
    [sym_lambda] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(345),
    [sym_dictionary_splat] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(345),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1048] = {
    [sym_lambda] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(338),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(338),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1049] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(592),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_print] = ACTIONS(37),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(2274),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_del] = ACTIONS(39),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(903),
    [sym_false] = ACTIONS(5),
    [anon_sym_async] = ACTIONS(907),
  },
  [1050] = {
    [sym_lambda] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_subscript] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(440),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(440),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(533),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(2276),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1051] = {
    [aux_sym_subscript_repeat1] = STATE(442),
    [anon_sym_COMMA] = ACTIONS(2278),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RBRACK] = ACTIONS(2276),
  },
  [1052] = {
    [sym_lambda] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(448),
    [sym_dictionary_splat] = STATE(447),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(448),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1053] = {
    [aux_sym_argument_list_repeat1] = STATE(450),
    [anon_sym_COMMA] = ACTIONS(2282),
    [sym_comment] = ACTIONS(3),
    [anon_sym_RPAREN] = ACTIONS(2280),
  },
  [1054] = {
    [sym_lambda] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_subscript] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(440),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(440),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(533),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_RBRACK] = ACTIONS(2284),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1055] = {
    [sym_lambda] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(448),
    [sym_dictionary_splat] = STATE(447),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(448),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_RPAREN] = ACTIONS(2286),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1056] = {
    [sym_interpolation] = STATE(1061),
    [aux_sym_string_repeat1] = STATE(1061),
    [sym_escape_sequence] = ACTIONS(2288),
    [sym__string_end] = ACTIONS(2290),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(2288),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [1057] = {
    [sym_lambda] = STATE(1064),
    [sym_yield] = STATE(1063),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(1064),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1064),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1064),
    [sym_boolean_operator] = STATE(1064),
    [sym_await] = STATE(1064),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1064),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1064),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2294),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1058] = {
    [sym_lambda_parameters] = STATE(1065),
    [sym_tuple] = STATE(79),
    [sym_dictionary_splat] = STATE(80),
    [sym__parameters] = STATE(82),
    [sym_default_parameter] = STATE(79),
    [sym_typed_default_parameter] = STATE(79),
    [sym_typed_parameter] = STATE(79),
    [sym_list_splat] = STATE(80),
    [anon_sym_exec] = ACTIONS(193),
    [anon_sym_print] = ACTIONS(193),
    [sym_identifier] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_COLON] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
  },
  [1059] = {
    [sym_lambda] = STATE(1068),
    [sym_conditional_expression] = STATE(1068),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1068),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(1067),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1068),
    [sym_boolean_operator] = STATE(1068),
    [sym_await] = STATE(1068),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1068),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1068),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2298),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1060] = {
    [sym_lambda] = STATE(1073),
    [sym_conditional_expression] = STATE(1073),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(1070),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1073),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(1071),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(1072),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1073),
    [sym_boolean_operator] = STATE(1073),
    [sym_await] = STATE(1073),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1073),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1073),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1061] = {
    [sym_interpolation] = STATE(149),
    [aux_sym_string_repeat1] = STATE(149),
    [sym_escape_sequence] = ACTIONS(327),
    [sym__string_end] = ACTIONS(2306),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [1062] = {
    [anon_sym_RPAREN] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
  },
  [1063] = {
    [aux_sym_tuple_repeat1] = STATE(1078),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
  },
  [1064] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_tuple_repeat1] = STATE(1078),
    [sym__comprehension_body] = STATE(1079),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(2310),
    [anon_sym_COMMA] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [1065] = {
    [anon_sym_COLON] = ACTIONS(2314),
    [sym_comment] = ACTIONS(3),
  },
  [1066] = {
    [anon_sym_RBRACK] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
  },
  [1067] = {
    [aux_sym_list_repeat1] = STATE(1081),
    [anon_sym_RBRACK] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
  },
  [1068] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(1082),
    [aux_sym_list_repeat1] = STATE(1081),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_COMMA] = ACTIONS(2318),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(387),
  },
  [1069] = {
    [anon_sym_RBRACE] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
  },
  [1070] = {
    [aux_sym_dictionary_repeat1] = STATE(1084),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_COMMA] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
  },
  [1071] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_dictionary_repeat1] = STATE(1084),
    [sym__comprehension_body] = STATE(1085),
    [anon_sym_COMMA] = ACTIONS(2322),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [anon_sym_async] = ACTIONS(387),
  },
  [1072] = {
    [aux_sym_list_repeat1] = STATE(1087),
    [anon_sym_RBRACE] = ACTIONS(2324),
    [anon_sym_COMMA] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
  },
  [1073] = {
    [sym_for_in_clause] = STATE(172),
    [sym__comprehension_body] = STATE(1088),
    [aux_sym_list_repeat1] = STATE(1087),
    [anon_sym_COLON] = ACTIONS(493),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RBRACE] = ACTIONS(2324),
    [anon_sym_COMMA] = ACTIONS(2326),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [1074] = {
    [anon_sym_in] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
  },
  [1075] = {
    [sym_lambda] = STATE(1093),
    [sym_conditional_expression] = STATE(1093),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(1092),
    [sym_keyword_argument] = STATE(1092),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1093),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(1092),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1093),
    [sym_boolean_operator] = STATE(1093),
    [sym_await] = STATE(1093),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1093),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1093),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(2330),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [anon_sym_COMMA] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1076] = {
    [sym_identifier] = ACTIONS(2334),
    [sym_comment] = ACTIONS(3),
  },
  [1077] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_await] = STATE(289),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1078] = {
    [aux_sym_tuple_repeat1] = STATE(291),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2338),
    [sym_comment] = ACTIONS(3),
  },
  [1079] = {
    [anon_sym_RPAREN] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
  },
  [1080] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2342),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1081] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_RBRACK] = ACTIONS(2342),
    [anon_sym_COMMA] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
  },
  [1082] = {
    [anon_sym_RBRACK] = ACTIONS(2346),
    [sym_comment] = ACTIONS(3),
  },
  [1083] = {
    [sym_lambda] = STATE(345),
    [sym_conditional_expression] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(344),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_await] = STATE(345),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1084] = {
    [aux_sym_dictionary_repeat1] = STATE(347),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2350),
    [sym_comment] = ACTIONS(3),
  },
  [1085] = {
    [anon_sym_RBRACE] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
  },
  [1086] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1087] = {
    [aux_sym_list_repeat1] = STATE(340),
    [anon_sym_RBRACE] = ACTIONS(2354),
    [anon_sym_COMMA] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
  },
  [1088] = {
    [anon_sym_RBRACE] = ACTIONS(2358),
    [sym_comment] = ACTIONS(3),
  },
  [1089] = {
    [aux_sym_subscript_repeat1] = STATE(1100),
    [anon_sym_RBRACK] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2362),
    [sym_comment] = ACTIONS(3),
  },
  [1090] = {
    [aux_sym_subscript_repeat1] = STATE(1100),
    [anon_sym_COLON] = ACTIONS(956),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_COMMA] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_RBRACK] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
  },
  [1091] = {
    [anon_sym_RPAREN] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
  },
  [1092] = {
    [aux_sym_argument_list_repeat1] = STATE(1102),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_COMMA] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
  },
  [1093] = {
    [sym_for_in_clause] = STATE(172),
    [aux_sym_argument_list_repeat1] = STATE(1102),
    [sym__comprehension_body] = STATE(1079),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_COMMA] = ACTIONS(2366),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(383),
    [anon_sym_and] = ACTIONS(385),
    [anon_sym_async] = ACTIONS(387),
  },
  [1094] = {
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [1095] = {
    [sym_lambda] = STATE(289),
    [sym_yield] = STATE(288),
    [sym_attribute] = STATE(738),
    [sym_conditional_expression] = STATE(289),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(289),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(289),
    [sym_boolean_operator] = STATE(289),
    [sym_await] = STATE(289),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(289),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(289),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1096] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1097] = {
    [sym_lambda] = STATE(345),
    [sym_conditional_expression] = STATE(345),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(344),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(345),
    [sym_generator_expression] = STATE(738),
    [sym_pair] = STATE(344),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(345),
    [sym_boolean_operator] = STATE(345),
    [sym_await] = STATE(345),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(345),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(345),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(873),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2374),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1098] = {
    [sym_lambda] = STATE(338),
    [sym_conditional_expression] = STATE(338),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(338),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(337),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(338),
    [sym_boolean_operator] = STATE(338),
    [sym_await] = STATE(338),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(338),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(338),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(227),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [anon_sym_RBRACE] = ACTIONS(2376),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1099] = {
    [sym_lambda] = STATE(440),
    [sym_conditional_expression] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_await] = STATE(440),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1100] = {
    [aux_sym_subscript_repeat1] = STATE(442),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_COMMA] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
  },
  [1101] = {
    [sym_lambda] = STATE(448),
    [sym_conditional_expression] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(447),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_await] = STATE(448),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1102] = {
    [aux_sym_argument_list_repeat1] = STATE(450),
    [anon_sym_RPAREN] = ACTIONS(2382),
    [anon_sym_COMMA] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
  },
  [1103] = {
    [sym_lambda] = STATE(440),
    [sym_conditional_expression] = STATE(440),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(440),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(440),
    [sym_boolean_operator] = STATE(440),
    [sym_await] = STATE(440),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(439),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(440),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(440),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1104] = {
    [sym_lambda] = STATE(448),
    [sym_conditional_expression] = STATE(448),
    [sym_attribute] = STATE(738),
    [sym_dictionary_splat] = STATE(447),
    [sym_keyword_argument] = STATE(447),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(448),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_splat] = STATE(447),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(448),
    [sym_boolean_operator] = STATE(448),
    [sym_await] = STATE(448),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(448),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(448),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(555),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(2388),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(559),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(555),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1105] = {
    [sym_interpolation] = STATE(1106),
    [aux_sym_string_repeat1] = STATE(1106),
    [sym_escape_sequence] = ACTIONS(2390),
    [sym__string_end] = ACTIONS(2392),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(2390),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [1106] = {
    [sym_interpolation] = STATE(149),
    [aux_sym_string_repeat1] = STATE(149),
    [sym_escape_sequence] = ACTIONS(327),
    [sym__string_end] = ACTIONS(2394),
    [sym_comment] = ACTIONS(85),
    [sym__string_content] = ACTIONS(327),
    [anon_sym_LBRACE] = ACTIONS(87),
  },
  [1107] = {
    [sym_argument_list] = STATE(1116),
    [anon_sym_LPAREN] = ACTIONS(335),
    [anon_sym_COLON] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
  },
  [1108] = {
    [aux_sym_with_statement_repeat1] = STATE(1117),
    [anon_sym_COLON] = ACTIONS(2398),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [1109] = {
    [anon_sym_COLON] = ACTIONS(2400),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [1110] = {
    [aux_sym__parameters_repeat1] = STATE(934),
    [anon_sym_RPAREN] = ACTIONS(419),
    [anon_sym_COMMA] = ACTIONS(1734),
    [sym_comment] = ACTIONS(3),
  },
  [1111] = {
    [anon_sym_COLON] = ACTIONS(2402),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [1112] = {
    [sym_lambda] = STATE(45),
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(900),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(900),
    [sym_named_expression] = STATE(45),
    [sym_break_statement] = STATE(900),
    [sym_continue_statement] = STATE(900),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_generator_expression] = STATE(39),
    [sym_expression_list] = STATE(37),
    [sym_not_operator] = STATE(45),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(900),
    [sym_return_statement] = STATE(900),
    [sym_delete_statement] = STATE(900),
    [sym_set] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_set_comprehension] = STATE(39),
    [sym_global_statement] = STATE(900),
    [sym_binary_operator] = STATE(39),
    [sym_unary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(946),
    [sym_future_import_statement] = STATE(900),
    [sym_import_from_statement] = STATE(900),
    [sym_call] = STATE(39),
    [sym_assert_statement] = STATE(900),
    [sym_raise_statement] = STATE(900),
    [sym_pass_statement] = STATE(900),
    [sym_list_comprehension] = STATE(39),
    [sym_dictionary] = STATE(39),
    [sym_await] = STATE(45),
    [sym_parenthesized_expression] = STATE(39),
    [sym_tuple] = STATE(39),
    [sym_concatenated_string] = STATE(39),
    [sym_nonlocal_statement] = STATE(900),
    [sym_exec_statement] = STATE(900),
    [sym_string] = STATE(42),
    [sym__expression] = STATE(45),
    [sym__primary_expression] = STATE(39),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [sym__indent] = ACTIONS(2404),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [sym__string_start] = ACTIONS(73),
  },
  [1113] = {
    [sym_lambda] = STATE(949),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(949),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(949),
    [sym_boolean_operator] = STATE(949),
    [sym_subscript] = STATE(738),
    [sym_slice] = STATE(948),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(949),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(949),
    [sym__expression] = STATE(949),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(949),
    [sym_integer] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(533),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1114] = {
    [sym_lambda] = STATE(953),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(953),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(953),
    [sym_boolean_operator] = STATE(953),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(953),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(953),
    [sym__expression] = STATE(953),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(953),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1115] = {
    [aux_sym_with_statement_repeat1] = STATE(1120),
    [anon_sym_COLON] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [1116] = {
    [anon_sym_COLON] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
  },
  [1117] = {
    [aux_sym_with_statement_repeat1] = STATE(300),
    [anon_sym_COLON] = ACTIONS(2406),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [1118] = {
    [anon_sym_COLON] = ACTIONS(2410),
    [anon_sym_DASH_GT] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
  },
  [1119] = {
    [sym_yield] = STATE(34),
    [sym_import_statement] = STATE(1007),
    [sym_dictionary_comprehension] = STATE(39),
    [sym_named_expression] = STATE(45),
    [sym_generator_expression] = STATE(39),
    [sym_continue_statement] = STATE(1007),
    [sym_while_statement] = STATE(555),
    [sym_function_definition] = STATE(555),
    [sym_expression_list] = STATE(37),
    [sym_boolean_operator] = STATE(45),
    [sym_assignment] = STATE(34),
    [sym_return_statement] = STATE(1007),
    [sym_set_comprehension] = STATE(39),
    [sym_conditional_expression] = STATE(45),
    [sym_try_statement] = STATE(555),
    [sym_decorated_definition] = STATE(555),
    [sym_binary_operator] = STATE(39),
    [sym_augmented_assignment] = STATE(34),
    [sym__simple_statements] = STATE(556),
    [sym_call] = STATE(39),
    [sym_import_from_statement] = STATE(1007),
    [sym_list_comprehension] = STATE(39),
    [sym_assert_statement] = STATE(1007),
    [sym_parenthesized_expression] = STATE(39),
    [sym_pass_statement] = STATE(1007),
    [sym_concatenated_string] = STATE(39),
    [sym_await] = STATE(45),
    [sym_with_statement] = STATE(555),
    [sym_exec_statement] = STATE(1007),
    [sym_block] = STATE(967),
    [sym__primary_expression] = STATE(39),
    [sym_lambda] = STATE(45),
    [sym_attribute] = STATE(39),
    [sym_expression_statement] = STATE(1007),
    [sym_break_statement] = STATE(1007),
    [sym_for_statement] = STATE(555),
    [sym_class_definition] = STATE(555),
    [sym_not_operator] = STATE(45),
    [sym_subscript] = STATE(39),
    [sym_list] = STATE(39),
    [sym_print_statement] = STATE(1007),
    [sym_set] = STATE(39),
    [sym_delete_statement] = STATE(1007),
    [sym_if_statement] = STATE(555),
    [sym_global_statement] = STATE(1007),
    [sym_decorator] = STATE(901),
    [sym_unary_operator] = STATE(39),
    [sym__statement] = STATE(558),
    [sym_future_import_statement] = STATE(1007),
    [sym_dictionary] = STATE(39),
    [sym_raise_statement] = STATE(1007),
    [sym_tuple] = STATE(39),
    [sym_string] = STATE(42),
    [aux_sym_module_repeat1] = STATE(355),
    [sym_nonlocal_statement] = STATE(1007),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [sym__expression] = STATE(45),
    [sym_comparison_operator] = STATE(45),
    [sym_integer] = ACTIONS(5),
    [sym__string_start] = ACTIONS(73),
    [sym_true] = ACTIONS(5),
    [anon_sym_nonlocal] = ACTIONS(9),
    [sym_comment] = ACTIONS(3),
    [anon_sym_class] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(13),
    [anon_sym_yield] = ACTIONS(15),
    [anon_sym_return] = ACTIONS(17),
    [anon_sym_from] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [sym_none] = ACTIONS(5),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_pass] = ACTIONS(27),
    [sym_float] = ACTIONS(29),
    [anon_sym_PLUS] = ACTIONS(31),
    [anon_sym_AT] = ACTIONS(33),
    [anon_sym_lambda] = ACTIONS(35),
    [anon_sym_TILDE] = ACTIONS(31),
    [anon_sym_print] = ACTIONS(37),
    [anon_sym_del] = ACTIONS(39),
    [sym_ellipsis] = ACTIONS(29),
    [anon_sym_import] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_def] = ACTIONS(899),
    [anon_sym_await] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [sym_identifier] = ACTIONS(51),
    [sym__dedent] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(31),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_not] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_raise] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_try] = ACTIONS(903),
    [anon_sym_for] = ACTIONS(905),
    [sym_false] = ACTIONS(5),
    [anon_sym_continue] = ACTIONS(71),
    [anon_sym_async] = ACTIONS(907),
  },
  [1120] = {
    [aux_sym_with_statement_repeat1] = STATE(300),
    [anon_sym_COLON] = ACTIONS(2414),
    [anon_sym_COMMA] = ACTIONS(391),
    [sym_comment] = ACTIONS(3),
  },
  [1121] = {
    [anon_sym_COLON] = ACTIONS(2416),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(3),
  },
  [1122] = {
    [sym_lambda] = STATE(1128),
    [sym_conditional_expression] = STATE(1128),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(1128),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(1128),
    [sym_boolean_operator] = STATE(1128),
    [sym_await] = STATE(1128),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(1128),
    [sym__primary_expression] = STATE(824),
    [sym_comparison_operator] = STATE(1128),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [anon_sym_COLON] = ACTIONS(2420),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [1123] = {
    [anon_sym_COLON] = ACTIONS(2422),
    [sym_comment] = ACTIONS(3),
  },
  [1124] = {
    [anon_sym_COLON] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
  },
  [1125] = {
    [anon_sym_COLON] = ACTIONS(2426),
    [sym_comment] = ACTIONS(3),
  },
  [1126] = {
    [anon_sym_COLON] = ACTIONS(2428),
    [sym_comment] = ACTIONS(3),
  },
  [1127] = {
    [anon_sym_COLON] = ACTIONS(2430),
    [sym_comment] = ACTIONS(3),
  },
  [1128] = {
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(395),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(397),
    [anon_sym_and] = ACTIONS(399),
    [sym_comment] = ACTIONS(3),
    [anon_sym_as] = ACTIONS(2434),
  },
  [1129] = {
    [anon_sym_COLON] = ACTIONS(2436),
    [sym_comment] = ACTIONS(3),
  },
  [1130] = {
    [anon_sym_COLON] = ACTIONS(2438),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [1131] = {
    [anon_sym_COLON] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_and] = ACTIONS(385),
    [sym_comment] = ACTIONS(3),
  },
  [1132] = {
    [sym_lambda] = STATE(1040),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1040),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(1040),
    [sym_boolean_operator] = STATE(1040),
    [sym_subscript] = STATE(738),
    [sym_slice] = STATE(1039),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(1040),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(1040),
    [sym__expression] = STATE(1040),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1040),
    [sym_integer] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(533),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1133] = {
    [sym_lambda] = STATE(1044),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1044),
    [sym_generator_expression] = STATE(738),
    [sym_not_operator] = STATE(1044),
    [sym_boolean_operator] = STATE(1044),
    [sym_subscript] = STATE(738),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym_conditional_expression] = STATE(1044),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_concatenated_string] = STATE(738),
    [sym_string] = STATE(739),
    [sym_await] = STATE(1044),
    [sym__expression] = STATE(1044),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1044),
    [sym_integer] = ACTIONS(129),
    [sym__string_start] = ACTIONS(157),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_none] = ACTIONS(129),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_lambda] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [sym_true] = ACTIONS(129),
  },
  [1134] = {
    [sym_lambda] = STATE(1090),
    [sym_conditional_expression] = STATE(1090),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1090),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1090),
    [sym_boolean_operator] = STATE(1090),
    [sym_await] = STATE(1090),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_slice] = STATE(1089),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1090),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1090),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [anon_sym_COLON] = ACTIONS(533),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1135] = {
    [sym_lambda] = STATE(1094),
    [sym_conditional_expression] = STATE(1094),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1094),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1094),
    [sym_boolean_operator] = STATE(1094),
    [sym_await] = STATE(1094),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1094),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1094),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2442),
    [sym_comment] = ACTIONS(3),
  },
  [1137] = {
    [sym_lambda] = STATE(70),
    [sym__primary_expression] = STATE(824),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(70),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_with_item] = STATE(1108),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(70),
    [sym_boolean_operator] = STATE(70),
    [sym_await] = STATE(70),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(70),
    [sym_conditional_expression] = STATE(70),
    [sym_comparison_operator] = STATE(70),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [1138] = {
    [sym_lambda] = STATE(1109),
    [sym_conditional_expression] = STATE(1109),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1109),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1109),
    [sym_boolean_operator] = STATE(1109),
    [sym_await] = STATE(1109),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1109),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1109),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1139] = {
    [sym_lambda] = STATE(1111),
    [sym_conditional_expression] = STATE(1111),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1111),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1111),
    [sym_boolean_operator] = STATE(1111),
    [sym_await] = STATE(1111),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1111),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1111),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1140] = {
    [anon_sym_COLON] = ACTIONS(2444),
    [sym_comment] = ACTIONS(3),
  },
  [1141] = {
    [sym_lambda] = STATE(70),
    [sym__primary_expression] = STATE(824),
    [sym_attribute] = STATE(824),
    [sym_dictionary_comprehension] = STATE(824),
    [sym_named_expression] = STATE(70),
    [sym_generator_expression] = STATE(824),
    [sym_binary_operator] = STATE(824),
    [sym_unary_operator] = STATE(824),
    [sym_with_item] = STATE(1115),
    [sym_call] = STATE(824),
    [sym_list_comprehension] = STATE(824),
    [sym_dictionary] = STATE(824),
    [sym_parenthesized_expression] = STATE(824),
    [sym_tuple] = STATE(824),
    [sym_not_operator] = STATE(70),
    [sym_boolean_operator] = STATE(70),
    [sym_await] = STATE(70),
    [sym_concatenated_string] = STATE(824),
    [sym_subscript] = STATE(824),
    [sym_string] = STATE(825),
    [sym_list] = STATE(824),
    [sym_set] = STATE(824),
    [sym_set_comprehension] = STATE(824),
    [sym__expression] = STATE(70),
    [sym_conditional_expression] = STATE(70),
    [sym_comparison_operator] = STATE(70),
    [sym_integer] = ACTIONS(159),
    [anon_sym_print] = ACTIONS(161),
    [sym_ellipsis] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(165),
    [sym_true] = ACTIONS(159),
    [anon_sym_await] = ACTIONS(167),
    [sym_identifier] = ACTIONS(169),
    [anon_sym_DASH] = ACTIONS(165),
    [anon_sym_not] = ACTIONS(171),
    [anon_sym_exec] = ACTIONS(161),
    [sym_none] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(173),
    [sym_float] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(177),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(159),
    [anon_sym_lambda] = ACTIONS(179),
    [sym__string_start] = ACTIONS(181),
  },
  [1142] = {
    [sym_parameters] = STATE(1118),
    [anon_sym_LPAREN] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
  },
  [1143] = {
    [sym_parameters] = STATE(1121),
    [anon_sym_LPAREN] = ACTIONS(457),
    [sym_comment] = ACTIONS(3),
  },
  [1144] = {
    [sym_lambda] = STATE(564),
    [sym__primary_expression] = STATE(738),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(564),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(564),
    [sym_boolean_operator] = STATE(564),
    [sym_await] = STATE(564),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_expression_list] = STATE(1124),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(564),
    [sym_conditional_expression] = STATE(564),
    [sym_comparison_operator] = STATE(564),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1145] = {
    [sym_lambda] = STATE(564),
    [sym__primary_expression] = STATE(738),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(564),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(564),
    [sym_boolean_operator] = STATE(564),
    [sym_await] = STATE(564),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_expression_list] = STATE(1125),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(564),
    [sym_conditional_expression] = STATE(564),
    [sym_comparison_operator] = STATE(564),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1146] = {
    [sym_lambda] = STATE(613),
    [sym_conditional_expression] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(1127),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_await] = STATE(613),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1147] = {
    [sym_lambda] = STATE(613),
    [sym_conditional_expression] = STATE(613),
    [sym_attribute] = STATE(738),
    [sym_type] = STATE(1129),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(613),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(613),
    [sym_boolean_operator] = STATE(613),
    [sym_await] = STATE(613),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(613),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(613),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1148] = {
    [sym_lambda] = STATE(1130),
    [sym_conditional_expression] = STATE(1130),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1130),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1130),
    [sym_boolean_operator] = STATE(1130),
    [sym_await] = STATE(1130),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1130),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1130),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1149] = {
    [sym_lambda] = STATE(1131),
    [sym_conditional_expression] = STATE(1131),
    [sym_attribute] = STATE(738),
    [sym_dictionary_comprehension] = STATE(738),
    [sym_named_expression] = STATE(1131),
    [sym_generator_expression] = STATE(738),
    [sym_binary_operator] = STATE(738),
    [sym_unary_operator] = STATE(738),
    [sym_call] = STATE(738),
    [sym_list_comprehension] = STATE(738),
    [sym_dictionary] = STATE(738),
    [sym_parenthesized_expression] = STATE(738),
    [sym_tuple] = STATE(738),
    [sym_not_operator] = STATE(1131),
    [sym_boolean_operator] = STATE(1131),
    [sym_await] = STATE(1131),
    [sym_concatenated_string] = STATE(738),
    [sym_subscript] = STATE(738),
    [sym_string] = STATE(739),
    [sym_list] = STATE(738),
    [sym_set] = STATE(738),
    [sym_set_comprehension] = STATE(738),
    [sym__expression] = STATE(1131),
    [sym__primary_expression] = STATE(738),
    [sym_comparison_operator] = STATE(1131),
    [sym_integer] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(133),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(129),
    [anon_sym_await] = ACTIONS(139),
    [sym_identifier] = ACTIONS(141),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_not] = ACTIONS(145),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(133),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(129),
    [anon_sym_lambda] = ACTIONS(155),
    [sym__string_start] = ACTIONS(157),
  },
  [1150] = {
    [anon_sym_with] = ACTIONS(2446),
    [sym_comment] = ACTIONS(3),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_def] = ACTIONS(2450),
  },
  [1151] = {
    [sym_identifier] = ACTIONS(2452),
    [sym_comment] = ACTIONS(3),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(2454),
    [sym_comment] = ACTIONS(3),
  },
  [1153] = {
    [anon_sym_in] = ACTIONS(2456),
    [sym_comment] = ACTIONS(3),
  },
  [1154] = {
    [sym_comment] = ACTIONS(3),
    [anon_sym_def] = ACTIONS(2450),
  },
  [1155] = {
    [anon_sym_in] = ACTIONS(2458),
    [sym_comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_attribute] = STATE(112),
    [sym_dictionary_comprehension] = STATE(112),
    [sym_generator_expression] = STATE(112),
    [sym_binary_operator] = STATE(112),
    [sym_unary_operator] = STATE(112),
    [sym_call] = STATE(112),
    [sym_list_comprehension] = STATE(112),
    [sym_dictionary] = STATE(112),
    [sym_parenthesized_expression] = STATE(112),
    [sym_tuple] = STATE(112),
    [sym_concatenated_string] = STATE(112),
    [sym_string] = STATE(739),
    [sym_variables] = STATE(1153),
    [sym_subscript] = STATE(112),
    [sym_list] = STATE(112),
    [sym_set] = STATE(112),
    [sym_set_comprehension] = STATE(112),
    [sym__primary_expression] = STATE(112),
    [sym_integer] = ACTIONS(239),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(239),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(239),
    [sym__string_start] = ACTIONS(157),
  },
  [1157] = {
    [sym_attribute] = STATE(112),
    [sym_dictionary_comprehension] = STATE(112),
    [sym_generator_expression] = STATE(112),
    [sym_binary_operator] = STATE(112),
    [sym_unary_operator] = STATE(112),
    [sym_call] = STATE(112),
    [sym_list_comprehension] = STATE(112),
    [sym_dictionary] = STATE(112),
    [sym_parenthesized_expression] = STATE(112),
    [sym_tuple] = STATE(112),
    [sym_concatenated_string] = STATE(112),
    [sym_string] = STATE(739),
    [sym_variables] = STATE(1155),
    [sym_subscript] = STATE(112),
    [sym_list] = STATE(112),
    [sym_set] = STATE(112),
    [sym_set_comprehension] = STATE(112),
    [sym__primary_expression] = STATE(112),
    [sym_integer] = ACTIONS(239),
    [anon_sym_print] = ACTIONS(131),
    [sym_ellipsis] = ACTIONS(241),
    [anon_sym_TILDE] = ACTIONS(135),
    [sym_true] = ACTIONS(239),
    [sym_identifier] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(135),
    [anon_sym_exec] = ACTIONS(131),
    [sym_none] = ACTIONS(239),
    [anon_sym_LPAREN] = ACTIONS(147),
    [sym_float] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(149),
    [anon_sym_LBRACK] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
    [sym_false] = ACTIONS(239),
    [sym__string_start] = ACTIONS(157),
  },
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.count = 0, .reusable = false},
  [1] = {.count = 1, .reusable = false}, RECOVER(),
  [3] = {.count = 1, .reusable = true}, SHIFT_EXTRA(),
  [5] = {.count = 1, .reusable = false}, SHIFT(39),
  [7] = {.count = 1, .reusable = false}, SHIFT(2),
  [9] = {.count = 1, .reusable = false}, SHIFT(4),
  [11] = {.count = 1, .reusable = false}, SHIFT(5),
  [13] = {.count = 1, .reusable = false}, SHIFT(6),
  [15] = {.count = 1, .reusable = false}, SHIFT(7),
  [17] = {.count = 1, .reusable = false}, SHIFT(8),
  [19] = {.count = 1, .reusable = false}, SHIFT(9),
  [21] = {.count = 1, .reusable = true}, SHIFT(10),
  [23] = {.count = 1, .reusable = false}, SHIFT(11),
  [25] = {.count = 1, .reusable = false}, SHIFT(12),
  [27] = {.count = 1, .reusable = false}, SHIFT(13),
  [29] = {.count = 1, .reusable = true}, SHIFT(39),
  [31] = {.count = 1, .reusable = true}, SHIFT(14),
  [33] = {.count = 1, .reusable = true}, SHIFT(15),
  [35] = {.count = 1, .reusable = false}, SHIFT(16),
  [37] = {.count = 1, .reusable = false}, SHIFT(17),
  [39] = {.count = 1, .reusable = false}, SHIFT(18),
  [41] = {.count = 1, .reusable = false}, SHIFT(19),
  [43] = {.count = 1, .reusable = false}, SHIFT(20),
  [45] = {.count = 1, .reusable = false}, SHIFT(21),
  [47] = {.count = 1, .reusable = false}, SHIFT(22),
  [49] = {.count = 1, .reusable = false}, SHIFT(23),
  [51] = {.count = 1, .reusable = false}, SHIFT(24),
  [53] = {.count = 1, .reusable = false}, SHIFT(25),
  [55] = {.count = 1, .reusable = false}, SHIFT(26),
  [57] = {.count = 1, .reusable = false}, SHIFT(27),
  [59] = {.count = 1, .reusable = true}, REDUCE(sym_module, 0),
  [61] = {.count = 1, .reusable = false}, SHIFT(28),
  [63] = {.count = 1, .reusable = true}, SHIFT(29),
  [65] = {.count = 1, .reusable = true}, SHIFT(30),
  [67] = {.count = 1, .reusable = false}, SHIFT(31),
  [69] = {.count = 1, .reusable = false}, SHIFT(32),
  [71] = {.count = 1, .reusable = false}, SHIFT(33),
  [73] = {.count = 1, .reusable = true}, SHIFT(3),
  [75] = {.count = 1, .reusable = true}, SHIFT(47),
  [77] = {.count = 1, .reusable = true}, SHIFT(46),
  [79] = {.count = 1, .reusable = true}, SHIFT(48),
  [81] = {.count = 1, .reusable = true}, SHIFT(51),
  [83] = {.count = 1, .reusable = true}, SHIFT(49),
  [85] = {.count = 1, .reusable = false}, SHIFT_EXTRA(),
  [87] = {.count = 1, .reusable = false}, SHIFT(50),
  [89] = {.count = 1, .reusable = true}, SHIFT(52),
  [91] = {.count = 1, .reusable = true}, SHIFT(53),
  [93] = {.count = 1, .reusable = false}, SHIFT(557),
  [95] = {.count = 1, .reusable = false}, SHIFT(54),
  [97] = {.count = 1, .reusable = true}, SHIFT(557),
  [99] = {.count = 1, .reusable = true}, SHIFT(551),
  [101] = {.count = 1, .reusable = false}, SHIFT(552),
  [103] = {.count = 1, .reusable = false}, SHIFT(553),
  [105] = {.count = 1, .reusable = false}, SHIFT(554),
  [107] = {.count = 1, .reusable = true}, SHIFT(896),
  [109] = {.count = 1, .reusable = true}, SHIFT(899),
  [111] = {.count = 1, .reusable = true}, SHIFT(898),
  [113] = {.count = 1, .reusable = false}, SHIFT(897),
  [115] = {.count = 1, .reusable = true}, SHIFT(895),
  [117] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 1),
  [119] = {.count = 1, .reusable = false}, SHIFT(56),
  [121] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 1),
  [123] = {.count = 1, .reusable = true}, SHIFT(63),
  [125] = {.count = 1, .reusable = false}, SHIFT(60),
  [127] = {.count = 1, .reusable = false}, SHIFT(61),
  [129] = {.count = 1, .reusable = false}, SHIFT(738),
  [131] = {.count = 1, .reusable = false}, SHIFT(561),
  [133] = {.count = 1, .reusable = true}, SHIFT(738),
  [135] = {.count = 1, .reusable = true}, SHIFT(734),
  [137] = {.count = 1, .reusable = true}, SHIFT(65),
  [139] = {.count = 1, .reusable = false}, SHIFT(735),
  [141] = {.count = 1, .reusable = false}, SHIFT(736),
  [143] = {.count = 1, .reusable = false}, SHIFT(550),
  [145] = {.count = 1, .reusable = false}, SHIFT(737),
  [147] = {.count = 1, .reusable = true}, SHIFT(1003),
  [149] = {.count = 1, .reusable = true}, SHIFT(1006),
  [151] = {.count = 1, .reusable = true}, SHIFT(1005),
  [153] = {.count = 1, .reusable = true}, SHIFT(66),
  [155] = {.count = 1, .reusable = false}, SHIFT(1004),
  [157] = {.count = 1, .reusable = true}, SHIFT(1002),
  [159] = {.count = 1, .reusable = false}, SHIFT(824),
  [161] = {.count = 1, .reusable = false}, SHIFT(741),
  [163] = {.count = 1, .reusable = true}, SHIFT(824),
  [165] = {.count = 1, .reusable = true}, SHIFT(820),
  [167] = {.count = 1, .reusable = false}, SHIFT(821),
  [169] = {.count = 1, .reusable = false}, SHIFT(822),
  [171] = {.count = 1, .reusable = false}, SHIFT(823),
  [173] = {.count = 1, .reusable = true}, SHIFT(1057),
  [175] = {.count = 1, .reusable = true}, SHIFT(1060),
  [177] = {.count = 1, .reusable = true}, SHIFT(1059),
  [179] = {.count = 1, .reusable = false}, SHIFT(1058),
  [181] = {.count = 1, .reusable = true}, SHIFT(1056),
  [183] = {.count = 1, .reusable = true}, REDUCE(sym_pass_statement, 1),
  [185] = {.count = 1, .reusable = false}, SHIFT(72),
  [187] = {.count = 1, .reusable = false}, SHIFT(827),
  [189] = {.count = 1, .reusable = true}, SHIFT(72),
  [191] = {.count = 1, .reusable = true}, SHIFT(565),
  [193] = {.count = 1, .reusable = false}, SHIFT(74),
  [195] = {.count = 1, .reusable = false}, SHIFT(75),
  [197] = {.count = 1, .reusable = true}, SHIFT(76),
  [199] = {.count = 1, .reusable = true}, SHIFT(77),
  [201] = {.count = 1, .reusable = true}, SHIFT(78),
  [203] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [205] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1, .production_id = 1),
  [207] = {.count = 1, .reusable = false}, SHIFT(83),
  [209] = {.count = 1, .reusable = true}, SHIFT(91),
  [211] = {.count = 1, .reusable = true}, REDUCE(sym_break_statement, 1),
  [213] = {.count = 1, .reusable = false}, REDUCE(sym__primary_expression, 1),
  [215] = {.count = 1, .reusable = true}, REDUCE(sym__primary_expression, 1),
  [217] = {.count = 1, .reusable = true}, SHIFT(93),
  [219] = {.count = 1, .reusable = true}, SHIFT(94),
  [221] = {.count = 1, .reusable = true}, SHIFT(1105),
  [223] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 1),
  [225] = {.count = 1, .reusable = false}, SHIFT(97),
  [227] = {.count = 1, .reusable = true}, SHIFT(99),
  [229] = {.count = 1, .reusable = true}, SHIFT(100),
  [231] = {.count = 1, .reusable = true}, SHIFT(101),
  [233] = {.count = 1, .reusable = true}, SHIFT(104),
  [235] = {.count = 1, .reusable = true}, SHIFT(105),
  [237] = {.count = 1, .reusable = true}, SHIFT(110),
  [239] = {.count = 1, .reusable = false}, SHIFT(112),
  [241] = {.count = 1, .reusable = true}, SHIFT(112),
  [243] = {.count = 1, .reusable = true}, REDUCE(sym_continue_statement, 1),
  [245] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 1),
  [247] = {.count = 1, .reusable = true}, SHIFT(113),
  [249] = {.count = 1, .reusable = true}, SHIFT(114),
  [251] = {.count = 1, .reusable = false}, REDUCE(sym__statement, 1, .production_id = 2),
  [253] = {.count = 1, .reusable = true}, REDUCE(sym__statement, 1, .production_id = 2),
  [255] = {.count = 1, .reusable = true}, SHIFT(116),
  [257] = {.count = 1, .reusable = true}, SHIFT(117),
  [259] = {.count = 1, .reusable = true}, SHIFT(118),
  [261] = {.count = 1, .reusable = false}, REDUCE(sym__statement, 1, .production_id = 3),
  [263] = {.count = 1, .reusable = true}, REDUCE(sym__statement, 1, .production_id = 3),
  [265] = {.count = 1, .reusable = true}, REDUCE(sym__expression, 1),
  [267] = {.count = 1, .reusable = false}, SHIFT(120),
  [269] = {.count = 1, .reusable = false}, SHIFT(121),
  [271] = {.count = 1, .reusable = true}, SHIFT(122),
  [273] = {.count = 1, .reusable = false}, SHIFT(123),
  [275] = {.count = 1, .reusable = true}, SHIFT(121),
  [277] = {.count = 1, .reusable = true}, SHIFT(126),
  [279] = {.count = 1, .reusable = false}, SHIFT(124),
  [281] = {.count = 1, .reusable = false}, SHIFT(129),
  [283] = {.count = 1, .reusable = false}, REDUCE(sym__expression, 1),
  [285] = {.count = 1, .reusable = false}, SHIFT(131),
  [287] = {.count = 1, .reusable = true}, SHIFT(125),
  [289] = {.count = 1, .reusable = false}, SHIFT(127),
  [291] = {.count = 1, .reusable = false}, SHIFT(128),
  [293] = {.count = 1, .reusable = true}, SHIFT(119),
  [295] = {.count = 1, .reusable = true}, SHIFT(130),
  [297] = {.count = 1, .reusable = true},  ACCEPT_INPUT(),
  [299] = {.count = 1, .reusable = false}, REDUCE(aux_sym_module_repeat1, 1, .production_id = 3),
  [301] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 1, .production_id = 3),
  [303] = {.count = 1, .reusable = true}, REDUCE(sym_module, 1, .production_id = 3),
  [305] = {.count = 1, .reusable = true}, SHIFT(136),
  [307] = {.count = 1, .reusable = true}, SHIFT(5),
  [309] = {.count = 1, .reusable = true}, SHIFT(21),
  [311] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 1),
  [313] = {.count = 1, .reusable = true}, SHIFT(139),
  [315] = {.count = 1, .reusable = true}, SHIFT(142),
  [317] = {.count = 1, .reusable = true}, SHIFT(141),
  [319] = {.count = 1, .reusable = true}, SHIFT(140),
  [321] = {.count = 1, .reusable = true}, SHIFT(146),
  [323] = {.count = 1, .reusable = true}, REDUCE(sym_string, 2),
  [325] = {.count = 1, .reusable = false}, REDUCE(sym_string, 2),
  [327] = {.count = 1, .reusable = true}, SHIFT(149),
  [329] = {.count = 1, .reusable = true}, SHIFT(148),
  [331] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 2),
  [333] = {.count = 1, .reusable = true}, SHIFT(150),
  [335] = {.count = 1, .reusable = true}, SHIFT(152),
  [337] = {.count = 1, .reusable = true}, SHIFT(153),
  [339] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 2),
  [341] = {.count = 1, .reusable = true}, SHIFT(594),
  [343] = {.count = 1, .reusable = true}, SHIFT(155),
  [345] = {.count = 1, .reusable = true}, SHIFT(1114),
  [347] = {.count = 1, .reusable = true}, SHIFT(595),
  [349] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 2),
  [351] = {.count = 1, .reusable = true}, SHIFT(158),
  [353] = {.count = 1, .reusable = true}, REDUCE(sym_return_statement, 2),
  [355] = {.count = 1, .reusable = true}, SHIFT(160),
  [357] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 1),
  [359] = {.count = 1, .reusable = true}, SHIFT(162),
  [361] = {.count = 1, .reusable = true}, SHIFT(163),
  [363] = {.count = 1, .reusable = true}, SHIFT(164),
  [365] = {.count = 1, .reusable = false}, REDUCE(sym_import_prefix, 1),
  [367] = {.count = 1, .reusable = false}, REDUCE(sym_relative_import, 1),
  [369] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 2),
  [371] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 2),
  [373] = {.count = 1, .reusable = true}, SHIFT(166),
  [375] = {.count = 1, .reusable = true}, SHIFT(167),
  [377] = {.count = 1, .reusable = true}, SHIFT(168),
  [379] = {.count = 1, .reusable = true}, SHIFT(763),
  [381] = {.count = 1, .reusable = true}, SHIFT(1133),
  [383] = {.count = 1, .reusable = true}, SHIFT(170),
  [385] = {.count = 1, .reusable = true}, SHIFT(764),
  [387] = {.count = 1, .reusable = true}, SHIFT(171),
  [389] = {.count = 1, .reusable = true}, SHIFT(174),
  [391] = {.count = 1, .reusable = true}, SHIFT(175),
  [393] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 1),
  [395] = {.count = 1, .reusable = true}, SHIFT(846),
  [397] = {.count = 1, .reusable = true}, SHIFT(1135),
  [399] = {.count = 1, .reusable = true}, SHIFT(847),
  [401] = {.count = 1, .reusable = true}, SHIFT(177),
  [403] = {.count = 1, .reusable = true}, SHIFT(178),
  [405] = {.count = 1, .reusable = true}, REDUCE(sym_unary_operator, 2, .production_id = 4),
  [407] = {.count = 1, .reusable = false}, REDUCE(sym_unary_operator, 2, .production_id = 4),
  [409] = {.count = 1, .reusable = true}, SHIFT(922),
  [411] = {.count = 1, .reusable = true}, SHIFT(179),
  [413] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1, .production_id = 1),
  [415] = {.count = 1, .reusable = true}, SHIFT(182),
  [417] = {.count = 1, .reusable = true}, SHIFT(183),
  [419] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 1),
  [421] = {.count = 1, .reusable = true}, SHIFT(186),
  [423] = {.count = 1, .reusable = true}, SHIFT(187),
  [425] = {.count = 1, .reusable = true}, SHIFT(742),
  [427] = {.count = 1, .reusable = true}, SHIFT(1009),
  [429] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 1),
  [431] = {.count = 1, .reusable = true}, SHIFT(191),
  [433] = {.count = 1, .reusable = true}, SHIFT(195),
  [435] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_parameters, 1),
  [437] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2),
  [439] = {.count = 1, .reusable = true}, SHIFT(197),
  [441] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 2, .production_id = 5),
  [443] = {.count = 1, .reusable = true}, SHIFT(199),
  [445] = {.count = 1, .reusable = true}, REDUCE(sym_delete_statement, 2),
  [447] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 1, .production_id = 6),
  [449] = {.count = 1, .reusable = true}, SHIFT(201),
  [451] = {.count = 1, .reusable = true}, REDUCE(sym_import_statement, 2, .production_id = 7),
  [453] = {.count = 1, .reusable = true}, SHIFT(203),
  [455] = {.count = 1, .reusable = true}, SHIFT(204),
  [457] = {.count = 1, .reusable = true}, SHIFT(205),
  [459] = {.count = 1, .reusable = true}, REDUCE(sym_await, 2),
  [461] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 2),
  [463] = {.count = 1, .reusable = true}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [465] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 2),
  [467] = {.count = 1, .reusable = true}, SHIFT(209),
  [469] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 2),
  [471] = {.count = 1, .reusable = true}, SHIFT(211),
  [473] = {.count = 1, .reusable = true}, REDUCE(sym_list, 2),
  [475] = {.count = 1, .reusable = false}, REDUCE(sym_list, 2),
  [477] = {.count = 1, .reusable = true}, SHIFT(212),
  [479] = {.count = 1, .reusable = true}, SHIFT(213),
  [481] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 2),
  [483] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 2),
  [485] = {.count = 1, .reusable = true}, SHIFT(216),
  [487] = {.count = 1, .reusable = true}, SHIFT(217),
  [489] = {.count = 1, .reusable = true}, SHIFT(220),
  [491] = {.count = 1, .reusable = true}, SHIFT(221),
  [493] = {.count = 1, .reusable = true}, SHIFT(223),
  [495] = {.count = 1, .reusable = true}, SHIFT(225),
  [497] = {.count = 1, .reusable = true}, SHIFT(227),
  [499] = {.count = 1, .reusable = true}, SHIFT(751),
  [501] = {.count = 1, .reusable = true}, SHIFT(754),
  [503] = {.count = 1, .reusable = true}, SHIFT(755),
  [505] = {.count = 1, .reusable = false}, SHIFT(751),
  [507] = {.count = 1, .reusable = true}, SHIFT(1024),
  [509] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 1),
  [511] = {.count = 1, .reusable = true}, SHIFT(756),
  [513] = {.count = 1, .reusable = true}, SHIFT(757),
  [515] = {.count = 1, .reusable = true}, SHIFT(758),
  [517] = {.count = 1, .reusable = true}, SHIFT(228),
  [519] = {.count = 1, .reusable = true}, SHIFT(1025),
  [521] = {.count = 1, .reusable = true}, SHIFT(1132),
  [523] = {.count = 1, .reusable = true}, SHIFT(759),
  [525] = {.count = 1, .reusable = true}, SHIFT(230),
  [527] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 2, .production_id = 2),
  [529] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 2, .production_id = 2),
  [531] = {.count = 1, .reusable = true}, SHIFT(232),
  [533] = {.count = 1, .reusable = true}, SHIFT(239),
  [535] = {.count = 1, .reusable = false}, SHIFT(242),
  [537] = {.count = 1, .reusable = true}, SHIFT(242),
  [539] = {.count = 1, .reusable = false}, SHIFT(243),
  [541] = {.count = 1, .reusable = true}, SHIFT(243),
  [543] = {.count = 1, .reusable = false}, SHIFT(244),
  [545] = {.count = 1, .reusable = false}, SHIFT(245),
  [547] = {.count = 1, .reusable = true}, SHIFT(245),
  [549] = {.count = 1, .reusable = false}, SHIFT(246),
  [551] = {.count = 1, .reusable = true}, SHIFT(246),
  [553] = {.count = 1, .reusable = true}, SHIFT(244),
  [555] = {.count = 1, .reusable = false}, SHIFT(247),
  [557] = {.count = 1, .reusable = true}, SHIFT(248),
  [559] = {.count = 1, .reusable = false}, SHIFT(249),
  [561] = {.count = 1, .reusable = true}, SHIFT(250),
  [563] = {.count = 1, .reusable = false}, SHIFT(253),
  [565] = {.count = 1, .reusable = true}, SHIFT(253),
  [567] = {.count = 1, .reusable = false}, SHIFT(254),
  [569] = {.count = 1, .reusable = true}, SHIFT(254),
  [571] = {.count = 1, .reusable = false}, SHIFT(255),
  [573] = {.count = 1, .reusable = true}, SHIFT(255),
  [575] = {.count = 1, .reusable = true}, SHIFT(256),
  [577] = {.count = 1, .reusable = false}, SHIFT(257),
  [579] = {.count = 1, .reusable = true}, SHIFT(257),
  [581] = {.count = 1, .reusable = true}, REDUCE(sym_call, 2, .production_id = 8),
  [583] = {.count = 1, .reusable = false}, REDUCE(sym_call, 2, .production_id = 8),
  [585] = {.count = 1, .reusable = true}, REDUCE(sym_comparison_operator, 2),
  [587] = {.count = 1, .reusable = false}, REDUCE(sym_comparison_operator, 2),
  [589] = {.count = 1, .reusable = true}, REDUCE(sym_concatenated_string, 2),
  [591] = {.count = 1, .reusable = false}, REDUCE(sym_concatenated_string, 2),
  [593] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(39),
  [596] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(3),
  [599] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(4),
  [602] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(5),
  [605] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(6),
  [608] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(7),
  [611] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(8),
  [614] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(9),
  [617] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(10),
  [620] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(11),
  [623] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(12),
  [626] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(13),
  [629] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(39),
  [632] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(14),
  [635] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(15),
  [638] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(16),
  [641] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(17),
  [644] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(18),
  [647] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(19),
  [650] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(20),
  [653] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(21),
  [656] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(22),
  [659] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(23),
  [662] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(24),
  [665] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(25),
  [668] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(26),
  [671] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(27),
  [674] = {.count = 1, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9),
  [676] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(28),
  [679] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(29),
  [682] = {.count = 2, .reusable = true}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(30),
  [685] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(31),
  [688] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(32),
  [691] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(33),
  [694] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(2),
  [697] = {.count = 1, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [699] = {.count = 2, .reusable = true}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(15),
  [702] = {.count = 1, .reusable = false}, REDUCE(sym_decorated_definition, 2),
  [704] = {.count = 1, .reusable = true}, REDUCE(sym_decorated_definition, 2),
  [706] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 2),
  [708] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 2),
  [710] = {.count = 1, .reusable = false}, SHIFT(14),
  [712] = {.count = 1, .reusable = true}, SHIFT(264),
  [714] = {.count = 1, .reusable = true}, SHIFT(266),
  [716] = {.count = 1, .reusable = true}, SHIFT(267),
  [718] = {.count = 1, .reusable = true}, SHIFT(270),
  [720] = {.count = 1, .reusable = true}, SHIFT(271),
  [722] = {.count = 1, .reusable = true}, SHIFT(272),
  [724] = {.count = 1, .reusable = true}, REDUCE(sym_string, 3),
  [726] = {.count = 1, .reusable = false}, REDUCE(sym_string, 3),
  [728] = {.count = 2, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(149),
  [731] = {.count = 1, .reusable = true}, REDUCE(aux_sym_string_repeat1, 2),
  [733] = {.count = 2, .reusable = false}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(50),
  [736] = {.count = 1, .reusable = true}, SHIFT(274),
  [738] = {.count = 1, .reusable = true}, REDUCE(sym_nonlocal_statement, 3),
  [740] = {.count = 1, .reusable = true}, SHIFT(619),
  [742] = {.count = 1, .reusable = true}, SHIFT(950),
  [744] = {.count = 1, .reusable = true}, SHIFT(277),
  [746] = {.count = 1, .reusable = true}, SHIFT(279),
  [748] = {.count = 1, .reusable = true}, REDUCE(sym_assert_statement, 3),
  [750] = {.count = 1, .reusable = true}, REDUCE(sym_yield, 3),
  [752] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 2),
  [754] = {.count = 1, .reusable = true}, SHIFT(280),
  [756] = {.count = 1, .reusable = true}, SHIFT(281),
  [758] = {.count = 1, .reusable = true}, REDUCE(sym_dotted_name, 2),
  [760] = {.count = 1, .reusable = true}, SHIFT(285),
  [762] = {.count = 1, .reusable = true}, SHIFT(284),
  [764] = {.count = 2, .reusable = true}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(164),
  [767] = {.count = 1, .reusable = false}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [769] = {.count = 1, .reusable = true}, REDUCE(sym_relative_import, 2),
  [771] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 3),
  [773] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 3),
  [775] = {.count = 1, .reusable = true}, REDUCE(sym_parenthesized_expression, 3),
  [777] = {.count = 1, .reusable = false}, REDUCE(sym_parenthesized_expression, 3),
  [779] = {.count = 1, .reusable = true}, SHIFT(287),
  [781] = {.count = 1, .reusable = true}, SHIFT(290),
  [783] = {.count = 1, .reusable = true}, SHIFT(293),
  [785] = {.count = 1, .reusable = true}, SHIFT(294),
  [787] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_body, 1),
  [789] = {.count = 1, .reusable = true}, SHIFT(296),
  [791] = {.count = 1, .reusable = true}, SHIFT(297),
  [793] = {.count = 1, .reusable = true}, SHIFT(302),
  [795] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 3),
  [797] = {.count = 1, .reusable = true}, SHIFT(304),
  [799] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2, .production_id = 1),
  [801] = {.count = 1, .reusable = false}, SHIFT(307),
  [803] = {.count = 1, .reusable = false}, SHIFT(308),
  [805] = {.count = 1, .reusable = true}, SHIFT(311),
  [807] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 2),
  [809] = {.count = 1, .reusable = true}, SHIFT(315),
  [811] = {.count = 1, .reusable = true}, SHIFT(1026),
  [813] = {.count = 1, .reusable = true}, SHIFT(768),
  [815] = {.count = 1, .reusable = true}, REDUCE(sym_list_splat, 2),
  [817] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 3, .production_id = 10),
  [819] = {.count = 1, .reusable = true}, REDUCE(sym_chevron, 2),
  [821] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3),
  [823] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 11),
  [825] = {.count = 1, .reusable = true}, SHIFT(320),
  [827] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 5),
  [829] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 3, .production_id = 12),
  [831] = {.count = 1, .reusable = true}, SHIFT(322),
  [833] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 6),
  [835] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 2, .production_id = 13),
  [837] = {.count = 1, .reusable = true}, SHIFT(325),
  [839] = {.count = 1, .reusable = true}, SHIFT(327),
  [841] = {.count = 1, .reusable = true}, SHIFT(328),
  [843] = {.count = 1, .reusable = false}, SHIFT(568),
  [845] = {.count = 1, .reusable = false}, SHIFT(569),
  [847] = {.count = 1, .reusable = true}, SHIFT(330),
  [849] = {.count = 1, .reusable = true}, SHIFT(332),
  [851] = {.count = 1, .reusable = true}, SHIFT(333),
  [853] = {.count = 1, .reusable = true}, REDUCE(sym_named_expression, 3),
  [855] = {.count = 1, .reusable = true}, REDUCE(sym_global_statement, 3),
  [857] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 3),
  [859] = {.count = 1, .reusable = true}, REDUCE(sym_list, 3),
  [861] = {.count = 1, .reusable = false}, REDUCE(sym_list, 3),
  [863] = {.count = 1, .reusable = true}, SHIFT(336),
  [865] = {.count = 1, .reusable = true}, SHIFT(339),
  [867] = {.count = 1, .reusable = true}, SHIFT(341),
  [869] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 3),
  [871] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 3),
  [873] = {.count = 1, .reusable = true}, SHIFT(342),
  [875] = {.count = 1, .reusable = true}, SHIFT(343),
  [877] = {.count = 1, .reusable = true}, SHIFT(346),
  [879] = {.count = 1, .reusable = true}, SHIFT(348),
  [881] = {.count = 1, .reusable = true}, REDUCE(sym_set, 3),
  [883] = {.count = 1, .reusable = false}, REDUCE(sym_set, 3),
  [885] = {.count = 1, .reusable = true}, SHIFT(349),
  [887] = {.count = 1, .reusable = true}, SHIFT(350),
  [889] = {.count = 1, .reusable = true}, SHIFT(352),
  [891] = {.count = 1, .reusable = false}, SHIFT(1136),
  [893] = {.count = 1, .reusable = false}, SHIFT(1137),
  [895] = {.count = 1, .reusable = false}, SHIFT(1138),
  [897] = {.count = 1, .reusable = false}, SHIFT(1139),
  [899] = {.count = 1, .reusable = false}, SHIFT(1151),
  [901] = {.count = 1, .reusable = true}, SHIFT(353),
  [903] = {.count = 1, .reusable = false}, SHIFT(1140),
  [905] = {.count = 1, .reusable = false}, SHIFT(1156),
  [907] = {.count = 1, .reusable = false}, SHIFT(1150),
  [909] = {.count = 1, .reusable = true}, SHIFT(356),
  [911] = {.count = 1, .reusable = true}, SHIFT(357),
  [913] = {.count = 1, .reusable = false}, SHIFT(361),
  [915] = {.count = 1, .reusable = true}, SHIFT(361),
  [917] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 2),
  [919] = {.count = 1, .reusable = true}, REDUCE(sym_variables, 2),
  [921] = {.count = 1, .reusable = true}, SHIFT(362),
  [923] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 3, .production_id = 2),
  [925] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 3, .production_id = 2),
  [927] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2, .production_id = 14),
  [929] = {.count = 1, .reusable = true}, SHIFT(364),
  [931] = {.count = 2, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2, .production_id = 9), SHIFT_REPEAT(365),
  [934] = {.count = 1, .reusable = true}, REDUCE(aux_sym__simple_statements_repeat1, 2, .production_id = 9),
  [936] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 15),
  [938] = {.count = 1, .reusable = true}, SHIFT(366),
  [940] = {.count = 1, .reusable = true}, REDUCE(sym_type, 1),
  [942] = {.count = 1, .reusable = true}, REDUCE(sym__right_hand_side, 1),
  [944] = {.count = 1, .reusable = true}, REDUCE(sym_augmented_assignment, 3, .production_id = 16),
  [946] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 3, .production_id = 16),
  [948] = {.count = 1, .reusable = true}, SHIFT(367),
  [950] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 1),
  [952] = {.count = 1, .reusable = true}, SHIFT(369),
  [954] = {.count = 1, .reusable = true}, SHIFT(370),
  [956] = {.count = 1, .reusable = true}, SHIFT(372),
  [958] = {.count = 1, .reusable = true}, REDUCE(sym_binary_operator, 3, .production_id = 17),
  [960] = {.count = 1, .reusable = false}, REDUCE(sym_binary_operator, 3, .production_id = 17),
  [962] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [964] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2),
  [966] = {.count = 1, .reusable = false}, SHIFT(373),
  [968] = {.count = 1, .reusable = true}, SHIFT(373),
  [970] = {.count = 1, .reusable = false}, SHIFT(374),
  [972] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 2),
  [974] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 2),
  [976] = {.count = 1, .reusable = false}, SHIFT(375),
  [978] = {.count = 1, .reusable = true}, SHIFT(746),
  [980] = {.count = 1, .reusable = true}, SHIFT(376),
  [982] = {.count = 1, .reusable = true}, SHIFT(377),
  [984] = {.count = 1, .reusable = true}, REDUCE(sym_attribute, 3),
  [986] = {.count = 1, .reusable = false}, REDUCE(sym_attribute, 3),
  [988] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(121),
  [991] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(122),
  [994] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(121),
  [997] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(125),
  [1000] = {.count = 1, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1002] = {.count = 1, .reusable = false}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1004] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3),
  [1007] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 17),
  [1009] = {.count = 1, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [1011] = {.count = 1, .reusable = true}, SHIFT(379),
  [1013] = {.count = 1, .reusable = true}, REDUCE(sym_boolean_operator, 3, .production_id = 18),
  [1015] = {.count = 1, .reusable = true}, REDUCE(sym_expression_statement, 3),
  [1017] = {.count = 1, .reusable = true}, REDUCE(sym_expression_list, 3),
  [1019] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(597),
  [1022] = {.count = 1, .reusable = true}, SHIFT(381),
  [1024] = {.count = 1, .reusable = true}, SHIFT(383),
  [1026] = {.count = 1, .reusable = true}, SHIFT(384),
  [1028] = {.count = 1, .reusable = true}, SHIFT(385),
  [1030] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 1),
  [1032] = {.count = 1, .reusable = false}, SHIFT(387),
  [1034] = {.count = 1, .reusable = false}, SHIFT(386),
  [1036] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 3),
  [1038] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 3),
  [1040] = {.count = 1, .reusable = true}, SHIFT(388),
  [1042] = {.count = 1, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [1044] = {.count = 2, .reusable = true}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(150),
  [1047] = {.count = 1, .reusable = true}, SHIFT(971),
  [1049] = {.count = 1, .reusable = true}, SHIFT(663),
  [1051] = {.count = 1, .reusable = true}, SHIFT(657),
  [1053] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 4, .production_id = 19),
  [1055] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 4, .production_id = 19),
  [1057] = {.count = 1, .reusable = true}, SHIFT(391),
  [1059] = {.count = 1, .reusable = false}, REDUCE(sym_expression_list, 3),
  [1061] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [1063] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(160),
  [1066] = {.count = 1, .reusable = true}, REDUCE(sym_future_import_statement, 4, .production_id = 20),
  [1068] = {.count = 1, .reusable = true}, REDUCE(sym_wildcard_import, 1),
  [1070] = {.count = 1, .reusable = true}, SHIFT(60),
  [1072] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 4, .production_id = 21),
  [1074] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 4),
  [1076] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 4),
  [1078] = {.count = 1, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2),
  [1080] = {.count = 1, .reusable = true}, SHIFT(394),
  [1082] = {.count = 2, .reusable = true}, REDUCE(aux_sym_tuple_repeat1, 2), SHIFT_REPEAT(395),
  [1085] = {.count = 1, .reusable = true}, SHIFT(396),
  [1087] = {.count = 1, .reusable = true}, REDUCE(sym__comprehension_body, 2),
  [1089] = {.count = 1, .reusable = true}, REDUCE(sym_generator_expression, 4),
  [1091] = {.count = 1, .reusable = false}, REDUCE(sym_generator_expression, 4),
  [1093] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 4, .production_id = 22),
  [1095] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 4, .production_id = 22),
  [1097] = {.count = 1, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2),
  [1099] = {.count = 2, .reusable = true}, REDUCE(aux_sym_with_statement_repeat1, 2), SHIFT_REPEAT(175),
  [1102] = {.count = 1, .reusable = true}, REDUCE(sym_with_item, 3),
  [1104] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 4, .production_id = 23),
  [1106] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 4, .production_id = 23),
  [1108] = {.count = 1, .reusable = false}, SHIFT(402),
  [1110] = {.count = 1, .reusable = false}, SHIFT(403),
  [1112] = {.count = 1, .reusable = true}, REDUCE(sym_decorator, 4),
  [1114] = {.count = 1, .reusable = true}, SHIFT(407),
  [1116] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3, .production_id = 1),
  [1118] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2, .production_id = 24),
  [1120] = {.count = 1, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2),
  [1122] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3, .production_id = 1),
  [1124] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(408),
  [1127] = {.count = 1, .reusable = true}, REDUCE(sym_typed_parameter, 3),
  [1129] = {.count = 1, .reusable = true}, SHIFT(409),
  [1131] = {.count = 1, .reusable = true}, REDUCE(sym_default_parameter, 3),
  [1133] = {.count = 1, .reusable = true}, REDUCE(sym__parameters, 3),
  [1135] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_splat, 3),
  [1137] = {.count = 1, .reusable = true}, REDUCE(sym_lambda, 4, .production_id = 25),
  [1139] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 5),
  [1141] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 11),
  [1143] = {.count = 1, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 26),
  [1145] = {.count = 2, .reusable = true}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 26), SHIFT_REPEAT(410),
  [1148] = {.count = 1, .reusable = true}, REDUCE(sym_print_statement, 4, .production_id = 12),
  [1150] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27),
  [1152] = {.count = 1, .reusable = true}, REDUCE(sym__import_list, 3, .production_id = 13),
  [1154] = {.count = 1, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28),
  [1156] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28), SHIFT_REPEAT(411),
  [1159] = {.count = 1, .reusable = true}, REDUCE(sym_aliased_import, 3, .production_id = 29),
  [1161] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [1163] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 4, .production_id = 30),
  [1165] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 2),
  [1167] = {.count = 1, .reusable = true}, SHIFT(414),
  [1169] = {.count = 1, .reusable = true}, SHIFT(415),
  [1171] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 4),
  [1173] = {.count = 1, .reusable = true}, REDUCE(sym_raise_statement, 4),
  [1175] = {.count = 1, .reusable = true}, REDUCE(sym_list, 4),
  [1177] = {.count = 1, .reusable = false}, REDUCE(sym_list, 4),
  [1179] = {.count = 1, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2),
  [1181] = {.count = 1, .reusable = true}, SHIFT(419),
  [1183] = {.count = 2, .reusable = true}, REDUCE(aux_sym_list_repeat1, 2), SHIFT_REPEAT(420),
  [1186] = {.count = 1, .reusable = true}, REDUCE(sym_list_comprehension, 4),
  [1188] = {.count = 1, .reusable = false}, REDUCE(sym_list_comprehension, 4),
  [1190] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 4),
  [1192] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 4),
  [1194] = {.count = 1, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [1196] = {.count = 1, .reusable = true}, SHIFT(421),
  [1198] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(422),
  [1201] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary_comprehension, 4),
  [1203] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary_comprehension, 4),
  [1205] = {.count = 1, .reusable = true}, REDUCE(sym_set, 4),
  [1207] = {.count = 1, .reusable = false}, REDUCE(sym_set, 4),
  [1209] = {.count = 1, .reusable = true}, SHIFT(423),
  [1211] = {.count = 1, .reusable = true}, REDUCE(sym_pair, 3),
  [1213] = {.count = 1, .reusable = true}, REDUCE(sym_set_comprehension, 4),
  [1215] = {.count = 1, .reusable = false}, REDUCE(sym_set_comprehension, 4),
  [1217] = {.count = 1, .reusable = true}, REDUCE(sym_block, 1),
  [1219] = {.count = 1, .reusable = true}, SHIFT(426),
  [1221] = {.count = 1, .reusable = true}, SHIFT(427),
  [1223] = {.count = 1, .reusable = true}, SHIFT(429),
  [1225] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [1227] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 4, .production_id = 31),
  [1229] = {.count = 1, .reusable = false}, SHIFT(357),
  [1231] = {.count = 1, .reusable = false}, SHIFT(356),
  [1233] = {.count = 1, .reusable = true}, SHIFT(433),
  [1235] = {.count = 1, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2),
  [1237] = {.count = 1, .reusable = false}, REDUCE(sym_variables, 3),
  [1239] = {.count = 2, .reusable = true}, REDUCE(aux_sym_variables_repeat1, 2), SHIFT_REPEAT(434),
  [1242] = {.count = 1, .reusable = false}, REDUCE(sym__simple_statements, 4, .production_id = 32),
  [1244] = {.count = 1, .reusable = true}, REDUCE(sym__simple_statements, 4, .production_id = 32),
  [1246] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 2),
  [1248] = {.count = 1, .reusable = true}, SHIFT(437),
  [1250] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 4),
  [1252] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 4),
  [1254] = {.count = 1, .reusable = true}, SHIFT(438),
  [1256] = {.count = 1, .reusable = true}, SHIFT(441),
  [1258] = {.count = 1, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [1260] = {.count = 1, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 3),
  [1262] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 3),
  [1264] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 3),
  [1266] = {.count = 1, .reusable = true}, SHIFT(446),
  [1268] = {.count = 1, .reusable = true}, SHIFT(449),
  [1270] = {.count = 1, .reusable = true}, SHIFT(452),
  [1272] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5, .production_id = 33),
  [1274] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5, .production_id = 33),
  [1276] = {.count = 1, .reusable = true}, SHIFT(454),
  [1278] = {.count = 1, .reusable = true}, SHIFT(456),
  [1280] = {.count = 1, .reusable = false}, REDUCE(sym_format_specifier, 2),
  [1282] = {.count = 1, .reusable = false}, SHIFT(460),
  [1284] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 4),
  [1286] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 4),
  [1288] = {.count = 1, .reusable = true}, SHIFT(461),
  [1290] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 34),
  [1292] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 34),
  [1294] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 5, .production_id = 35),
  [1296] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 5, .production_id = 35),
  [1298] = {.count = 1, .reusable = true}, SHIFT(463),
  [1300] = {.count = 1, .reusable = true}, REDUCE(sym_tuple, 5),
  [1302] = {.count = 1, .reusable = false}, REDUCE(sym_tuple, 5),
  [1304] = {.count = 1, .reusable = false}, SHIFT(464),
  [1306] = {.count = 1, .reusable = true}, SHIFT(467),
  [1308] = {.count = 1, .reusable = true}, REDUCE(sym_if_clause, 2),
  [1310] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(294),
  [1313] = {.count = 1, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2),
  [1315] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(170),
  [1318] = {.count = 2, .reusable = true}, REDUCE(aux_sym__comprehension_body_repeat1, 2), SHIFT_REPEAT(171),
  [1321] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 5),
  [1323] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 5),
  [1325] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 36),
  [1327] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 36),
  [1329] = {.count = 1, .reusable = true}, SHIFT(471),
  [1331] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 37),
  [1333] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 37),
  [1335] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 5, .production_id = 38),
  [1337] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 5, .production_id = 38),
  [1339] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 39),
  [1341] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 39),
  [1343] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 40),
  [1345] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 40),
  [1347] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 5, .production_id = 41),
  [1349] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 5, .production_id = 41),
  [1351] = {.count = 1, .reusable = true}, REDUCE(sym_parameters, 3, .production_id = 42),
  [1353] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 5, .production_id = 43),
  [1355] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 5, .production_id = 43),
  [1357] = {.count = 1, .reusable = true}, SHIFT(478),
  [1359] = {.count = 1, .reusable = true}, REDUCE(sym_exec_statement, 5),
  [1361] = {.count = 1, .reusable = true}, REDUCE(sym_list, 5),
  [1363] = {.count = 1, .reusable = false}, REDUCE(sym_list, 5),
  [1365] = {.count = 1, .reusable = true}, REDUCE(sym_dictionary, 5),
  [1367] = {.count = 1, .reusable = false}, REDUCE(sym_dictionary, 5),
  [1369] = {.count = 1, .reusable = true}, REDUCE(sym_set, 5),
  [1371] = {.count = 1, .reusable = false}, REDUCE(sym_set, 5),
  [1373] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 44),
  [1375] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 44),
  [1377] = {.count = 1, .reusable = true}, REDUCE(sym_block, 2, .production_id = 3),
  [1379] = {.count = 1, .reusable = true}, SHIFT(481),
  [1381] = {.count = 1, .reusable = true}, SHIFT(483),
  [1383] = {.count = 1, .reusable = true}, SHIFT(484),
  [1385] = {.count = 1, .reusable = true}, SHIFT(485),
  [1387] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [1389] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 5, .production_id = 31),
  [1391] = {.count = 1, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1393] = {.count = 1, .reusable = true}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1395] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(356),
  [1398] = {.count = 1, .reusable = true}, SHIFT(488),
  [1400] = {.count = 1, .reusable = true}, REDUCE(sym_assignment, 5, .production_id = 45),
  [1402] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 3),
  [1404] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 5),
  [1406] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 5),
  [1408] = {.count = 1, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2),
  [1410] = {.count = 1, .reusable = true}, SHIFT(491),
  [1412] = {.count = 2, .reusable = true}, REDUCE(aux_sym_subscript_repeat1, 2), SHIFT_REPEAT(492),
  [1415] = {.count = 1, .reusable = true}, SHIFT(493),
  [1417] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3, .production_id = 1),
  [1419] = {.count = 1, .reusable = true}, REDUCE(sym_keyword_argument, 3),
  [1421] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 4),
  [1423] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 4),
  [1425] = {.count = 1, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1427] = {.count = 1, .reusable = true}, SHIFT(494),
  [1429] = {.count = 2, .reusable = true}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(495),
  [1432] = {.count = 1, .reusable = true}, REDUCE(sym_conditional_expression, 5),
  [1434] = {.count = 1, .reusable = true}, SHIFT(496),
  [1436] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6),
  [1438] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6),
  [1440] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 6, .production_id = 46),
  [1442] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 6, .production_id = 46),
  [1444] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 47),
  [1446] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 47),
  [1448] = {.count = 1, .reusable = true}, SHIFT(500),
  [1450] = {.count = 1, .reusable = true}, SHIFT(501),
  [1452] = {.count = 1, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [1454] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(460),
  [1457] = {.count = 2, .reusable = false}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(386),
  [1460] = {.count = 1, .reusable = true}, REDUCE(sym_interpolation, 5),
  [1462] = {.count = 1, .reusable = false}, REDUCE(sym_interpolation, 5),
  [1464] = {.count = 1, .reusable = false}, REDUCE(sym_class_definition, 6, .production_id = 48),
  [1466] = {.count = 1, .reusable = true}, REDUCE(sym_class_definition, 6, .production_id = 48),
  [1468] = {.count = 1, .reusable = true}, REDUCE(sym_import_from_statement, 6, .production_id = 49),
  [1470] = {.count = 1, .reusable = true}, SHIFT(502),
  [1472] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 4),
  [1474] = {.count = 1, .reusable = true}, SHIFT(504),
  [1476] = {.count = 1, .reusable = true}, REDUCE(sym__expression_within_for_in_clause, 1),
  [1478] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 50),
  [1480] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 50),
  [1482] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 51),
  [1484] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 51),
  [1486] = {.count = 1, .reusable = true}, SHIFT(508),
  [1488] = {.count = 1, .reusable = true}, SHIFT(509),
  [1490] = {.count = 1, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 52),
  [1492] = {.count = 1, .reusable = true}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 52),
  [1494] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 52), SHIFT_REPEAT(402),
  [1497] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 6, .production_id = 53),
  [1499] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 6, .production_id = 53),
  [1501] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5, .production_id = 1),
  [1503] = {.count = 1, .reusable = true}, REDUCE(sym_typed_default_parameter, 5),
  [1505] = {.count = 1, .reusable = false}, REDUCE(sym_while_statement, 6, .production_id = 54),
  [1507] = {.count = 1, .reusable = true}, REDUCE(sym_while_statement, 6, .production_id = 54),
  [1509] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 6, .production_id = 55),
  [1511] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 6, .production_id = 55),
  [1513] = {.count = 1, .reusable = true}, SHIFT(511),
  [1515] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 44),
  [1517] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 44),
  [1519] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 3, .production_id = 56),
  [1521] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 3, .production_id = 56),
  [1523] = {.count = 1, .reusable = true}, SHIFT(515),
  [1525] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 3, .production_id = 56),
  [1527] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 3, .production_id = 56),
  [1529] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [1531] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 6, .production_id = 31),
  [1533] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 6, .production_id = 57),
  [1535] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 6, .production_id = 57),
  [1537] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 4),
  [1539] = {.count = 1, .reusable = true}, REDUCE(sym_subscript, 6),
  [1541] = {.count = 1, .reusable = false}, REDUCE(sym_subscript, 6),
  [1543] = {.count = 1, .reusable = true}, REDUCE(sym_argument_list, 5),
  [1545] = {.count = 1, .reusable = false}, REDUCE(sym_argument_list, 5),
  [1547] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 58),
  [1549] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 58),
  [1551] = {.count = 1, .reusable = false}, REDUCE(sym_with_statement, 7),
  [1553] = {.count = 1, .reusable = true}, REDUCE(sym_with_statement, 7),
  [1555] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 59),
  [1557] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 59),
  [1559] = {.count = 1, .reusable = true}, SHIFT(524),
  [1561] = {.count = 1, .reusable = false}, REDUCE(sym_format_expression, 3),
  [1563] = {.count = 1, .reusable = true}, SHIFT(528),
  [1565] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 5),
  [1567] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 5),
  [1569] = {.count = 1, .reusable = true}, SHIFT(530),
  [1571] = {.count = 1, .reusable = false}, REDUCE(sym_if_statement, 7, .production_id = 60),
  [1573] = {.count = 1, .reusable = true}, REDUCE(sym_if_statement, 7, .production_id = 60),
  [1575] = {.count = 1, .reusable = true}, SHIFT(533),
  [1577] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [1579] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 3, .production_id = 31),
  [1581] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 7, .production_id = 61),
  [1583] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 7, .production_id = 61),
  [1585] = {.count = 1, .reusable = false}, REDUCE(sym_try_statement, 7, .production_id = 44),
  [1587] = {.count = 1, .reusable = true}, REDUCE(sym_try_statement, 7, .production_id = 44),
  [1589] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4),
  [1591] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4),
  [1593] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 4, .production_id = 22),
  [1595] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 4, .production_id = 22),
  [1597] = {.count = 1, .reusable = true}, SHIFT(538),
  [1599] = {.count = 1, .reusable = false}, REDUCE(sym_finally_clause, 4),
  [1601] = {.count = 1, .reusable = true}, REDUCE(sym_finally_clause, 4),
  [1603] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 62),
  [1605] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 62),
  [1607] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 7, .production_id = 63),
  [1609] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 7, .production_id = 63),
  [1611] = {.count = 1, .reusable = true}, REDUCE(sym_slice, 5),
  [1613] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 64),
  [1615] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 64),
  [1617] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 65),
  [1619] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 65),
  [1621] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 66),
  [1623] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 66),
  [1625] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 10),
  [1627] = {.count = 1, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [1629] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 6),
  [1631] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 6),
  [1633] = {.count = 2, .reusable = true}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(544),
  [1636] = {.count = 1, .reusable = true}, SHIFT(545),
  [1638] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 4, .production_id = 23),
  [1640] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 4, .production_id = 23),
  [1642] = {.count = 1, .reusable = false}, REDUCE(sym_else_clause, 4, .production_id = 44),
  [1644] = {.count = 1, .reusable = true}, REDUCE(sym_else_clause, 4, .production_id = 44),
  [1646] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 8, .production_id = 67),
  [1648] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 8, .production_id = 67),
  [1650] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 5),
  [1652] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 5),
  [1654] = {.count = 1, .reusable = true}, SHIFT(547),
  [1656] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 8, .production_id = 68),
  [1658] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 8, .production_id = 68),
  [1660] = {.count = 1, .reusable = false}, REDUCE(sym_for_statement, 9, .production_id = 69),
  [1662] = {.count = 1, .reusable = true}, REDUCE(sym_for_statement, 9, .production_id = 69),
  [1664] = {.count = 1, .reusable = false}, REDUCE(sym_function_definition, 9, .production_id = 70),
  [1666] = {.count = 1, .reusable = true}, REDUCE(sym_function_definition, 9, .production_id = 70),
  [1668] = {.count = 1, .reusable = true}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 25),
  [1670] = {.count = 1, .reusable = true}, REDUCE(sym_for_in_clause, 7),
  [1672] = {.count = 1, .reusable = false}, REDUCE(sym_for_in_clause, 7),
  [1674] = {.count = 1, .reusable = false}, REDUCE(sym_elif_clause, 5, .production_id = 36),
  [1676] = {.count = 1, .reusable = true}, REDUCE(sym_elif_clause, 5, .production_id = 36),
  [1678] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 6, .production_id = 46),
  [1680] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 6, .production_id = 46),
  [1682] = {.count = 1, .reusable = false}, REDUCE(sym_except_clause, 7),
  [1684] = {.count = 1, .reusable = true}, REDUCE(sym_except_clause, 7),
  [1686] = {.count = 1, .reusable = false}, SHIFT(562),
  [1688] = {.count = 1, .reusable = false}, SHIFT(567),
  [1690] = {.count = 1, .reusable = true}, SHIFT(567),
  [1692] = {.count = 1, .reusable = true}, SHIFT(575),
  [1694] = {.count = 1, .reusable = true}, SHIFT(580),
  [1696] = {.count = 1, .reusable = false}, SHIFT(581),
  [1698] = {.count = 1, .reusable = true}, SHIFT(582),
  [1700] = {.count = 1, .reusable = true}, SHIFT(583),
  [1702] = {.count = 1, .reusable = true}, SHIFT(581),
  [1704] = {.count = 1, .reusable = false}, SHIFT(580),
  [1706] = {.count = 1, .reusable = true}, SHIFT(920),
  [1708] = {.count = 1, .reusable = true}, SHIFT(584),
  [1710] = {.count = 1, .reusable = true}, SHIFT(587),
  [1712] = {.count = 1, .reusable = true}, SHIFT(588),
  [1714] = {.count = 1, .reusable = true}, SHIFT(919),
  [1716] = {.count = 1, .reusable = true}, SHIFT(585),
  [1718] = {.count = 1, .reusable = true}, SHIFT(586),
  [1720] = {.count = 1, .reusable = true}, SHIFT(1113),
  [1722] = {.count = 1, .reusable = true}, SHIFT(921),
  [1724] = {.count = 1, .reusable = true}, SHIFT(599),
  [1726] = {.count = 1, .reusable = true}, SHIFT(925),
  [1728] = {.count = 1, .reusable = true}, SHIFT(181),
  [1730] = {.count = 1, .reusable = true}, SHIFT(931),
  [1732] = {.count = 1, .reusable = true}, SHIFT(185),
  [1734] = {.count = 1, .reusable = true}, SHIFT(933),
  [1736] = {.count = 1, .reusable = true}, SHIFT(194),
  [1738] = {.count = 1, .reusable = true}, SHIFT(606),
  [1740] = {.count = 1, .reusable = true}, SHIFT(935),
  [1742] = {.count = 1, .reusable = false}, SHIFT(614),
  [1744] = {.count = 1, .reusable = true}, SHIFT(614),
  [1746] = {.count = 1, .reusable = false}, SHIFT(615),
  [1748] = {.count = 1, .reusable = true}, SHIFT(615),
  [1750] = {.count = 1, .reusable = false}, SHIFT(616),
  [1752] = {.count = 1, .reusable = false}, SHIFT(617),
  [1754] = {.count = 1, .reusable = true}, SHIFT(617),
  [1756] = {.count = 1, .reusable = false}, SHIFT(618),
  [1758] = {.count = 1, .reusable = true}, SHIFT(618),
  [1760] = {.count = 1, .reusable = false}, SHIFT(620),
  [1762] = {.count = 1, .reusable = true}, SHIFT(620),
  [1764] = {.count = 1, .reusable = false}, SHIFT(621),
  [1766] = {.count = 1, .reusable = true}, SHIFT(621),
  [1768] = {.count = 1, .reusable = false}, SHIFT(622),
  [1770] = {.count = 1, .reusable = true}, SHIFT(622),
  [1772] = {.count = 1, .reusable = false}, SHIFT(624),
  [1774] = {.count = 1, .reusable = true}, SHIFT(624),
  [1776] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1136),
  [1779] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1137),
  [1782] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1138),
  [1785] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1139),
  [1788] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1151),
  [1791] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1140),
  [1794] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1156),
  [1797] = {.count = 2, .reusable = false}, REDUCE(aux_sym_module_repeat1, 2, .production_id = 9), SHIFT_REPEAT(1150),
  [1800] = {.count = 1, .reusable = true}, SHIFT(632),
  [1802] = {.count = 1, .reusable = true}, SHIFT(647),
  [1804] = {.count = 1, .reusable = false}, SHIFT(662),
  [1806] = {.count = 1, .reusable = true}, SHIFT(662),
  [1808] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(581),
  [1811] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(582),
  [1814] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(581),
  [1817] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(919),
  [1820] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(895),
  [1823] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(155),
  [1826] = {.count = 2, .reusable = true}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(925),
  [1829] = {.count = 1, .reusable = false}, SHIFT(1148),
  [1831] = {.count = 1, .reusable = false}, SHIFT(1126),
  [1833] = {.count = 1, .reusable = false}, SHIFT(639),
  [1835] = {.count = 1, .reusable = false}, SHIFT(640),
  [1837] = {.count = 2, .reusable = true}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 28), SHIFT_REPEAT(675),
  [1840] = {.count = 1, .reusable = false}, REDUCE(sym_block, 1),
  [1842] = {.count = 1, .reusable = false}, SHIFT(1123),
  [1844] = {.count = 1, .reusable = false}, SHIFT(1122),
  [1846] = {.count = 1, .reusable = false}, REDUCE(sym_block, 2, .production_id = 3),
  [1848] = {.count = 2, .reusable = false}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1122),
  [1851] = {.count = 2, .reusable = false}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 52), SHIFT_REPEAT(1148),
  [1854] = {.count = 1, .reusable = false}, SHIFT(743),
  [1856] = {.count = 1, .reusable = true}, SHIFT(743),
  [1858] = {.count = 1, .reusable = false}, SHIFT(752),
  [1860] = {.count = 1, .reusable = true}, SHIFT(753),
  [1862] = {.count = 1, .reusable = true}, SHIFT(752),
  [1864] = {.count = 1, .reusable = true}, SHIFT(1023),
  [1866] = {.count = 1, .reusable = false}, SHIFT(777),
  [1868] = {.count = 1, .reusable = true}, SHIFT(777),
  [1870] = {.count = 1, .reusable = false}, SHIFT(778),
  [1872] = {.count = 1, .reusable = true}, SHIFT(778),
  [1874] = {.count = 1, .reusable = false}, SHIFT(779),
  [1876] = {.count = 1, .reusable = false}, SHIFT(780),
  [1878] = {.count = 1, .reusable = true}, SHIFT(780),
  [1880] = {.count = 1, .reusable = false}, SHIFT(781),
  [1882] = {.count = 1, .reusable = true}, SHIFT(781),
  [1884] = {.count = 1, .reusable = false}, SHIFT(783),
  [1886] = {.count = 1, .reusable = true}, SHIFT(783),
  [1888] = {.count = 1, .reusable = false}, SHIFT(784),
  [1890] = {.count = 1, .reusable = true}, SHIFT(784),
  [1892] = {.count = 1, .reusable = false}, SHIFT(785),
  [1894] = {.count = 1, .reusable = true}, SHIFT(785),
  [1896] = {.count = 1, .reusable = false}, SHIFT(787),
  [1898] = {.count = 1, .reusable = true}, SHIFT(787),
  [1900] = {.count = 1, .reusable = false}, SHIFT(807),
  [1902] = {.count = 1, .reusable = true}, SHIFT(807),
  [1904] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(752),
  [1907] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(753),
  [1910] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(752),
  [1913] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1023),
  [1916] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1002),
  [1919] = {.count = 2, .reusable = true}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(766),
  [1922] = {.count = 1, .reusable = false}, SHIFT(829),
  [1924] = {.count = 1, .reusable = true}, SHIFT(829),
  [1926] = {.count = 1, .reusable = true}, SHIFT(831),
  [1928] = {.count = 1, .reusable = true}, SHIFT(834),
  [1930] = {.count = 1, .reusable = false}, SHIFT(835),
  [1932] = {.count = 1, .reusable = true}, SHIFT(836),
  [1934] = {.count = 1, .reusable = true}, SHIFT(837),
  [1936] = {.count = 1, .reusable = true}, SHIFT(835),
  [1938] = {.count = 1, .reusable = false}, SHIFT(834),
  [1940] = {.count = 1, .reusable = true}, SHIFT(1075),
  [1942] = {.count = 1, .reusable = true}, SHIFT(838),
  [1944] = {.count = 1, .reusable = true}, SHIFT(841),
  [1946] = {.count = 1, .reusable = true}, SHIFT(842),
  [1948] = {.count = 1, .reusable = true}, SHIFT(1074),
  [1950] = {.count = 1, .reusable = true}, SHIFT(839),
  [1952] = {.count = 1, .reusable = true}, SHIFT(840),
  [1954] = {.count = 1, .reusable = true}, SHIFT(1134),
  [1956] = {.count = 1, .reusable = true}, SHIFT(1076),
  [1958] = {.count = 1, .reusable = false}, SHIFT(857),
  [1960] = {.count = 1, .reusable = true}, SHIFT(857),
  [1962] = {.count = 1, .reusable = false}, SHIFT(858),
  [1964] = {.count = 1, .reusable = true}, SHIFT(858),
  [1966] = {.count = 1, .reusable = false}, SHIFT(859),
  [1968] = {.count = 1, .reusable = false}, SHIFT(860),
  [1970] = {.count = 1, .reusable = true}, SHIFT(860),
  [1972] = {.count = 1, .reusable = false}, SHIFT(861),
  [1974] = {.count = 1, .reusable = true}, SHIFT(861),
  [1976] = {.count = 1, .reusable = false}, SHIFT(863),
  [1978] = {.count = 1, .reusable = true}, SHIFT(863),
  [1980] = {.count = 1, .reusable = false}, SHIFT(864),
  [1982] = {.count = 1, .reusable = true}, SHIFT(864),
  [1984] = {.count = 1, .reusable = false}, SHIFT(865),
  [1986] = {.count = 1, .reusable = true}, SHIFT(865),
  [1988] = {.count = 1, .reusable = false}, SHIFT(867),
  [1990] = {.count = 1, .reusable = true}, SHIFT(867),
  [1992] = {.count = 1, .reusable = false}, SHIFT(881),
  [1994] = {.count = 1, .reusable = true}, SHIFT(881),
  [1996] = {.count = 2, .reusable = false}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(835),
  [1999] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(836),
  [2002] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(835),
  [2005] = {.count = 2, .reusable = true}, REDUCE(aux_sym_comparison_operator_repeat1, 2), SHIFT_REPEAT(1074),
  [2008] = {.count = 2, .reusable = true}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1056),
  [2011] = {.count = 1, .reusable = true}, SHIFT(902),
  [2013] = {.count = 1, .reusable = true}, SHIFT(560),
  [2015] = {.count = 1, .reusable = true}, SHIFT(566),
  [2017] = {.count = 1, .reusable = true}, SHIFT(904),
  [2019] = {.count = 1, .reusable = true}, SHIFT(570),
  [2021] = {.count = 1, .reusable = true}, SHIFT(577),
  [2023] = {.count = 1, .reusable = true}, SHIFT(909),
  [2025] = {.count = 1, .reusable = true}, SHIFT(578),
  [2027] = {.count = 1, .reusable = true}, SHIFT(912),
  [2029] = {.count = 1, .reusable = true}, SHIFT(917),
  [2031] = {.count = 1, .reusable = true}, SHIFT(579),
  [2033] = {.count = 1, .reusable = true}, SHIFT(1154),
  [2035] = {.count = 1, .reusable = true}, SHIFT(1136),
  [2037] = {.count = 1, .reusable = true}, SHIFT(1151),
  [2039] = {.count = 1, .reusable = true}, SHIFT(596),
  [2041] = {.count = 1, .reusable = true}, SHIFT(767),
  [2043] = {.count = 1, .reusable = true}, SHIFT(602),
  [2045] = {.count = 1, .reusable = true}, SHIFT(926),
  [2047] = {.count = 1, .reusable = true}, SHIFT(603),
  [2049] = {.count = 1, .reusable = true}, SHIFT(605),
  [2051] = {.count = 1, .reusable = true}, SHIFT(609),
  [2053] = {.count = 1, .reusable = true}, SHIFT(937),
  [2055] = {.count = 1, .reusable = true}, SHIFT(610),
  [2057] = {.count = 1, .reusable = true}, SHIFT(940),
  [2059] = {.count = 1, .reusable = true}, SHIFT(943),
  [2061] = {.count = 1, .reusable = true}, SHIFT(611),
  [2063] = {.count = 1, .reusable = true}, SHIFT(612),
  [2065] = {.count = 1, .reusable = true}, SHIFT(947),
  [2067] = {.count = 1, .reusable = true}, SHIFT(616),
  [2069] = {.count = 1, .reusable = true}, SHIFT(782),
  [2071] = {.count = 1, .reusable = true}, SHIFT(1041),
  [2073] = {.count = 1, .reusable = true}, SHIFT(623),
  [2075] = {.count = 1, .reusable = true}, SHIFT(956),
  [2077] = {.count = 1, .reusable = true}, SHIFT(794),
  [2079] = {.count = 1, .reusable = true}, SHIFT(633),
  [2081] = {.count = 1, .reusable = true}, SHIFT(635),
  [2083] = {.count = 1, .reusable = true}, SHIFT(958),
  [2085] = {.count = 1, .reusable = true}, SHIFT(636),
  [2087] = {.count = 1, .reusable = true}, SHIFT(959),
  [2089] = {.count = 1, .reusable = true}, SHIFT(960),
  [2091] = {.count = 1, .reusable = true}, SHIFT(642),
  [2093] = {.count = 1, .reusable = true}, SHIFT(643),
  [2095] = {.count = 1, .reusable = true}, SHIFT(649),
  [2097] = {.count = 1, .reusable = true}, SHIFT(962),
  [2099] = {.count = 1, .reusable = true}, SHIFT(651),
  [2101] = {.count = 1, .reusable = true}, SHIFT(964),
  [2103] = {.count = 1, .reusable = true}, SHIFT(652),
  [2105] = {.count = 1, .reusable = true}, SHIFT(653),
  [2107] = {.count = 1, .reusable = true}, SHIFT(965),
  [2109] = {.count = 1, .reusable = true}, SHIFT(654),
  [2111] = {.count = 1, .reusable = true}, SHIFT(655),
  [2113] = {.count = 1, .reusable = true}, SHIFT(966),
  [2115] = {.count = 1, .reusable = true}, SHIFT(656),
  [2117] = {.count = 1, .reusable = true}, SHIFT(1122),
  [2119] = {.count = 1, .reusable = true}, SHIFT(1123),
  [2121] = {.count = 1, .reusable = true}, SHIFT(660),
  [2123] = {.count = 1, .reusable = true}, SHIFT(969),
  [2125] = {.count = 1, .reusable = true}, SHIFT(661),
  [2127] = {.count = 1, .reusable = true}, SHIFT(808),
  [2129] = {.count = 1, .reusable = true}, SHIFT(1052),
  [2131] = {.count = 1, .reusable = true}, SHIFT(664),
  [2133] = {.count = 1, .reusable = true}, SHIFT(973),
  [2135] = {.count = 1, .reusable = true}, SHIFT(804),
  [2137] = {.count = 1, .reusable = true}, SHIFT(976),
  [2139] = {.count = 1, .reusable = true}, SHIFT(668),
  [2141] = {.count = 2, .reusable = true}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(674),
  [2144] = {.count = 1, .reusable = true}, SHIFT(977),
  [2146] = {.count = 1, .reusable = true}, SHIFT(679),
  [2148] = {.count = 1, .reusable = true}, SHIFT(680),
  [2150] = {.count = 1, .reusable = true}, SHIFT(681),
  [2152] = {.count = 1, .reusable = true}, SHIFT(684),
  [2154] = {.count = 1, .reusable = true}, SHIFT(688),
  [2156] = {.count = 1, .reusable = true}, SHIFT(981),
  [2158] = {.count = 1, .reusable = true}, SHIFT(689),
  [2160] = {.count = 1, .reusable = true}, SHIFT(982),
  [2162] = {.count = 1, .reusable = true}, SHIFT(984),
  [2164] = {.count = 1, .reusable = true}, SHIFT(985),
  [2166] = {.count = 1, .reusable = true}, SHIFT(988),
  [2168] = {.count = 1, .reusable = true}, SHIFT(990),
  [2170] = {.count = 1, .reusable = true}, SHIFT(991),
  [2172] = {.count = 1, .reusable = true}, SHIFT(707),
  [2174] = {.count = 1, .reusable = true}, SHIFT(708),
  [2176] = {.count = 1, .reusable = true}, SHIFT(992),
  [2178] = {.count = 1, .reusable = true}, SHIFT(995),
  [2180] = {.count = 1, .reusable = true}, SHIFT(996),
  [2182] = {.count = 1, .reusable = true}, SHIFT(997),
  [2184] = {.count = 1, .reusable = true}, SHIFT(998),
  [2186] = {.count = 1, .reusable = true}, SHIFT(999),
  [2188] = {.count = 1, .reusable = true}, SHIFT(1001),
  [2190] = {.count = 1, .reusable = true}, SHIFT(1008),
  [2192] = {.count = 1, .reusable = true}, SHIFT(740),
  [2194] = {.count = 1, .reusable = true}, SHIFT(744),
  [2196] = {.count = 1, .reusable = true}, SHIFT(748),
  [2198] = {.count = 1, .reusable = true}, SHIFT(1013),
  [2200] = {.count = 1, .reusable = true}, SHIFT(749),
  [2202] = {.count = 1, .reusable = true}, SHIFT(1016),
  [2204] = {.count = 1, .reusable = true}, SHIFT(1021),
  [2206] = {.count = 1, .reusable = true}, SHIFT(750),
  [2208] = {.count = 1, .reusable = true}, SHIFT(765),
  [2210] = {.count = 1, .reusable = true}, SHIFT(769),
  [2212] = {.count = 1, .reusable = true}, SHIFT(771),
  [2214] = {.count = 1, .reusable = true}, SHIFT(773),
  [2216] = {.count = 1, .reusable = true}, SHIFT(1029),
  [2218] = {.count = 1, .reusable = true}, SHIFT(774),
  [2220] = {.count = 1, .reusable = true}, SHIFT(1032),
  [2222] = {.count = 1, .reusable = true}, SHIFT(1035),
  [2224] = {.count = 1, .reusable = true}, SHIFT(775),
  [2226] = {.count = 1, .reusable = true}, SHIFT(776),
  [2228] = {.count = 1, .reusable = true}, SHIFT(1038),
  [2230] = {.count = 1, .reusable = true}, SHIFT(779),
  [2232] = {.count = 1, .reusable = true}, SHIFT(786),
  [2234] = {.count = 1, .reusable = true}, SHIFT(795),
  [2236] = {.count = 1, .reusable = true}, SHIFT(1045),
  [2238] = {.count = 1, .reusable = true}, SHIFT(796),
  [2240] = {.count = 1, .reusable = true}, SHIFT(798),
  [2242] = {.count = 1, .reusable = true}, SHIFT(1046),
  [2244] = {.count = 1, .reusable = true}, SHIFT(799),
  [2246] = {.count = 1, .reusable = true}, SHIFT(800),
  [2248] = {.count = 1, .reusable = true}, SHIFT(1047),
  [2250] = {.count = 1, .reusable = true}, SHIFT(801),
  [2252] = {.count = 1, .reusable = true}, SHIFT(802),
  [2254] = {.count = 1, .reusable = true}, SHIFT(1048),
  [2256] = {.count = 1, .reusable = true}, SHIFT(803),
  [2258] = {.count = 1, .reusable = true}, SHIFT(805),
  [2260] = {.count = 1, .reusable = true}, SHIFT(1050),
  [2262] = {.count = 1, .reusable = true}, SHIFT(806),
  [2264] = {.count = 1, .reusable = true}, SHIFT(809),
  [2266] = {.count = 1, .reusable = true}, SHIFT(810),
  [2268] = {.count = 1, .reusable = true}, SHIFT(811),
  [2270] = {.count = 1, .reusable = true}, SHIFT(812),
  [2272] = {.count = 1, .reusable = true}, SHIFT(813),
  [2274] = {.count = 1, .reusable = true}, SHIFT(814),
  [2276] = {.count = 1, .reusable = true}, SHIFT(815),
  [2278] = {.count = 1, .reusable = true}, SHIFT(1054),
  [2280] = {.count = 1, .reusable = true}, SHIFT(816),
  [2282] = {.count = 1, .reusable = true}, SHIFT(1055),
  [2284] = {.count = 1, .reusable = true}, SHIFT(818),
  [2286] = {.count = 1, .reusable = true}, SHIFT(819),
  [2288] = {.count = 1, .reusable = true}, SHIFT(1061),
  [2290] = {.count = 1, .reusable = true}, SHIFT(826),
  [2292] = {.count = 1, .reusable = true}, SHIFT(828),
  [2294] = {.count = 1, .reusable = true}, SHIFT(1062),
  [2296] = {.count = 1, .reusable = true}, SHIFT(830),
  [2298] = {.count = 1, .reusable = true}, SHIFT(832),
  [2300] = {.count = 1, .reusable = true}, SHIFT(1066),
  [2302] = {.count = 1, .reusable = true}, SHIFT(833),
  [2304] = {.count = 1, .reusable = true}, SHIFT(1069),
  [2306] = {.count = 1, .reusable = true}, SHIFT(848),
  [2308] = {.count = 1, .reusable = true}, SHIFT(849),
  [2310] = {.count = 1, .reusable = true}, SHIFT(850),
  [2312] = {.count = 1, .reusable = true}, SHIFT(1077),
  [2314] = {.count = 1, .reusable = true}, SHIFT(852),
  [2316] = {.count = 1, .reusable = true}, SHIFT(854),
  [2318] = {.count = 1, .reusable = true}, SHIFT(1080),
  [2320] = {.count = 1, .reusable = true}, SHIFT(855),
  [2322] = {.count = 1, .reusable = true}, SHIFT(1083),
  [2324] = {.count = 1, .reusable = true}, SHIFT(856),
  [2326] = {.count = 1, .reusable = true}, SHIFT(1086),
  [2328] = {.count = 1, .reusable = true}, SHIFT(859),
  [2330] = {.count = 1, .reusable = true}, SHIFT(862),
  [2332] = {.count = 1, .reusable = true}, SHIFT(1091),
  [2334] = {.count = 1, .reusable = true}, SHIFT(866),
  [2336] = {.count = 1, .reusable = true}, SHIFT(871),
  [2338] = {.count = 1, .reusable = true}, SHIFT(1095),
  [2340] = {.count = 1, .reusable = true}, SHIFT(872),
  [2342] = {.count = 1, .reusable = true}, SHIFT(874),
  [2344] = {.count = 1, .reusable = true}, SHIFT(1096),
  [2346] = {.count = 1, .reusable = true}, SHIFT(875),
  [2348] = {.count = 1, .reusable = true}, SHIFT(876),
  [2350] = {.count = 1, .reusable = true}, SHIFT(1097),
  [2352] = {.count = 1, .reusable = true}, SHIFT(877),
  [2354] = {.count = 1, .reusable = true}, SHIFT(878),
  [2356] = {.count = 1, .reusable = true}, SHIFT(1098),
  [2358] = {.count = 1, .reusable = true}, SHIFT(879),
  [2360] = {.count = 1, .reusable = true}, SHIFT(880),
  [2362] = {.count = 1, .reusable = true}, SHIFT(1099),
  [2364] = {.count = 1, .reusable = true}, SHIFT(882),
  [2366] = {.count = 1, .reusable = true}, SHIFT(1101),
  [2368] = {.count = 1, .reusable = true}, SHIFT(883),
  [2370] = {.count = 1, .reusable = true}, SHIFT(884),
  [2372] = {.count = 1, .reusable = true}, SHIFT(885),
  [2374] = {.count = 1, .reusable = true}, SHIFT(886),
  [2376] = {.count = 1, .reusable = true}, SHIFT(887),
  [2378] = {.count = 1, .reusable = true}, SHIFT(888),
  [2380] = {.count = 1, .reusable = true}, SHIFT(1103),
  [2382] = {.count = 1, .reusable = true}, SHIFT(889),
  [2384] = {.count = 1, .reusable = true}, SHIFT(1104),
  [2386] = {.count = 1, .reusable = true}, SHIFT(891),
  [2388] = {.count = 1, .reusable = true}, SHIFT(892),
  [2390] = {.count = 1, .reusable = true}, SHIFT(1106),
  [2392] = {.count = 1, .reusable = true}, SHIFT(893),
  [2394] = {.count = 1, .reusable = true}, SHIFT(894),
  [2396] = {.count = 1, .reusable = true}, SHIFT(923),
  [2398] = {.count = 1, .reusable = true}, SHIFT(929),
  [2400] = {.count = 1, .reusable = true}, SHIFT(930),
  [2402] = {.count = 1, .reusable = true}, SHIFT(936),
  [2404] = {.count = 1, .reusable = true}, SHIFT(1119),
  [2406] = {.count = 1, .reusable = true}, SHIFT(954),
  [2408] = {.count = 1, .reusable = true}, SHIFT(957),
  [2410] = {.count = 1, .reusable = true}, SHIFT(963),
  [2412] = {.count = 1, .reusable = true}, SHIFT(1146),
  [2414] = {.count = 1, .reusable = true}, SHIFT(974),
  [2416] = {.count = 1, .reusable = true}, SHIFT(975),
  [2418] = {.count = 1, .reusable = true}, SHIFT(1147),
  [2420] = {.count = 1, .reusable = true}, SHIFT(978),
  [2422] = {.count = 1, .reusable = true}, SHIFT(979),
  [2424] = {.count = 1, .reusable = true}, SHIFT(980),
  [2426] = {.count = 1, .reusable = true}, SHIFT(983),
  [2428] = {.count = 1, .reusable = true}, SHIFT(986),
  [2430] = {.count = 1, .reusable = true}, SHIFT(987),
  [2432] = {.count = 1, .reusable = true}, SHIFT(989),
  [2434] = {.count = 1, .reusable = true}, SHIFT(1149),
  [2436] = {.count = 1, .reusable = true}, SHIFT(993),
  [2438] = {.count = 1, .reusable = true}, SHIFT(994),
  [2440] = {.count = 1, .reusable = true}, SHIFT(1000),
  [2442] = {.count = 1, .reusable = true}, SHIFT(1107),
  [2444] = {.count = 1, .reusable = true}, SHIFT(1112),
  [2446] = {.count = 1, .reusable = true}, SHIFT(1141),
  [2448] = {.count = 1, .reusable = true}, SHIFT(1157),
  [2450] = {.count = 1, .reusable = true}, SHIFT(1152),
  [2452] = {.count = 1, .reusable = true}, SHIFT(1142),
  [2454] = {.count = 1, .reusable = true}, SHIFT(1143),
  [2456] = {.count = 1, .reusable = true}, SHIFT(1144),
  [2458] = {.count = 1, .reusable = true}, SHIFT(1145),
};

void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .symbol_metadata = ts_symbol_metadata,
    .parse_table = (const unsigned short *)ts_parse_table,
    .parse_actions = ts_parse_actions,
    .lex_modes = ts_lex_modes,
    .symbol_names = ts_symbol_names,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .field_count = FIELD_COUNT,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
